<?php
/**
 * Add child styles.
 */
function claniz_child_enqueue_styles()
{
  $dev_mode   = claniz_get_theme_opt('dev_mode', false);
  if($dev_mode === '' || $dev_mode === '0' || $dev_mode === false){
    $min = '.min';
  } else {
    $min = '';
  }
  wp_enqueue_style('claniz-child-style', get_stylesheet_directory_uri() . '/style.css', array());
  wp_enqueue_style('claniz-child', get_stylesheet_directory_uri() . '/assets/css/child-theme'.$min.'.css', array());
}
add_action('wp_enqueue_scripts', 'claniz_child_enqueue_styles', 10 , 99999);
/**
  * Set up Solatec Child Theme's textdomain.
  *
  * Declare textdomain for this child theme.
  * Translations can be added to the /languages/ directory.
  */
add_action( 'after_setup_theme', 'claniz_child_theme_setup' );
function claniz_child_theme_setup() {
    load_child_theme_textdomain( 'claniz-child', get_stylesheet_directory() . '/languages' );
}
/**
 * CMS Portal
 * child theme active
 *
*/
add_action('after_switch_theme', 'claniz_child_redirect_to_welcome_page');
function claniz_child_redirect_to_welcome_page()
{
    if (is_child_theme()) {
        $parent_theme = wp_get_theme()->parent();
        if (class_exists('CMS_PORTAL')) {
            wp_safe_redirect(admin_url("themes.php?page={$parent_theme->get('TextDomain')}"));
        } else {
            wp_safe_redirect(admin_url("themes.php?page={$parent_theme->get('TextDomain')}-welcome"));
        }
    }
}