<?php
/**
 * The template for displaying 404 pages (not found)
 * @package Medisch
 */
$heading = claniz_get_theme_opt('heading_404_page','');
$subheading = claniz_get_theme_opt('subheading_404_page', '');
$content_404_page = claniz_get_theme_opt( 'content_404_page', __('The webpage you are looking for is not here!', 'claniz'));
$btn_text_404_page = claniz_get_theme_opt( 'btn_text_404_page', __('Back To Home', 'claniz') );
get_header();
?>
    <div class="container cms-content-container">
        <div id="cms-content-area" class="cms-content-area text-center">
            <div class="cms-heading text-100 lh-100 text-md-200 lh-md-200 text-accent pb-10"><?php echo esc_html__('404','claniz') ?></div>
            <div class="cms-heading text-xl-75 text-lg-45 text-25 pb-10 empty-none"><?php echo esc_html($heading); ?></div>
            <div class="cms-heading text-xl-45 text-lg-30 text-20 pb-10 empty-none"><?php echo esc_html($subheading); ?></div>
            <div class="cms-heading text-18 text-md-30"><?php 
                printf('%s', $content_404_page);
            ?></div>
            <div class="mt-30">
                <a class="btn btn-accent" href="<?php echo esc_url(home_url('/')); ?>">
                    <span class="cms-btn-content">
                        <span class="cms-btn-icon"><i class="cmsi-arrow-circle-left rtl-flip text-26"></i></span>
                        <span class="cms-btn-text"><?php 
                            printf('%s', $btn_text_404_page);
                        ?></span>
                    </span>
                </a>
            </div>
        </div>
    </div>
<?php
get_footer();
