;(function ($) {

    "use strict";

    /* ===================
     Page reload
     ===================== */
    var scroll_top;
    var window_height;
    var window_width;
    var scroll_status = '';
    var lastScrollTop = 0;
    // Fire on document ready.
    $( document ).ready( function() {
        // menu
        claniz_open_mobile_menu();
        claniz_dropdown_menu();
        claniz_open_secondary_menu();
        // hidden sidebar
        claniz_header_hidden_sidebar();
        // page title
        claniz_pagetitle();
        // WooCommerce
        claniz_open_cart_popup();
        claniz_open_cart_popup_position();
        claniz_wc_single_product_gallery();
        claniz_quantity_plus_minus();
        claniz_quantity_plus_minus_action();
        // background image moving
        claniz_background_moving();
        claniz_elementor_section_remove();
        // widget
        claniz_widget_nav_menu();
        // modal
        claniz_open_html_modal();

        // SVG
        /*
         * Replace all SVG images with inline SVG
         */
        $('img').filter(function() {
            return this.src.match(/.*\.svg$/);
        }).each(function(){
            var $img = jQuery(this);
            var imgID = $img.attr('id');
            var imgClass = $img.attr('class');
            var svgColor = $img.attr('data-fill');
            var imgURL = $img.attr('src');
            console.log(svgColor);
            jQuery.get(imgURL, function(data) {
                // Get the SVG tag, ignore the rest
                var $svg = jQuery(data).find('svg');

                // Add replaced image's ID to the new SVG
                if(typeof imgID !== 'undefined') {
                    $svg = $svg.attr('id', imgID);
                }
                // Add replaced image's classes to the new SVG
                if(typeof imgClass !== 'undefined') {
                    $svg = $svg.attr('class', imgClass+' replaced-svg');
                }
                // add color to SVG
                if(typeof svgColor !== 'undefined') {
                    $svg = $svg.attr('fill', svgColor);
                }
                // Remove any invalid XML tags as per http://validator.w3.org
                $svg = $svg.removeAttr('xmlns:a');

                // Replace image with new SVG
                $img.replaceWith($svg);

            }, 'xml');
        });
    });

    $(window).on('load', function () {
        $(".cms-loader").fadeOut("slow");
        window_width = $(window).width();
        claniz_header_ontop();
        claniz_header_sticky();
        claniz_footer_fixed();
        claniz_scroll_to_top();
        claniz_video_size();
        claniz_open_cart_popup_position();
    });
    $(window).on('resize', function () {
        window_width = $(window).width();
        claniz_open_cart_popup_position();
        claniz_video_size();
        // page title 
        //claniz_pagetitle();
    });

    $(window).on('scroll', function () {
        scroll_top = $(window).scrollTop();
        window_height = $(window).height();
        window_width = $(window).width();
        if (scroll_top > lastScrollTop) {
            scroll_status = 'down';
        } else if(scroll_top < lastScrollTop) {
            scroll_status = 'up';
        } else {
            scroll_status = 'no';
        }
        lastScrollTop = scroll_top;
        
        claniz_header_sticky();
        claniz_open_cart_popup_position();
        claniz_scroll_to_top();
    });

    // Ajax Complete
    $(document).ajaxComplete(function(event, xhr, settings){
        "use strict";
        $.sep_grid_refresh(); // this need to add last function
        claniz_video_size();
    });

    $.sep_grid_refresh = function (){
        $('.cms-grid-masonry').each(function () {
            var iso = new Isotope(this, {
                itemSelector: '.cms-grid-item',
                layoutMode: $(this).data('layout'),
                fitRows: {
                    gutter: -1
                },
                percentPosition: true,
                masonry: {
                    columnWidth: '.cms-grid-sizer',
                },
                containerStyle: null,
                stagger: 0,
                sortBy : 'name'
            });
            var filtersElem = $(this).parent('.cms-grid').find('.cms-grid-filter-wrap');
            filtersElem.on('click', function (event) {
                var filterValue = event.target.getAttribute('data-filter');
                iso.arrange({filter: filterValue});
            });

            var filterItem = $(this).parent('.cms-grid').find('.cms-filter-item');
            filterItem.on('click', function (e) {
                filterItem.removeClass('active');
                $(this).addClass('active');
            });

            var filtersSelect = $(this).parent().find('.cms-select-filter-wrap');
            filtersSelect.change(function() {
                var filters = $(this).val();
                iso.arrange({filter: filters});
            });

            var orderSelect = $(this).parent().find('.cms-select-order-wrap');
            orderSelect.change(function() {
                var e_order = $(this).val();
                if(e_order == 'asc') {
                    iso.arrange({sortAscending: false});
                }
                if(e_order == 'des') {
                    iso.arrange({sortAscending: true});
                }
            });

        });
    }
    // load more
    $(document).on('click', '.cms-load-more', function(){
        var loadmore    = $(this).data('loadmore');
        var _this       = $(this).parents(".cms-grid");
        var layout_type = _this.data('layout');
        var loading_text = $(this).data('loading-text');
        loadmore.paged  = parseInt(_this.data('start-page')) +1;
        _this.find('.cms-grid-overlay').addClass('loader');
        $(this).addClass('loading');
        $(this).find('.cms-btn-icon').addClass('loading');
        $(this).find('.cms-btn-text').text(loading_text);
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function () {

            },
            data: {
                action: 'claniz_load_more_post_grid',
                settings: loadmore
            }
        })
        .done(function (res) {
            if(res.status == true){
                _this.find('.cms-grid-inner').append(res.data.html);
                _this.data('start-page', res.data.paged);
                _this.find('.cms-grid-overlay').removeClass('loader');
                _this.find('.cms-load-more').removeClass('loading');
                _this.find('.cms-btn-icon').removeClass('loading');
                _this.find('.cms-btn-text').text('Load More');
                if(layout_type == 'masonry'){
                    $.sep_grid_refresh();
                }
            } else if (res.status == false){
                _this.find('.cms-load-more').addClass('no-more');
            }
        })
        .fail(function (res) {
            _this.find('.cms-load-more').addClass('d-none d-none1');
            return false;
        })
        .always(function () {
            return false;
        });
    });

    // pagination
    $(document).on('click', '.cms-grid-pagination .ajax a.page-numbers', function(){
        var _this = $(this).parents(".cms-grid");
        var loadmore = _this.find(".cms-grid-pagination").data('loadmore');
        var query_vars = _this.find(".cms-grid-pagination").data('query');
        var layout_type = _this.data('layout');
        var paged = $(this).attr('href');
        paged = paged.replace('#', '');
        loadmore.paged = parseInt(paged);
        query_vars.paged = parseInt(paged);
        _this.find('.cms-grid-overlay').addClass('loader');
        $('html,body').animate({scrollTop: _this.offset().top - 100}, 750);
        // reload pagination
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function () {

            },
            data: {
                action: 'claniz_get_pagination_html',
                query_vars: query_vars
            }
        }).done(function (res) {
            if(res.status == true){
                _this.find(".cms-grid-pagination").html(res.data.html);
                _this.find('.cms-grid-overlay').removeClass('loader');
            }
            else if(res.status == false){
            }
        }).fail(function (res) {
            return false;
        }).always(function () {
            return false;
        });
        // load post
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function () {

            },
            data: {
                action: 'claniz_load_more_post_grid',
                settings: loadmore
            }
        }).done(function (res) {
            if(res.status == true){
                _this.find('.cms-grid-inner .cms-grid-item').remove();
                _this.find('.cms-grid-inner').append(res.data.html);
                _this.data('start-page', res.data.paged);
                if(layout_type == 'masonry'){
                    $.sep_grid_refresh();
                }
            }
            else if(res.status == false){
            }
        }).fail(function (res) {
            return false;
        }).always(function () {
            return false;
        });
        return false;
    });
    /**
     * Check right to left
    */
    function claniz_is_rtl(){
        "use strict";
        var rtl = $('html[dir="rtl"]'),
            is_rtl = rtl.length ? true : false;
        return is_rtl;
    }
    /**
     * HTML Modal
    */
    function claniz_open_html_modal(){
        $('.cms-modal').on('click', function(e){
            //alert( "Handler for .focus() called." );
            e.preventDefault();
            var html = $(this).attr('href');
            $(html).toggleClass('open');
            setTimeout(function(){
                $('.cms-search-form-popup input[name="s"]').focus();
            },500);
        });
        $('.cms-modal-close').on('click', function(e){
            e.preventDefault();
            $(this).parent().removeClass('open');
        });
        $('a[href="#"]').on('click', function (e){
            e.preventDefault();
        });
    }
    // Header ontop
    function claniz_header_ontop() {
        'use strict';
        var header    = $('#cms-header'),
            offsetTop = $('#cms-header-top').outerHeight(),
            nextSection = header.parent().next(),
            nextSectionTopSpace = parseInt(nextSection.css('padding-top')),
            headerHeight = header.outerHeight(),
            nextSectionTopSpaceNew = nextSectionTopSpace + headerHeight,
            // Elementor element
            elementor_nextSection = header.parent().next('#cms-main').find('.cms-page-title-wrapper'),
            elementor_nextSectionTopSpace = parseInt(elementor_nextSection.css('padding-top')),
            elementor_nextSectionTopSpaceNew = elementor_nextSectionTopSpace + headerHeight;

        if(header.hasClass('is-ontop')) {
            header.css({
                //'top': offsetTop
            });
            // add top space for next section of header
            header.parent().next('#cms-pagetitle').css({
                'padding-top': nextSectionTopSpaceNew
            });
            // fix for elementor CMS Page title element 
            // Elementor element
            elementor_nextSection.css({
                'padding-top': elementor_nextSectionTopSpaceNew
            });
        }
    }
    // header sticky
    function claniz_header_sticky() {
        'use strict';
        var header             = $('#cms-header'),
            offsetTop          = header.outerHeight(),
            h_header           = $('.fixed-height').outerHeight(),
            offsetTopAnimation = offsetTop + 200,
            topSpace           = $('html').css('margin-top'),
            header_btn         = header.find('.h-btn'),
            header_cart_content = header.parents('body').find('.cms-header-cart-content');
        if(header.hasClass('is-sticky')) {
            //if (scroll_top > offsetTopAnimation) {
            if(scroll_status == 'up' && lastScrollTop != 0){
                header.addClass('header-sticky').removeClass('header-ontop').css({'top':''});
                if(header_btn.hasClass('btn-white')){
                    //header_btn.removeClass('btn-white').addClass('btn-primary');
                }
                header_cart_content.css({'position':'fixed'});
                // fix bread when scroll
                if(!header.hasClass('is-ontop')){
                    header.parents('#cms-page').css({'padding-top': offsetTop});
                }
            } else {
                header.removeClass('header-sticky');
                if(header.hasClass('is-ontop')){
                    header.addClass('header-ontop');
                }
                if(header_btn.hasClass('btn-primary')){
                    //header_btn.addClass('btn-white').removeClass('btn-primary');
                }
                header_cart_content.css({'position':''});
                // fix bread when scroll
                if(!header.hasClass('is-ontop')){
                    header.parents('#cms-page').css({'padding-top': '0'});
                }
            }
        }
        if (window_width > 992) {
            $('.fixed-height').css({
                'height': h_header
            });
        }
    }
    /* =================
     Menu Mobile
     =================== */
     function claniz_open_mobile_menu(){
        'use strict';
        // Mega menu
        var subMegamenu = $('.sub-megamenu');
        $.each(subMegamenu, function (index, megamenu) {
            megamenu = $(megamenu);
            if (megamenu.find('.menu .current-menu-item').length > 0) {
                megamenu.parents('.megamenu').addClass('current-menu-ancestor current-menu-parent');
            }
        });
        // Mobile
        $("#main-menu-mobile").on('click', function () {
            $(this).find('.open-menu').toggleClass('opened');
            $('.cms-navigation').toggleClass('navigation-open');
        });
        /* Add toggle button to parent Menu */
        //$('.cms-primary-menu li.menu-item-has-children').append('<span class="main-menu-toggle"></span>');
        $('.main-menu-toggle').on('click', function (e) {
            e.preventDefault();
            $(this).toggleClass('open');
            $(this).parent().parent('.menu-item').find('> .sub-menu').toggleClass('submenu-open');
            $(this).parent().parent('.menu-item').find('> .sub-menu').slideToggle();
        });
    }
    /* =================
     Menu Dropdown Touched Side
     =================== */
    function claniz_dropdown_menu(){
        'use strict';
        var $menu = $('.cms-main-navigation');        
        $menu.find('.cms-primary-menu li').each(function () {
            var $submenu = $(this).find('> ul.sub-menu');
            if ($submenu.length == 1) {
                $(this).hover(function () {
                    if ($submenu.offset().left + $submenu.width() > $(window).width()) {
                        $submenu.addClass('back');
                    } else if ($submenu.offset().left < 0) {
                        $submenu.addClass('back');
                    }
                }, function () {
                    $submenu.removeClass('back');
                });
            }
        });

        $('.sub-menu .current-menu-item').parents('.menu-item-has-children').addClass('current-menu-ancestor');
    }
    /* =================
     Open Secondary Menu
     =================== */
    function claniz_open_secondary_menu(){
        'use strict';
        $('.cms-secondary-menu-title').on('click', function(e){
            e.preventDefault();
            $(this).toggleClass('active');
            $(this).next('#cms-secondary-menu').toggleClass('open').slideToggle();
        });
    }
    
    /* =================
     Hidden Side bar
    =================== */
    function claniz_header_hidden_sidebar(){
        'use strict';

        $(".cms-header-hidden-sidebar").on('click', function (e) {
            e.preventDefault();
            $('.cms-hidden-sidebar').toggleClass('open');
        });
        $(".cms-hidden-close").on('click', function (e) {
            e.preventDefault();
            $(this).parent().removeClass('open');
        });
    }
    /* ====================
      Page Title
     ====================== */
     function claniz_pagetitle(){
        'use strict';
        var pageTitle = $('#cms-pagetitle'),
            paddingBottom = parseInt(pageTitle.css('padding-bottom')),
            extraPaddingBottom = pageTitle.find('.cms-ptitle-scroll').innerHeight(),
            newpaddingBottom = paddingBottom + extraPaddingBottom;
            // new spacing
            pageTitle.css({'padding-bottom':newpaddingBottom});
     }
    /* ====================
      Fixed Footer
     ====================== */
     function claniz_footer_fixed(){
        'use strict';
        var offsetFooter = $('#cms-footer').outerHeight();
        if($('#cms-footer').hasClass('cms-footer-fixed')) {
            $('#cms-page').css({
                'padding-bottom': offsetFooter
            });
        }
     }
    /* ====================
     Scroll To Top
     ====================== */
    function claniz_scroll_to_top() {
        'use strict';
        if (scroll_top < window_height) {
            $('.cms-scroll-top').addClass('off').removeClass('on');
            $('#cms-footer').addClass('scroll-off').removeClass('scroll-on');
        }
        if (scroll_top > window_height) {
            $('.cms-scroll-top').addClass('on').removeClass('off');
            $('#cms-footer').addClass('scroll-on').removeClass('scroll-off');
        }
        if(scroll_top + window_height > ($(document).height() - 300) ) {
           //you are at bottom
           $('.cms-scroll-top').addClass('off').removeClass('on');
       }
    }
    /**
     * Media Embed dimensions
     * 
     * Youtube, Vimeo, Iframe, Video, Audio.
     * @author Chinh Duong Manh
     */
    function claniz_video_size() {
        'use strict';
        setTimeout(function(){
            $('.cms-featured iframe , .cms-featured  video, .cms-featured .wp-video-shortcode').each(function(){
                var v_width = $(this).parent().width();
                var v_height = Math.floor(v_width / (16/9));
                $(this).attr('width',v_width).css('width',v_width);
                $(this).attr('height',v_height + 59).css('height',v_height + 59);
            });
        }, 100);
    }
    /**
     * Widgets
     * $('a[href="#"]').on('click', function (e) {
            e.preventDefault();
            $(this).find('>.cms-menu-toggle').toggleClass('open');
            $(this).parent('.cms-widget-menu-item').find('>ul').slideToggle();
        });
    ***/
    function claniz_widget_nav_menu(){
        'use strict';
        $('.cms-menu-toggle').on('click', function (e) {
            e.preventDefault();
            $(this).toggleClass('open');
            $(this).parent().parent('.cms-widget-menu-item').find('>ul').slideToggle();
        });
    }
    /**
     * WooCommerce
     * Single Product
    */
    // open cart popup
    function claniz_open_cart_popup(){
        'use strict';
        $('.cms-header-cart').on('click', function (e) {
            e.preventDefault();
            var shoppingCart = $(this).parents('body').find('.cms-header-cart-content');
            shoppingCart.toggleClass('open');
        });
    }
    function claniz_open_cart_popup_position(){
        'use strict';
        var parentPos           = $('.cms-header-cart'),
            shoppingCart        = $('.cms-header-cart-content');
            if(parentPos.length === 0 || shoppingCart.length === 0) return;
        var shoppingCartW       = shoppingCart.outerWidth(),
            shoppingCart_inside = parentPos.find('.cms-header-cart-content.inside'),
            adminbarHeight      = 0, 
            headerTopHeight     = 0,
            headerHeight        = 0,
            headerCartHeight    = 40,
            offsetLeft          = parentPos.offset().left,
            shoppingCartPos     = 0;
            if( $(window).width() < ( offsetLeft + shoppingCartW ) ){
                shoppingCartPos = $(window).width() - shoppingCartW;
            } else {
                shoppingCartPos = offsetLeft;
            }
            if ( $( "#wpadminbar" ).length ) {
                adminbarHeight = $('#wpadminbar').outerHeight();
            } 
            if ( $( "#cms-header-top" ).length ) {
                headerTopHeight = $('#cms-header-top').outerHeight();
            } 
            if ( $( "#cms-header" ).length ) {
                headerHeight = $('#cms-header').outerHeight();
            }
            if($("#cms-header").hasClass('header-sticky')){
                var headerCartoffsetTop = headerHeight;
            } else {
                var headerCartoffsetTop = headerTopHeight + headerHeight;
            }
        // Top position
        shoppingCart.css({'top': headerCartoffsetTop});
        // Left/Right position
        if(claniz_is_rtl()){
            if (shoppingCartPos > 0) {
                shoppingCart.css({'right': shoppingCartPos, 'left':'auto'});
            } else {
                shoppingCart.css({'left': shoppingCartPos, 'right':'auto'});
            }
        } else {
            if (shoppingCartPos > 0) {
                shoppingCart.css({'left':shoppingCartPos, 'right':'auto'});
            } else {
                shoppingCart.css({'right': shoppingCartPos, 'left':'auto'});
            }
        }
    }
    //quantity number field custom
    function claniz_quantity_plus_minus(){
        "use strict";
        $( ".quantity input" ).wrap( "<div class='cms-quantity'></div>" );
        $('<span class="quantity-button quantity-down"></span>').insertBefore('.quantity input');
        $('<span class="quantity-button quantity-up"></span>').insertAfter('.quantity input');
        // contact form 7 input number
        $('<span class="cms-input-number-spin"><span class="cms-input-number-spin-inner cms-input-number-spin-up"></span><span class="cms-input-number-spin-inner cms-input-number-spin-down"></span></span>').insertAfter('.wpcf7-form-control-wrap input[type="number"]');
    }
    function claniz_ajax_quantity_plus_minus(){
        "use strict";
        $('<span class="quantity-button quantity-down"></span>').insertBefore('.quantity input');
        $('<span class="quantity-button quantity-up"></span>').insertAfter('.quantity input');
    }
    function claniz_quantity_plus_minus_action(){
        "use strict";
        $(document).on('click','.quantity .quantity-button',function () {
            var $this = $(this),
                spinner = $this.closest('.quantity'),
                input = spinner.find('input[type="number"]'),
                step = input.attr('step'),
                min = input.attr('min'),
                max = input.attr('max'),value = parseInt(input.val());
            if(!value) value = 0;
            if(!step) step=1;
            step = parseInt(step);
            if (!min) min = 0;
            var type = $this.hasClass('quantity-up') ? 'up' : 'down' ;
            switch (type)
            {
                case 'up':
                    if(!(max && value >= max))
                        input.val(value+step).change();
                    break;
                case 'down':
                    if (value > min)
                        input.val(value-step).change();
                    break;
            }
            if(max && (parseInt(input.val()) > max))
                input.val(max).change();
            if(parseInt(input.val()) < min)
                input.val(min).change();
        });
        $(document).on('click','.cms-input-number-spin-inner',function () {
            var $this = $(this),
                spinner = $this.parents('.wpcf7-form-control-wrap'),
                input = spinner.find('input[type="number"]'),
                step = input.attr('step'),
                min = input.attr('min'),
                max = input.attr('max'),value = parseInt(input.val());
            if(!value) value = 0;
            if(!step) step=1;
            step = parseInt(step);
            if (!min) min = 0;
            var type = $this.hasClass('cms-input-number-spin-up') ? 'up' : 'down' ;
            switch (type)
            {
                case 'up':
                    if(!(max && value >= max))
                        input.val(value+step).change();
                    break;
                case 'down':
                    if (value > min)
                        input.val(value-step).change();
                    break;
            }
            if(max && (parseInt(input.val()) > max))
                input.val(max).change();
            if(parseInt(input.val()) < min)
                input.val(min).change();
        });
    }
    // WooCommerce Single Product Gallery 
    function claniz_wc_single_product_gallery(){
        'use strict';
        if(typeof $.flexslider != 'undefined'){
            $('.wc-gallery-sync').each(function() {
                var itemW      = parseInt($(this).attr('data-thumb-w')),
                    itemH      = parseInt($(this).attr('data-thumb-h')),
                    itemN      = parseInt($(this).attr('data-thumb-n')),
                    itemMargin = parseInt($(this).attr('data-thumb-margin')),
                    itemSpace  = itemH - itemW + itemMargin;
                if($(this).hasClass('thumbnail-vertical')){
                    $(this).flexslider({
                        selector       : '.wc-gallery-sync-slides > .wc-gallery-sync-slide',
                        animation      : 'slide',
                        controlNav     : false,
                        directionNav   : true,
                        prevText       : '<span class="flex-prev-icon"></span>',
                        nextText       : '<span class="flex-next-icon"></span>',
                        asNavFor       : '.woocommerce-product-gallery',
                        direction      : 'vertical',
                        slideshow      : false,
                        animationLoop  : false,
                        itemWidth      : itemW, // add thumb image height
                        itemMargin     : itemSpace, // need it to fix transform item
                        move           : 3,
                        start: function(slider){
                            var asNavFor     = slider.vars.asNavFor,
                                height       = $(asNavFor).height(),
                                height_thumb = $(asNavFor).find('.flex-viewport').height(),
                                window_w = $(window).width();
                            if(window_w > 1024) {
                                slider.css({'max-height' : height_thumb, 'overflow': 'hidden'});
                                slider.find('> .flex-viewport > *').css({'height': height, 'width': ''});
                            }
                        }
                    });
                }
                if($(this).hasClass('thumbnail-horizontal')){
                    $(this).flexslider({
                        selector       : '.wc-gallery-sync-slides > .wc-gallery-sync-slide',
                        animation      : 'slide',
                        controlNav     : true,
                        directionNav   : false,
                        prevText       : '<span class="flex-prev-icon"></span>',
                        nextText       : '<span class="flex-next-icon"></span>',
                        asNavFor       : '.woocommerce-product-gallery',
                        slideshow      : false,
                        animationLoop  : false, // Breaks photoswipe pagination if true.
                        itemWidth      : itemW,
                        itemMargin     : itemMargin,
                        start: function(slider){

                        }
                    });
                };
            });
        }
    }
    /**
     * BACKGROUND IMAGE MOVING FUNCTION BY= jquery.bgscroll.js
    */
    (function() {
        'use strict';
        $.fn.bgscroll = $.fn.bgScroll = function( options ) {
            
            if( !this.length ) return this;
            if( !options ) options = {};
            if( !window.scrollElements ) window.scrollElements = {};
            
            for( var i = 0; i < this.length; i++ ) {
                
                var allowedChars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
                var randomId = '';
                for( var l = 0; l < 5; l++ ) randomId += allowedChars.charAt( Math.floor( Math.random() * allowedChars.length ) );
                
                    this[ i ].current = 0;
                    this[ i ].scrollSpeed = options.scrollSpeed ? options.scrollSpeed : 70;
                    this[ i ].direction = options.direction ? options.direction : 'h';
                    window.scrollElements[ randomId ] = this[ i ];
                    
                    eval( 'window[randomId]=function(){var axis=0;var e=window.scrollElements.' + randomId + ';e.current -= 1;if (e.direction == "h") axis = e.current + "px 0";else if (e.direction == "v") axis = "0 " + e.current + "px";else if (e.direction == "d") axis = e.current + "px " + e.current + "px";$( e ).css("background-position", axis);}' );
                                                             
                    setInterval( 'window.' + randomId + '()', options.scrollSpeed ? options.scrollSpeed : 70 );
                }
                
                return this;
            }
    })(jQuery);   
    function claniz_background_moving(){
        "use strict";
        // allow direction v, d
        $('.cms-bg-moving-h').bgscroll({scrollSpeed:20 , direction:'h' });
    }
    
    function claniz_elementor_section_remove(){
        'use strict';
        $('.cms-remove-row-yes').on('click', function(e){
            e.preventDefault();
            $(this).parent().remove();
        });
    }
})(jQuery);