<?php
// Register Accordion Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_accordion',
        'title'      => esc_html__( 'CMS Accordion', 'claniz' ),
        'icon'       => 'eicon-accordion',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-accordion',
            'cms-animation'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_accordion/layout-images/1.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-accordion cms-accordion-layout-'
                        ),
                    ),
                ),
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Accordions Content', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'      => 'active_section',
                                'label'     => esc_html__( 'Active section', 'claniz' ),
                                'type'      => \Elementor\Controls_Manager::NUMBER,
                                'separator' => 'after',
                            ),
                            array(
                                'name'    => 'cms_accordion',
                                'label'   => esc_html__( 'Accordion Items', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::REPEATER,
                                'default' => [
                                    [
                                        'ac_title'   => esc_html__( 'Accordion #1', 'claniz' ),
                                        'ac_content' => esc_html__( 'Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'claniz' ),
                                    ],
                                    [
                                        'ac_title'   => esc_html__( 'Accordion #2', 'claniz' ),
                                        'ac_content' => esc_html__( 'Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'claniz' ),
                                    ],
                                ],
                                'controls' => array(
                                    array(
                                        'name'  => 'ac_title',
                                        'label' => esc_html__( 'Title', 'claniz' ),
                                        'type'  => \Elementor\Controls_Manager::TEXT,
                                    ),
                                    array(
                                        'name'             => 'ac_title_icon',
                                        'label'            => esc_html__( 'Title Icon', 'claniz' ),
                                        'type'             => \Elementor\Controls_Manager::ICONS,
                                        'fa4compatibility' => 'icon',
                                        'default'          => [
                                            'value' => '',
                                            'library' => '',
                                        ],
                                    ),
                                    array(
                                        'name'  => 'ac_content',
                                        'label' => esc_html__( 'Content', 'claniz' ),
                                        'type'  => \Elementor\Controls_Manager::TEXTAREA,
                                        'rows'  => 10,
                                    ),
                                ),
                                'title_field' => '{{{ ac_title }}}',
                                'separator'   => 'after',
                            )
                        )
                    )
                ),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_element_heading_settings()
                ),
                array(
                    'name'     => 'button_01',
                    'label'    => esc_html__( 'Button 01', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn1',
                            'btn_text'         => 'Button 01',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => 'lg', 
                            'effect'           => true 
                        ])
                    )
                ),
                array(
                    'name'     => 'button_02',
                    'label'    => esc_html__( 'Button 02', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn2',
                            'btn_text'         => 'Button 02',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => 'lg', 
                            'effect'           => true 
                        ])
                    )
                ),
                array(
                    'name'     => 'explain_section',
                    'label'    => esc_html__( 'Explain Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'explain_icon_pos',
                            'label'   => esc_html__('Explain Icon position','claniz'),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'left' => esc_html__('Left','claniz'),
                                'right' => esc_html__('Right','claniz')
                            ],
                            'default' => 'left'
                        ),
                        array(
                            'name'             => 'main_icon',
                            'label'            => esc_html__( 'Icon', 'claniz' ),
                            'type'             => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                            'default'          => [
                                'value'   => 'cmsi-plus',
                                'library' => 'cmsi',
                            ],
                        ),
                        array(
                            'name'             => 'icon_active',
                            'label'            => esc_html__( 'Active Icon', 'claniz' ),
                            'type'             => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                            'default'          => [
                                'value'   => 'cmsi-minus',
                                'library' => 'cmsi',
                            ],
                            'condition' => [
                                'main_icon!' => '',
                            ],
                            'separator' => 'after',
                        )
                    )
                )
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);