<?php
// Register Fancy Box Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_anchor',
        'title'      => esc_html__( 'CMS Anchor', 'claniz' ),
        'icon'       => 'eicon-anchor',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(['default' => '']),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_anchor/layout-images/1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-scrolltop-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'icon_section',
                    'label'    => esc_html__( 'Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'anchor_id',
                                'label'       => esc_html__( 'ID', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::TEXT,
                                'placeholder' => 'cms-page',
                                'description' => __('This ID will be the CSS ID you will have to use in your own page, Without #.', 'claniz')
                            ),
                            array(
                                'name'            => 'anchor_note',
                                'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                'raw'             => sprintf( __( 'Note: The ID link ONLY accepts these chars: %s', 'claniz' ), '`A-Z, a-z, 0-9, _ , -`' ),
                                'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning',
                            ),
                            array(
                                'name'  => 'dimensions_size',
                                'label' => esc_html__( 'Dimensions', 'claniz' ),
                                'type'  => \Elementor\Controls_Manager::SLIDER,
                                'range' => [
                                    'px' => [
                                        'min' => 40,
                                        'max' => 300,
                                    ],
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .cms-anchor' => 'width: {{SIZE}}{{UNIT}};height: {{SIZE}}{{UNIT}};',
                                ]
                            ),
                            array(
                                'name'             => 'selected_icon',
                                'label'            => esc_html__( 'Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'default'          => [
                                    'library' => 'cmsi',
                                    'value'   => 'cmsi-long-arrow-up'
                                ]
                            ),
                            array(
                                'name'  => 'icon_size',
                                'label' => esc_html__( 'Icon Size', 'claniz' ),
                                'type'  => \Elementor\Controls_Manager::SLIDER,
                                'range' => [
                                    'px' => [
                                        'min' => 15,
                                        'max' => 300,
                                    ],
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .cms-anchor-icon' => 'font-size: {{SIZE}}{{UNIT}};',
                                ]
                            ),
                            array(
                                'name'        => 'title',
                                'label'       => esc_html__( 'Title', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                'placeholder' => esc_html__( 'Scroll To Top', 'claniz' ),
                                'description' => __('To hide title, enter \'-1\'', 'claniz')
                            )
                        ),
                        claniz_elementor_theme_colors([
                            'name'            => 'text_color',
                            'label'           => esc_html__('Text Color','claniz'),
                            'custom_name'     => 'text_color_custom',
                            'custom_label'    => esc_html__('Custom Icon Color','claniz'),
                            'custom_selector' => '.cms-anchor'
                        ]),
                        claniz_elementor_theme_colors([
                            'name'            => 'text_hover_color',
                            'label'           => esc_html__('Text Hover Color','claniz'),
                            'custom_name'     => 'text_hover_color_custom',
                            'custom_label'    => esc_html__('Custom Text Hover Color','claniz'),
                            'custom_selector' => '.cms-anchor:hover'
                        ]),
                        claniz_elementor_theme_colors([
                            'name'            => 'icon_bg_color',
                            'label'           => esc_html__('Background Color','claniz'),
                            'custom_name'     => 'icon_bg_color_custom',
                            'custom_label'    => esc_html__('Custom Background Color','claniz'),
                            'custom_selector' => '.cms-anchor'
                        ]),
                        claniz_elementor_theme_colors([
                            'name'                => 'icon_bg_hover_color',
                            'label'               => esc_html__('Background Hover Color','claniz'),
                            'custom_name'         => 'icon_bg_hover_color_custom',
                            'custom_label'        => esc_html__('Custom Background Color','claniz'),
                            'custom_selector'     => '.cms-anchor:hover',
                            'custom_selector_tag' => 'background-color'
                        ]),
                        array(
                            array(
                                'name'       => 'anchor_radius',
                                'label'      => esc_html__( 'Border Radius', 'claniz' ),
                                'type'       => \Elementor\Controls_Manager::DIMENSIONS,
                                'size_units' => [ 'px', '%' ],
                                'selectors'  => [
                                    '{{WRAPPER}} .cms-anchor' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ]
                            )
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);