<?php
// Register Banner Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_banner',
        'title'      => esc_html__( 'CMS Banner', 'claniz' ),
        'icon'       => 'eicon-image',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-animation'
        ),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label'      => esc_html__( 'Layout 1', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_banner/layout-images/1.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-banner-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'banner1_section',
                    'label'    => esc_html__( 'Banner 01', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' =>  array(
                        array(
                            'name'        => 'banner_1',
                            'label'       => esc_html__('Banner 01', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA
                        ),
                        array(
                            'name'         => 'banner_1',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'custom'
                        )
                    )
                ),
                array(
                    'name'     => 'banner2_section',
                    'label'    => esc_html__( 'Banner 02', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' =>  array(
                        array(
                            'name'        => 'banner_2',
                            'label'       => esc_html__('Banner 01', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA
                        ),
                        array(
                            'name'         => 'banner_2',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'custom'
                        )
                    )
                ),
                array(
                    'name'     => 'rate_section',
                    'label'    => __('Rating','claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'total_image',
                            'label'       => esc_html__('Image', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA,
                            'default'     => [
                                'url' => get_template_directory_uri().'/assets/images/star/star-3-white.png'
                            ]
                        ),
                        array(
                            'name'        => 'total_value',
                            'label'       => esc_html__('Value', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT,
                            'default'     => '99%'
                        ),
                        array(
                            'name'        => 'total_text',
                            'label'       => esc_html__('Text', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXTAREA,
                            'default'     => 'Customer Rating'
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);