<?php
// Register Button Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_button',
        'title'      => esc_html__( 'CMS Button', 'claniz' ),
        'icon'       => 'eicon-button',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-animation'
        ),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_button/layout-images/layout1.png'
                                ],
                            ],
                        ),
                    ),
                ),
                array(  
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            claniz_elementor_text_align([
                                'name'    => 'heading_align', 
                                'default' => '',
                                'label'   => __( 'Heading Alignment', 'claniz' ),
                            ])
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'label'    => __('Small Heading','claniz'),
                            'default'  => '',
                            'selector' => '.cms-smallheading'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'default'  => '',
                            'selector' => '.cms-mainheading',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'      => 'description_text',
                            'label'     => __('Description','claniz'),
                            'default'   => '',
                            'selector'  => '.cms-desc',
                            'separator' => 'before'
                        ]),
                    )
                ),
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Button Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'btn_text' => 'Click Here'
                        ])
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);