<?php
// Register Testimonial List Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_clients',
        'title'      => esc_html__('CMS Clients', 'claniz'),
        'icon'       => 'eicon-slider-push',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => array(
            'swiper',
            'cms-swiper',
            'cms-animation'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'claniz' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'claniz' ),
                            'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_clients/layout-images/1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-clients cms-clients-layout-'
                        )
                    ),
                ),
                claniz_elementor_swiper_slider_settings([
                    'tab'       => \Elementor\Controls_Manager::TAB_SETTINGS,
                ]),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            claniz_elementor_text_align([
                                'name'    => 'heading_align', 
                                'default' => '',
                                'label'   => __( 'Heading Alignment', 'claniz' ),
                            ])
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'subheading_text',
                            'label'    => '',
                            'default'  => '', 
                            'selector' => '.cms-subheading',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'label'    => '',
                            'default'  => '',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'default'  => '',
                            'label'    => '',
                            'separator' => 'before'
                        ])
                    )
                ),
                
                array(
                    'name'     => 'clients_list',
                    'label'    => esc_html__('Clients', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'     => 'clients',
                            'label'    => esc_html__('Add Client', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name'        => 'selected_img',
                                    'label'       => esc_html__('Client Image', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::MEDIA,
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'name',
                                    'label'       => esc_html__('Client Name', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'description',
                                    'label'       => esc_html__('Client Description', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'image_link',
                                    'label'       => esc_html__( 'Client Link', 'claniz' ),
                                    'type'        => \Elementor\Controls_Manager::URL,
                                    'placeholder' => esc_html__( 'https://your-link.com', 'claniz' ),
                                    'default'     => [
                                        'url'         => '#',
                                        'is_external' => 'on'
                                    ],
                                )
                            ),
                            'default' => [
                                [
                                    'selected_img'       => [
                                        'url' => get_template_directory_uri().'/elementor/templates/widgets/cms_clients/clients/8.png'
                                    ],
                                    'name'        => 'Name #1',
                                    'description' => ''
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elementor/templates/widgets/cms_clients/clients/9.png'],
                                    'name'        => 'Name #2',
                                    'description' => ''
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elementor/templates/widgets/cms_clients/clients/10.png'],
                                    'name'        => 'Name #3',
                                    'description' => ''
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elementor/templates/widgets/cms_clients/clients/11.png'],
                                    'name'        => 'Name #4',
                                    'description' => '',
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elementor/templates/widgets/cms_clients/clients/12.png'],
                                    'name'        => 'Name #5',
                                    'description' => '',
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elementor/templates/widgets/cms_clients/clients/13.png'],
                                    'name'        => 'Name #6',
                                    'description' => '',
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elementor/templates/widgets/cms_clients/clients/11.png'],
                                    'name'        => 'Name #7',
                                    'description' => '',
                                ]
                            ],
                            'title_field' => '{{{ name }}}',
                        ),
                        array(
                            'name'         => 'thumbnail_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'label'        => esc_html__('Images Size','claniz'),
                            'control_type' => 'group',
                            'default'      => 'full',
                        )
                    )
                ),
                array(
                    'name'     => 'hover_section',
                    'label'    => esc_html__( 'Hover Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'hover_style',
                            'label'       => esc_html__( 'Hover Style', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => [
                                ''         => __('Default', 'claniz'),
                                'zoom-in'  => __('Zoom In', 'claniz'),
                                'zoom-out' => __('Zoom Out', 'claniz')
                            ],
                            'default'   => '',
                            'prefix_class' => 'cms-img-hover'
                        ),
                        array(
                            'name'       => 'item_opacity',
                            'label'      => __( 'Item Opacity', 'claniz' ),
                            'type'       => \Elementor\Controls_Manager::SLIDER,
                            'size_units' => [ '%' ],
                            'range' => [
                                '%' => [
                                    'min' => 1,
                                    'max' => 100,
                                ]
                            ],
                            'default'    => [
                                'unit' => '%'
                            ],
                            'selectors' => [
                                '{{WRAPPER}} a' => 'opacity: {{SIZE}}{{UNIT}};',
                            ]
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);