<?php
// Register Commitment
etc_add_custom_widget(
    array(
        'name'       => 'cms_commitment',
        'title'      => __('CMS Commitment', 'claniz'),
        'icon'       => 'eicon-testimonial',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => [],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => __('Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => __('Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => __('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_commitment/layout-images/1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-commitments cms-commitment-layout-'
                        )
                    ),
                ),
                // Content
                array(
                    'name'     => 'heading_section',
                    'label'    => __( 'Heading Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            claniz_elementor_text_align([
                                'name'    => 'heading_align', 
                                'default' => '',
                                'label'   => __( 'Heading Alignment', 'claniz' ),
                            ])
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'label'    => __('Small Heading','claniz'),
                            'selector' => '.cms-smallheading',
                            'default'  => '',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'label'    => __('Large Heading','claniz'),
                            'selector' => '.cms-largeheading',
                            'default'  => '',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description Heading','claniz'),
                            'selector' => '.cms-desc',
                            'default'  => '',
                            'separator' => 'before'
                        ])
                    )
                ),
                array(
                    'name'     => 'cmm_heading_section',
                    'label'    => __( 'Commitment Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'    => 'cmm_title',
                            'label'   => __('Title','claniz'),
                            'type'    => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => 'Premium Home Security For Everyone!'
                        ),
                        array(
                            'name'    => 'cmm_feature1_name',
                            'label'   => __('Feature 01','claniz'),
                            'type'    => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => 'Our Security System'
                        ),
                        array(
                            'name'    => 'cmm_feature2_name',
                            'label'   => __('Feature 02','claniz'),
                            'type'    => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => 'Traditional Systems'
                        ),
                        array(
                            'name'    => 'cmm_feature3_name',
                            'label'   => __('Feature 03','claniz'),
                            'type'    => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => 'Other DIY Systems'
                        )
                    )
                ),
                array(
                    'name'     => 'commitment_list',
                    'label'    => __('Add Commitment', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'commitment',
                            'description' => __('Add Commitment', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::REPEATER,
                            'controls'    => array(
                                array(
                                    'name'        => 'cmm_label',
                                    'label'       => __('Commitment', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'cmm_feature1',
                                    'label'       => __('Feature 01', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::HEADING,
                                    'separator'   => 'before'
                                ),
                                array(
                                    'name'        => 'cmm1_type',
                                    'label'       => __('Type', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::SELECT,
                                    'options'     => [
                                        'yes'  => __('Yes','claniz'),
                                        'no'   => __('No','claniz'),
                                        'text' => __('Text','claniz')
                                    ],
                                    'default'     => 'yes'
                                ),
                                array(
                                    'name'        => 'cmm1_text',
                                    'label'       => __('Text', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXT,
                                    'condition'   => [
                                        'cmm1_type' => ['text']
                                    ]
                                ),
                                array(
                                    'name'        => 'cmm_feature2',
                                    'label'       => __('Feature 02', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::HEADING,
                                    'separator'   => 'before'
                                ),
                                array(
                                    'name'        => 'cmm2_type',
                                    'label'       => __('Type', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::SELECT,
                                    'options'     => [
                                        'yes'  => __('Yes','claniz'),
                                        'no'   => __('No','claniz'),
                                        'text' => __('Text','claniz')
                                    ],
                                    'default'     => 'yes'
                                ),
                                array(
                                    'name'        => 'cmm2_text',
                                    'label'       => __('Text', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXT,
                                    'condition'   => [
                                        'cmm2_type' => ['text']
                                    ]
                                ),
                                array(
                                    'name'        => 'cmm_feature3',
                                    'label'       => __('Feature 03', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::HEADING,
                                    'separator'   => 'before'
                                ),
                                array(
                                    'name'        => 'cmm3_type',
                                    'label'       => __('Type', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::SELECT,
                                    'options'     => [
                                        'yes'  => __('Yes','claniz'),
                                        'no'   => __('No','claniz'),
                                        'text' => __('Text','claniz')
                                    ],
                                    'default'     => 'yes'
                                ),
                                array(
                                    'name'        => 'cm3_text',
                                    'label'       => __('Text', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXT,
                                    'condition'   => [
                                        'cmm3_type' => ['text']
                                    ]
                                )
                            ),
                            'default' => [
                                [
                                    'cmm_label' => 'Integrated Security Solutions that Reduce Cost & Increase Efficiency'
                                ],
                                [
                                    'cmm_label' => 'Industry Best Practices for Standardizing Security Protocols & Procedures',
                                    'cmm2_type'  => 'no',
                                    'cmm3_type'  => 'no',
                                ],
                                [
                                    'cmm_label' => 'Comprehensive Analytics that Give Meaning To Your Security Data',
                                    'cmm3_type'  => 'no',
                                ],
                                [
                                    'cmm_label' => 'Tailored Solutions for Your Security Priorities',
                                    'cmm3_type'  => 'no',
                                ],
                                [
                                    'cmm_label' => 'Convenient System Access by Phone or Tablet',
                                    'cmm2_type'  => 'no',
                                ],
                                [
                                    'cmm_label' => 'Total Control Over Securing Your Business',
                                    'cmm2_type'  => 'no',
                                    'cmm3_type'  => 'no',
                                ],
                                [
                                    'cmm_label' => 'Average install time',
                                    'cmm1_type'  => 'text',
                                    'cmm1_text'  => '27 min',
                                    'cmm2_type'  => 'text',
                                    'cmm2_text'  => 'Pro required',
                                    'cmm3_type'  => 'text',
                                    'cmm3_text'  => '+ 4 hours'
                                ]
                            ],
                            'title_field' => '{{{ cmm_label }}}',
                        )
                    ),
                    'condition' => []
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);