<?php
etc_add_custom_widget(
    array(
        'name'       => 'cms_copyright',
        'title'      => esc_html__('CMS Copyright', 'claniz'),
        'icon'       => 'eicon-menu-bar',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => array(),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_copyright/layout-images/1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-copyright-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'setting_section',
                    'label'    => esc_html__('Settings', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'copyright_text',
                                'label'       => esc_html__('Copyright Text', 'claniz'),
                                'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                'label_block' => true,
                                'description' => __('Leave blank to use default!', 'claniz')
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'copyright_typo',
                            'selector' => '.cms-copyright-text',
                            'condition' => [
                                'copyright_text!' => ''
                            ]
                        ]),
                        claniz_elementor_theme_colors([
                            'name'            => 'link_color',
                            'label'           => __('Link Color', 'claniz'),
                            'custom_lable'    => __('Custom Link Color','claniz'),
                            'custom_selector' => '.cms-copyright-text a',
                            'condition'       => [
                                //'copyright_text!' => ''
                            ]
                        ]),
                        claniz_elementor_theme_colors([
                            'name'            => 'link_hover_color',
                            'label'           => __('Link Color Hover', 'claniz'),
                            'custom_lable'    => __('Custom Link Color Hover','claniz'),
                            'custom_selector' => '.cms-copyright-text a:hover',
                            'condition'       => [
                                //'copyright_text!' => ''
                            ]
                        ]),
                        array(
                            claniz_elementor_text_align([
                                'label'     => esc_html__('Text Align','claniz')
                            ])
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);