<?php
// Register CMS Coundown
etc_add_custom_widget(
    array(
        'name'       => 'cms_countdown',
        'title'      => esc_html__('CMS Countdown', 'claniz' ),
        'icon'       => 'eicon-countdown',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-countdown',
            'cms-animation'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_countdown/layout-images/layout1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-countdowns cms-countdown-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            claniz_elementor_text_align([
                                'name'    => 'heading_align', 
                                'default' => '',
                                'label'   => __( 'Heading Alignment', 'claniz' ),
                            ])
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'label'    => __('Small Heading','claniz'),
                            'selector' => '.cms-smallheading',
                            'default'  => '',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'label'    => __('Large Heading','claniz'),
                            'selector' => '.cms-largeheading',
                            'default'  => '',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description Heading','claniz'),
                            'selector' => '.cms-desc',
                            'default'  => '',
                            'separator' => 'before'
                        ])
                    )
                ),
                array(
                    'name'     => 'time_section',
                    'label'    => esc_html__('Time to', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'time_to',
                                'label'       => esc_html__('Choose your time', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::DATE_TIME,
                                'default'     => '',
                                'label_block' => true
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'number',
                            'label'    => __( 'Number Typo Settings', 'claniz' ),
                            'selector' => '.inner-number'
                        ]),
                        claniz_elementor_typo_settings([
                            'name'     => 'number_text',
                            'label'    => __( 'Number Text Typo Settings', 'claniz' ),
                            'selector' => '.inner-text'
                        ])
                    )
                ),
                array(
                    'name'     => 'countdownbar_section',
                    'label'    => esc_html__( 'Countdown bar', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'countdownbar_text',
                            'default'  => '',
                            'selector' => '.cms-countdownbar'
                        ])
                    )
                ),
                array(
                    'name'     => 'button1_section',
                    'label'    => esc_html__('Button 1 Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_button_settings([
                        'prefix' => 'button1_'
                    ])
                ),
                array(
                    'name'     => 'button2_section',
                    'label'    => esc_html__('Button 2 Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_button_settings([
                        'prefix' => 'button2_'
                    ])
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);