<?php
//Register Counter Widget
 etc_add_custom_widget(
    array(
        'name'       => 'cms_counter',
        'title'      => esc_html__('CMS Counter', 'claniz'),
        'icon'       => 'eicon-counter-circle',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => array(
            'jquery-numerator',
            'cms-counter',
            'cms-animation'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(),
                        array(
                            'name'         => 'layout',
                            'label'        => esc_html__( 'Templates', 'claniz' ),
                            'type'         => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'prefix_class' => 'cms-counters cms-counter-layout',
                            'default'      => '1',
                            'options'      => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_counter/layout-images/1.png'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_counter/layout-images/2.jpg'
                                ]
                            ]
                        )
                    )
                ),
                array(
                    'name'     => 'section_counter',
                    'label'    => esc_html__('Counter', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'    => 'starting_number',
                            'label'   => esc_html__('Starting Number', 'claniz'),
                            'type'    => \Elementor\Controls_Manager::NUMBER,
                            'default' => 1,
                        ),
                        array(
                            'name'    => 'ending_number',
                            'label'   => esc_html__('Ending Number', 'claniz'),
                            'type'    => \Elementor\Controls_Manager::NUMBER
                        ),
                        array(
                            'name'        => 'prefix',
                            'label'       => esc_html__('Number Prefix', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT
                        ),
                        array(
                            'name'        => 'suffix',
                            'label'       => esc_html__('Number Suffix', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT
                        ),
                        array(
                            'name'        => 'number_color',
                            'label'       => esc_html__( 'Number Color', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => claniz_elementor_theme_color_opts(),  
                        ),
                        array(
                            'name'        => 'number_custom_color',
                            'label'       => esc_html__( 'Custom Number Color', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::COLOR,
                            'condition'   => [
                                'number_color'      => 'custom'
                            ],
                            'selectors'    => [
                                '{{WRAPPER}} .cms-counter-number-wrapper' => 'color:{{VALUE}};',
                                '{{WRAPPER}} .cms-counter-number' => 'color:{{VALUE}};'
                            ]
                        ),
                        array(
                            'name'    => 'duration',
                            'label'   => esc_html__('Animation Duration', 'claniz'),
                            'type'    => \Elementor\Controls_Manager::NUMBER,
                            'default' => 2000,
                            'min'     => 100,
                            'step'    => 100,
                        ),
                        array(
                            'name'    => 'thousand_separator',
                            'label'   => esc_html__('Thousand Separator', 'claniz'),
                            'type'    => \Elementor\Controls_Manager::SWITCHER,
                            'default' => 'true',
                        ),
                        array(
                            'name'      => 'thousand_separator_char',
                            'label'     => esc_html__('Separator', 'claniz'),
                            'type'      => \Elementor\Controls_Manager::SELECT,
                            'condition' => [
                                'thousand_separator' => 'true',
                            ],
                            'options' => [
                                ''  => 'Default',
                                '.' => 'Dot',
                                ' ' => 'Space',
                            ],
                            'default' => '',
                        )
                    )
                ),
                array(
                    'name'     => 'icon_section',
                    'label'    => esc_html__( 'Icon', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'icon_type',
                                'label'   => esc_html__( 'Icon Type', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'icon' => esc_html__('Icon', 'claniz'),
                                    'image' => esc_html__('Image', 'claniz'),
                                ],
                                'default'   => 'icon'
                            ),
                            array(
                                'name'             => 'counter_icon',
                                'label'            => esc_html__( 'Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'default'          => [
                                    'library' => 'cmsi',
                                    'value'   => 'cmsi-clock'  
                                ],
                                'condition'        => [
                                    'icon_type' => 'icon'
                                ]
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'icon_text',
                            'selector' => '.cms-counter-icon',
                            'condition' => [
                                'icon_type' => 'icon'
                            ]
                        ]),
                        array(
                            array(
                                'name'      => 'icon_image',
                                'label'     => esc_html__( 'Icon Image', 'claniz' ),
                                'type'      => \Elementor\Controls_Manager::MEDIA,
                                'default'   => [
                                    'url' => \Elementor\Utils::get_placeholder_image_src()
                                ],
                                'condition' => [
                                    'icon_type' => 'image'
                                ]
                            ),
                            array(
                                'name'         => 'thumbnail_size',
                                'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                                'label'        => esc_html__('Images Size','claniz'),
                                'control_type' => 'group',
                                'default'      => 'thumbnail',
                                'condition'    => [
                                    'icon_type' => 'image'
                                ]
                            )
                        )
                    )
                ),
                array(
                    'name'     => 'heading_section',
                    'label'    => __( 'Heading Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'small_title',
                            'label'    => __('Small Title','claniz'),
                            'selector' => '.cms-counter-small-title',
                            'default'  => '',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'title',
                            'label'    => __('Large Title','claniz'),
                            'selector' => '.cms-counter-title',
                            'default'  => 'Counter Title',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description',
                            'label'    => __('Description','claniz'),
                            'selector' => '.cms-desc',
                            'default'  => 'Counter Description',
                            'separator' => 'before'
                        ])
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);