<?php
// Register Call to Action Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_cta',
        'title'      => esc_html__( 'CMS Call to Action', 'claniz' ),
        'icon'       => 'eicon-image-rollover',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-animation'
        ),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout-images/2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_cta/layout-images/2.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-ctas cms-cta-layout-',
                        )
                    ),
                ),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_icon_settings([
                            'name'         => 'heading_icon',
                            'label'        => __('Heading Icon', 'claniz'),
                            'default_icon' => '',
                            'selector'     => '.cms-cta-title-icon'
                        ]),
                        claniz_elementor_text_settings([
                            'name'      => 'subheading_text',
                            'label'     => __('Small Heading', 'claniz'),
                            'selector'  => '.cms-smallheading',
                            'default'   => '',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'      => 'heading_text',
                            'label'     => __('Large Heading', 'claniz'),
                            'selector'  => '.cms-mainheading',
                            'default'   => '',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'      => 'description_text',
                            'label'     => __('Description Text', 'claniz'),
                            'default'   => '',
                            'selector'  => '.cms-desc',
                            'separator' => 'before'
                        ])
                    )
                ),
                array(
                    'name'     => 'cta_link1',
                    'label'    => esc_html__( 'Heading Link', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_hyperlink_settings([
                        'prefix'             => 'link1',
                        'link_text'          => '',
                        'default_icon'       => '',
                        'default_icon_align' => 'right'
                    ])
                ),
                array(
                    'name'     => 'button_section1',
                    'label'    => esc_html__( 'Button Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings()
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);