<?php
// Register Fancy Box Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_download',
        'title'      => esc_html__( 'CMS Download', 'claniz' ),
        'icon'       => 'eicon-anchor',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-animation'
        ),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_download/layout-images/1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-download-layout-'
                        )
                    )
                ),
                 array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'    => 'smallheading_text',
                            'label'   => __('Small Heading','claniz'),
                            'default' => '',
                        ]),
                        claniz_elementor_text_settings([
                            'name'    => 'heading_text',
                            'default' => __('Download Brochure', 'claniz'),
                            'separator'=> 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description', 'claniz'), 
                            'default'  => '',
                            'selector' => '.cms-desc',
                            'separator'=> 'before'
                        ]),
                    )
                ),
                array(
                    'name'     => 'dowload_section',
                    'label'    => esc_html__( 'Download Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array (
                            array(
                                'name'             => 'icon_type',
                                'label'            => esc_html__( 'Icon Type', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::SELECT,
                                'options'          => [
                                    'icon' => esc_html__('Icon','claniz'),
                                    'img'  => esc_html__('Image','claniz'),
                                ],
                                'default' => 'icon'
                            ),
                            array(
                                'name'             => 'selected_icon',
                                'label'            => esc_html__( 'Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'default'          => [
                                    'library' => 'cmsi',
                                    'value'   => 'cmsi-pdf'
                                ],
                                'condition' => [
                                    'icon_type'    => 'icon'                            
                                ],
                            ),
                            array(
                                'name'             => 'selected_img',
                                'label'            => esc_html__( 'Image', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::MEDIA,
                                'default'          => '',
                                'condition' => [
                                    'icon_type'    => 'img'                            
                                ],
                            )
                        ),
                        array(
                            array(
                                'name'     => 'download_list',
                                'label'    => esc_html__( 'Download Lists', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array_merge(
                                    array(
                                        array(
                                            'name'        => 'download_title',
                                            'label'       => esc_html__( 'Title', 'claniz' ),
                                            'type'        => \Elementor\Controls_Manager::TEXT,
                                            'label_block' => true,
                                        ),
                                        array(
                                            'name'        => 'download_link',
                                            'label'       => esc_html__( 'Attachment Link', 'claniz' ),
                                            'type'        => \Elementor\Controls_Manager::URL,
                                            'placeholder' => 'https://your-link.com',
                                            'label_block' => true,
                                            'default'     => [
                                                'url'         => get_template_directory_uri().'/assets/docs/CMS-Brochure.pdf',
                                                'is_external' => 'on'
                                            ]  
                                        ),
                                        array(
                                            'name'             => 'download_icon_type',
                                            'label'            => esc_html__( 'Icon Type', 'claniz' ),
                                            'type'             => \Elementor\Controls_Manager::SELECT,
                                            'options'          => [
                                                ''     => esc_html__('Default','claniz'),
                                                'icon' => esc_html__('Icon','claniz'),
                                                'img'  => esc_html__('Image','claniz'),
                                            ]
                                        ),
                                        array(
                                            'name'      => 'download_icon',
                                            'label'     => esc_html__( 'Icon', 'claniz' ),
                                            'type'      => \Elementor\Controls_Manager::ICONS,
                                            'condition' => [
                                                'download_icon_type' => 'icon'
                                            ]
                                        ),
                                        array(
                                            'name'      => 'download_icon_img',
                                            'label'     => esc_html__( 'Icon', 'claniz' ),
                                            'type'      => \Elementor\Controls_Manager::MEDIA,
                                            'default'   => '',
                                            'condition' => [
                                                'download_icon_type'    => 'img'                  
                                            ],
                                        ),
                                        array(
                                            'name'        => 'text_color',
                                            'label'       => esc_html__( 'Text Color', 'claniz' ),
                                            'type'        => \Elementor\Controls_Manager::SELECT,
                                            'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                                        ),
                                        array(
                                            'name'        => 'bg_color',
                                            'label'       => esc_html__( 'Background Color', 'claniz' ),
                                            'type'        => \Elementor\Controls_Manager::SELECT,
                                            'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                                        ),
                                        array(
                                            'name'        => 'bg_hover_color',
                                            'label'       => esc_html__( 'Background Color Hover', 'claniz' ),
                                            'type'        => \Elementor\Controls_Manager::SELECT,
                                            'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                                        )
                                    )
                                ),
                                'default' => [
                                    [
                                        'download_title' => 'Our Report 2022',
                                        'download_link' => [
                                            'url'         => get_template_directory_uri().'/assets/docs/CMS-Brochure.pdf',
                                            'is_external' => 'on'
                                        ],
                                        'bg_color' => 'accent',
                                        'bg_hover_color' => 'primary'
                                    ],
                                    [
                                        'download_title' => 'Company Brochure',
                                        'download_link' => [
                                            'url'         => get_template_directory_uri().'/assets/docs/CMS-Brochure.pdf',
                                            'is_external' => 'on'
                                        ],
                                        'bg_color' => 'primary',
                                        'bg_hover_color' => 'accent'
                                    ]
                                ],
                                'title_field' => '{{{ elementor.helpers.renderIcon( this, download_icon, {}, "i", "panel" ) || \'<i class="{{ icon }}" aria-hidden="true"></i>\' }}} {{{ download_title }}}'
                            )
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);