<?php
// Register Fancy Box Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_fancy_box',
        'title'      => esc_html__( 'CMS Fancy Box', 'claniz' ),
        'icon'       => 'eicon-icon-box',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => [
            'swiper',
            'cms-swiper',
            'cms-animation'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(['default' => '']),
                        array(
                            'name'    => 'layout_mode',
                            'label'   => esc_html__( 'Layout More', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'default' => 'single',
                            'options'          => [
                                'single' => esc_html__('Single','claniz'),
                                'slider' => esc_html__('Slider','claniz'),
                                'grid'   => esc_html__('Grid','claniz'),
                            ],
                            'prefix_class' => 'cms-fancybox-mode-'
                        ),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/1.png'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__( 'Layout 4', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/4.jpg'
                                ],
                                '5' => [
                                    'label' => esc_html__( 'Layout 5', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/5.jpg'
                                ],
                                '6' => [
                                    'label' => esc_html__( 'Layout 6', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/6.jpg'
                                ],
                                '7' => [
                                    'label' => esc_html__( 'Layout 7', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/7.jpg'
                                ],
                                '8' => [
                                    'label' => esc_html__( 'Layout 8', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/8.jpg'
                                ],
                                '9' => [
                                    'label' => esc_html__( 'Layout 9', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/9.png'
                                ],
                                '10' => [
                                    'label' => esc_html__( 'Layout 10', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/10.jpg'
                                ],
                                '11' => [
                                    'label' => esc_html__( 'Layout 11', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/layout11.jpg'
                                ],
                                '12' => [
                                    'label' => esc_html__( 'Layout 12', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/12.jpg'
                                ],
                                '13' => [
                                    'label' => esc_html__( 'Layout 13', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/13.jpg'
                                ],
                                '14' => [
                                    'label' => esc_html__( 'Layout 14', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/14.jpg'
                                ],
                                '15' => [
                                    'label' => esc_html__( 'Layout 15', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/15.jpg'
                                ],
                                '16' => [
                                    'label' => esc_html__( 'Layout 16', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/16.jpg'
                                ],
                            ],
                            'prefix_class' => 'cms-fancyboxs cms-fancybox-layout-'
                        )
                    )
                ),
                // For layout mode Grid
                array(
                    'name'     => 'settings_section',
                    'label'    => esc_html__( 'Grid Columns', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_SETTINGS,
                    'controls' =>  array(
                        array(
                            'name'         => 'grid_col',
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'label'        => esc_html__( 'Grid Columns', 'claniz' ),  
                            'options'      => [
                                '' => __('Default','claniz'),
                                1,2,3,4,6,7,8,10,11,12
                            ],
                            'control_type' => 'responsive'
                        )
                    ),
                    'condition' => [
                        'layout_mode' => 'grid'
                    ]
                ),
                // For layout mode slider
                claniz_elementor_swiper_slider_settings([
                    'tab'      => \Elementor\Controls_Manager::TAB_SETTINGS,
                    'condition' => [
                        'layout_mode' => 'slider'
                    ]
                ]),
                array(
                    'name'     => 'icon_section',
                    'label'    => esc_html__( 'Icons', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'             => 'icon_type',
                                'label'            => esc_html__( 'Icon Type', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::SELECT,
                                'options'          => [
                                    'icon' => esc_html__('Icon','claniz'),
                                    'img'  => esc_html__('Image','claniz'),
                                ],
                                'default' => 'icon'
                            ),
                            array(
                                'name'             => 'selected_icon',
                                'label'            => esc_html__( 'Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'default'          => [],
                                'condition' => [
                                    'icon_type'    => ['icon']                            
                                ],
                            ),
                            array(
                                'name'         => 'icon_width',
                                'label'        => esc_html__( 'Icon Width', 'claniz' ),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'control_type' => 'responsive',
                                'options'      => [
                                    ''     => __('Default', 'claniz'),
                                    'auto' => __('Auto','claniz'),
                                    '12'   => __('Full', 'claniz') 
                                ],
                                'default' => ''
                            ),
                            /*array(
                                'name'  => 'icon_size',
                                'label' => esc_html__( 'Icon Size', 'claniz' ),
                                'type'  => \Elementor\Controls_Manager::SLIDER,
                                'range' => [
                                    'px' => [
                                        'min' => 15,
                                        'max' => 300,
                                    ],
                                ],
                                'condition'    => [
                                    'icon_type' => 'icon'                          
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .cms-fancy-icon' => 'font-size: {{SIZE}}{{UNIT}};',
                                ]
                            ),*/
                            array(
                                'name'         => 'icon_extra_bottom_space',
                                'label'        => esc_html__( 'Extra Bottom Space', 'claniz' ),
                                'type'         => \Elementor\Controls_Manager::SLIDER,
                                'control_type' => 'responsive',
                                'range'        => [
                                    'px' => [
                                        'min' => 0,
                                        'max' => 300,
                                    ],
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .cms-fancy-icon-wrap' => 'padding-bottom: {{SIZE}}{{UNIT}};',
                                ]
                            ),
                            array(
                                'name'        => 'icon_color',
                                'label'       => esc_html__( 'Icon Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                                'default'     => '',
                                'condition'    => [
                                    'icon_type'    => 'icon'                            
                                ]
                            )
                        ),
                        claniz_elementor_image_settings([
                            'name' => 'selected_img',
                            'label' => esc_html__( 'Image', 'claniz' ),
                            'condition' => [
                                'icon_type'    => ['img']                            
                            ]
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','2','3','4','5','10','11','13','15','16']
                    ],
                ),
                // layout 3
                /*array(
                    'name'     => 'text_sectionn',
                    'label'    => esc_html__( 'Content Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'    => 'heading_text',
                            'selector' => '.cms-mainheading',
                            'separator'=> 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description', 'claniz'), 
                            'default'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry',
                            'selector' => '.cms-desc',
                            'separator'=> 'before'
                        ]),
                    ),
                    'condition' => [
                        'layout' => ['3','5','11']
                    ],
                ),*/
                // layout 2
                array(
                    'name'     => 'info_layout2',
                    'label'    => __('Contact Info','claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'contact_color',
                            'label'       => esc_html__( 'Color', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                        ),
                        array(
                            'name'        => 'contact_color_hover',
                            'label'       => esc_html__( 'Color Hover', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                        ),
                        array(
                            'name'    => 'contact_lists',
                            'label'   => '',
                            'type'    => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name'             => 'contact_icon',
                                    'label'            => esc_html__('Icon', 'claniz'),
                                    'type'             => \Elementor\Controls_Manager::ICONS
                                ),
                                array(
                                    'name'        => 'contact_text',
                                    'label'       => esc_html__('Text', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXT,
                                ),
                                array(
                                    'name'        => 'contact_link',
                                    'label'       => esc_html__('Link', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::URL,
                                    'placeholder' => 'https://your-link.com',
                                    'default'     => [
                                        'url'         => '',
                                        'is_external' => 'on'
                                    ]
                                )
                            ),
                            'default' => [
                                [
                                    'contact_icon' => [
                                        'library' => 'cmsi',
                                        'value'   => 'cmsi-phone-alt'
                                    ],
                                    'contact_text' => 'Emergency Line: (002) 01061245741',
                                    'contact_link' => [
                                        'url'         => 'tel:01061245741',
                                        'is_external' => 'on'
                                    ]
                                ],
                                [
                                    'contact_icon' => [
                                        'library' => 'cmsi',
                                        'value'   => 'cmsi-map-marker'
                                    ],
                                    'contact_text' => 'Location: Brooklyn, New York, USA',
                                    'contact_link' => [
                                        'url'         => 'https://goo.gl/maps/tmdZFc3t4aMeWuYXA',
                                        'is_external' => 'on'
                                    ]
                                ],
                                [
                                    'contact_icon' => [
                                        'library' => 'cmsi',
                                        'value'   => 'cmsi-clock'
                                    ],
                                    'contact_text' => 'Mon - Fri: 8:00 am - 7:00 pm',
                                    'contact_link' => [
                                        'url'         => '#',
                                        'is_external' => 'on'
                                    ]
                                ]
                            ],
                            'title_field' => '{{{ elementor.helpers.renderIcon( this, contact_icon, {}, "i", "panel" ) || \'<i class="{{ contact_icon }}" aria-hidden="true"></i>\' }}} {{{ contact_text }}}'
                        )
                    ),
                    'condition' => [
                        'layout' => ['2']
                    ],
                ),
                array(
                    'name'     => 'text_section2',
                    'label'    => esc_html__( 'Title & Description', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'     => 'small_title',
                            'label'    => __('Small Title', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::TEXTAREA
                        ),
                        array(
                            'name'     => 'title',
                            'label'    => __('Title', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::TEXTAREA,
                            'default'  => __('Your Title', 'claniz')
                        ),
                        array(
                            'name'     => 'description',
                            'label'    => __('Description', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::TEXTAREA,
                            'default'  => __('Lorem Ipsum is simply dummy text of the printing and typesetting industry', 'claniz')
                        )
                    ),
                    'condition' => [
                        'layout' => ['2','4','10','13']
                    ]
                ),
                array(
                    'name'     => 'background_section',
                    'label'    => __( 'Background', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_overlay_settings()
                    ),
                    'condition' => [
                        'layout' => ['2','6','7','8','10']
                    ],
                ),
                array(
                    'name'     => 'icon_section_style',
                    'label'    => __('Icons', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'         => 'thumbnail_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'label'        => __('Icon Size','claniz'), 
                            'control_type' => 'group',
                            'condition'    => [
                                'icon_type'    => 'img'                            
                            ],
                            'default' => 'custom'
                        ),
                        array(
                            'name'  => 'icon_size',
                            'label' => esc_html__( 'Icon Size', 'claniz' ),
                            'type'  => \Elementor\Controls_Manager::SLIDER,
                            'range' => [
                                'px' => [
                                    'min' => 15,
                                    'max' => 300,
                                ],
                            ],
                            'condition'    => [
                                'icon_type' => 'icon'                          
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-icon' => 'font-size: {{SIZE}}{{UNIT}};',
                            ]
                        ),
                        array(
                            'name'        => '_icon_color',
                            'label'       => esc_html__( 'Icon Color', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                            'default'     => '',
                            'condition'    => [
                                'icon_type'    => 'icon'                            
                            ]
                        ),
                        array(
                            'name'        => 'icon_shadow',
                            'label'       => esc_html__( 'Icon Shadow', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => [
                                'yes' => __('Yes','claniz'),
                                'no'  => __('No', 'claniz')  
                            ],  
                            'default'     => 'yes'
                        )
                    )
                ),
                array(
                    'name'     => 'text_section3',
                    'label'    => esc_html__( 'Content Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'    => 'smallheading_text',
                            'label'   => __('Small Heading','claniz'),
                            'default' => '',
                            'selector' => '.cms-smallheading',
                        ]),
                        claniz_elementor_text_settings([
                            'name'    => 'heading_text',
                            'selector' => '.cms-mainheading',
                            'separator'=> 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description', 'claniz'), 
                            'default'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry',
                            'selector' => '.cms-desc',
                            'separator'=> 'before'
                        ]),
                        array(
                            array(
                                'name'    => 'show_feature',
                                'label'   => __('Show Features', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    ''      => __('Default','claniz'),
                                    'true'  => __('Yes','claniz'),
                                    'false' => __('No', 'claniz')
                                ],
                                'default'   => '',
                                'separator' => 'before'
                            ),
                            array(
                                'name'     => 'fancy_feature_01',
                                'label'    => esc_html__( 'Features', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array(
                                    array(
                                        'name'        => 'title',
                                        'label'       => esc_html__('Feature Text', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'title2',
                                        'label'       => '',
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    )
                                ),
                                'prevent_empty' => true,
                                'default' => [
                                    [
                                        'title' => 'Easy to setup and use',
                                        'title2' => '',
                                    ],
                                    [
                                        'title' => 'Environmental Sensorss',
                                        'title2' => '',
                                    ],
                                    [
                                        'title' => 'Touch Screen Panel',
                                        'title2' => '',
                                    ]
                                ],
                                'title_field' => '{{{ title }}}',
                                'condition' => [
                                    'show_feature' => ['','true']
                                ]
                            ),
                            array(
                                'name'        => 'fancy_rate',
                                'label'       => esc_html__('Rating', 'claniz'),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => [
                                    ''    => __('Default', 'claniz'),  
                                    'none'=> 'None', 
                                    '0'   => 0,
                                    '20'  => 1,
                                    '40'  => 2,
                                    '60'  => 3,
                                    '80'  => 4,
                                    '100' => 5
                                ],
                                'default'     => '',
                                'separator'   => 'before'
                            ),
                        )
                    ),
                ),
                array(
                    'name'     => 'button_01',
                    'label'    => esc_html__( 'Button 01', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn1',
                            'btn_text'         => 'Button 01',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => 'lg', 
                            'effect'           => true 
                        ])
                    ),
                    'condition' => [
                        'layout' => ['5','10'],
                    ]
                ),
                array(
                    'name'     => 'button_02',
                    'label'    => esc_html__( 'Button 02', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn2',
                            'btn_text'         => 'Button 02',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => '', 
                            'effect'           => true 
                        ])
                    ),
                    'condition' => [
                        'layout' => ['10'],
                    ]
                ),
                array(
                    'name'     => 'link_section3',
                    'label'    => esc_html__( 'Hyperlink #3', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'hyperlink',
                                'label'   => esc_html__('Hyperlink As','claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    ''          => esc_html__('Default','claniz'),
                                    'text_link' => esc_html__('Text Link','claniz'),
                                    'button'    => esc_html__('Button','claniz'),
                                    'none'      => esc_html__('None','claniz')
                                ],
                                'default' => 'text_link'
                            )
                        ),
                        claniz_elementor_hyperlink_settings([
                            'prefix'             => 'hyperlink',
                            'default_icon'       => [],
                            'default_icon_align' => 'left',
                            'link_text'          => 'Your Link',
                            'condition' => [
                                'hyperlink' => 'text_link',                           
                            ],
                        ]),
                        claniz_elementor_button_settings([
                            'condition' => [
                                'hyperlink'    => 'button'                            
                            ],
                            'prefix'    => 'btnlink',
                            'btn_text'  => 'Your Button',
                            'icon_post' => 'before'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['10', '16']
                    ],
                ),
                array(
                    'name'     => 'image_section',
                    'label'    => esc_html__( 'Image', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'image',
                                'label'   => __('Image test','claniz'),
                                'type'    => \Elementor\Controls_Manager::MEDIA,
                                'default' => [
                                    'url' => get_template_directory_uri().'/assets/images/placeholder/placeholder.png'
                                ]
                            )
                        )
                    ),
                    'condition' => [
                        'layout_mode' => 'single',
                        'layout'      => ['6','7','8']  
                    ]
                ),
                array(
                    'name'     => 'fancybox_slider1',
                    'label'    => esc_html__('Fancy Box', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'     => 'fancybox_lists',
                            'label'    => esc_html__('Fancy Box Lists', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array_merge(
                                // Icon or Image
                                array(
                                    array(
                                        'name'             => 'icon_type',
                                        'label'            => esc_html__( 'Icon Type', 'claniz' ),
                                        'type'             => \Elementor\Controls_Manager::SELECT,
                                        'options'          => [
                                            'icon' => esc_html__('Icon','claniz'),
                                            'img'  => esc_html__('Image','claniz'),
                                        ],
                                        'default' => 'icon'
                                    ),
                                    array(
                                        'name'             => 'selected_icon',
                                        'label'            => esc_html__( 'Icon', 'claniz' ),
                                        'type'             => \Elementor\Controls_Manager::ICONS,
                                        'fa4compatibility' => 'icon',
                                        'default'          => [],
                                        'condition' => [
                                            'icon_type'    => ['','icon']                            
                                        ],
                                    ),
                                    array(
                                        'name'             => 'selected_img',
                                        'label'            => esc_html__( 'Image', 'claniz' ),
                                        'type'             => \Elementor\Controls_Manager::MEDIA,
                                        'default'          => '',
                                        'condition' => [
                                            'icon_type'    => ['','img']                            
                                        ],
                                    ),
                                    array(
                                        'name'     => 'shift_job',
                                        'label'    => __('Shift Job', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::TEXT,
                                        'separator' => 'before',
                                    ),
                                    array(
                                        'name'     => 'location',
                                        'label'    => __('Location', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::TEXT,
                                        'separator' => 'before',
                                    ),
                                    array(
                                        'name'     => 'title',
                                        'label'    => __('Title', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::TEXTAREA,
                                        'default'  => __('Your Title', 'claniz'),
                                        'separator' => 'before',
                                    ),
                                    array(
                                        'name'     => 'description',
                                        'label'    => __('Description', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::TEXTAREA,
                                        'default'  => __('Lorem Ipsum is simply dummy text of the printing and typesetting industry', 'claniz'),
                                        'separator' => 'before',
                                    )
                                ),
                                array(
                                    array(
                                        'name'    => 'hyperlink',
                                        'label'   => esc_html__('Hyperlink As','claniz'),
                                        'type'    => \Elementor\Controls_Manager::SELECT,
                                        'options' => [
                                            ''          => esc_html__('Default','claniz'),
                                            'text_link' => esc_html__('Text Link','claniz'),
                                            'button'    => esc_html__('Button','claniz'),
                                            'hide'      => esc_html__('Hide','claniz'),
                                        ],
                                        'default'   => 'text_link',
                                        'separator' => 'before',
                                    )
                                ),
                                claniz_elementor_hyperlink_settings([
                                    'prefix'    => 'link_list_',
                                    'condition' => [
                                        'hyperlink' => 'text_link'               
                                    ]
                                ]),
                                claniz_elementor_button_settings([
                                    'prefix'           => 'btn_list_',
                                    'condition' => [
                                        'hyperlink'    => 'button'                            
                                    ],
                                    'btn_text'         => 'Read More',
                                ]),
                                array(
                                    array(
                                        'name'    => 'image',
                                        'label'   => __('Image','claniz'),
                                        'type'    => \Elementor\Controls_Manager::MEDIA,
                                        'default' => [
                                            'url' => get_template_directory_uri().'/assets/images/placeholder/placeholder.png'
                                        ],
                                        'separator' => 'before'
                                    )
                                )
                            ),
                            'default' => [
                                [
                                    'selected_icon' => [
                                        'library'  => 'cmsi',
                                        'value'    => 'flaticon-001-broom'
                                    ],
                                    'title'        => 'Title #1',
                                    'description'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry'
                                ],
                                [
                                    'selected_icon' => [
                                        'library'  => 'cmsi',
                                        'value'    => 'flaticon-003-bucket'
                                    ],
                                    'title'        => 'Title #2',
                                    'description'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry'
                                ],
                                [
                                    'selected_icon' => [
                                        'library'  => 'cmsi',
                                        'value'    => 'flaticon-029-wet-floor'
                                    ],
                                    'title'        => 'Title #3',
                                    'description'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry'
                                ],
                                [
                                    'selected_icon' => [
                                        'library'  => 'cmsi',
                                        'value'    => 'flaticon-005-dusting'
                                    ],
                                    'title'        => 'Title #4',
                                    'description'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry'
                                ],
                                [
                                    'selected_icon' => [
                                        'library'  => 'cmsi',
                                        'value'    => 'flaticon-002-brush'
                                    ],
                                    'title'        => 'Title #5',
                                    'description'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry'
                                ]
                            ],
                            'title_field' => '{{{ title }}}',
                        ),
                        array(
                            'name'     => 'contact_info',
                            'label'    => __('Contact Info', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::TEXTAREA,
                            'default'  => __('Your Contact', 'claniz')
                        ),
                    ),
                    'condition' => [
                        'layout_mode' => ['slider','grid']
                    ]
                ),
                array(
                    'name'     => 'banner_section',
                    'label'    => esc_html__( 'Banner', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_image_settings([
                            'name'         => 'banner',
                            'label'        => __('Banner','claniz'),
                            'default_size' => 'custom'
                        ]),
                        array(
                            array(
                                'name'    => 'banner_pos',
                                'label'   => __('Banner Position','claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'default' => 'r',
                                'options' => [
                                    'l' => __('Start','claniz'),
                                    'r' => __('End','claniz')
                                ]
                            ),
                        ),
                    ),
                    'condition' => [
                        'layout' => ['1','2','3','5','10','11']
                    ],
                ),
                // Style
                array(
                    'name'     => 'shadow_section',
                    'label'    => __( 'Items Shadow', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'        => 'item_shadow',
                            'label'       => esc_html__( 'Item Shadow', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => [
                                'none'         => __('No Shadow','claniz'),
                                ''             => __('Default', 'claniz'),
                                'cms-shadow-1' => __('CMS Shadow 1', 'claniz')
                            ],  
                            'default'     => ''
                        )
                    )
                ),
                array(
                    'name'     => 'color_section',
                    'label'    => __( 'Content Style', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_theme_colors([
                            'name'                => 'title_color',
                            'label'               => __('Title Color', 'claniz'),
                            'custom_label'        => __('Custom Title Color', 'claniz'),
                            'custom_selector'     => '.cms-fancy-title',
                            'custom_selector_tag' => 'color',
                        ]),
                        claniz_elementor_theme_colors([
                            'name'                => 'desc_color',
                            'label'               => __('Description Color', 'claniz'),
                            'custom_label'        => __('Custom Description Color', 'claniz'),
                            'custom_selector'     => '.cms-fancy-description',
                            'custom_selector_tag' => 'color',
                        ]),
                        claniz_elementor_typo_settings([
                            'label'     => __('Feature Text Settings','claniz'), 
                            'name'      => 'fancy_feature_text',
                            'selector'  => '.cms-list-title',
                            'separator' => 'before'
                        ]),
                        array(
                            array(
                                'name'     => 'fancy_feature_icon_color',
                                'label'    => __('Icon Color','claniz'),
                                'type'     => \Elementor\Controls_Manager::COLOR,
                                'selectors' => [
                                    '{{WRAPPER}} .cms-list-title:before' => 'color:{{VALUE}}'
                                ]
                            ),
                            array(
                                'name'     => 'fancy_feature_border_color',
                                'label'    => __('Border Color','claniz'),
                                'type'     => \Elementor\Controls_Manager::COLOR,
                                'selectors' => [
                                    '{{WRAPPER}} .cms-fancy-feature-item' => 'border-color:{{VALUE}}'
                                ],
                                'separator'=> 'after'
                            ),
                            array(
                                'name'      => 'background_settings_notice',
                                'type'      => \Elementor\Controls_Manager::RAW_HTML,
                                'raw'       => __('Background Settings','claniz'),
                                'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                            )
                        ),
                        claniz_elementor_theme_colors([
                            'name'                => 'fancy_content_bg',
                            'label'               => __('Content Background Color','claniz'),
                            'custom_selector'     => '.cms-fancybox-wrap',
                            'custom_selector_tag' => 'background-color',
                            'separator'           => 'before'
                        ]),
                        claniz_elementor_overlay_settings([
                            'prefix'    => 'custom_bg_',
                            'condition' => [
                                'fancy_content_bg' => 'custom'
                            ]
                        ]),
                        array(
                            array(
                                'name'            => 'bottom_settings_notice',
                                'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                'raw'             => __('Bottom Line Settings','claniz'),
                                'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning',
                                'separator'       => 'before'
                            ),
                            array(
                                'name'     => 'bottom_line_color',
                                'label'    => __('Color','claniz'),
                                'type'     => \Elementor\Controls_Manager::COLOR,
                                'selectors' => [
                                    '{{WRAPPER}} .cms-fancybox-divider' => 'height:1px; margin-top:32px; background-color:{{VALUE}}'
                                ]
                            )
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);