<?php
// Register Fancy Box Parallax Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_fancy_box_parallax',
        'title'      => esc_html__( 'CMS Fancy Box Parallax', 'claniz' ),
        'icon'       => 'eicon-icon-box',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => [
            'cms-animation'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(['default' => '']),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/5.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-images/5.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-fancybox-parallax-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'fancyboxs',
                    'label'    => esc_html__('Contents', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'     => 'fancybox_lists',
                            'label'    => esc_html__('Content Lists', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array_merge(
                                // Icon or Image
                                array(
                                    array(
                                        'name'             => 'icon_type',
                                        'label'            => esc_html__( 'Icon Type', 'claniz' ),
                                        'type'             => \Elementor\Controls_Manager::SELECT,
                                        'options'          => [
                                            'icon' => esc_html__('Icon','claniz'),
                                            'img'  => esc_html__('Image','claniz'),
                                        ],
                                        'default' => 'icon'
                                    ),
                                    array(
                                        'name'             => 'selected_icon',
                                        'label'            => esc_html__( 'Icon', 'claniz' ),
                                        'type'             => \Elementor\Controls_Manager::ICONS,
                                        'fa4compatibility' => 'icon',
                                        'default'          => [],
                                        'condition' => [
                                            'icon_type'    => ['','icon']                            
                                        ],
                                    ),
                                    array(
                                        'name'             => 'selected_img',
                                        'label'            => esc_html__( 'Image', 'claniz' ),
                                        'type'             => \Elementor\Controls_Manager::MEDIA,
                                        'default'          => '',
                                        'condition' => [
                                            'icon_type'    => ['','img']                            
                                        ],
                                    ),
                                    array(
                                        'name'     => 'title',
                                        'label'    => __('Title', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::TEXTAREA,
                                        'default'  => __('Your Title', 'claniz'),
                                        'separator' => 'before',
                                    ),
                                    array(
                                        'name'     => 'description',
                                        'label'    => __('Description', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::TEXTAREA,
                                        'default'  => __('Lorem Ipsum is simply dummy text of the printing and typesetting industry', 'claniz'),
                                        'separator' => 'before',
                                    )
                                ),
                                claniz_elementor_hyperlink_settings([
                                    'prefix'    => 'link_list_',
                                    'default_icon'      => [
                                        'library' => 'cmsi',
                                        'value'   => 'cmsi-arrow-circle-down-large'
                                    ],
                                ]),
                                array(
                                    array(
                                        'name'    => 'banner',
                                        'label'   => __('Banner','claniz'),
                                        'type'    => \Elementor\Controls_Manager::MEDIA,
                                        'default' => [
                                            'url' => get_template_directory_uri().'/assets/images/placeholder/placeholder.png'
                                        ],
                                        'separator' => 'before'
                                    )
                                )
                            ),
                            'default' => [],
                            'title_field' => '{{{ title }}}',
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);