<?php
// Register Find Location Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_find_location',
        'title'      => esc_html__( 'CMS Find Location', 'claniz' ),
        'icon'       => 'eicon-bullet-list',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label'      => esc_html__( 'Layout 1', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_find_location/layout-images/1.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-find-location-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'feature_section_01',
                    'label'    => esc_html__( 'Features', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'show_icon',
                                'label'   => esc_html__('Show Icon','claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    ''    => esc_html__('Default','claniz'),
                                    'yes' => esc_html__('Yes','claniz'),
                                    'no'  => esc_html__('No', 'claniz')  
                                ],
                                'default' => ''
                            ),
                            array(
                                'name'  => 'selected_icon',
                                'label' => __( 'Icon', 'claniz' ),
                                'type'  => \Elementor\Controls_Manager::ICONS,
                                'condition' => [
                                    'show_icon' => ['','yes']
                                ]
                            ),
                        ),
                        array(
                            array(
                                'name'     => 'locations',
                                'label'    => esc_html__( 'Locations List', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array(
                                    array(
                                        'name'        => 'title',
                                        'label'       => esc_html__('Title', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'location1',
                                        'label'       => esc_html__('Location Info - Column 01', 'claniz'),
                                        'type'        => Elementor_Theme_Core::REPEATER_CONTROL,
                                        'label_block' => true,
                                        'separator'   => 'before',
                                        'controls'    => array(
                                            array(
                                                'name'        => 'location_title',
                                                'label'       => esc_html__('Location Title', 'claniz' ),
                                                'type'        => \Elementor\Controls_Manager::TEXT,
                                                'placeholder' => esc_html__('Your Title', 'claniz' )
                                            ),
                                            array(
                                                'name'        => 'location_url',
                                                'label'       => esc_html__('Location URL', 'claniz' ),
                                                'type'        => \Elementor\Controls_Manager::TEXT,
                                                'placeholder' => esc_html__('https://www.google.com/maps/place/Alexandria', 'claniz' )
                                            )
                                        )
                                    ),
                                    array(
                                        'name'        => 'location2',
                                        'label'       => esc_html__('Location Info - Column 02', 'claniz'),
                                        'type'        => Elementor_Theme_Core::REPEATER_CONTROL,
                                        'label_block' => true,
                                        'separator'   => 'before',
                                        'controls'    => array(
                                            array(
                                                'name'        => 'location_title',
                                                'label'       => esc_html__('Location Title', 'claniz' ),
                                                'type'        => \Elementor\Controls_Manager::TEXT,
                                                'placeholder' => esc_html__('Your Title', 'claniz' )
                                            ),
                                            array(
                                                'name'        => 'location_url',
                                                'label'       => esc_html__('Location URL', 'claniz' ),
                                                'type'        => \Elementor\Controls_Manager::TEXT,
                                                'placeholder' => esc_html__('https://www.google.com/maps/place/Alexandria', 'claniz' )
                                            )
                                        )
                                    ),
                                    array(
                                        'name'        => 'location3',
                                        'label'       => esc_html__('Location Info - Column 03', 'claniz'),
                                        'type'        => Elementor_Theme_Core::REPEATER_CONTROL,
                                        'label_block' => true,
                                        'separator'   => 'before',
                                        'controls'    => array(
                                            array(
                                                'name'        => 'location_title',
                                                'label'       => esc_html__('Location Title', 'claniz' ),
                                                'type'        => \Elementor\Controls_Manager::TEXT,
                                                'placeholder' => esc_html__('Your Title', 'claniz' )
                                            ),
                                            array(
                                                'name'        => 'location_url',
                                                'label'       => esc_html__('Location URL', 'claniz' ),
                                                'type'        => \Elementor\Controls_Manager::TEXT,
                                                'placeholder' => esc_html__('https://www.google.com/maps/place/Alexandria', 'claniz' )
                                            )
                                        )
                                    ),
                                    array(
                                        'name'        => 'location4',
                                        'label'       => esc_html__('Location Info - Column 04', 'claniz'),
                                        'type'        => Elementor_Theme_Core::REPEATER_CONTROL,
                                        'label_block' => true,
                                        'separator'   => 'before',
                                        'controls'    => array(
                                            array(
                                                'name'        => 'location_title',
                                                'label'       => esc_html__('Location Title', 'claniz' ),
                                                'type'        => \Elementor\Controls_Manager::TEXT,
                                                'placeholder' => esc_html__('Your Title', 'claniz' )
                                            ),
                                            array(
                                                'name'        => 'location_url',
                                                'label'       => esc_html__('Location URL', 'claniz' ),
                                                'type'        => \Elementor\Controls_Manager::TEXT,
                                                'placeholder' => esc_html__('https://www.google.com/maps/place/Alexandria', 'claniz' )
                                            )
                                        )
                                    )
                                ),
                                'prevent_empty' => true,
                                'default'       => [],
                                'title_field'   => '{{{ title }}}',
                                'seperator'     => 'before',
                                'default'       => [
                                    [
                                        'title' => 'Africa',
                                        'location1' => '[
                                            {
                                                "location_title":"Alexandria",
                                                "location_url":"https://www.google.com/maps/place/Alexandria"
                                            },
                                            {
                                                "location_title":"Cairo (Airport Office)",
                                                "location_url":"https://www.google.com/maps/place/Cairo (Airport Office)"
                                            },
                                            {
                                                "location_title":"Casablanca",
                                                "location_url":"https://www.google.com/maps/place/Casablanca"
                                            },
                                            {
                                                "location_title":"Port Said",
                                                "location_url":"https://www.google.com/maps/place/Port+Said"
                                            },
                                            {
                                                "location_title":"Nairobi",
                                                "location_url":"https://www.google.com/maps/place/Nairobi"
                                            }
                                        ]',
                                        'location2' => '[
                                            {
                                                "location_title":"Tanger",
                                                "location_url":"https://www.google.com/maps/place/Tanger"
                                            },
                                            {
                                                "location_title":"Antananarivo",
                                                "location_url":"https://www.google.com/maps/place/Antananarivo"
                                            },
                                            {
                                                "location_title":"Mauritius Airport Office",
                                                "location_url":"https://www.google.com/maps/place/Mauritius Airport Office  "
                                            },
                                            {
                                                "location_title":"Port Louis",
                                                "location_url":"https://www.google.com/maps/place/Port Louis"
                                            },
                                            {
                                                "location_title":"Ghane",
                                                "location_url":"https://www.google.com/maps/place/Ghana"
                                            }
                                        ]',
                                        'location3' => '[
                                            {
                                                "location_title":"East Africa",
                                                "location_url":"https://www.google.com/maps/place/East Africa"
                                            },
                                            {
                                                "location_title":"Matshapa",
                                                "location_url":"https://www.google.com/maps/place/Matshapa"
                                            },
                                            {
                                                "location_title":"Port Harcourt",
                                                "location_url":"https://www.google.com/maps/place/Port Harcourt"
                                            },
                                            {
                                                "location_title":"Mahe",
                                                "location_url":"https://www.google.com/maps/place/Mahe"
                                            },
                                            {
                                                "location_title":"Manica Malawi",
                                                "location_url":"https://www.google.com/maps/place/Manica Malawi"
                                            }
                                        ]',
                                        'location4' => '[
                                            {
                                                "location_title":"Togo",
                                                "location_url":"https://www.google.com/maps/place/Togo"
                                            },
                                            {
                                                "location_title":"Angola",
                                                "location_url":"https://www.google.com/maps/place/Angola"
                                            },
                                            {
                                                "location_title":"Luanda",
                                                "location_url":"https://www.google.com/maps/place/Luanda"
                                            },
                                            {
                                                "location_title":"Tanzania",
                                                "location_url":"https://www.google.com/maps/place/Tanzania"
                                            }
                                        ]'
                                    ],
                                    [
                                        'title' => 'Asia',
                                        'location1' => '[
                                            {
                                                "location_title":"Ahmedabad",
                                                "location_url":"https://www.google.com/maps/place/Ahmedabad"
                                            },
                                            {
                                                "location_title":"Bangalore",
                                                "location_url":"https://www.google.com/maps/place/Bangalore"
                                            },
                                            {
                                                "location_title":"Bangkok",
                                                "location_url":"https://www.google.com/maps/place/Bangkok"
                                            },
                                            {
                                                "location_title":"Baroda",
                                                "location_url":"https://www.google.com/maps/place/Baroda"
                                            },
                                            {
                                                "location_title":"Beijing",
                                                "location_url":"https://www.google.com/maps/place/Beijing"
                                            }
                                        ]',
                                        'location2' => '[
                                            {
                                                "location_title":"Chennai",
                                                "location_url":"https://www.google.com/maps/place/Chennai"
                                            },
                                            {
                                                "location_title":"Chongqing",
                                                "location_url":"https://www.google.com/maps/place/Chongqing"
                                            },
                                            {
                                                "location_title":"Danang",
                                                "location_url":"https://www.google.com/maps/place/Danang"
                                            },
                                            {
                                                "location_title":"Gandhidham",
                                                "location_url":"https://www.google.com/maps/place/Gandhidham"
                                            },
                                            {
                                                "location_title":"Ho Chi Minh",
                                                "location_url":"https://www.google.com/maps/place/Ho Chi Minh"
                                            }
                                        ]',
                                        'location3' => '[
                                            {
                                                "location_title":"Kerteh",
                                                "location_url":"https://www.google.com/maps/place/Kerteh"
                                            },
                                            {
                                                "location_title":"Kolkata",
                                                "location_url":"https://www.google.com/maps/place/Kolkata"
                                            },
                                            {
                                                "location_title":"Kuala Lumpur",
                                                "location_url":"https://www.google.com/maps/place/Kuala Lumpur"
                                            },
                                            {
                                                "location_title":"Kuantan",
                                                "location_url":"https://www.google.com/maps/place/Kuantan"
                                            },
                                            {
                                                "location_title":"Medan",
                                                "location_url":"https://www.google.com/maps/place/Medan"
                                            }
                                        ]',
                                        'location4' => '[
                                            {
                                                "location_title":"Port Klang",
                                                "location_url":"https://www.google.com/maps/place/Port Klang"
                                            },
                                            {
                                                "location_title":"Qingdao",
                                                "location_url":"https://www.google.com/maps/place/Qingdao"
                                            },
                                            {
                                                "location_title":"Raigad Navi Mumbai",
                                                "location_url":"https://www.google.com/maps/place/Raigad Navi Mumbai"
                                            },
                                            {
                                                "location_title":"Semarang",
                                                "location_url":"https://www.google.com/maps/place/Semarang"
                                            },
                                            {
                                                "location_title":"Seoul",
                                                "location_url":"https://www.google.com/maps/place/Seoul"
                                            }
                                        ]'
                                    ],
                                    [
                                        'title' => 'Europe',
                                        'location1' => '[
                                            {
                                                "location_title":"Amsterdam",
                                                "location_url":"https://www.google.com/maps/place/Amsterdam"
                                            },
                                            {
                                                "location_title":"Ankara",
                                                "location_url":"https://www.google.com/maps/place/Ankara"
                                            },
                                            {
                                                "location_title":"Antwerp",
                                                "location_url":"https://www.google.com/maps/place/Antwerp"
                                            },
                                            {
                                                "location_title":"Barcelona",
                                                "location_url":"https://www.google.com/maps/place/Barcelona"
                                            },
                                            {
                                                "location_title":"Brussels",
                                                "location_url":"https://www.google.com/maps/place/Brussels"
                                            }
                                        ]',
                                        'location2' => '[
                                            {
                                                "location_title":"Frankfurt",
                                                "location_url":"https://www.google.com/maps/place/Frankfurt"
                                            },
                                            {
                                                "location_title":"Gaziemir",
                                                "location_url":"https://www.google.com/maps/place/Gaziemir"
                                            },
                                            {
                                                "location_title":"Hamburg",
                                                "location_url":"https://www.google.com/maps/place/Hamburg"
                                            },
                                            {
                                                "location_title":"Istanbul",
                                                "location_url":"https://www.google.com/maps/place/Istanbul"
                                            },
                                            {
                                                "location_title":"Izmir",
                                                "location_url":"https://www.google.com/maps/place/Izmir"
                                            }
                                        ]',
                                        'location3' => '[
                                            {
                                                "location_title":"Madrid",
                                                "location_url":"https://www.google.com/maps/place/Madrid"
                                            },
                                            {
                                                "location_title":"Malpensa",
                                                "location_url":"https://www.google.com/maps/place/Malpensa"
                                            },
                                            {
                                                "location_title":"Manchester",
                                                "location_url":"https://www.google.com/maps/place/Manchester"
                                            },
                                            {
                                                "location_title":"Marseille",
                                                "location_url":"https://www.google.com/maps/place/Marseille"
                                            },
                                            {
                                                "location_title":"Mersin",
                                                "location_url":"https://www.google.com/maps/place/Mersin"
                                            }
                                        ]',
                                        'location4' => '[
                                            {
                                                "location_title":"Orey",
                                                "location_url":"https://www.google.com/maps/place/Orey"
                                            },
                                            {
                                                "location_title":"Belarus",
                                                "location_url":"https://www.google.com/maps/place/Belarus"
                                            },
                                            {
                                                "location_title":"Ukraine",
                                                "location_url":"https://www.google.com/maps/place/Ukraine"
                                            },
                                            {
                                                "location_title":"Portland",
                                                "location_url":"https://www.google.com/maps/place/Portland"
                                            }
                                        ]'
                                    ]
                                ]
                            )
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);