<?php
// Register Image Galleries Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_galleries',
        'title'      => esc_html__('CMS Galleries', 'claniz' ),
        'icon'       => 'eicon-gallery-grid',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => [
            'cms-galleries',
            'cms-animation'
        ],
        'params'     => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'claniz' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'claniz' ),
                            'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_galleries/layout-images/1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name'     => 'grid_section',
                    'label'    => esc_html__('Image Gallery', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'       => 'wp_gallery',
                            'label'      => esc_html__( 'Add Images', 'claniz' ),
                            'type'       => \Elementor\Controls_Manager::GALLERY,
                            'show_label' => false,
                            'dynamic'    => [
                                'active' => true,
                            ],
                        ),
                        array(
                            'name'         => 'thumbnail',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'large',
                        ),
                        array(
                            'name'         => 'gallery_col',
                            'label'        => esc_html__('Columns', 'claniz' ),
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'default'      => '3',
                            'control_type' => 'responsive',
                            'options'      => [
                                '1' => esc_html__('1', 'claniz' ),
                                '2' => esc_html__('2', 'claniz' ),
                                '3' => esc_html__('3', 'claniz' ),
                                '4' => esc_html__('4', 'claniz' ),
                                '6' => esc_html__('6', 'claniz' ),
                            ],
                        ),
                        array(
                            'name'    => 'gallery_rand',
                            'label'   => esc_html__( 'Order By', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                ''     => esc_html__( 'Default', 'claniz' ),
                                'rand' => esc_html__( 'Random', 'claniz' ),
                            ],
                            'default' => '',
                        ),
                        array(
                            'name'    => 'gallery_show',
                            'label'   => esc_html__( 'Number of item to show', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::NUMBER,
                            'default' => '6',
                        ),
                        array(
                            'name'    => 'gallery_loadmore_show',
                            'label'   => esc_html__( 'Number of item to show on load more', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::NUMBER,
                            'default' => '6',
                        ),
                        array(
                            'name'    => 'load_more_text',
                            'label'   => esc_html__( 'Load More Text', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::TEXT
                        )
                    ),
                ),
                array(
                    'name'     => 'gallery_images_section',
                    'label'    => esc_html__('Images', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'         => 'gap',
                            'label'        => esc_html__('Image Gap', 'claniz' ),
                            'type'         => \Elementor\Controls_Manager::NUMBER,
                            'control_type' => 'responsive',
                            'default'      => 40
                        ),
                    ),
                ),
                array(
                    'name'     => 'caption_section',
                    'label'    => esc_html__('Caption', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'    => 'gallery_display_caption',
                            'label'   => esc_html__( 'Display', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'default' => 'none',
                            'options' => [
                                'none'  => esc_html__( 'Hide', 'claniz' ),
                                'block' => esc_html__( 'Show', 'claniz' ),
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-image-caption' => 'display: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name'    => 'caption_align',
                            'label'   => __( 'Alignment', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::CHOOSE,
                            'options' => [
                                'left' => [
                                    'title' => __( 'Left', 'claniz' ),
                                    'icon' => 'eicon-text-align-left',
                                ],
                                'center' => [
                                    'title' => __( 'Center', 'claniz' ),
                                    'icon' => 'eicon-text-align-center',
                                ],
                                'right' => [
                                    'title' => __( 'Right', 'claniz' ),
                                    'icon' => 'eicon-text-align-right',
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-image-caption' => 'text-align: {{VALUE}};',
                            ],
                            'default'   => 'center',
                            'condition' => [
                                'gallery_display_caption!' => 'none',
                            ],
                        ),
                        array(
                            'name'      => 'caption_color',
                            'label'     => esc_html__( 'Text Color', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::COLOR,
                            'default'   => '',
                            'selectors' => [
                                '{{WRAPPER}} .cms-image-caption' => 'color: {{VALUE}};',
                            ],
                            'condition' => [
                                'gallery_display_caption!' => 'none',
                            ],
                        ),
                        array(
                            'name'         => 'caption_typography',
                            'type'         => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector'     => '{{WRAPPER}} .cms-image-caption',
                            'condition'    => [
                                'gallery_display_caption!' => 'none',
                            ]
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);