<?php
// Register Heading Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_heading',
        'title'      => esc_html__( 'CMS Heading', 'claniz' ),
        'icon'       => 'eicon-t-letter',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-animation'
        ),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(['default' => '']),
                        array(
                            'name'         => 'heading_content_space',
                            'label'        => __('Content space left', 'claniz'),
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'options'      => [
                                'yes'   => __('Yes','claniz'),
                                'no'    => __('No', 'claniz')
                            ],
                            'default' => 'no'
                        ),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label'      => esc_html__( 'Layout 1', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label'      => esc_html__( 'Layout 2', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/2.jpg'
                                ],
                                '3' => [
                                    'label'      => esc_html__( 'Layout 3', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/3.jpg'
                                ],
                                '4' => [
                                    'label'      => esc_html__( 'Layout 4', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/4.jpg'
                                ],
                                '5' => [
                                    'label'      => esc_html__( 'Layout 5', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/5.jpg'
                                ],
                                '6' => [
                                    'label'      => esc_html__( 'Layout 6', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/6.jpg'
                                ],
                                '7' => [
                                    'label'      => esc_html__( 'Layout 7', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/7.jpg'
                                ],
                                '8' => [
                                    'label'      => esc_html__( 'Layout 8', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/8.jpg'
                                ],
                                '9' => [
                                    'label'      => esc_html__( 'Layout 9', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/9.jpg'
                                ],
                                '10' => [
                                    'label'      => esc_html__( 'Layout 10', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/10.jpg'
                                ],
                                '11' => [
                                    'label'      => esc_html__( 'Layout 11', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/11.jpg'
                                ],
                                '12' => [
                                    'label'      => esc_html__( 'Layout 12', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/12.jpg'
                                ],
                                '13' => [
                                    'label'      => esc_html__( 'Layout 13', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_heading/layout-images/13.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-heading-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'settings_section',
                    'label'    => esc_html__( 'Setting', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' =>  array(
                        array(
                            'name'         => 'content_col',
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'label'        => esc_html__('Content Width','claniz'),  
                            'options'      => 
                                [ '' => __('Default','claniz')] 
                                + array_combine(range(1, 12), range(1, 12))
                                + ['custom' => __('Custom', 'claniz')]
                            ,
                            'control_type' => 'responsive'
                        ),
                        array(
                            'name'          => 'content_custom_width',
                            'label'         => __('Custom Content Width', 'claniz'),
                            'type'          => \Elementor\Controls_Manager::SLIDER,
                            'control_type'  => 'responsive',
                            'selectors'     => [
                                '{{WRAPPER}} .cms-heading-wrapper' => 'flex:0 0 {{SIZE}}%; width: {{SIZE}}%;'
                            ],
                            'condition' => [
                                'content_col' => ['custom']
                            ],
                            'tablet_default' => [
                                'size' => 100,
                            ],
                            'mobile_default' => [
                                'size' => 100,
                            ],
                        ),
                        claniz_elementor_row_align(),
                        /*claniz_elementor_text_align([
                            'label' => __('Text Alignment','claniz')
                        ])*/
                    )
                ),
                array(
                    'name'     => 'icon_section',
                    'label'    => esc_html__( 'Icon', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'icon_type',
                                'label'   => esc_html__( 'Icon Type', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'icon' => esc_html__('Icon', 'claniz'),
                                    'image' => esc_html__('Image', 'claniz'),
                                ],
                                'default'   => 'icon'
                            ),
                            array(
                                'name'             => 'counter_icon',
                                'label'            => esc_html__( 'Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'default'          => [
                                    'library' => 'cmsi',
                                    'value'   => 'cmsi-clock'  
                                ],
                                'condition'        => [
                                    'icon_type' => 'icon'
                                ]
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'icon_text',
                            'selector' => '.cms-counter-icon',
                            'condition' => [
                                'icon_type' => 'icon'
                            ]
                        ]),
                        array(
                            array(
                                'name'      => 'icon_image',
                                'label'     => esc_html__( 'Icon Image', 'claniz' ),
                                'type'      => \Elementor\Controls_Manager::MEDIA,
                                'default'   => [
                                    'url' => \Elementor\Utils::get_placeholder_image_src()
                                ],
                                'condition' => [
                                    'icon_type' => 'image'
                                ]
                            ),
                            array(
                                'name'         => 'thumbnail_size',
                                'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                                'label'        => esc_html__('Images Size','claniz'),
                                'control_type' => 'group',
                                'default'      => 'thumbnail',
                                'condition'    => [
                                    'icon_type' => 'image'
                                ]
                            )
                        )
                    ),
                    'condition' => [
                        'layout' => ['7','8'],
                    ]
                ),
                array(
                    'name'     => 'ttmn_total',
                    'label'    => __('Total Rating','claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'total_image',
                            'label'       => esc_html__('Image', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA,
                            'default'     => [
                                'url' => get_template_directory_uri().'/assets/images/star/star-3-white.png'
                            ]
                        ),
                        array(
                            'name'        => 'total_value',
                            'label'       => esc_html__('Value', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT,
                            'default'     => '99%'
                        ),
                        array(
                            'name'        => 'total_text',
                            'label'       => esc_html__('Text', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXTAREA,
                            'default'     => 'Customer Rating'
                        ),
                        array(
                            'name'    => 'total_banner',
                            'label'   => __('Banner','claniz'),
                            'type'    => \Elementor\Controls_Manager::MEDIA,
                            'default' => [
                                'url' => get_template_directory_uri().'/assets/images/placeholder/placeholder.png'
                            ],
                            'separator' => 'before',
                            'condition' => [
                                'layout' => ['10']
                            ]
                        )
                    ),
                    'condition' => [
                        'layout' => ['7', '10']
                    ]
                ),
                array(
                    'name'     => 'subheading_section1',
                    'label'    => esc_html__( 'Small Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'label'    => '', 
                            'default'  => '',
                            'selector' => '.cms-smallheading'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','2','11'],
                    ]
                ),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'default'  => 'This is heading',
                            'selector' => '.cms-mainheading',
                            'label'    => '',
                            'effect'   => true,
                            'default'  => '',
                            'custom_width' => true  
                        ]),
                        array(
                            array(
                                'name' => 'color_heading_underline',
                                'label'       => esc_html__('Color Underline Heading', 'claniz'),
                                'type'        => \Elementor\Controls_Manager::COLOR,
                                'selectors'   => [
                                    '{{WRAPPER}} .cms-mainheading .underline-hd1' => 'color:{{VALUE}} !important;'
                                ]
                            )
                        ),
                    )
                ),
                claniz_elementor_typo_settings([  
                    'name'     => 'heading_line',
                    'label'    => __('Heading Line Typography','claniz'),
                    'selector' => '.custom-line-heading'
                ]),
                array(
                    'name'     => 'subheading_section',
                    'label'    => esc_html__( 'Sub Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'subheading_text',
                            'selector' => '.cms-subheading'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','3','4','5','6','7','8','9'],
                    ]
                ),
                array(
                    'name'     => 'desc_section_bold',
                    'label'    => esc_html__( 'Description (Bold)', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'description_text_bold',
                            'default'  => '', 
                            'label'    => __('Description (Bold)', 'claniz'), 
                            'selector' => '.cms-desc-bold'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','4','5','6','8','9','10'],
                    ]
                ),
                array(
                    'name'     => 'desc_section',
                    'label'    => esc_html__( 'Description', 'claniz' ),   
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'default'  => '', 
                            'label'    => __('Description', 'claniz'), 
                            'selector' => '.cms-desc'
                        ])
                    )
                ),
                array(
                    'name'     => 'desc_section2',
                    'label'    => esc_html__( 'Description 2', 'claniz' ), 
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'description_text2',
                            'default'  => '', 
                            'label'    => __('Description2', 'claniz'), 
                            'selector' => '.cms-desc'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['4','5','6','8','9'],
                    ]
                ),
                array(
                    'name'     => 'feature_section_01',
                    'label'    => esc_html__( 'Features', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'show_feature1',
                                'label'   => __('Show Features', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'true'  => __('Yes','claniz'),
                                    'false' => __('No', 'claniz')
                                ],
                                'default' => 'true'
                            ),
                            array(
                                'name'     => 'heading1_feature_icon',
                                'label'    => esc_html__( 'Feature Icon', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::ICONS,
                                'condition'=> [
                                    'show_feature1' => 'true'
                                ]
                            )
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_feature_01_title',
                            'default'  => '', 
                            'label'    => __('Description', 'claniz'), 
                            'selector' => '.cms-heading-feature-title',
                            'condition'=> [
                                'show_feature1' => 'true'
                            ]
                        ]),
                        array(
                            array(
                                'name'     => 'heading_feature_01',
                                'label'    => esc_html__( 'Features', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array(
                                    array(
                                        'name'        => 'title',
                                        'label'       => esc_html__('Feature Text', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    )
                                ),
                                'prevent_empty' => true,
                                'default' => [
                                    [
                                        'title' => 'Smart Home Security',
                                    ],
                                    [
                                        'title' => 'Doorbell Video Cameras',
                                    ],
                                    [
                                        'title' => 'Professional Installation',
                                    ],
                                    [
                                        'title' => 'Burglary Sensor Detection',
                                    ],
                                    [
                                        'title' => 'In Home Consultation',
                                    ],
                                    [
                                        'title' => '24/7 Alarm Monitoring',
                                    ]
                                ],
                                'title_field' => '{{{ title }}}',
                                'condition'=> [
                                    'show_feature1' => 'true'
                                ],
                                'seperator' => 'before'
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'heading_feature_01',
                            'label'    => __('Features Typography','claniz'),
                            'selector' => '.cms-list-title'
                        ]),
                        array(
                            array(
                                'name' => 'heading_feature_01_border',
                                'label'       => esc_html__('Custom Border Color', 'claniz'),
                                'type'        => \Elementor\Controls_Manager::COLOR,
                                'selectors'   => [
                                    '{{WRAPPER}} .cms-heading-feature-item' => 'border-color:{{VALUE}};'
                                ]
                            )
                        )
                    ),
                    'condition' => [
                        'layout' => ['1'],
                    ]
                ),
                array(
                    'name'     => 'signature_section',
                    'label'    => esc_html__( 'Singnature', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(  
                        array(
                            array(
                                'name'    => 'icon_type2',
                                'label'   => esc_html__( 'Icon Type', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'icon' => esc_html__('Icon', 'claniz'),
                                    'image' => esc_html__('Image', 'claniz'),
                                ],
                                'default'   => 'icon'
                            ),
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'counter_icon',
                            'selector' => '.cms-counter-icon',
                            'condition' => [
                                'icon_type' => 'icon'
                            ]
                        ]),
                        array(
                            array(
                                'name'      => 'icon_image2',
                                'label'     => esc_html__( 'Icon Image', 'claniz' ),
                                'type'      => \Elementor\Controls_Manager::MEDIA,
                                'default'   => [
                                    'url' => \Elementor\Utils::get_placeholder_image_src()
                                ],
                                'condition' => [
                                    'icon_type' => 'image'
                                ]
                            ),
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'singnature_name',
                            'label'    => __('Singnature Name','claniz'),
                            'default'  => 'Michael Brian',
                            'selector' => '.cms-signature-name',
                            'effect'   => false
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'singnature_job',
                            'label'    => __('Singnature Job','claniz'),
                            'default'  => 'The Founder',
                            'selector' => '.cms-signature-job',
                            'effect'   => false,
                            'separator'=> 'before'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','8'],
                    ]
                ),
                array(
                    'name'     => 'button_01',
                    'label'    => esc_html__( 'Button 01', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn1',
                            'btn_text'         => 'Button 01',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => 'lg', 
                            'effect'           => true 
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','4','5','6','12','13'],
                    ]
                ),
                array(
                    'name'     => 'button_02',
                    'label'    => esc_html__( 'Button 02', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn2',
                            'btn_text'         => 'Button 02',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => 'lg', 
                            'effect'           => true 
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','5','6','8','10','12','13'],
                    ]
                ),
                array(
                    'name'     => 'hyperlink_settings',
                    'label'    => esc_html__( 'Hyper Link', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_hyperlink_settings([
                            'prefix'             => 'hyperlink',
                            'link_text'          => 'Your Link',
                            'btn_type_default'   => '', 
                            'default_icon_align' => '',
                            'effect'             => true 
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','4','5','6','7','8'],
                    ]
                ),
                // Layout 3
                array(
                    'name'     => 'layout3_button',
                    'label'    => esc_html__( 'Button Our Services', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_button_settings([
                        'prefix'           => 'btn3', 
                        'btn_text'         => __('Button 02','claniz'),
                        'btn_size'         => 'lg2' ,
                        'icon_default'     => [],
                        'effect' => true
                    ]),
                    'condition'        => [
                        'layout' => ['3','4']
                    ]
                ),
                array(
                    'name'     => 'layout3_button2',
                    'label'    => esc_html__( 'Button Our Services', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_button_settings([
                        'prefix'           => 'btn3_2', 
                        'btn_text'         => __('Request An Estimate','claniz'),
                        'btn_type_default' => 'btn btn-outline', 
                        'btn_size'         => 'lg2',
                        'icon_default'     => [
                            'library' => 'cmsi',
                            'value'   => 'cmsi-arrow-right'   
                        ],
                        'effect' => true 
                    ]),
                    'condition'        => [
                        'layout' => ['3']
                    ]
                ),  
                array(
                    'name'     => 'layout3_video',
                    'label'    => __('Button Video', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_button_video_settings([
                        'prefix' => 'btn3',
                        'effect' => true
                    ]),
                    'condition'        => [
                        'layout' => ['3']
                    ]
                ),
                array(
                    'name'     => 'breadcrum',
                    'label'    => esc_html__( 'Breadcrum', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'show_breadcrum',
                            'label'       => esc_html__( 'Show Breadcrum', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SWITCHER,
                            'default'     => 'true'
                        )
                    ),
                    'condition'        => [
                        'layout' => ['3']
                    ]
                ),
                array(
                    'name'     => 'feature_section_06',
                    'label'    => esc_html__( 'Features', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'show_feature06',
                                'label'   => __('Show Features', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options'   => [
                                    'true' => __('Yes','claniz'),
                                    'false' => __('No', 'claniz')
                                ],
                                'default' => 'true'
                            ),
                            array(
                                'name'     => 'heading_feature_icon_06',
                                'label'    => esc_html__( 'Feature Icon', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::ICONS,
                            ),
                            array(
                                'name'     => 'heading_feature_06',
                                'label'    => esc_html__( 'Features', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array(
                                    array(
                                        'name'        => 'title',
                                        'label'       => esc_html__('Feature Text', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    )
                                ),
                                'prevent_empty' => true,
                                'default' => [
                                    [
                                        'title' => 'Families trust us to truly care for their homes.',
                                    ],
                                    [
                                        'title' => 'We make our services as affordable as possible.',
                                    ],
                                    [
                                        'title' => 'Trust that your home will be cleaned your way.',
                                    ]
                                ],
                                'title_field' => '{{{ title }}}',
                            )
                        )
                    ),
                    'condition' => [
                        'layout' => ['6','8', '10']
                    ]
                ),
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);