<?php
// Register How It Work Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_howitwork',
        'title'      => __('CMS How It Work', 'claniz'),
        'icon'       => 'eicon-testimonial',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => array(
            'swiper',
            'cms-swiper',
            'cms-animation'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => __('Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout_mode',
                            'label'   => __('Layout Mode','claniz'),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'grid'   => __('Grid','claniz'),
                                'slider' => __('Carousel', 'claniz')
                            ],
                            'default' => 'grid'
                        ),
                        array(
                            'name'    => 'layout',
                            'label'   => __('Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => __('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_howitwork/layout-images/1.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-howitwork-layout-'
                        )
                    )
                ),
                array(
                    'name'  => 'grid_settings',
                    'label' => __('Grid Settings', 'claniz' ),
                    'tab'   => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'         => 'grid_col',
                            'label'        => __('Column','claniz'),
                            'type'         => \Elementor\Controls_Manager::NUMBER,
                            'control_type' => 'responsive',
                            'default'      => '',
                            'min'          => 1,
                            'max'          => 12
                        ),
                        claniz_elementor_row_align([
                            'name' => 'grid_col_align'
                        ])
                    ),
                    'condition' => [
                        'layout_mode' => ['grid']
                    ]
                ),
                claniz_elementor_swiper_slider_settings([
                    'name'      => 'hiw_section_swiper_slider_settings',
                    'tab'       => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'label'     => __('Slider Settings', 'claniz' ),
                    'condition' => [
                        'layout_mode' => ['slider']
                    ]
                ]),
                array(
                    'name'     => 'content_list',
                    'label'    => __('Steps Content', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT, 
                    'controls' => array(
                        array(
                            'name'     => 'step',
                            'label'    => __('Add Step', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array_merge(
                                array(
                                    array(
                                        'name'     => 'divider_color',
                                        'label'    => __('Divider Color', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::COLOR,
                                        'selectors' => [
                                            '{{WRAPPER}} {{CURRENT_ITEM}}.cms-howitwork-item-inner:before' => 'background-color:{{VALUE}};width:calc(100% - 80px);'
                                        ]
                                    ),
                                    array(
                                        'name'        => 'icon',
                                        'label'       => __('Icon', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::ICONS,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'     => 'icon_color',
                                        'label'    => __('Icon Color', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::SELECT,
                                        'options'  => claniz_elementor_theme_color_opts(['custom' => false]),
                                        'condition' => [
                                            'icon[value]!' => ''
                                        ]
                                    ),
                                    array(
                                        'name'        => 'stcount',
                                        'label'       => __('Count', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'     => 'stcount_color',
                                        'label'    => __('Count Color', 'claniz'),
                                        'type'     => \Elementor\Controls_Manager::SELECT,
                                        'options'  => claniz_elementor_theme_color_opts(['custom' => false]),
                                        'condition' => [
                                            'stcount!' => ''
                                        ]
                                    ),
                                    array(
                                        'name'        => 'title',
                                        'label'       => __('Title', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'desc',
                                        'label'       => __('Description', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    )
                                ),
                                array(
                                    array(
                                        'name'    => 'hyperlink',
                                        'label'   => esc_html__('Hyperlink As','claniz'),
                                        'type'    => \Elementor\Controls_Manager::SELECT,
                                        'options' => [
                                            ''          => esc_html__('Default','claniz'),
                                            'text_link' => esc_html__('Text Link','claniz'),
                                            'none'      => esc_html__('None','claniz')
                                        ],
                                        'default' => '',
                                        'separator'   => 'before'
                                    )
                                ),
                                claniz_elementor_hyperlink_settings([ 
                                    'prefix'    => 'step_link',
                                    'condition' => [
                                        'hyperlink' => 'text_link',                         
                                    ],
                                    'default_icon'       => [],
                                    'default_icon_align' => 'right'
                                ])
                            ),
                            'default' => [
                                [
                                    'title' => 'Provide Us With Your Cleaning Details'
                                ],
                                [
                                    'title' => 'Pick The Suitable Plan For Your House'
                                ],
                                [
                                    'title' => 'Online Scheduling In Just Few Clicks'
                                ],
                                [
                                    'title' => 'Cleaning With Care& leave quickly'
                                ]
                            ],
                            'title_field' => '{{{ title }}}',
                        )
                    )
                ),
                array(
                    'name' => 'contact_section',
                    'label' => esc_html__('Contact Settings', 'claniz'),
                    'tab'   => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        
                        array(
                            array(
                                'name'        => 'contact_des',
                                'label'       => __('Contact Des', 'claniz'),
                                'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                'label_block' => true
                            ),
                        ),
                        array(
                            array(
                                'name'        => 'contact_text',
                                'label'       => esc_html__('Enter your Text', 'claniz'),
                                'type'        => \Elementor\Controls_Manager::TEXTAREA,
                            )
                        ),
                        claniz_elementor_hyperlink_settings([
                            'prefix' => 'contact_link'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1']
                    ]
                ),
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);