<?php
// Register Fancy Box Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_lists',
        'title'      => esc_html__( 'CMS Lists', 'claniz' ),
        'icon'       => 'eicon-bullet-list',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-animation'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(['default' => '']),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_lists/layout-images/1.png'
                                ],
                            ],
                            'prefix_class' => 'cms-lists cms-lists-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'text_section',
                    'label'    => esc_html__( 'Content Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'label'    => __('Small Heading','claniz'),
                            'default'  => '',
                            'selector' => '.cms-smallheading',
                        ]),
                        claniz_elementor_text_settings([
                            'name'      => 'heading_text',
                            'default'   => '',
                            'selector'  => '.cms-mainheading',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description', 'claniz'), 
                            'default'  => '',
                            'selector' => '.cms-desc',
                            'separator'=> 'before'
                        ]),
                        array(
                            array(
                                'name'     => 'lists',
                                'label'    => esc_html__( 'Lists', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array_merge(
                                    array(
                                        array(
                                            'name'  => 'list_icon',
                                            'label' => esc_html__( 'Icon', 'claniz' ),
                                            'type'  => \Elementor\Controls_Manager::ICONS
                                        )
                                    ),
                                    claniz_elementor_hyperlink_settings2()
                                ),
                                'prevent_empty' => true,
                                'default' => [
                                    [
                                        'list_icon' => [
                                            'library' => 'cmsi-claniz',
                                            'value'   => 'claniz-icon-plaster'
                                        ],
                                        'link_text' => 'Laboratory Analysis',
                                    ],
                                    [
                                        'list_icon' => [
                                            'library' => 'cmsi-claniz',
                                            'value'   => 'claniz-icon-plaster'
                                        ],
                                        'link_text' => 'Pediatric Clinic',
                                    ],
                                    [
                                        'list_icon' => [
                                            'library' => 'cmsi-claniz',
                                            'value'   => 'claniz-icon-plaster'
                                        ],
                                        'link_text' => 'Dental Clinic',
                                    ]
                                ],
                                'title_field' => '{{{ link_text }}}'
                            )
                        )
                    )
                ),
                array(
                    'name'     => 'link_section',
                    'label'    => esc_html__( 'Hyperlink', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'hyperlink',
                                'label'   => esc_html__('Hyperlink As','claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'text_link' => esc_html__('Text Link','claniz'),
                                    'button'    => esc_html__('Button','claniz')
                                ],
                                'default' => 'button'
                            )
                        ),
                        claniz_elementor_hyperlink_settings([
                            'condition' => [
                                'hyperlink' => 'text_link',                           
                            ],
                            'prefix'             => 'hyperlink',
                            'default_icon_align' => 'right'
                        ]),
                        claniz_elementor_button_settings([
                            'condition' => [
                                'hyperlink'    => 'button'                            
                            ],
                            'prefix'    => 'btnlink',
                            'btn_text'  => 'Read More',
                            'icon_post' => 'after'
                        ])
                    )
                ),
                array(
                    'name'     => 'color_section',
                    'label'    => __( 'Content Style', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_typo_settings([
                            'label'     => __('Text Settings','claniz'), 
                            'name'      => 'list_feature_text',
                            'selector'  => '.cms-list-title',
                            'separator' => 'before'
                        ]),
                        array(
                            array(
                                'name'  => 'icon_size',
                                'label' => esc_html__( 'Icon Size', 'claniz' ),
                                'type'  => \Elementor\Controls_Manager::SLIDER,
                                'range' => [
                                    'px' => [
                                        'min' => 15,
                                        'max' => 300,
                                    ],
                                ],
                                'condition'    => [
                                    'icon_type' => 'icon'                          
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .cms-list-icon' => 'font-size: {{SIZE}}{{UNIT}};',
                                ]
                            ),
                            array(
                                'name'        => 'icon_color',
                                'label'       => esc_html__( 'Icon Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                                'default'     => '',
                                'condition'    => [
                                    'icon_type'    => 'icon'                            
                                ]
                            ),
                            array(
                                'name'     => 'list_feature_icon_color',
                                'label'    => __('Icon Color','claniz'),
                                'type'     => \Elementor\Controls_Manager::COLOR,
                                'selectors' => [
                                    '{{WRAPPER}} .cms-list-title:before' => 'color:{{VALUE}}'
                                ],
                                'separator'=> 'after'
                            )
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);