<?php
// Register Banner Box Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_locate_pointers',
        'title'      => esc_html__('CMS Locate Pointers', 'claniz' ),
        'icon'       => 'eicon-info-box',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_locate_pointers/layout-images/1.jpg'
                                ],
                            ],
                            'prefix_class' => 'cms-locate-pointer-layout-'
                        ),
                    ),
                ),
                array(
                    'name'     => 'icon_section',
                    'label'    => esc_html__('Banner Box', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'    => 'image_bg',
                            'label'   => esc_html__('Backround Image', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::MEDIA,
                            'default' => [
                                'url' => get_template_directory_uri().'/assets/images/world-map2.png',
                            ]
                        ),
                        array(
                            'name'     => 'content_list',
                            'label'    => esc_html__('Pointers List', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'default'  => [
                                [
                                    'image'         => ['url' => ''],
                                    'title'       => 'Beverley Office',
                                    'content'       => '2307 Beverley Rd Brooklyn, New York 11226 U.S.',
                                    'content_hover' => 'holder-right',
                                    'item_postion'  => [
                                        'unit' => '%',
                                        'top'  => '26',
                                        'left' => '19'
                                    ]
                                ],
                                [
                                    'image'         => ['url' => ''],
                                    'title'       => 'Office Name #1',
                                    'content'       => '2307 Beverley Rd Brooklyn, New York 11226 U.S.',
                                    'content_hover' => 'holder-right',
                                    'item_postion'  => [
                                        'unit' => '%',
                                        'top'  => '44',
                                        'left' => '50'
                                    ]
                                ],
                                [
                                    'image'         => ['url' => ''],
                                    'title'       => 'Office Name #3',
                                    'content'       => '2307 Beverley Rd Brooklyn, New York 11226 U.S.',
                                    'content_hover' => 'holder-right',
                                    'item_postion'  => [
                                        'unit' => '%',
                                        'top'  => '16',
                                        'left' => '72'
                                    ]
                                ],
                                [
                                    'image'         => ['url' => ''],
                                    'title'       => 'Office Name #4',
                                    'content'       => '2307 Beverley Rd Brooklyn, New York 11226 U.S.',
                                    'content_hover' => 'holder-right',
                                    'item_postion'  => [
                                        'unit' => '%',
                                        'top'  => '70',
                                        'left' => '33'
                                    ]
                                ]
                            ],
                            'controls' => array(
                                array(
                                    'name'        => 'image',
                                    'label'       => esc_html__('Image Pointers', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::MEDIA,
                                    'label_block' => true,
                                    'default'     => [ 
                                        'url' => get_template_directory_uri().'/assets/images/map-pointer.png'
                                    ]
                                ),
                                array(
                                    'name'        => 'content',
                                    'label'       => esc_html__('Content', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                    'label_block' => true,
                                ),
                                array(
                                    'name'    => 'content_hover',
                                    'label'   => esc_html__('Holder Style', 'claniz' ),
                                    'type'    => \Elementor\Controls_Manager::SELECT,
                                    'options' => [
                                        'holder-right' => 'Holder Right',
                                        'holder-left'  => 'Holder Left'
                                    ],
                                    'default' => 'holder-right',
                                ),
                                array(
                                    'name'               => 'item_postion',
                                    'label'              => esc_html__('Item Postion', 'claniz' ),
                                    'type'               => \Elementor\Controls_Manager::DIMENSIONS,
                                    'control_type'       => 'responsive',
                                    'allowed_dimensions' => ['top', 'left'],
                                    'size_units'         => [ 'px', '%' ],
                                    'range' => [
                                        '%' => [
                                            'min' => 0,
                                            'max' => 100,
                                        ],
                                    ],
                                    'default' => [
                                        'top' => '10',
                                        'left' => '10'
                                    ],
                                    'selectors' => [
                                        '{{WRAPPER}} {{CURRENT_ITEM}}.item-pointer' => 'top: {{TOP}}{{UNIT}};left: {{LEFT}}{{UNIT}}',
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ content }}}',
                        )
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);