<?php
// Register Google Maps Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_map',
        'title'      => esc_html__( 'CMS Google Maps', 'claniz' ),
        'icon'       => 'eicon-google-maps',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => [],
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_text_align(['default' => '']),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label'      => esc_html__( 'Layout 1', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_map/layout-images/1.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-maps-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'map_image_section',
                    'label'    => esc_html__('Maps Image', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'map_link',
                            'label'       => esc_html__('Map URL', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::URL,
                            'default'     => [
                                'url' => 'https://maps.google.com'
                            ]
                        ),
                        array(
                            'name'    => 'map_image',
                            'label'   => esc_html__( 'Choose Image', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::MEDIA,
                            'dynamic' => [
                                'active' => true,
                            ],
                            'default' => [
                                'url' => get_template_directory_uri() . '/elementor/templates/widgets/cms_map/map/1.jpg'
                            ]
                        ),
                        array(
                            'name'         => 'map_image_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'label'        => esc_html__('Images Size','claniz'),
                            'control_type' => 'group',
                            'default'      => 'full',
                        )
                    )
                ),
                array(
                    'name'     => 'smallheading_section',
                    'label'    => esc_html__( 'Small Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_text_settings([
                        'name'     => 'smallheading_text',
                        'label'    => '',
                        'default'  => '',
                        'selector' => '.cms-smallheading'
                    ])
                    
                ),
                array(
                    'name'     => 'largeheading_section',
                    'label'    => esc_html__( 'Large Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_text_settings([
                        'name'     => 'largeheading_text',
                        'label'    => '',
                        'default'  => '',
                        'selector' => '.cms-largeheading'
                    ])
                ),
                array(
                    'name'     => 'desc_section',
                    'label'    => esc_html__( 'Description', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_text_settings([
                        'name'     => 'description_text',
                        'default'  => '', 
                        'label'    => '', 
                        'selector' => '.cms-desc'
                    ])
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);