<?php
$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
if ( is_array( $menus ) && ! empty( $menus ) ) {
    foreach ( $menus as $single_menu ) {
        if ( is_object( $single_menu ) && isset( $single_menu->name, $single_menu->term_id ) ) {
            $custom_menus[ $single_menu->slug ] = $single_menu->name;
        }
    }
} else {
    $custom_menus = '';
}
etc_add_custom_widget(
    array(
        'name'       => 'cms_menu',
        'title'      => esc_html__('CMS Menu', 'claniz'),
        'icon'       => 'eicon-menu-bar',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => array(),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_menu/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_menu/layout-images/2.png'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_menu/layout-images/3.png'
                                ],
                                '4' => [
                                    'label' => esc_html__( 'Layout 4', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_menu/layout-images/4.png'
                                ],
                                '5' => [
                                    'label' => esc_html__( 'Layout 5', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_menu/layout-images/5.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-menu-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'setting_section',
                    'label'    => esc_html__('Heading Settings', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'default'  => '',
                            'selector' => '.cms-smallheading',
                            'label'    => __('Small Heading','claniz'),
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'selector' => '.cms-heading',
                            'separator' => 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'selector' => '.cms-desc',
                            'default'  => '',
                            'label'    => __('Description Text','claniz'),
                            'separator' => 'before'
                        ]),
                        array(
                            array(
                                'name'        => 'heading_link_page',
                                'label'       => esc_html__( 'Heading Link', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'default'     => '',
                                'options'     => claniz_elementor_list_page_opts(),
                                'condition'   => [
                                    'heading_text!' => ''
                                ],
                                'separator' => 'before'
                            )
                        )
                    )
                ),
                array(
                    'name'     => 'menu_section',
                    'label'    => esc_html__('Menu Settings', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'      => 'menu',
                                'label'     => esc_html__('Select Menu', 'claniz'),
                                'type'      => \Elementor\Controls_Manager::SELECT,
                                'options'   => $custom_menus,
                                'separator' => 'before'
                            ),
                            array(
                                'name'      => 'menu_icon_notice',
                                'type'      => \Elementor\Controls_Manager::RAW_HTML,
                                'raw'       => __('Menu Icon','claniz'),
                                'condition' => [
                                    'menu!'  => ''
                                ],
                                'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                            ),
                            array(
                                'name' => 'menu_icon',
                                //'label' => __('Menu Icon', 'claniz'),
                                'type'  => \Elementor\Controls_Manager::ICONS
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'menu_icon_type',
                            'label'    => __('Menu Icon Typography','claniz'), 
                            'color'    => false, 
                            'selector' => '.menu-item .menu-icon'
                        ]),
                        array(
                            array(
                                'name'        => 'menu_icon_color',
                                'label'       => __( 'Menu Icon Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::COLOR,
                                'selectors'   => [
                                    '{{WRAPPER}} .menu-icon' => 'color:{{VALUE}};'
                                ]
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'menu_text',
                            'label'    => __('Menu Item Typography','claniz'),
                            'color'    => false, 
                            'selector' => '.menu-item a'
                        ]),
                        array(
                            array(
                                'name'        => 'link_color',
                                'label'       => esc_html__( 'Link Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts([
                                    'custom'   => false
                                ]),/*
                                'selectors'   => [
                                    '{{WRAPPER}} .cms-menu > li:not(:last-child):after' => 'background-color:var(--color-{{VALUE}});'
                                ]*/
                            ),
                            array(
                                'name'        => 'link_hover_color',
                                'label'       => esc_html__( 'Link Hover Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts([
                                    'custom'   => false
                                ]),
                            ),
                            array(
                                'name'        => 'link_bg_color',
                                'label'       => esc_html__( 'Item Background Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts([
                                    'custom'   => false
                                ])
                            ),
                            array(
                                'name'        => 'link_bg_hover_color',
                                'label'       => esc_html__( 'Item Background Hover Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts([
                                    'custom'   => false
                                ])
                            ),
                            claniz_elementor_row_align([
                                'label'     => esc_html__('Menu Alignment','claniz')
                            ])
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);