<?php
if(!class_exists('Newsletter')) return;
// Register CMS Newsletter
etc_add_custom_widget(
    array(
		'name'       => 'cms_newsletter',
		'title'      => esc_html__( 'CMS Newsletter', 'claniz' ),
		'icon'       => 'eicon-mail',
		'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
		'scripts'    => array(),
		'params'     => array(
            'sections' => array(
                array(
					'name'     => 'layout_section',
					'label'    => esc_html__( 'Layout', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
					'controls' => array(
                        claniz_elementor_text_align(['default' => 'center']),
                        array(
							'name'    => 'layout',
							'label'   => esc_html__( 'Templates', 'claniz' ),
							'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
							'default' => '1',
							'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_newsletter/layout-images/1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-newsletter-layout-'
                        ),
                    ),
                ),
                array(
                    'name'     => 'form_section',
                    'label'    => esc_html__( 'Form Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'name_text',
                                'label'       => esc_html__( 'Name Text', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::TEXT,
                                'placeholder' => esc_html__( 'Enter placeholder text', 'claniz' ),
                                'label_block' => true 
                            ),
                            array(
                                'name'        => 'email_text',
                                'label'       => esc_html__( 'Email Text', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::TEXT,
                                'placeholder' => esc_html__( 'Enter placeholder text', 'claniz' ),
                                'label_block' => true
                            ),
                            array(
                                'name'        => 'button_text',
                                'label'       => esc_html__( 'Button Text', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::TEXT,
                                'placeholder' => esc_html__( 'Enter button text', 'claniz' ),
                                'label_block' => true
                            )
                        )
                    )
                ),
                array(
					'name'     => 'content_section',
					'label'    => esc_html__( 'Content Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'default'  => '',
                            'selector' => '.cms-smallheading',
                            'label'    => __('Small heading','claniz') 
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'largeheading_text',
                            'default'  => '',
                            'selector' => '.cms-largeheading',
                            'label'    => __('Large heading','claniz'),
                            'separator'=> 'before' 
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'default'  => '', 
                            'label'    => __('Description', 'claniz'), 
                            'selector' => '.cms-desc',
                            'separator'=> 'before'
                        ])
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);