<?php
// Register Post Grid Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_post_grid',
        'title'      => esc_html__( 'CMS Post Grid', 'claniz' ),
        'icon'       => 'eicon-posts-grid',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => [
            'imagesloaded',
            'isotope',
            'cms-post-grid',
            'cms-animation'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => claniz_elementor_post_layout(),
                            'prefix_class' => 'cms-post-layout-'
                        ),
                    ),
                ),
                array(
                    'name'     => 'heading_desc_section',
                    'label'    => esc_html__( 'Heading Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'heading_desc_layout',
                                'label'   => esc_html__( 'Heading & Description Layout', 'claniz' ),
                                'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                                'default' => '1',
                                'options' => [
                                    '1' => [
                                        'label'      => esc_html__( 'Layout 1', 'claniz' ),
                                        'image'      => get_template_directory_uri() . '/elementor/templates/layouts/posts/heading/1.png'
                                    ],  
                                ]
                            ),
                            claniz_elementor_text_align(['default' => '']),
                            array(
                                'name'         => 'heading_desc_width',
                                'label'        => __('Width', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SLIDER,
                                'control_type' => 'responsive',
                                'selectors'    => [
                                    '{{WRAPPER}} .cms-posts-heading' => 'width:{{SIZE}}%;flex: 0 0 {{SIZE}}%;'
                                ]
                            )
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'label'    => __('Small Heading','claniz'),
                            'selector' => '.cms-smallheading',
                            'default'  => '',
                            'separator'=> 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'label'    => __('Large Heading','claniz'),
                            'selector' => '.cms-mainheading',
                            'default'  => '',
                            'separator'=> 'before'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description Text','claniz'),
                            'selector' => '.cms-desc',
                            'default'  => '',
                            'separator'=> 'before'
                        ])
                    )
                ),
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Source Options', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'     => 'post_type',
                                'label'    => esc_html__( 'Select Post Type', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::SELECT,
                                'multiple' => true,
                                'options'  => etc_get_post_type_options(),
                                'default'  => 'post'
                            )
                        ),
                        etc_get_grid_term_by_post_type_options(),
                        array(
                            array(
                                'name'    => 'orderby',
                                'label'   => esc_html__( 'Order By', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'default' => 'date',
                                'options' => [
                                    'date'   => esc_html__( 'Date', 'claniz' ),
                                    'ID'     => esc_html__( 'ID', 'claniz' ),
                                    'author' => esc_html__( 'Author', 'claniz' ),
                                    'title'  => esc_html__( 'Title', 'claniz' ),
                                    'rand'   => esc_html__( 'Random', 'claniz' ),
                                ],
                            ),
                            array(
                                'name'    => 'order',
                                'label'   => esc_html__( 'Sort Order', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'default' => 'desc',
                                'options' => [
                                    'desc' => esc_html__( 'Descending', 'claniz' ),
                                    'asc'  => esc_html__( 'Ascending', 'claniz' ),
                                ],
                            ),
                            array(
                                'name'    => 'limit',
                                'label'   => esc_html__( 'Items to show', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::NUMBER,
                                'default' => '6',
                            )
                        )
                    )
                ),
                claniz_elementor_masonry_settings(),
                claniz_elementor_masonry_filter_settings(),
                claniz_elementor_masonry_column_settings(), 
                claniz_elementor_masonry_pagination_settings(),
                array(
                    'name'     => 'thumbnail_section',
                    'label'    => esc_html__( 'Thumbnail Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'         => 'thumbnail',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'custom',
                        )
                    )
                ),
                array(
                    'name'     => 'excerpt_section',
                    'label'    => esc_html__( 'Excerpt Options', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'      => 'excerpt_lenght',
                            'label'     => esc_html__( 'Excerpt lenght', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::NUMBER,
                            'default'   => 180,
                            'separator' => 'after',
                        ),
                        array(
                            'name'      => 'excerpt_more_text',
                            'label'     => esc_html__( 'Excerpt more text', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::TEXT,
                            'default'   => '...',
                            'separator' => 'after',
                        )
                    ),
                    'condition' => [
                        'layout!' => ['4']
                    ]
                ),
                array(
                    'name'     => 'readmore_section',
                    'label'    => esc_html__( 'Read More Options', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => [
                        array(
                            'name'      => 'readmore_text',
                            'label'     => esc_html__( 'Read More Text', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::TEXT,
                            'default'   => esc_html__('Read More','claniz'),
                            'separator' => 'after',
                        ),
                    ],
                    'condition' => [
                        'layout!' => ['5']
                    ]
                ),
                array(
                    'name' => 'sale_section',
                    'label' => __('Sale Options','claniz'),
                    'tab'  => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'sale_value',
                            'label' => __('Sale Value','claniz'),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => '25% off',
                        )
                    ),
                    'condition' => [
                        'layouts' => ['4']
                    ]
                ),
                array(
                    'name'     => 'button_01',
                    'label'    => esc_html__( 'Button 01', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn1',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => 'lg', 
                            'effect'           => true 
                        ])
                    )
                ),
                array(
                    'name'     => 'hyperlink_02',
                    'label'    => esc_html__( 'Hyper Link 02', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_hyperlink_settings([
                            'prefix'             => 'hyperlink2',
                            'btn_type_default'   => '', 
                            'default_icon_align' => 'right',
                            'effect'             => true 
                        ])
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);