<?php
// Register Pricing Carousel List Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_pricing_carousel',
        'title'      => esc_html__('CMS Pricing Carousel', 'claniz'),
        'icon'       => 'eicon-pricing',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => [
            'swiper',
            'cms-swiper'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout_mode',
                            'label'   => esc_html__('Layout Mode', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'slider' => __('Slider','claniz'),
                                'list'   => __('List', 'claniz') 
                            ],
                            'default' => 'slider'
                        ),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_pricing_carousel/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_pricing_carousel/layout-images/2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_pricing_carousel/layout-images/3.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-pricing_carousel-layout-'
                        )
                    ),
                ),
                // Content
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'      => 'selected_icon',
                                'label'     => esc_html__( 'Icon', 'claniz' ),
                                'type'      => \Elementor\Controls_Manager::ICONS,
                                'condition' => [
                                    'layout' => []
                                ]
                            ) 
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text'
                        ])
                    ),
                ),
                array(
                    'name'     => 'subheading_section',
                    'label'    => esc_html__( 'Sub Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'subheading_text'
                        ])
                    ),
                ),
                array(
                    'name'     => 'ttmn_total',
                    'label'    => __('Total Rating','claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'total_image',
                            'label'       => esc_html__('Image', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA,
                            'default'     => [
                                'url' => get_template_directory_uri().'/assets/images/star/star-3-white.png'
                            ]
                        ),
                        array(
                            'name'        => 'total_value',
                            'label'       => esc_html__('Value', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT,
                            'default'     => '97%'
                        ),
                        array(
                            'name'        => 'total_text',
                            'label'       => esc_html__('Text', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXTAREA,
                            'default'     => 'Customer Rating'
                        )
                    ),
                ),
                array(
                    'name'     => 'pricing_carousel_list',
                    'label'    => __('Add Pricing Carouse', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'pricing_carousel',
                            'description' => __('Add Pricing Carousel', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::REPEATER,
                            'controls'    => array_merge(
                                array(
                                    array(
                                        'name'        => 'img',
                                        'label'       => esc_html__('Banner', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::MEDIA
                                    ),
                                    array(
                                        'name'    => 'icon_type',
                                        'label'   => esc_html__( 'Icon Type', 'claniz' ),
                                        'type'    => \Elementor\Controls_Manager::SELECT,
                                        'options' => [
                                            'icon' => esc_html__('Icon', 'claniz'),
                                            'image' => esc_html__('Image', 'claniz'),
                                        ],
                                        'default'   => 'image'
                                    ),
                                    array(
                                        'name'             => 'icon_icon',
                                        'label'            => esc_html__( 'Icon', 'claniz' ),
                                        'type'             => \Elementor\Controls_Manager::ICONS,
                                        'condition'        => [
                                            'icon_type' => 'icon'
                                        ],
                                        'default' => [
                                            'library' => 'cmsi',
                                            'value'   => 'cmsi-heart'
                                        ]
                                    ),
                                    array(
                                        'name'      => 'img2',
                                        'label'     => esc_html__( 'Icon Image', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::MEDIA,
                                        'default'   => '',
                                        'condition' => [
                                            'icon_type' => 'image'
                                        ]
                                    ),
                                    /*array(
                                        'name'        => 'img2',
                                        'label'       => esc_html__('Image2', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::MEDIA
                                    ),*/
                                    array(
                                        'name'        => 'title',
                                        'label'       => esc_html__('Title', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'description',
                                        'label'       => esc_html__('Description', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'label_block' => true,
                                    ),
                                    
                                    array(
                                        'name'        => 'feature1',
                                        'label'       => esc_html__('Feature', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'feature2',
                                        'label'       => esc_html__('Feature', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'feature3',
                                        'label'       => esc_html__('Feature', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'price_currency',
                                        'label'       => esc_html__('Currency', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'default'     => '$',
                                        'label_block' => true,
                                        'separator' => 'before'
                                    ),
                                    array(
                                        'name'        => 'price_value',
                                        'label'       => esc_html__('Price', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'default'     => '650',
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'price_duration',
                                        'label'       => esc_html__('Duration', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'default'     => '/Mo',
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'      => 'button_pricing_label',
                                        'label'     => esc_html__('Purchase Button', 'claniz'),
                                        'type'      => \Elementor\Controls_Manager::HEADING,
                                        'separator' => 'before'
                                    )
                                ),
                                claniz_elementor_button_settings([
                                    'btn_text' => 'Purchase Now',
                                    'btn_size' => 'md'
                                ])
                            ),
                            'title_field' => '{{{title}}}',
                        )
                    ),
                ),
                array(
                    'name'     => 'ttmn_bg_image',
                    'label'    => __('Image','claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'        => 'background_image',
                            'label'       => esc_html__('Image', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA
                        ),
                        array(
                            'name'         => 'background_image_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'label'        => __('Image Size','claniz'), 
                            'control_type' => 'group',
                            'condition'    => [
                                'background_image[id]!'    => ''                            
                            ],
                            'default' => 'custom'
                        ),
                        array(
                            'name'         => 'image_as_bg',
                            'label'        => __('Image as Background','claniz'), 
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'options'      => [
                                'yes'  => __('Yes','claniz'),
                                'no'  => __('No','claniz')
                            ],
                            'default'      => 'no',
                            'separator'    => 'before'
                        )
                    ),
                ),
                array(
                    'name'     => 'quote_icon_section',
                    'label'    => esc_html__( 'Quote Icon', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'qicon_type',
                                'label'   => esc_html__( 'Icon Type', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'icon' => esc_html__('Icon', 'claniz'),
                                    'image' => esc_html__('Image', 'claniz'),
                                ],
                                'default'   => 'icon'
                            ),
                            array(
                                'name'             => 'quote_icon',
                                'label'            => esc_html__( 'Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'condition'        => [
                                    'qicon_type' => 'icon'
                                ],
                                'default' => [
                                    'library' => 'claniz-icon',
                                    'value'   => 'claniz-icon-left-quote'
                                ]
                            ),
                            array(
                                'name'      => 'quote_image',
                                'label'     => esc_html__( 'Icon Image', 'claniz' ),
                                'type'      => \Elementor\Controls_Manager::MEDIA,
                                'default'   => '',
                                'condition' => [
                                    'qicon_type' => 'image'
                                ]
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'      => 'quote_icon_typo',
                            'selector'  => '.cms-ttmn-quote-icon',
                            'condition' => [
                                'qicon_type'         => 'icon',
                                'quote_icon[value]!' => ''
                            ]
                        ])
                    ),
                    'condition' => []
                ),
                array(
                    'name'     => 'pricing_carousel_title_section',
                    'label'    => esc_html__( 'Pricing Title', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_typo_settings([
                            'name'     => 'ttmn_author_typo',
                            'selector' => '.cms-ttmn-title'
                        ])
                    ),
                ),
                array(
                    'name'     => 'pricing_carousel_desc_section',
                    'label'    => esc_html__( 'Pricing Text', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_typo_settings([
                            'name'     => 'ttmn_text_typo',
                            'selector' => '.cms-ttmn-desc'
                        ])
                    )
                ),
                // Carousel Settings
                claniz_elementor_swiper_slider_settings([
                    'tab'                  => \Elementor\Controls_Manager::TAB_SETTINGS,
                    'slide_to_show'        => '1',
                    'slide_to_show_tablet' => '1',
                    'slide_to_show_mobile' => '1',
                    'condition' => [
                        'layout_mode' => 'slider'
                    ]
                ]),
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);