<?php
etc_add_custom_widget(
    array(
        'name'       => 'cms_pricing_table',
        'title'      => esc_html__('CMS Pricing Table', 'claniz'),
        'icon'       => 'eicon-price-table',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => array(
            'cms-animation',
            'gsap',
            'gsap-scrolltrigger',
            'cms-gsap'
        ),
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_pricing_table/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_pricing_table/layout-images/2.png'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_pricing_table/layout-images/3.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-pricing-layout-'
                        ),
                    )
                ),
                array(
                    'name'      => 'badge_section',
                    'label'     => esc_html__('Badge Settings', 'claniz'),
                    'tab'       => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'show_badge',
                                'label'       => esc_html__('Show Badge', 'claniz'),
                                'type'        => \Elementor\Controls_Manager::SWITCHER,
                                'default'     => 'false'
                            )
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'badge_text',
                            'label'    => __('Badge Text','claniz'),
                            'selector' => '.cms-badge .main',
                            'default'  => __('Best Value','claniz'),
                            'effect'   => false,
                            'condition' => [
                                'show_badge' => 'true'
                            ],
                            'css_tag' => 'background-color',
                            'custom_style' => [
                                '{{WRAPPER}} .cms-ribbon .triangle, {{WRAPPER}} .cms-ribbon .main .after' => 'border-color:{{VALUE}};'
                            ]
                        ])
                    )
                ),
                array(
                    'name'      => 'icon_section',
                    'tab'       => \Elementor\Controls_Manager::TAB_CONTENT,
                    'label'     => esc_html__('Icon Settings', 'claniz'),
                    'controls' => array(
                        array(
                            'name'     => 'multi_icons',
                            'label'    => esc_html__('Multiple Icons', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name'  => 'multi_icon',
                                    'label' => esc_html__('Icon', 'claniz'),
                                    'type'  => \Elementor\Controls_Manager::ICONS,
                                )
                            ),
                            'default' => [
                                'multi_icon' => [
                                    'value'   => 'claniz-icon-default',
                                    'library' => 'cmsi-claniz'
                                ]
                            ],
                            'title_field' => '{{{ elementor.helpers.renderIcon( this, multi_icon, {}, "i", "panel" ) || \'<i class="{{ icon }}" aria-hidden="true"></i>\' }}}'
                        )
                    )
                ),
                array(
                    'name'      => 'price_section',
                    'label'     => esc_html__('Price Settings', 'claniz'),
                    'tab'       => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'price_currency',
                            'label'       => esc_html__('Currency', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT,
                            'default'     => '$'  
                        ),
                        array(
                            'name'        => 'price_value',
                            'label'       => esc_html__('Price', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT,
                            'default'     => '59'  
                        ),
                        array(
                            'name'        => 'price_duration',
                            'label'       => esc_html__('Duration', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT,
                            'default'     => '/Month'  
                        ),
                    ),
                    'condition' => [
                        'layout'      => ['1', '2']  
                    ]
                ),
                array(
                    'name'      => 'image_section',
                    'label'     => esc_html__('Image Settings', 'claniz'),
                    'tab'       => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'image',
                            'label'       => __('Image', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA,
                            'default'     => [
                                'url' => get_template_directory_uri().'/assets/images/placeholder/placeholder.png'
                            ]
                        ),
                    ),
                    'condition' => [
                        'layout'      => ['1', '2']     
                    ]
                ),
                array(
                    'name'      => 'small_heading_section',
                    'label'     => __('Small Heading', 'claniz'),
                    'tab'       => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'label'    => __('Small Heading','claniz'),
                            'selector' => '.small-heading',
                            'default'  => __('Small Heading','claniz')
                        ])
                    ),
                    'condition' => [
                        'layout'      => ['1', '2']     
                    ]
                ),
                array(
                    'name'      => 'large_heading_section',
                    'label'     => __('Main Heading', 'claniz'),
                    'tab'       => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'selector' => '.cms-pricing-large-heading',
                            'default'  => __('Main Heading', 'claniz'),
                            'border'   => true 
                        ])
                    ),
                    'condition' => [
                        'layout'      => ['1', '2']     
                    ]
                ),
                array(
                    'name'     => 'desc_section',
                    'label'    => __( 'Description', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description', 'claniz'),
                            'default'  => 'Residential house cleaning services always focus on cleaning for health, our extensive industry experience give us a leg up.',
                            'selector' => '.cms-desc'
                        ])
                    ),
                    'condition' => [
                        'layout'      => ['1', '2']     
                    ]
                ),
                array(
                    'name'     => 'features_section',
                    'label'    => esc_html__( 'Features List', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'             => 'feature_icon',
                                'label'            => esc_html__( 'Feture Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'default'          => [
                                    'library'    => 'cmsi',
                                    'value'      => 'cmsi-check-circle'
                                ]
                            ),
                            array(
                                'name'    => 'feature_lists',
                                'label'   => '',
                                'type'    => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array(
                                    array(
                                        'name'             => 'feature_icon',
                                        'label'            => esc_html__('Icon', 'claniz'),
                                        'type'             => \Elementor\Controls_Manager::ICONS
                                    ),
                                    array(
                                        'name'        => 'feature_text',
                                        'label'       => esc_html__('Text', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                    )
                                ),
                                'default' => [
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => esc_html__( 'Window sills & ledges', 'claniz' ),
                                    ],
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => esc_html__( 'Hard surface floors', 'claniz' ),
                                    ],
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => esc_html__( 'Remove cobwebs', 'claniz' ),
                                    ],
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => esc_html__( 'Empty trash', 'claniz' ),
                                    ]
                                ],
                                'title_field' => '{{{ elementor.helpers.renderIcon( this, feature_icon, {}, "i", "panel" ) || \'<i class="{{ feature_icon }}" aria-hidden="true"></i>\' }}} {{{ feature_text }}}',
                                'separator'   => 'before',
                                'empty'       => true,
                                'condition'   => [
                                    'layout' => ['1']
                                ]
                            ),
                            // feature list for layout 4
                            array(
                                'name'    => 'feature2_lists',
                                'label'   => '',
                                'type'    => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array(
                                    array(
                                        'name'             => 'feature_icon',
                                        'label'            => esc_html__('Icon', 'claniz'),
                                        'type'             => \Elementor\Controls_Manager::ICONS
                                    ),
                                    array(
                                        'name'        => 'feature_text',
                                        'label'       => esc_html__('Text', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'feature_price',
                                        'label'       => esc_html__('Price', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    )
                                ),
                                'default' => [
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => 'Mop all hard-surface floors',
                                        'feature_price' => '$50'
                                    ],
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => 'Clean and disinfect breakroom',
                                        'feature_price' => '$80'
                                    ],
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => 'Clean and disinfect bathrooms',
                                        'feature_price' => '$60'
                                    ],
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => 'Empty trash and replace liner',
                                        'feature_price' => '$75'
                                    ],
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => 'Vacuum upholstery, vents',
                                        'feature_price' => '$45'
                                    ],
                                    [
                                        'feature_icon' => '',
                                        'feature_text' => 'Vacuum and Disinfect floors',
                                        'feature_price' => '$55'
                                    ]
                                ],
                                'title_field' => '<i class="{{{ feature_icon }}}" aria-hidden="true"></i> {{{ feature_text }}}',
                                'separator'   => 'before',
                                'empty'       => true,
                                'condition'   => [
                                    'layout' => ['2']
                                ]
                            )
                        ),
                        array(
                            array(
                                'name'        => 'features_icon_color',
                                'label'       => esc_html__( 'Icon Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(),  
                                'condition'   => [
                                    'feature_lists!' => ''
                                ],
                            ),
                            array(
                                'name'        => 'features_icon_custom_color',
                                'label'       => esc_html__( 'Custom Icon Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::COLOR,
                                'condition'   => [
                                    'features_icon_color' => 'custom'
                                ],
                                'selectors'   => [
                                    '{{WRAPPER}} .cms-price-feature-icon' => 'color:{{VALUE}}'
                                ]
                            )
                        ),
                        array(
                            array(
                                'name'        => 'features_color',
                                'label'       => esc_html__( 'Text Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(),  
                                'condition'   => [
                                    'feature_lists!' => ''
                                ],
                            ),
                            array(
                                'name'        => 'features_custom_color',
                                'label'       => esc_html__( 'Custom Text Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::COLOR,
                                'condition'   => [
                                    'features_color'      => 'custom'
                                ],
                                'selectors'   => [
                                    '{{WRAPPER}} .cms-price-feature-title' => 'color:{{VALUE}}'
                                ]
                            ),
                            array(
                                'name'        => 'features_price_bg_color',
                                'label'       => esc_html__( 'Price Background Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(),
                                'separator'   => 'before',
                                'condition'   => [
                                    'feature_lists!' => '',
                                    'layout'    => ['2']
                                ],
                            ),
                            array(
                                'name'        => 'features_price_bg_custom_color',
                                'label'       => esc_html__( 'Custom Price Background Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::COLOR,
                                'label_block' => true,
                                'condition'   => [
                                    'features_price_bg_color'      => 'custom',
                                    'layout'    => ['2']
                                ],
                            ),
                            array(
                                'name'  => 'features_height',
                                'label' => esc_html__( 'Min Height?', 'claniz' ),
                                'type'  => \Elementor\Controls_Manager::NUMBER,
                                'condition'   => [
                                    'feature_lists!' => '',
                                    'layout'         => ['1x']
                                ],
                            )
                        )
                    )
                ),
                array(
                    'name'      => 'button_section',
                    'label'     => esc_html__('Button 01', 'claniz'),
                    'tab'       => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls'  => claniz_elementor_button_settings([
                        'btn_text' => __('Get Started Now', 'claniz'),
                        'btn_size' => 'mdl'  
                    ]),
                    'condition' => [
                        'layout'      => ['1', '2']     
                    ]
                ),
                array(
                    'name'      => 'button2_section',
                    'label'     => __('Button 02', 'claniz'),
                    'tab'       => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls'  => claniz_elementor_button_settings([
                        'prefix'   => 'btn2',
                        'btn_size' => 'mdl' 
                    ]),
                    'condition' => [
                        'layout'      => ['1', '2']     
                    ]
                ),
                array(
                    'name'         => 'style_section',
                    'label'        => __('Custom Style', 'claniz'),
                    'tab'          => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls'     => array(
                        array(
                            'name'         => 'inner_spacing',
                            'label'        => __('Inner Spacing', 'claniz'),
                            'type'         => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'selectors'    => [
                                '{{WRAPPER}} .cms-pricing-wraps' => 'padding: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px;'
                            ]
                        ),
                        array(
                            'name' => 'style',
                            'label' => esc_html__('Style', 'claniz' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'style1' => 'Style 1',
                                'style2' => 'Style 2',
                                'style3' => 'Style 3'
                            ],
                            'default' => 'style1',
                        ),
                        array(
                            'name'        => 'pricing_bg_color',
                            'label'       => esc_html__( 'Background Color', 'claniz' ),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => claniz_elementor_theme_color_opts(['custom' => false]),
                            'separator'   => 'before',
                            'condition'   => [
                                'layout'    => ['2']
                            ]
                        )
                    )
                ),
                array(
                    'name'     => 'pricing_lists',
                    'label'    => esc_html__('Pricings', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'     => 'pricing_list',
                            'label'    => esc_html__('Add Pricing', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array_merge(
                                array(
                                    array(
                                        'name'  => 'item_color',
                                        'label' => esc_html__('Color', 'claniz'),
                                        'type'  => \Elementor\Controls_Manager::SELECT,
                                        'options' => claniz_elementor_theme_color_opts(['custom' => false])
                                    ),
                                    array(
                                        'name'  => 'image',
                                        'label' => esc_html__('Image fgawejf', 'claniz'),
                                        'type'  => \Elementor\Controls_Manager::MEDIA,
                                    ),
                                    array(
                                        'name'  => 'badge_text',
                                        'label' => esc_html__('Badge Text', 'claniz'),
                                        'type'  => \Elementor\Controls_Manager::TEXT,
                                    ),
                                    array(
                                        'name'  => 'selected_icon',
                                        'label' => esc_html__('Select an Icon', 'claniz'),
                                        'type'  => \Elementor\Controls_Manager::ICONS
                                    ),
                                    array(
                                        'name'        => 'title',
                                        'label'       => esc_html__('Title', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'description',
                                        'label'       => esc_html__('Description', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'description2',
                                        'label'       => esc_html__('Description Two', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'             => 'feature_icon',
                                        'label'            => esc_html__('Choose Feature Icon', 'claniz'),
                                        'type'             => \Elementor\Controls_Manager::ICONS,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'pricing_list_feature_text',
                                        'label'       => esc_html__('Add Feature', 'claniz'),
                                        'description' => esc_html__('Each feature per line','claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'price_currency',
                                        'label'       => esc_html__('Currency', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'default'     => '$',
                                        'label_block' => true,
                                        'separator' => 'before'
                                    ),
                                    array(
                                        'name'        => 'price_value',
                                        'label'       => esc_html__('Price', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'default'     => '650',
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'        => 'price_duration',
                                        'label'       => esc_html__('Duration', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'default'     => '/Mo',
                                        'label_block' => true,
                                    )
                                ),
                                claniz_elementor_button_settings([
                                    'separator' => 'before'
                                ])
                            ),
                            'default' => [
                                [
                                    'image'       => ['url' => get_template_directory_uri().'/elementor/templates/widgets/cms_pricing_table_slide/layout-images/item1.jpg'],
                                    'badge_text'  => '',
                                    'selected_icon' => [
                                        'library' => 'cmsi',
                                        'value'  => 'flaticon-001-house'
                                    ],
                                    'title'       => 'Residential Cleaning',
                                    'description' => 'We provide residential house cleaning services and always focus on cleaning for health, our extensive industry experience give us a leg up when it comes to leaving your house cleaner, and healthier, than ever before.',
                                    'description2' => 'Taking care of homes is what we do best. We firmly believe a healthy home is a clean home!',
                                    'feature_icon' => [
                                        'library' => 'cmsi',
                                        'value'   => 'cmsi-check-circle'
                                    ],
                                    'pricing_list_feature' => [
                                        [
                                           'feature_title' => 'Window sills & ledges' 
                                        ],
                                        [
                                           'feature_title' => 'Window sills & ledges' 
                                        ],
                                        [
                                           'feature_title' => 'Window sills & ledges' 
                                        ],
                                        [
                                           'feature_title' => 'Window sills & ledges' 
                                        ],
                                        [
                                           'feature_title' => 'Window sills & ledges' 
                                        ],
                                        [
                                           'feature_title' => 'Window sills & ledges' 
                                        ],
                                        [
                                           'feature_title' => 'Window sills & ledges' 
                                        ]
                                    ],
                                    'btn_text'        => 'Purchase Now',
                                    'btn_size'        => 'xl',
                                    'btn_color'       => 'secondary',
                                    'btn_hover_color' => 'accent',
                                    'icon_default'    => [
                                        'value'   => 'cmsi-arrow-circle-right',
                                        'library' => 'cmsi'
                                    ],
                                    'pricing_list_feature_text' => 'WWindow sills & ledges - Hard surface floors
                                     Appliance exteriors
                                     Hard surface floors
                                     Ranges and ovens
                                     Remove cobwebs
                                     Cabinet doors
                                     Empty trash'
                                ],
                                [
                                    'item_color'  => 'accent',
                                    'image'       => ['url' => get_template_directory_uri().'/elementor/templates/widgets/cms_pricing_table_slide/layout-images/item2.jpg'],
                                    'badge_text'  => '',
                                    'selected_icon' => [
                                        'library' => 'cmsi',
                                        'value'  => 'flaticon-025-products'
                                    ],
                                    'title'       => 'Commercial',
                                    'description' => 'Providing commercial cleaning services which will help you protect your customers and employees, we care about clean and it shows in our work, our people, and also in our commitment to delivering on our word, every day.',
                                    'description2' => 'Taking care of homes is what we do best. We firmly believe a healthy home is a clean home!',
                                    'feature_icon' => [
                                        'library' => 'cmsi',
                                        'value'   => 'cmsi-check-circle'
                                    ],
                                    'pricing_list_feature' => [
                                        [
                                           'feature_title' => 'Office Buildings' 
                                        ],
                                        [
                                           'feature_title' => 'Government buildings' 
                                        ],
                                        [
                                           'feature_title' => 'Manufacturing Facilities' 
                                        ],
                                        [
                                           'feature_title' => 'Financial Institutions' 
                                        ],
                                        [
                                           'feature_title' => 'Educational Facilities' 
                                        ],
                                        [
                                           'feature_title' => 'Religious Building' 
                                        ],
                                        [
                                           'feature_title' => 'Medical Facilities' 
                                        ]
                                    ],
                                    'btn_text'        => 'Purchase Now',
                                    'btn_size'        => 'xl',
                                    'btn_color'       => 'accent',
                                    'btn_hover_color' => 'secondary', 
                                    'icon_default'    => [
                                        'value'   => 'cmsi-arrow-circle-right',
                                        'library' => 'cmsi'
                                    ],
                                    'pricing_list_feature_text' => 'Office Buildings
                                    Government buildings
                                    Manufacturing Facilities
                                    Financial Institutions
                                    Educational Facilities
                                    Religious Building
                                    Medical Facilities'
                                ]
                            ],
                            'title_field' => '{{{ title }}}'
                        )
                    ),
                    'condition' => [
                        'layout' => ['3']
                    ]
                ),
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);