<?php
// Register Contact Form 7 Widget
if(class_exists('WooCommerce')) {
    etc_add_custom_widget(
        array(
            'name'       => 'cms_products',
            'title'      => esc_html__('CMS Products', 'claniz'),
            'icon'       => 'eicon-products',
            'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
            'scripts'    => array(
                'cms-animation'
            ),
            'params'     => array(
                'sections' => array(
                    array(
                        'name'     => 'layout_section',
                        'label'    => esc_html__( 'Layout', 'claniz' ),
                        'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                        'controls' => array(
                            array(
                                'name'    => 'layout',
                                'label'   => esc_html__( 'Templates', 'claniz' ),
                                'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                                'default' => '1',
                                'options' => [
                                    '1' => [
                                        'label' => esc_html__( 'Layout 1', 'claniz' ),
                                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_products/layout-images/1.png'
                                    ]
                                ],
                                'prefix_class' => 'cms-products-layout-'
                            )
                        )
                    ),
                    array(
                        'name'     => 'heading_section',
                        'label'    => esc_html__( 'Heading', 'claniz' ),
                        'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                        'controls' => claniz_elementor_element_heading_settings()
                    ),
                    array(
                        'name'     => 'content_section',
                        'label'    => esc_html__('Products Settings', 'claniz'),
                        'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                        'controls' => array(
                            array(
                                'name'    => 'limit',
                                'label'   => esc_html__( 'Products to show', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::NUMBER,
                                'default' => 8
                            ),
                            array(
                                'name'  => 'columns',
                                'label' => esc_html__( 'Number of Columns', 'claniz' ),
                                'type'  => \Elementor\Controls_Manager::SLIDER,
                                'range' => [
                                    '' => [
                                        'min'  => 2,
                                        'max'  => 6,
                                        'step' => 1,
                                    ]
                                ],
                                'size_units' => [''],
                                'default' => [
                                    'unit' => '',
                                    'size' => 4
                                ]
                            ),
                            array(
                                'name'    => 'order',
                                'label'   => esc_html__('Order', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    ''     => esc_html__('Default', 'claniz'),
                                    'ASC'  => 'ASC',
                                    'DESC' => 'DESC'
                                ]
                            ),
                            array(
                                'name'    => 'orderby',
                                'label'   => esc_html__('Orderby', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    ''           => esc_html__('Default', 'claniz'),
                                    'date'       => esc_html__('Date', 'claniz'),
                                    'id'         => esc_html__('ID', 'claniz'),
                                    'menu_order' => esc_html__('Menu Order', 'claniz'),
                                    'popularity' => esc_html__('Popularity', 'claniz'),
                                    'rand'       => esc_html__('Random', 'claniz'),
                                    'rating'     => esc_html__('Rating', 'claniz'),
                                    'title'      => esc_html__('Title', 'claniz'),
                                ]
                            ),
                            array(
                                'name'  => 'featured',
                                'label' => esc_html__('Only Featured?', 'claniz'),
                                'type'  => \Elementor\Controls_Manager::SWITCHER,
                            ),
                            array(
                                'name'  => 'on_sale',
                                'label' => esc_html__('On Sale', 'claniz'),
                                'type'  => \Elementor\Controls_Manager::SWITCHER,
                            ),
                            array(
                                'name'  => 'best_selling',
                                'label' => esc_html__('Best Selling', 'claniz'),
                                'type'  => \Elementor\Controls_Manager::SWITCHER,
                            ),
                            array(
                                'name'  => 'top_rated',
                                'label' => esc_html__('Top Rated', 'claniz'),
                                'type'  => \Elementor\Controls_Manager::SWITCHER,
                            ),
                            array(
                                'name'  => 'paginate',
                                'label' => esc_html__('Paginate', 'claniz'),
                                'type'  => \Elementor\Controls_Manager::SWITCHER,
                            )
                        )
                    )
                )
            )
        ),
        get_template_directory() . '/elementor/core/widgets/'
    );
}