<?php
// Register Progress Bar Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_progressbar',
        'title'      => esc_html__( 'CMS Progress Bar', 'claniz' ),
        'icon'       => 'eicon-skill-bar',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'cms-progressbar'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => __( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => __( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => __( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_progressbar/layout-images/1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-progressbar-layout-'
                        ),
                    ),
                ),
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Source Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'     => 'progressbar_list',
                            'label'    => esc_html__( 'Progress Bar Lists', 'claniz' ),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array_merge(
                                array(
                                    array(
                                        'name'        => 'title',
                                        'label'       => __( 'Title', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'placeholder' => __( 'Enter your title', 'claniz' ),
                                        'default'     => __( 'My Skill', 'claniz' ),
                                        'label_block' => true
                                    ),
                                    array(
                                        'name'        => 'inner_text',
                                        'label'       => esc_html__( 'Inner Text', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'placeholder' => __( 'e.g: Web Designer', 'claniz' ),
                                        'default'     => __( 'Web Designer', 'claniz' ),
                                        'label_block' => true
                                    ),
                                    array(
                                        'name'    => 'percent',
                                        'label'   => esc_html__( 'Percentage', 'claniz' ),
                                        'type'    => \Elementor\Controls_Manager::SLIDER,
                                        'default' => [
                                            'size' => 50,
                                            'unit' => '%',
                                        ],
                                        'label_block' => true
                                    )
                                ),
                                claniz_elementor_theme_colors([
                                    'name'                => 'percent_color',
                                    'label'               => __( 'Percentage Color', 'claniz' ),
                                    'custom_selector'     => '.cms-progress-bar',
                                    'custom_selector_tag' => 'background-color',
                                    'output'              => false    
                                ])
                            ),
                            'title_field' => '{{title}} {{inner_text}}'
                        )
                    )
                ),
                array(
                    'name'     => 'title_style_section',
                    'label'    => esc_html__( 'Title', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => claniz_elementor_typo_settings([
                        'name'     => 'title_typo',
                        'selector' => '.cms-heading'
                    ]),
                ),
                array(
                    'name'     => 'percent_style',
                    'label'    => esc_html__( 'Percentage', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_typo_settings([
                            'name'     => 'percent_typo',
                            'selector' => '.cms-progress-bar'
                        ])
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);