<?php
// Register Quick Contact Widget
etc_add_custom_widget(
    array(
		'name'       => 'cms_quickcontact',
		'title'      => esc_html__( 'CMS Quick Contact', 'claniz' ),
		'icon'       => 'eicon-mail',
		'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
		'scripts'    => array(),
		'params'     => array(
            'sections' => array(
                array(
					'name'     => 'layout_section',
					'label'    => esc_html__( 'Layout', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
					'controls' => array(
						claniz_elementor_row_align([
							'condition' => [
								'layout' => ['1','2']
							]
						]),
                        array(
							'name'    => 'layout',
							'label'   => esc_html__( 'Templates', 'claniz' ),
							'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
							'default' => '1',
							'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_quickcontact/layout-image/1.png'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_quickcontact/layout-image/2.png'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_quickcontact/layout-image/3.png'
                                ],
                                '4' => [
                                    'label' => esc_html__( 'Layout 4', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_quickcontact/layout-image/4.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-quick-contact-layout-'
                        ),
                    ),
                ),
                array(
					'name'     => 'icon_section',
					'label'    => esc_html__( 'Icon Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
						array(
							array(
								'name'             => 'selected_icon',
								'label'            => esc_html__( 'Main Icon', 'claniz' ),
								'type'             => \Elementor\Controls_Manager::ICONS,
								'fa4compatibility' => 'icon',
								'default'          => [
									'library'	=> 'cmsi',
									'value'		=> 'cmsi-envelope-1'
								],
	                        )
						),
						claniz_elementor_theme_colors([
							'name'            => 'icon_color',
							'label'           => esc_html__('Icon Color','claniz'),
							'custom_name'     => 'icon_color_custom',
							'custom_label'    => esc_html__('Custom Icon Color','claniz'),
							'custom_selector' => '.cms-icon'
						])
					),
					'condition'   => [
						'layout' => ['3']
					]
				),
                array(
					'name'     => 'heading_section',
					'label'    => esc_html__( 'Heading Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
						array(
							array(
								'name'        => 'heading_text',
								'label'       => esc_html__( 'Heading', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::TEXTAREA,
								'placeholder' => esc_html__( 'Enter Heading', 'claniz' ),
								'label_block' => true
	                        )
                        ),
                        claniz_elementor_theme_colors([
							'name'            => 'heading_color',
							'label'           => esc_html__('Heading Color','claniz'),
							'custom_name'     => 'heading_color_custom',
							'custom_label'    => esc_html__('Custom Heading Color','claniz'),
							'custom_selector' => '.cms-heading'
						])
					),
					'condition'   => [
						'layout' => ['2','3','4']
					]
				),
				array(
					'name'     => 'desc_section',
					'label'    => esc_html__( 'Description Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
						array(
							array(
								'name'        => 'description_text',
								'label'       => esc_html__( 'Description', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::TEXTAREA,
								'default'	  => 'If you have any questions or need help, feel free to contact with our team.',	
								'placeholder' => esc_html__( 'Enter your description', 'claniz' ),
								'show_label'  => false
	                        )
                        ),
                        claniz_elementor_theme_colors([
							'name'            => 'description_color',
							'label'           => esc_html__('Text Color','claniz'),
							'custom_name'     => 'description_color_custom',
							'custom_label'    => esc_html__('Custom Text Color','claniz'),
							'custom_selector' => '.cms-desc'
						])
					),
					'condition'   => [
						'layout' => ['2','4']
					]
				),
                array(
					'name'     => 'contact_section',
					'label'    => esc_html__( 'Contact Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
						array(
	                        array(
								'name'     => 'contact_list',
								'label'    => esc_html__( 'Contact Lists', 'claniz' ),
								'type'     => \Elementor\Controls_Manager::REPEATER,
								'controls' => array_merge(
									array(
		                                array(
											'name'        => 'contact_list_title_1',
											'label'       => esc_html__( 'Title 1', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::TEXT,
											'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
											'default'     => esc_html__( 'Enter your text', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'contact_list_text_1',
											'label'       => esc_html__( 'Text 1', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::TEXT,
											'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
											'default'     => esc_html__( 'Enter your text', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'contact_list_title_2',
											'label'       => esc_html__( 'Title 2', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::TEXT,
											'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
											'default'     => esc_html__( 'Enter your text', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'contact_list_text_2',
											'label'       => esc_html__( 'Text 2', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::TEXT,
											'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
											'default'     => esc_html__( 'Enter your text', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'contact_list_text_link',
											'label'       => esc_html__( 'Link', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::URL,
											'placeholder' => esc_html__('https://your-link.com', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'             => 'contact_list_icon',
											'label'            => esc_html__( 'Icon', 'claniz' ),
											'type'             => \Elementor\Controls_Manager::ICONS,
											'fa4compatibility' => 'icon',
											'default'          => [],
				                        )
		                            ),
		                            claniz_elementor_theme_colors([
										'name'            => 'contact_list_text_color',
										'label'           => esc_html__('Text Color','claniz'),
										'custom_name'     => 'contact_list_text_color_custom',
										'custom_label'    => esc_html__('Custom Text Color','claniz'),
										'custom_selector' => '.cms-qc-list'	
									]),
									claniz_elementor_theme_colors([
										'name'            => 'contact_list_text_icon_color',
										'label'           => esc_html__('Icon Color','claniz'),
										'custom_name'     => 'contact_list_text_icon_color_custom',
										'custom_label'    => esc_html__('Custom Icon Color','claniz'),
										'custom_selector' => '.cms-qc-wrap .cms-qc-list .cms-icon'
									]),
									claniz_elementor_theme_colors([
										'name'            => 'contact_list_link_color',
										'label'           => esc_html__('Link Color','claniz'),
										'custom_name'     => 'contact_list_link_color_custom',
										'custom_label'    => esc_html__('Custom Link Color','claniz'),
										'custom_selector' => '.cms-qc-list a'
									])
	                            ),
	                            'default' => [
	                                [
										'contact_list_title_1' => 'Emergency Line:',
										'contact_list_text_1'  => '(002) 01061245741',
										'contact_list_title_2' => '',
										'contact_list_text_2'  => '',
										'contact_list_icon'    => [
											'value'   => 'cmsi-phone-alt',
											'library' => 'cmsi',
										]
	                                ],
	                                [
	                                    'contact_list_title_1' => 'Location:',
	                                    'contact_list_text_1' => 'Brooklyn, New York',
	                                    'contact_list_title_2' => '',
	                                    'contact_list_text_2' => '',
	                                    'contact_list_icon'  => [
											'value'   => 'cmsi-map-marker-alt',
											'library' => 'cmsi',
										]
	                                ],
	                                [
	                                    'contact_list_title_1' => 'Mon - Fri:',
	                                    'contact_list_text_1' => '8.00am - 7.00pm',
	                                    'contact_list_title_2' => '',
	                                    'contact_list_text_2' => '',
	                                    'contact_list_icon'  => [
											'value'   => 'cmsi-clock',
											'library' => 'cmsi',
										]
	                                ]
	                            ],
	                            'title_field' => '{{{ elementor.helpers.renderIcon( this, contact_list_icon, {}, "i", "panel" ) || \'<i class="{{ icon }}" aria-hidden="true"></i>\' }}} {{{ contact_list_title_1 }}} {{{ contact_list_text_1 }}}',
	                            'separator'   => 'after'
	                        )
						),
						array(	
							array(
				                'name'  => 'contact_list_text_width',
				                'label' => esc_html__( 'Text Width', 'claniz' ),
				                'type'  => \Elementor\Controls_Manager::SELECT,
				                'options' => [
									'col-auto' => __('Auto', 'claniz'),
									'col'      => __('Basic', 'claniz')
				                ],
				                'default' => 'col-auto'
				            )
	                    ),
						array(	
							array(
				                'name'  => 'contact_list_text_size',
				                'label' => esc_html__( 'Text Size', 'claniz' ),
				                'type'  => \Elementor\Controls_Manager::SLIDER,
				                'range' => [
				                    'px' => [
				                        'min' => 10,
				                        'max' => 200,
				                    ],
				                ],
				                'selectors' => [
				                    '{{WRAPPER}} .cms-qc-list .cms-contact-title' => 'font-size: {{SIZE}}{{UNIT}};',
				                ]
				            )
	                    ),
						claniz_elementor_theme_colors([
							'name'            => 'text_color',
							'label'           => esc_html__('Text Color','claniz'),
							'custom_name'     => 'text_color_custom',
							'custom_label'    => esc_html__('Custom Text Color','claniz'),
							'custom_selector' => '.cms-qc-inner > .row'
						]),
						claniz_elementor_theme_colors([
							'name'            => 'link_color',
							'label'           => esc_html__('Link Color','claniz'),
							'custom_name'     => 'link_color_custom',
							'custom_label'    => esc_html__('Custom Link Color','claniz'),
							'custom_selector' => '.cms-qc-inner a'
						]),
						claniz_elementor_theme_colors([
							'name'            => 'link_color_hover',
							'label'           => esc_html__('Link Color Hover','claniz'),
							'custom_name'     => 'link_color_hover_custom',
							'custom_label'    => esc_html__('Custom Link Color Hover','claniz'),
							'custom_selector' => '.cms-qc-inner a:hover'
						]),
						array(	
							array(
				                'name'  => 'contact_list_icon_size',
				                'label' => esc_html__( 'Icon Size', 'claniz' ),
				                'type'  => \Elementor\Controls_Manager::SLIDER,
				                'range' => [
				                    'px' => [
				                        'min' => 10,
				                        'max' => 200,
				                    ],
				                ],
				                'selectors' => [
				                    '{{WRAPPER}} .cms-qc-list .cms-icon' => 'font-size: {{SIZE}}{{UNIT}};',
				                ]
				            )
	                    ),
						claniz_elementor_theme_colors([
							'name'            => 'contact_list_icon_color',
							'label'           => esc_html__('Icon Color','claniz'),
							'custom_name'     => 'contact_list_icon_color_custom',
							'custom_label'    => esc_html__('Custom Icon Color','claniz'),
							'custom_selector' => '.cms-qc-list .cms-icon'
						])
                    ),
					'condition'   => [
						'layout' => ['1']
					]
                ),
				array(
					'name'     => 'contact_section3',
					'label'    => esc_html__( 'Contact Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
						array(
	                        array(
								'name'     => 'contact_list3',
								'label'    => esc_html__( 'Contact Lists', 'claniz' ),
								'type'     => \Elementor\Controls_Manager::REPEATER,
								'controls' => array_merge(
									array(
		                                array(
											'name'        => 'contact_list_title_1',
											'label'       => esc_html__( 'Title 1', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::TEXTAREA,
											'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
											'default'     => esc_html__( 'Enter your text', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'contact_list_text_1',
											'label'       => esc_html__( 'Text 1', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::TEXTAREA,
											'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
											'default'     => esc_html__( 'Enter your text', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'contact_list_title_2',
											'label'       => esc_html__( 'Title 2', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::TEXTAREA,
											'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
											'default'     => esc_html__( 'Enter your text', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'contact_list_text_2',
											'label'       => esc_html__( 'Text 2', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::TEXTAREA,
											'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
											'default'     => esc_html__( 'Enter your text', 'claniz' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'contact_list_text_link',
											'label'       => esc_html__( 'Link', 'claniz' ),
											'type'        => \Elementor\Controls_Manager::URL,
											'placeholder' => esc_html__('https://your-link.com', 'claniz' ),
											'label_block' => true,
		                                )
		                            ),
		                            claniz_elementor_theme_colors([
										'name'            => 'contact_list_text_color3',
										'label'           => esc_html__('Text Color','claniz'),
										'custom_name'     => 'contact_list_text_color_custom3',
										'custom_label'    => esc_html__('Custom Text Color','claniz'),
										'custom_selector' => '.cms-qc-list'
									])
	                            ),
	                            'default' => [
	                                [
										'contact_list_title_1' => 'Email:',
										'contact_list_text_1'  => 'claniz@7oroof.com',
										'contact_list_title_2' => 'Phone:',
										'contact_list_text_2'  => '+55 654 541 17',
										'contact_list_icon'    => []
	                                ],
	                            ],
	                            'title_field' => '{{{ contact_list_title_1 }}} {{{ contact_list_text_1 }}}',
	                        )
						),
						claniz_elementor_theme_colors([
							'name'            => 'text_color3',
							'label'           => esc_html__('Text Color','claniz'),
							'custom_name'     => 'text_color_custom3',
							'custom_label'    => esc_html__('Custom Text Color','claniz'),
							'custom_selector' => '.cms-qc-inner > .row'
						]),
						array(	
							array(
				                'name'  => 'contact_list_icon_size3',
				                'label' => esc_html__( 'Icon Size', 'claniz' ),
				                'type'  => \Elementor\Controls_Manager::SLIDER,
				                'range' => [
				                    'px' => [
				                        'min' => 10,
				                        'max' => 200,
				                    ],
				                ],
				                'selectors' => [
				                    '{{WRAPPER}} .cms-qc-list .cms-icon' => 'font-size: {{SIZE}}{{UNIT}};',
				                ]
				            )
	                    ),
						claniz_elementor_theme_colors([
							'name'            => 'contact_list_icon_color3',
							'label'           => esc_html__('Icon Color','claniz'),
							'custom_name'     => 'contact_list_icon_color_custom3',
							'custom_label'    => esc_html__('Custom Icon Color','claniz'),
							'custom_selector' => '.cms-qc-list .cms-icon'
						])
                    ),
					'condition'   => [
						'layout' => ['3']
					]
                ),
				array(
					'name'     => 'phone_section',
					'label'    => esc_html__( 'Phone Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
						array(
							array(
								'name'             => 'phone_icon',
								'label'            => esc_html__( 'Phone Icon', 'claniz' ),
								'type'             => \Elementor\Controls_Manager::ICONS,
								'placeholder'      => esc_html__( 'Choose phone icon', 'claniz' ),
	                        ),
							array(
								'name'        => 'phone_number',
								'label'       => esc_html__( 'Phone Number', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::TEXT,
								'default'	  => '(002) 01061245741',
								'label_block' => true
	                        ),
	                        array(
								'name'        => 'phone_bg',
								'label'       => esc_html__( 'Icon Phone Background', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::COLOR,
								'default'     => '',
								'selectors'	  => [
									'{{WRAPPER}} .cms-phone-icon' => 'background-color: {{VALUE}};',
								]
	                        ),
	                        array(
                                'name'        => 'phone_text_color',
                                'label'       => esc_html__( 'Text Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                                'default'     => 'white',
                                'label_block' => true
                            ),
                            array(
                                'name'        => 'phone_text_color_hover',
                                'label'       => esc_html__( 'Text Hover Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(['custom' => false]),  
                                'default'     => 'white',
                                'label_block' => true
                            )
                        )
					),
					'condition'   => [
						'layout' => ['2', '4']
					]
				),
				array(
					'name'     => 'email_section',
					'label'    => esc_html__( 'Email Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
						array(
							array(
								'name'        => 'email_text',
								'label'       => esc_html__( 'Email', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::TEXTAREA,
								'placeholder' => 'info@cmssuperheroes.com',
								'show_label'  => false
	                        )
                        )
					),
					'condition'   => [
						'layout' => ['2']
					]
				),
				array(
					'name'     => 'map_section',
					'label'    => esc_html__( 'Map Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array_merge(
						array(
							array(
								'name'        => 'map_image',
								'label'       => esc_html__( 'Map Image', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::MEDIA,
								'default'	  => '',		
								'label_block' => true,
								'condition'   => [
									'layout' => ['0']
								]	
	                        ),
	                        array(
								'name'        => 'map_address',
								'label'       => esc_html__( 'Map Address', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::TEXTAREA,
								'default'	  => '2307 Beverley Rd Brooklyn, New York 11226 United States.',		
								'label_block' => true,
								'condition'   => [
									'layout' => ['4']
								]	
	                        ),
	                         array(
								'name'        => 'map_text',
								'label'       => esc_html__( 'Map Text', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::TEXT,
								'default'	  => 'Get Directions',		
								'label_block' => true,
								'condition'   => [
									'layout' => ['4']
								]	
	                        ),
	                        array(
								'name'        => 'map_link',
								'label'       => esc_html__( 'Map Link', 'claniz' ),
								'type'        => \Elementor\Controls_Manager::TEXT,
								'default'	  => 'https://goo.gl/maps/ZJVwxCDDtdYtMxHf8',		
								'label_block' => true,
								'condition'   => [
									'layout'       => ['4'],
									'map_address!' => ''
								]	
	                        ),
	                        array(
                                'name'        => 'map_link_color',
                                'label'       => esc_html__( 'Map Link Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(['custom' => false]),
                                'label_block' => true,
                                'condition' => [
                                	'map_link!' => ''
                                ]
                            ),
                            array(
                                'name'        => 'map_link_color_hover',
                                'label'       => esc_html__( 'Map Link Hover Color', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'options'     => claniz_elementor_theme_color_opts(['custom' => false]),
                                'label_block' => true,
                                'condition' => [
                                	'map_link!' => ''
                                ]
                            ),
						)
					),
					'condition'   => [
						'layout' => ['4']
					]
				)
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);