<?php
/**
 * Register Rating Widget
 * 
 * @package CMS Theme
 * @subpackage Claniz
 * @since 1.0
 * 
*/
etc_add_custom_widget(
    array(
		'name'       => 'cms_rating',
		'title'      => __( 'CMS Rating', 'claniz' ),
		'icon'       => 'eicon-rating',
		'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
		'scripts'    => array(),
		'params'     => array(
            'sections' => array(
                array(
					'name'     => 'layout_section',
					'label'    => __( 'Layout', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
					'controls' => array(
						claniz_elementor_row_align(),
                        array(
							'name'    => 'layout',
							'label'   => __( 'Templates', 'claniz' ),
							'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
							'default' => '2',
							'options' => [
                                '1' => [
                                    'label' => __( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_rating/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label' => __( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_rating/layout-images/2.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-rating-layout-'
                        ),
                    ),
                ),
                claniz_elementor_rate_settings()
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);
