<?php
// Register Single Post Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_single_post',
        'title'      => esc_html__( 'CMS Single Post', 'claniz' ),
        'icon'       => 'eicon-single-post',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => [],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label'      => esc_html__( 'Layout 1', 'claniz' ),
                                    'image'      => get_template_directory_uri() . '/elementor/templates/widgets/cms_single_post/layout-images/1.png'
                                ],
                            ],
                            'prefix_class' => 'cms-single-post-layout-'
                        ),
                    ),
                ),
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Source Options', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'     => 'post_type',
                            'label'    => esc_html__( 'Select Post Type', 'claniz' ),
                            'type'     => \Elementor\Controls_Manager::SELECT,
                            'multiple' => true,
                            'options'  => etc_get_post_type_options(),
                            'default'  => 'post'
                        )
                    )
                ),
                array(
                    'name'     => 'thumbnail_section',
                    'label'    => esc_html__( 'Thumbnail Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'         => 'thumbnail',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'custom',
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);