<?php
// Register CMS Sliders
etc_add_custom_widget(
    array(
        'name'       => 'cms_slider',
        'title'      => esc_html__('CMS Slider', 'claniz'),
        'icon'       => 'eicon-slides',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => [
            'swiper',
            'cms-swiper'
        ],
        'styles'     => [],
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_slider/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_slider/layout-images/2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_slider/layout-images/3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_slider/layout-images/4.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-slider-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'slider_small_heading_typo',
                    'label'    => esc_html__('Small Heading', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'small_heading_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .small-heading'
                            ),
                            array(
                                'name'         => 'small_heading_shadow',
                                'type'         => \Elementor\Group_Control_Text_Shadow::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .small-heading'
                            )
                        ),
                        claniz_elementor_responsive_settings([
                            'prefix' => 'small_heading'
                        ])
                    )
                ),
                array(
                    'name'     => 'slider_large_heading_typo',
                    'label'    => esc_html__('Large Heading', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'large_heading_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .large-heading'
                            ),
                            array(
                                'name'         => 'large_heading_shadow',
                                'type'         => \Elementor\Group_Control_Text_Shadow::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .large-heading'
                            )
                        ),
                        claniz_elementor_responsive_settings([
                            'prefix' => 'large_heading'
                        ])
                    )
                ),
                array(
                    'name'     => 'slider_description_typo',
                    'label'    => esc_html__('Description', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'description_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .description'
                            ),
                            array(
                                'name'         => 'description_shadow',
                                'type'         => \Elementor\Group_Control_Text_Shadow::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .description'
                            )
                        ),
                        claniz_elementor_responsive_settings([
                            'prefix' => 'description_heading'
                        ])
                    )
                ),
                array(
                    'name'     => 'slider_description2_typo',
                    'label'    => esc_html__('Description2', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'description2_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .description2'
                            ),
                            array(
                                'name'         => 'description2_shadow',
                                'type'         => \Elementor\Group_Control_Text_Shadow::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .description2'
                            )
                        ),
                        claniz_elementor_responsive_settings([
                            'prefix' => 'description2_heading'
                        ])
                    )
                ),
                array(
                    'name'     => 'slider_icons_style',
                    'label'    => esc_html__('Icons', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'icons_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .cms-slide-icon'
                            ),
                            array(
                                'name'         => 'icons_shadow',
                                'type'         => \Elementor\Group_Control_Text_Shadow::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .cms-slide-icon'
                            )
                        ),
                        claniz_elementor_responsive_settings([
                            'prefix' => 'icons'
                        ])
                    )
                ),
                array(
                    'name'     => 'slider_static_layer_style',
                    'label'    => esc_html__('Static Layer', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_responsive_settings([
                            'prefix' => 'static_layer'
                        ])
                    )
                ),
                array(
                    'name'     => 'slider_settings',
                    'label'    => esc_html__('Slider Settings', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'label'        => esc_html__('Slider Height', 'claniz'), 
                            'name'         => 'slider_height',
                            'type'         => \Elementor\Controls_Manager::NUMBER,
                            'control_type' => 'responsive',
                            'selectors'    => [
                                '{{WRAPPER}} .cms-slider-container' => 'height:{{VALUE}}px'
                            ],
                            'default'      => '645' 
                        ),
                        array(
                            'label'        => esc_html__('Content Width', 'claniz'), 
                            'name'         => 'content_width',
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'options'      => [
                                ''                => esc_html__('Default','claniz'),
                                'container'       => esc_html__('Boxed','claniz'),
                                'container-wide'  => esc_html__('Wide','claniz'),
                                'container-fluid' => esc_html__('Full Width','claniz')
                            ] 
                        ),
                        array(
                            'name'        => 'slide_direction',
                            'label'       => esc_html__('Slides Direction', 'claniz'),
                            'description' => esc_html__('Defines how slides Direction, \'horizontal\' | \'vertical\'', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::SELECT,
                            'options'     => [
                                'horizontal' => __('Horizontal', 'claniz'),
                                'vertical'   => __('Vertical', 'claniz')
                            ],
                            'default'      => 'horizontal'
                        ),
                        array(
                            'name'    => 'slide_mode',
                            'label'   => esc_html__('Slide Effect', 'claniz'),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'slide'     => esc_html__('Slide', 'claniz'),
                                'fade'      => esc_html__('Fade', 'claniz'),
                                'cube'      => esc_html__('Cube', 'claniz'),
                                'flip'      => esc_html__('Flip', 'claniz')
                            ],
                            'default' => 'slide'
                        ),
                        array(
                            'name'      => 'autoplay',
                            'label'     => esc_html__('Autoplay', 'claniz'),
                            'type'      => \Elementor\Controls_Manager::SELECT,
                            'options'   => [
                                'true' => __('Yes','claniz'),
                                'false' => __('No', 'claniz')
                            ],
                            'default'   => 'true',
                            'separator' => 'before'
                        ),
                        array(
                            'name'    => 'pause_on_hover',
                            'label'   => esc_html__('Pause on Hover', 'claniz'),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options'   => [
                                'true' => __('Yes','claniz'),
                                'false' => __('No', 'claniz')
                            ],
                            'default' => 'true',
                            'condition' => [
                                'autoplay' => 'true'
                            ]
                        ),
                        array(
                            'name'      => 'pause_on_interaction',
                            'label'     => esc_html__('Pause on Interaction', 'claniz'),
                            'type'      => \Elementor\Controls_Manager::SELECT,
                            'options'   => [
                                'true' => __('Yes','claniz'),
                                'false' => __('No', 'claniz')
                            ],
                            'default'   => 'true',
                            'condition' => [
                                'autoplay' => 'true'
                            ]
                        ),
                        array(
                            'name'      => 'autoplay_speed',
                            'label'     => esc_html__('Autoplay Speed', 'claniz'),
                            'type'      => \Elementor\Controls_Manager::NUMBER,
                            'default'   => 5000,
                            'condition' => [
                                'autoplay' => 'true'
                            ]
                        ),
                        array(
                            'name'    => 'loop',
                            'label'   => esc_html__('Infinite Loop', 'claniz'),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options'   => [
                                'true'  => __('Yes','claniz'),
                                'false' => __('No', 'claniz')
                            ],
                            'default' => 'true',
                        ),
                        array(
                            'name'    => 'speed',
                            'label'   => esc_html__('Animation Speed', 'claniz'),
                            'type'    => \Elementor\Controls_Manager::NUMBER,
                            'default' => 300,
                        )
                    )
                ),
                array(
                    'name'     => 'slider_arrow_settings',
                    'label'    => esc_html__('Arrows', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'arrows',
                                'label'        => esc_html__('Show Arrows', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'options'      => [
                                    'true'  => __('Yes', 'claniz'),
                                    'false' => __('No','claniz')
                                ], 
                                'default'      => 'true', 
                                'control_type' => 'responsive',
                                'separator'    => 'before',
                                'prefix_class' => 'cms-swiper-arrows%s-'
                            ),
                            array(
                                'name'         => 'arrows_pos',
                                'label'        => esc_html__('Arrows Position', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'default'      => 'in-vertical',
                                'options'      => [
                                    'in-vertical'   => esc_html__('Inside Vertical','claniz'),
                                    'out-vertical'  => esc_html__('Outside Vertical','claniz'),
                                    'top-left'      => esc_html__('Top Left','claniz'),
                                    'top-right'     => esc_html__('Top Right','claniz'),
                                    'top-center'    => esc_html__('Top Center','claniz'),
                                    'bottom-left'   => esc_html__('Bottom Left','claniz'),
                                    'bottom-right'  => esc_html__('Bottom Right','claniz'),
                                    'bottom-center' => esc_html__('Bottom Center','claniz'),
                                    'custom'        => esc_html__('Custom','claniz'),
                                ],
                                'prefix_class' => 'cms-swiper-nav-',
                            ),
                            array(
                                'name'         => 'arrows_ypos',   
                                'label'        => __( 'Arrow Y Position', 'claniz' ),
                                'type'         => \Elementor\Controls_Manager::SLIDER,
                                'control_type' => 'responsive',
                                'size_units'   => [ 'px', '%' ],
                                'default'      => [
                                    'unit' => '%',
                                    //'size' => 0,
                                ],
                                'tablet_default' => [
                                    'unit' => '%',
                                    //'size' => 0,
                                ],
                                'mobile_default' => [
                                    'unit' => '%',
                                    //'size' => 0,
                                ],
                                'range' => [
                                    'px' => [
                                        'min' => -800,
                                        'max' => 800,
                                    ],
                                    '%' => [
                                        'min' => -100,
                                        'max' => 100,
                                    ]
                                ],
                                'selectors' => [
                                    '{{WRAPPER}}.cms-swiper-nav-in-vertical .cms-swiper-arrow' => 'top: {{SIZE}}{{UNIT}}',
                                ],
                                'condition' => [
                                    'arrows_pos' => [ 'in-vertical' ]
                                ]
                            ),
                            array(
                                'name'         => 'arrows_style',
                                'label'        => esc_html__('Arrows Styles', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'default'      => 'default',
                                'options'      => [
                                    'default'  => esc_html__('Default','claniz'),
                                ],
                                'prefix_class' => 'cms-swiper-nav-style-',
                            )
                        ),
                        claniz_elementor_theme_colors([
                            'name'         => 'arrows_color',
                            'label'        => esc_html__('Arrows Color', 'claniz'),
                            'custom_label'        => esc_html__('Custom Arrows Color', 'claniz'),
                            'custom_selector'     => '.cms-swiper-nav-color-custom .cms-swiper-arrow',
                            'custom_selector_tag' => 'color',
                            'prefix_class'        => 'cms-swiper-nav-color-',
                            'relation'            => 'and'
                        ]),
                        claniz_elementor_theme_colors([
                            'name'         => 'arrows_color_hover',
                            'label'        => esc_html__('Arrows Color Hover', 'claniz'),
                            'custom_label'        => esc_html__('Custom Arrows Color Hover', 'claniz'),
                            'custom_selector'     => '.cms-swiper-nav-color-hover-custom .cms-swiper-arrow:hover',
                            'custom_selector_tag' => 'color',
                            'prefix_class'        => 'cms-swiper-nav-color-hover-',
                            'relation'            => 'and'
                        ])
                    )
                ),
                array(
                    'name'     => 'slider_dots_settings',
                    'label'    => esc_html__('Dots Navigation', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'dots',
                                'label'        => esc_html__('Show Dots', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'options'      => [
                                    'true'  => __('Yes', 'claniz'),
                                    'false' => __('No','claniz')
                                ],
                                'control_type' => 'responsive',
                                'default'      => 'true',
                                'separator'    => 'before',
                                'prefix_class' => 'cms-swiper-dots%s-'
                            ),
                            array(
                                'name'         => 'dots_style',
                                'label'        => esc_html__('Dots Style', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'default'      => 'bullets',
                                'options'      => [
                                    'bullets'     => __('Bullets','claniz'),
                                    //'dynamic'   => __('Dynamic','claniz'),
                                    'progressbar' => __('Progressbar','claniz'),
                                    'fraction'    => __('Fraction','claniz'),
                                    //'custom'    => __('Custom','claniz')
                                ]
                            ),
                            array(
                                'name'         => 'dots_layout',
                                'label'        => esc_html__('Dots Layout', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'default'      => 'circle',
                                'options'      => [
                                    'circle'   => __('Circle','claniz'),
                                    'divider'  => __('Divider','claniz'),
                                    'custom'   => __('Custom','claniz'),
                                ],
                                'prefix_class' => 'cms-swiper-dots-',
                                'condition' => [
                                    'dots_style'  => 'bullets'
                                ]
                            ),
                            array(
                                'name'      => 'dots_style_notice',
                                'type'      => \Elementor\Controls_Manager::RAW_HTML,
                                'raw'       => sprintf( __( 'How to custom pagination, readmore at <a href="%s" target="_blank">swiper.js</a>', 'claniz' ), 'https://swiperjs.com/swiper-api#pagination' ),
                                'condition' => [
                                    'dots_style'  => 'custom'
                                ],
                                'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                            ),
                            array(
                                'name'      => 'dots_style_custom',
                                'type'      => \Elementor\Controls_Manager::TEXTAREA,
                                'label'     => esc_html__('Enter your code here','claniz'),
                                'condition' => [
                                    'dots_style'  => 'custom'
                                ],
                                'description' => __('Default','claniz').': function (swiper, current, total) { return current + \' of \' + total;}'
                            ),
                            array(
                                'name'         => 'dots_in_nav',
                                'label'        => esc_html__('Dots In Nav', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SWITCHER,
                                'default'      => '',
                                'separator'    => 'before',
                                'condition'    => [
                                    'arrows'     => 'true',
                                    'arrows_pos' => ['top-left', 'top-right', 'top-center','bottom-left', 'bottom-right', 'bottom-center']
                                ] 
                            ),
                            array(
                                'name'         => 'dots_pos',
                                'label'        => esc_html__('Dots Position', 'claniz'),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'default'      => 'out',
                                'options'      => [
                                    'in'  => esc_html__('Inside','claniz'),
                                    'out' => esc_html__('Outside','claniz')
                                ],
                                'condition' => [
                                    'dots_in_nav' => ''
                                ],
                                'prefix_class' => 'cms-swiper-dots-'
                            )
                        ),
                        claniz_elementor_theme_colors([
                            'name'                => 'dots_color',
                            'label'               => esc_html__('Dots Color', 'claniz'),
                            'custom_label'        => esc_html__('Custom Dots Color', 'claniz'),
                            'custom_selector'     => '.cms-swiper-dots-color-custom ul.cms-swiper-dot li:not(.slick-active):not(:hover) button:before',
                            'custom_selector_tag' => 'background',
                            'prefix_class'        => 'cms-swiper-dots-color-',
                            'relation'            => 'and'
                        ]),
                        claniz_elementor_theme_colors([
                            'name'                => 'dots_color_hover',
                            'label'               => esc_html__('Dots Color Hover', 'claniz'),
                            'custom_label'        => esc_html__('Custom Dots Color Hover', 'claniz'),
                            'custom_selector'     => '.cms-swiper-dots-color-hover-custom ul.cms-swiper-dot li.slick-active button:before, .cms-swiper-dots-color-hover-custom ul.cms-swiper-dot li:hover button:before',
                            'custom_selector_tag' => 'background',
                            'prefix_class'        => 'cms-swiper-dots-color-hover-',
                            'relation'            => 'and'
                        ])
                    )
                ),
                /*array(
                    'name'     => 'responsive_section',
                    'label'    => __('Responsive', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_responsive_settings()
                    )
                ),*/
                array(
                    'name'     => 'cms_slides_list',
                    'label'    => esc_html__('Slides List', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'     => 'cms_slides',
                            'label'    => esc_html__('Add Slide', 'claniz'),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array_merge(
                                array(
                                    array(
                                        'name'        => 'image',
                                        'label'       => esc_html__('Slide Image', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::MEDIA,
                                        'label_block' => true,
                                    ),
                                    array(
                                        'name'         => 'image_position_x',
                                        'label'        => __( 'Image Position X (%)', 'claniz' ),
                                        'type'         => \Elementor\Controls_Manager::SLIDER,
                                        'control_type' => 'responsive',
                                        'size_units'   => ['%'],
                                        'default'      => [
                                            'unit' => '%'
                                        ],
                                        'range' => [
                                            '%' => [
                                                'min' =>  -100,
                                                'max' =>  100
                                            ]
                                        ],
                                        'selectors' => [
                                            '{{WRAPPER}} {{CURRENT_ITEM}}.cms-slide-img'     => 'background-position-x:{{SIZE}}%;'
                                        ]
                                    ),
                                    array(
                                        'name'         => 'image_position',
                                        'label'        => __( 'Image Position Y (%)', 'claniz' ),
                                        'type'         => \Elementor\Controls_Manager::SLIDER,
                                        'control_type' => 'responsive',
                                        'size_units'   => ['%'],
                                        'default'      => [
                                            'unit' => '%'
                                        ],
                                        'range' => [
                                            '%' => [
                                                'min' =>  -100,
                                                'max' =>  100
                                            ]
                                        ],
                                        'selectors' => [
                                            '{{WRAPPER}} {{CURRENT_ITEM}}.cms-slide-img'     => 'background-position-y:{{SIZE}}%;',
                                            '{{WRAPPER}} {{CURRENT_ITEM}}.cms-slide-img img' => 'opacity:0;'
                                        ]
                                    ),
                                    array(
                                        'name'         => 'content_text_horz_align',
                                        'label'        => __( 'Content Horizontal Align', 'claniz' ),
                                        'type'         => \Elementor\Controls_Manager::SELECT,
                                        'control_type' => 'responsive',
                                        'options'      => [
                                            ''       => __('Default','claniz'),
                                            'start'  => __('Start','claniz'),
                                            'center' => __('Center','claniz'),
                                            'end'    => __('End','claniz')
                                        ],
                                        'separator' => 'before' 
                                    ),
                                    array(
                                        'name'         => 'content_text_vert_align',
                                        'label'        => __( 'Content Vertical Align', 'claniz' ),
                                        'type'         => \Elementor\Controls_Manager::SELECT,
                                        'control_type' => 'responsive',
                                        'options'      => [
                                            ''       => __('Default','claniz'),
                                            'start'  => __('Start','claniz'),
                                            'center' => __('Center','claniz'),
                                            'end'    => __('End','claniz')
                                        ],
                                        'separator'      => 'before',
                                        'default'        => '',
                                        'default_tablet' => '',
                                        'default_mobile' => '',
                                    ),
                                    
                                    array(
                                        'name'         => 'content_text_width',
                                        'label'        => __( 'Content Text Width (%)', 'claniz' ),
                                        'type'         => \Elementor\Controls_Manager::SLIDER,
                                        'control_type' => 'responsive',
                                        'size_units'   => ['%'],
                                        'default'      => [
                                            'unit' => '%',
                                            'size' => 50
                                        ],
                                        'tablet_default' => [
                                            'unit' => '%',
                                            'size' => 100,
                                        ],
                                        'mobile_default' => [
                                            'unit' => '%',
                                            'size' => 100,
                                        ],
                                        'range' => [
                                            '%' => [
                                                'min' =>  0,
                                                'max' =>  100
                                            ]
                                        ],
                                        'selectors' => [
                                            '{{WRAPPER}} {{CURRENT_ITEM}}.cms-slider-content-text' => 'flex: 0 0 {{SIZE}}%; max-width: {{SIZE}}%;'
                                        ],
                                        'device_args' => [
                                            \Elementor\Controls_Stack::RESPONSIVE_TABLET => [
                                                'selectors' => [
                                                    '{{WRAPPER}} {{CURRENT_ITEM}}.cms-slider-content-text' => 'flex: 0 0 {{SIZE}}%; max-width: {{SIZE}}%;'
                                                ]
                                            ],
                                            \Elementor\Controls_Stack::RESPONSIVE_MOBILE => [
                                                'selectors' => [
                                                    '{{WRAPPER}} {{CURRENT_ITEM}}.cms-slider-content-text' => 'flex: 0 0 {{SIZE}}%; max-width: {{SIZE}}%;'
                                                ]
                                            ]
                                        ],
                                        'separator' => 'before'
                                    ),
                                    array(
                                        'name'         => 'content_text_top_space',
                                        'label'        => __( 'Content Text Top Space', 'claniz' ),
                                        'type'         => \Elementor\Controls_Manager::SLIDER,
                                        'control_type' => 'responsive',
                                        'size_units'   => ['%','px'],
                                        'default'      => [
                                            'unit' => '%',
                                        ],
                                        'range' => [
                                            '%' => [
                                                'min' =>  0,
                                                'max' =>  100,
                                            ]
                                        ],
                                        'selectors' => [
                                            '{{WRAPPER}} {{CURRENT_ITEM}}.cms-slider-content-text' => 'padding-top: {{SIZE}}{{UNIT}};',
                                        ],
                                        'separator' => 'before'
                                    ),  
                                    array(
                                        'name'        => 'small_heading',
                                        'label'       => esc_html__('Small Heading','claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'small_heading_color',
                                        'label'       => esc_html__( 'Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => claniz_elementor_theme_color_opts()
                                    ),
                                    array(
                                        'name'        => 'small_heading_custom_color',
                                        'label'       => esc_html__( 'Custom Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::COLOR,
                                        'condition'   => [
                                            'small_heading_color'      => 'custom'
                                        ],
                                        'selectors'  => [
                                            '{{WRAPPER}} .small-heading' => 'color:{{VALUE}};'
                                        ]
                                    ),
                                    array(
                                        'name'        => 'small_heading_animation',
                                        'label'       => esc_html__( 'Motion Effect', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::ANIMATION,
                                        'label_block' => false,
                                    ),
                                    array(
                                        'name'      => 'small_heading_animation_delay',
                                        'label'     => esc_html__( 'Transition Delay', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::TEXT
                                    ),
                                    array(
                                        'name'        => 'large_heading',
                                        'label'       => esc_html__('Large Heading','claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'large_heading_color',
                                        'label'       => esc_html__( 'Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => claniz_elementor_theme_color_opts()
                                    ),
                                    array(
                                        'name'        => 'large_heading_custom_color',
                                        'label'       => esc_html__( 'Custom Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::COLOR,
                                        'condition'   => [
                                            'large_heading_color'      => 'custom'
                                        ],
                                        'selectors'  => [
                                            '{{WRAPPER}} .large-heading' => 'color:{{VALUE}};'
                                        ]
                                    ),
                                    array(
                                        'name'      => 'large_heading_animation',
                                        'label'     => esc_html__( 'Motion Effect', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::ANIMATION
                                    ),
                                    array(
                                        'name'      => 'large_heading_animation_delay',
                                        'label'     => esc_html__( 'Transition Delay', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::TEXT
                                    ),
                                    array(
                                        'name'        => 'description',
                                        'label'       => esc_html__('Description','claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'description_color',
                                        'label'       => esc_html__( 'Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => claniz_elementor_theme_color_opts()
                                    ),
                                    array(
                                        'name'        => 'description_custom_color',
                                        'label'       => esc_html__( 'Custom Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::COLOR,
                                        'condition'   => [
                                            'description_color'      => 'custom'
                                        ],
                                        'selectors'  => [
                                            '{{WRAPPER}} .description' => 'color:{{VALUE}};'
                                        ]
                                    ),
                                    array(
                                        'name'      => 'description_animation',
                                        'label'     => esc_html__( 'Motion Effect', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::ANIMATION
                                    ),
                                    array(
                                        'name'      => 'description_animation_delay',
                                        'label'     => esc_html__( 'Transition Delay', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::TEXT,
                                        'separator' => 'after'
                                    ),
                                    array(
                                        'name'        => 'description2_icon',
                                        'label'       => esc_html__('Description2 Icon','claniz'),
                                        'type'        => \Elementor\Controls_Manager::ICONS,
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'description2',
                                        'label'       => esc_html__('Description2','claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                        'placeholder' => esc_html__( 'Enter your text', 'claniz' ),
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'description2_color',
                                        'label'       => esc_html__( 'Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => claniz_elementor_theme_color_opts(),
                                        'condition'   => [
                                            'description2!' => ''
                                        ]
                                    ),
                                    array(
                                        'name'        => 'description2_custom_color',
                                        'label'       => esc_html__( 'Custom Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::COLOR,
                                        'condition'   => [
                                            'description2_color' => 'custom'
                                        ],
                                        'selectors'  => [
                                            '{{WRAPPER}} .description2' => 'color:{{VALUE}};'
                                        ]
                                    ),
                                    array(
                                        'name'      => 'description2_animation',
                                        'label'     => esc_html__( 'Motion Effect', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::ANIMATION,
                                        'condition'   => [
                                            'description2!' => ''
                                        ]
                                    ),
                                    array(
                                        'name'      => 'description2_animation_delay',
                                        'label'     => esc_html__( 'Transition Delay', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::TEXT,
                                        'separator' => 'after',
                                        'condition'   => [
                                            'description2!' => ''
                                        ]
                                    ),
                                    array(
                                        'name'            => 'button1_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __( 'Button 01', 'claniz' ),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    )
                                ),
                                // button 01
                                claniz_elementor_button_settings([
                                    'effect'       => true,
                                    'separator'    => ''
                                ]),
                                // button 02
                                array(
                                    array(
                                        'name'            => 'button2_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __( 'Button 02', 'claniz' ),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    )
                                ),
                                claniz_elementor_button_settings([
                                    'prefix'    => 'btn2',
                                    'effect'    => true,
                                    'separator' => ''
                                ]),
                                // video 
                                array(
                                    array(
                                        'name'            => 'button_video_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __( 'Button Video', 'claniz' ),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    )
                                ),
                                claniz_elementor_button_video_settings([
                                    'default'   => false,
                                    'separator' => '',
                                    'effect'   => true
                                ]),
                                array(
                                    array(
                                        'name'            => 'text_before_icon_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __('Text before icon list','claniz'),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    ),
                                    array(
                                        'name'      => 'text_before_icon',
                                        'type'      => \Elementor\Controls_Manager::TEXTAREA,
                                        'label'     => '',
                                        'separator' => 'after'
                                    ),
                                    array(
                                        'name'            => 'icon1_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __( 'Icon 01', 'claniz' ),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    ),
                                    array(
                                        'name'        => 'icon1_type',
                                        'label'       => __('Icon Type','claniz'),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => [
                                            'icon' => __('Icon','claniz'),
                                            'img'  => __('Image','claniz') 
                                        ],
                                        'default' => 'icon'
                                    ),
                                    array(
                                        'name'        => 'icon1_img',
                                        'type'        => \Elementor\Controls_Manager::MEDIA,
                                        'label_block' => true,
                                        'condition'   => [
                                            'icon1_type' => 'img'
                                        ]
                                    ),
                                    array(
                                        'name'        => 'icon1',
                                        'type'        => \Elementor\Controls_Manager::ICONS,
                                        'label_block' => true,
                                        'condition'   => [
                                            'icon1_type' => 'icon'
                                        ]
                                    ),
                                    array(
                                        'name'      => 'icon1_animation',
                                        'label'     => esc_html__( 'Icon 01 Motion Effect', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::ANIMATION
                                    ),
                                    array(
                                        'name'      => 'icon1_animation_delay',
                                        'label'     => esc_html__( 'Icon 01 Transition Delay', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::TEXT
                                    ),
                                    array(
                                        'name'            => 'icon2_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __( 'Icon 02', 'claniz' ),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    ),
                                    array(
                                        'name'        => 'icon2_type',
                                        'label'       => __('Icon Type','claniz'),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => [
                                            'icon' => __('Icon','claniz'),
                                            'img'  => __('Image','claniz') 
                                        ],
                                        'default' => 'icon'
                                    ),
                                    array(
                                        'name'        => 'icon2_img',
                                        'type'        => \Elementor\Controls_Manager::MEDIA,
                                        'label_block' => true,
                                        'condition'   => [
                                            'icon2_type' => 'img'
                                        ]
                                    ),
                                    array(
                                        'name'        => 'icon2',
                                        'type'        => \Elementor\Controls_Manager::ICONS,
                                        'label_block' => true,
                                        'condition'   => [
                                            'icon2_type' => 'icon'
                                        ]
                                    ),
                                    array(
                                        'name'      => 'icon2_animation',
                                        'label'     => esc_html__( 'Icon 02 Motion Effect', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::ANIMATION
                                    ),
                                    array(
                                        'name'      => 'icon2_animation_delay',
                                        'label'     => esc_html__( 'Icon 02 Transition Delay', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::TEXT
                                    ),
                                    array(
                                        'name'            => 'icon3_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __( 'Icon 03', 'claniz' ),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    ),
                                    array(
                                        'name'        => 'icon3_type',
                                        'label'       => __('Icon Type','claniz'),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => [
                                            'icon' => __('Icon','claniz'),
                                            'img'  => __('Image','claniz') 
                                        ],
                                        'default' => 'icon'
                                    ),
                                    array(
                                        'name'        => 'icon3_img',
                                        'type'        => \Elementor\Controls_Manager::MEDIA,
                                        'label_block' => true,
                                        'condition'   => [
                                            'icon3_type' => 'img'
                                        ]
                                    ),
                                    array(
                                        'name'        => 'icon3',
                                        'type'        => \Elementor\Controls_Manager::ICONS,
                                        'label_block' => true,
                                        'condition'   => [
                                            'icon3_type' => 'icon'
                                        ]
                                    ),
                                    array(
                                        'name'      => 'icon3_animation',
                                        'label'     => esc_html__( 'Icon 03 Motion Effect', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::ANIMATION
                                    ),
                                    array(
                                        'name'      => 'icon3_animation_delay',
                                        'label'     => esc_html__( 'Icon 03 Transition Delay', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::TEXT
                                    ),
                                    array(
                                        'name'            => 'icon4_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __( 'Icon 04', 'claniz' ),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    ),
                                    array(
                                        'name'        => 'icon4_type',
                                        'label'       => __('Icon Type','claniz'),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => [
                                            'icon' => __('Icon','claniz'),
                                            'img'  => __('Image','claniz') 
                                        ],
                                        'default' => 'icon'
                                    ),
                                    array(
                                        'name'        => 'icon4_img',
                                        'type'        => \Elementor\Controls_Manager::MEDIA,
                                        'label_block' => true,
                                        'condition'   => [
                                            'icon4_type' => 'img'
                                        ]
                                    ),
                                    array(
                                        'name'        => 'icon4',
                                        'type'        => \Elementor\Controls_Manager::ICONS,
                                        'label_block' => true,
                                        'condition'   => [
                                            'icon4_type' => 'icon'
                                        ]
                                    ),
                                    array(
                                        'name'      => 'icon4_animation',
                                        'label'     => esc_html__( 'Icon 04 Motion Effect', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::ANIMATION
                                    ),
                                    array(
                                        'name'      => 'icon4_animation_delay',
                                        'label'     => esc_html__( 'Icon 04 Transition Delay', 'claniz' ),
                                        'type'      => \Elementor\Controls_Manager::TEXT
                                    ),
                                    array(
                                        'name'        => 'icons_color',
                                        'label'       => esc_html__( 'Icon Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::SELECT,
                                        'options'     => claniz_elementor_theme_color_opts(),
                                        'default'     => 'white'
                                    ),
                                    array(
                                        'name'            => 'icons_note',
                                        'type'            => \Elementor\Controls_Manager::RAW_HTML,
                                        'raw'             => __( 'Icons Settings', 'claniz' ),
                                        'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                                    ),
                                    array(
                                        'name'        => 'icons_custom_color',
                                        'label'       => esc_html__( 'Icons Custom Color', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::COLOR,
                                        'condition'   => [
                                            'icons_color'      => 'custom'
                                        ],
                                        'selectors'  => [
                                            '{{WRAPPER}} .cms-slide-icon' => 'color:{{VALUE}};'
                                        ]
                                    ),
                                )
                            ),
                            'default' => [
                                [
                                    'small_heading' => 'Home Security Products Everyone Can Install, Afford, And Use!',
                                    'large_heading' => 'Smart Security Systems For The Modern World',
                                    'description'   => 'We provide security requirements of residential, commercial and other clients, with the largest assortment of security cameras and alarm systems installation.',
                                    'image'         => [
                                        'url' => get_template_directory_uri().'/assets/images/sliders/slider-h1-1.jpg'
                                    ],
                                    'btn_text'        => 'Explore Our Services',
                                    'btn_size'        => 'btn-lg',
                                    'btn_color'       => 'accent',
                                    'btn_hover_color' => 'primary',
                                    'btn_size'        => 'lg',
                                    // button 2  
                                    'btn2btn_text'        => 'More About Us!',
                                    'btn2btn_size'        => 'btn-lg',  
                                    'btn2btn_color'       => 'accent',      
                                    'btn2btn_hover_color' => 'primary',
                                    'btn2btn_size'        => 'lg' 
                                ],
                                [
                                    'small_heading' => 'Explore Our Featured Products',
                                    'large_heading' => 'Cleaning Supplies For All Needs!',
                                    'description'   => 'We work closely with clients in finding the most cost effective solutions while still providing a level of service that produce a clean, healthy environment as well as one protects the capital investment you have made in facility.',
                                    'image'         => [
                                        'url' => get_template_directory_uri().'/assets/images/sliders/slider-h1-2.jpg'
                                    ],
                                    'btn_text'     => 'Explore Our Services',
                                    'btn2btn_text' => 'More About Us!'
                                ]
                            ],
                            'title_field' => '{{{ large_heading }}}',
                        )
                    )
                ),
                array(
                    'name'     => 'static_section',
                    'label'    => esc_html__('Static Layer', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'  => 'static_layer',
                            'type'  => \Elementor\Controls_Manager::MEDIA,
                            'label' => esc_html__( 'Static layer', 'claniz' ),
                            'default' => false
                        ),
                        array(
                            'name'         => 'thumbnail',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'full',
                            'condition'    => [
                                'static_layer[url]!' => ''
                            ]
                        ),
                        array(
                            'name'      => 'static_layer_animation',
                            'label'     => __( 'Motion Effect', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::ANIMATION,
                            'condition'    => [
                                'static_layer[url]!' => ''
                            ]
                        ),
                        array(
                            'name'      => 'static_layer_animation_delay',
                            'label'     => __( 'Transition Delay', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::NUMBER,
                            'condition'    => [
                                'static_layer[url]!' => ''
                            ]
                        ),
                        array(
                            'name'            => 'static_layer_note',
                            'type'            => \Elementor\Controls_Manager::RAW_HTML,
                            'raw'             => __( 'Make position for static layer', 'claniz' ),
                            'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning',
                            'condition'    => [
                                'static_layer[url]!' => ''
                            ]
                        ),
                        array(
                            'name'         => 'static_layer_pos_top',
                            'label'        => __( 'Top', 'claniz' ),
                            'type'         => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units'   => [ 'px', 'em', '%', 'vw' ],
                            'default'      => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'tablet_default' => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'mobile_default' => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'range' => [
                                'px' => [
                                    'min' =>  -2000,
                                    'max' => 2000,
                                ],
                                'em' => [
                                    'min' =>  -100,
                                    'max' =>  100,
                                ],
                                '%' => [
                                    'min' =>  -100,
                                    'max' =>  100,
                                ],
                                'vw' => [
                                    'min' =>  -100,
                                    'max' =>  100,
                                ],
                            ],
                            'required' => true,
                            'selectors' => [
                                '{{WRAPPER}} .cms-slide-static-layer' => 'top: {{SIZE}}{{UNIT}};',
                            ],
                            'device_args' => [
                                \Elementor\Controls_Stack::RESPONSIVE_TABLET => [
                                    'selectors' => [
                                        '{{WRAPPER}} .cms-slide-static-layer' => 'top: {{SIZE}}{{UNIT}};',
                                    ]
                                ],
                                \Elementor\Controls_Stack::RESPONSIVE_MOBILE => [
                                    'selectors' => [
                                        '{{WRAPPER}} .cms-slide-static-layer' => 'top: {{SIZE}}{{UNIT}};',
                                    ]
                                ]
                            ],
                            'condition'    => [
                                'static_layer[url]!' => ''
                            ]
                        ),
                        array(
                            'name'       => 'static_layer_pos_right',
                            'label'      => __( 'Right', 'claniz' ),
                            'type'       => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', 'em', '%', 'vw' ],
                            'default'    => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'tablet_default' => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'mobile_default' => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'range' => [
                                'px' => [
                                    'min' => -2000,
                                    'max' => 2000,
                                ],
                                'em' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                                '%' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                                'vw' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                            ],
                            'required' => true,
                            'selectors' => [
                                '{{WRAPPER}} .cms-slide-static-layer' => 'right: {{SIZE}}{{UNIT}};',
                            ],
                            'device_args' => [
                                \Elementor\Controls_Stack::RESPONSIVE_TABLET => [
                                    'selectors' => [
                                        '{{WRAPPER}} .cms-slide-static-layer' => 'right: {{SIZE}}{{UNIT}};',
                                    ]
                                ],
                                \Elementor\Controls_Stack::RESPONSIVE_MOBILE => [
                                    'selectors' => [
                                        '{{WRAPPER}} .cms-slide-static-layer' => 'right: {{SIZE}}{{UNIT}};',
                                    ]
                                ]
                            ],
                            'condition'    => [
                                'static_layer[url]!' => ''
                            ]
                        ),
                        array(
                            'name'         => 'static_layer_pos_bottom',
                            'label'        => __( 'Bottom', 'claniz' ),
                            'type'         => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units'   => [ 'px', 'em', '%', 'vw' ],
                            'default'      => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'tablet_default' => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'mobile_default' => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'range' => [
                                'px' => [
                                    'min' => -2000,
                                    'max' => 2000,
                                ],
                                'em' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                                '%' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                                'vw' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                            ],
                            'required' => true,
                            'selectors' => [
                                '{{WRAPPER}} .cms-slide-static-layer' => 'bottom: {{SIZE}}{{UNIT}};',
                            ],
                            'device_args' => [
                                \Elementor\Controls_Stack::RESPONSIVE_TABLET => [
                                    'selectors' => [
                                        '{{WRAPPER}} .cms-slide-static-layer' => 'bottom: {{SIZE}}{{UNIT}};',
                                    ]
                                ],
                                \Elementor\Controls_Stack::RESPONSIVE_MOBILE => [
                                    'selectors' => [
                                        '{{WRAPPER}} .cms-slide-static-layer' => 'bottom: {{SIZE}}{{UNIT}};',
                                    ]
                                ]
                            ],
                            'condition'    => [
                                'static_layer[url]!' => ''
                            ]
                        ),
                        array(
                            'name'         => 'static_layer_pos_left',
                            'label'        => __( 'Left', 'claniz' ),
                            'type'         => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units'   => [ 'px', 'em', '%', 'vw' ],
                            'default'      => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'tablet_default' => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'mobile_default' => [
                                //'unit' => 'px',
                                //'size' => 0,
                            ],
                            'range' => [
                                'px' => [
                                    'min' => -2000,
                                    'max' =>2000,
                                ],
                                'em' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                                '%' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                                'vw' => [
                                    'min' => -100,
                                    'max' => 100,
                                ],
                            ],
                            'required' => true,
                            'selectors' => [
                                '{{WRAPPER}} .cms-slide-static-layer' => 'left: {{SIZE}}{{UNIT}};',
                            ],
                            'device_args' => [
                                \Elementor\Controls_Stack::RESPONSIVE_TABLET => [
                                    'selectors' => [
                                        '{{WRAPPER}} .cms-slide-static-layer' => 'left: {{SIZE}}{{UNIT}};',
                                    ]
                                ],
                                \Elementor\Controls_Stack::RESPONSIVE_MOBILE => [
                                    'selectors' => [
                                        '{{WRAPPER}} .cms-slide-static-layer' => 'left: {{SIZE}}{{UNIT}};',
                                    ]
                                ]
                            ],
                            'condition'    => [
                                'static_layer[url]!' => ''
                            ]
                        )
                    )
                ),
                array(
                    'name'     => 'rating_section',
                    'label'    => esc_html__('Rate Settings', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'    => 'show_rate',
                            'type'    => \Elementor\Controls_Manager::SWITCHER,
                            'label'   => esc_html__( 'Show Rate', 'claniz' ),
                            'default' => 'false'
                        ),
                        array(
                            'name'  => 'rate_star',
                            'type'  => \Elementor\Controls_Manager::MEDIA,
                            'label' => esc_html__( 'Star Icon', 'claniz' ),
                            'default' => [
                                'url' => get_template_directory_uri().'/assets/images/icons/star-three.png'
                            ],
                            'condition' => [
                                'show_rate' => 'true'
                            ]
                        ),
                        array(
                            'name'  => 'rate_star_bg',
                            'type'  => \Elementor\Controls_Manager::COLOR,
                            'label' => esc_html__( 'Star Icon Background', 'claniz' ),
                            'condition' => [
                                'show_rate' => 'true'
                            ]
                        ),
                        array(
                            'name'  => 'rate_value',
                            'label' => esc_html__( 'Percent Value', 'claniz' ),
                            'type'  => \Elementor\Controls_Manager::SLIDER,
                            'range' => [
                                '%' => [
                                    'min' => 1,
                                    'max' => 100,
                                ]
                            ],
                            'size_units' => ['%'],
                            'default' => [
                                'unit' => '%',
                                'size' => '97' 
                            ],
                            'condition' => [
                                'show_rate' => 'true'
                            ]
                        ),
                        array(
                            'name'  => 'rate_text',
                            'type'  => \Elementor\Controls_Manager::TEXTAREA,
                            'label' => esc_html__( 'Rate Text', 'claniz' ),
                            'condition' => [
                                'show_rate' => 'true'
                            ]
                        )
                    ),
                    'condition' => [
                        'layout' => ['0']
                    ]
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);