<?php
// Register Socials Share Widget
etc_add_custom_widget(
    array(
		'name'       => 'cms_socials_share',
		'title'      => esc_html__( 'CMS Socials Share', 'claniz' ),
		'icon'       => 'eicon-social-icons',
		'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
		'scripts'    => array(),
		'params'     => array(
            'sections' => array(
                array(
					'name'     => 'layout_section',
					'label'    => esc_html__( 'Layout', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
					'controls' => array(
						claniz_elementor_row_align(),
                        array(
							'name'    => 'layout',
							'label'   => esc_html__( 'Templates', 'claniz' ),
							'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
							'default' => '1',
							'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_socials_share/layout-images/1.png'
                                ]
                            ],
                            'prefix_class' => 'cms-socials-share-layout-'
                        ),
                    ),
                ),
                array(
					'name'     => 'social_section',
					'label'    => esc_html__( 'Socials Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
					'controls' => array(
						array(
							'name'             => 'facebook_icon',
							'label'            => esc_html__( 'Facebook Icon', 'claniz' ),
							'type'             => \Elementor\Controls_Manager::ICONS,
							'default'          => [
								'library' => 'cmsi',
								'value'	  => 'cmsi-facebook-f'
							],
							'condition' => [
								'facebook_show' => 'yes'
							]
                        ),
                        array(
							'name'    => 'facebook_show',
							'label'   => esc_html__( 'Facebook', 'claniz' ),
							'type'    => \Elementor\Controls_Manager::SELECT,
							'options' => [
								'yes' => __('Yes','claniz'),
								'no'  => __('No','claniz')
							],
							'default' => 'yes',
							'separator' => 'after'	
                        ),
                        array(
							'name'             => 'twitter_icon',
							'label'            => esc_html__( 'Twitter Icon', 'claniz' ),
							'type'             => \Elementor\Controls_Manager::ICONS,
							'default'          => [
								'library' => 'cmsi',
								'value'	  => 'cmsi-twitter'
							],
							'condition' => [
								'twitter_show' => 'yes'
							]
                        ),
                        array(
							'name'    => 'twitter_show',
							'label'   => esc_html__( 'Twitter', 'claniz' ),
							'type'    => \Elementor\Controls_Manager::SELECT,
							'options' => [
								'yes' => __('Yes','claniz'),
								'no'  => __('No','claniz')
							],
							'default' => 'yes',
							'separator' => 'after'	
                        ),
                        array(
							'name'             => 'linkedin_icon',
							'label'            => esc_html__( 'Linkedin Icon', 'claniz' ),
							'type'             => \Elementor\Controls_Manager::ICONS,
							'default'          => [
								'library' => 'cmsi',
								'value'	  => 'cmsi-linkedin-in'
							],
							'condition' => [
								'linkedin_show' => 'yes'
							]
                        ),
                        array(
							'name'    => 'linkedin_show',
							'label'   => esc_html__( 'Linkedin', 'claniz' ),
							'type'    => \Elementor\Controls_Manager::SELECT,
							'options' => [
								'yes' => __('Yes','claniz'),
								'no'  => __('No','claniz')
							],
							'default' => 'yes',
							'separator' => 'after'	
                        ),
                        array(
							'name'             => 'instagram_icon',
							'label'            => esc_html__( 'Instagram Icon', 'claniz' ),
							'type'             => \Elementor\Controls_Manager::ICONS,
							'default'          => [
								'library' => 'cmsi',
								'value'	  => 'cmsi-instagram'
							],
							'condition' => [
								'instagram_show' => 'yes'
							]
                        ),
                        array(
							'name'    => 'instagram_show',
							'label'   => esc_html__( 'Instagram', 'claniz' ),
							'type'    => \Elementor\Controls_Manager::SELECT,
							'options' => [
								'yes' => __('Yes','claniz'),
								'no'  => __('No','claniz')
							],
							'default' => 'no',
							'separator' => 'after'	
                        ),
                        array(
							'name'             => 'pinterest_icon',
							'label'            => esc_html__( 'Pinterest Icon', 'claniz' ),
							'type'             => \Elementor\Controls_Manager::ICONS,
							'default'          => [
								'library' => 'cmsi',
								'value'	  => 'cmsi-pinterest'
							],
							'condition' => [
								'pinterest_show' => 'yes'
							]
                        ),
                        array(
							'name'    => 'pinterest_show',
							'label'   => esc_html__( 'Pinterest', 'claniz' ),
							'type'    => \Elementor\Controls_Manager::SELECT,
							'options' => [
								'yes' => __('Yes','claniz'),
								'no'  => __('No','claniz')
							],
							'default' => 'no',
							'separator' => 'after'	
                        )
					)
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);