<?php
// Register Tabs Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_tabs',
        'title'      => esc_html__( 'CMS Tabs', 'claniz' ),
        'icon'       => 'eicon-tabs',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => [
          'cms-tabs'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'    => 'type',
                            'label'   => esc_html__( 'Navigation Type', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'default' => 'horizontal',
                            'options' => [
                                'horizontal' => esc_html__( 'Horizontal', 'claniz' ),
                                'vertical' => esc_html__( 'Vertical', 'claniz' ),
                            ],
                            'prefix_class' => 'cms-tabs-view-',
                            'separator'    => 'before',
                        ),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_tabs/layout-images/1.png'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_tabs/layout-images/2.png'
                                ]
                            ],
                            'prefix_class' => 'cms-tabs cms-tabs-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'section_tabs',
                    'label'    => esc_html__( 'Tabs', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'      => 'active_tab',
                            'label'     => esc_html__( 'Active Tab', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::NUMBER,
                            'default'   => 1,
                            'separator' => 'after',
                        ),
                        array(
                            'name'     => 'tabs',
                            'label'    => esc_html__( 'Tabs Items', 'claniz' ),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array_merge(
                                array (
                                    array(
                                        'name'        => 'tab_title_icon',
                                        'label'       => esc_html__( 'Tab Title Icon', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::ICONS,
                                        'label_block' => true
                                    ),
                                    array(
                                        'name'        => 'tab_title',
                                        'label'       => esc_html__( 'Tab Title', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'default'     => 'Tab Title',
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    )
                                ),
                                claniz_elementor_text_settings([
                                    'name'     => 'tab_content_title',
                                    'label'    => esc_html__( 'Content Heading', 'claniz' ),
                                    'default'  => 'This is heading',
                                    'selector' => '.cms-tab-content-heading',
                                    'separator' => 'before'
                                ]),
                                array(
                                    array(
                                        'name'        => 'tab_content',
                                        'label'       => esc_html__( 'Content', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::WYSIWYG,
                                        'default'     => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                        'label_block'  => true,
                                        'separator'   => 'before'
                                    ),
                                    array(
                                        'name'        => 'tab_content_img',
                                        'label'       => esc_html__( 'Content Image', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::MEDIA,
                                        'label_block' => true,
                                        'separator'   => 'before',
                                        'default'     => [
                                            'url'  => ''
                                        ]
                                    ),
                                    array(
                                        'name'        => 'button_notice',
                                        'label'       => esc_html__( 'Button Setting', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::HEADING,
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    )
                                ),
                                claniz_elementor_button_settings([
                                    'btn_text'         => 'Discover More Info',
                                    'btn_size'         => 'xl',
                                    'btn_type_default' => 'btn btn-outline',
                                    'btn_color'        => 'bcbcbc',
                                    'btn_hover_color'  => 'accent',
                                ])
                            ),
                            'default' => [
                                [
                                    'tab_title'   => 'Tab #1',
                                    'tab_content_title' => '#1 Tab Heading',
                                    'tab_content' => '#1 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ],
                                [
                                    'tab_title'   => 'Tab #2',
                                    'tab_content_title' => '#2 Tab Heading',
                                    'tab_content' => '#2 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ],
                                [
                                    'tab_title'   => 'Tab #3',
                                    'tab_content_title' => '#3 Tab Heading',
                                    'tab_content' => '#3 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ],
                                [
                                    'tab_title'   => 'Tab #4',
                                    'tab_content_title' => '#4 Tab Heading',
                                    'tab_content' => '#4 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ]
                            ],
                            'title_field' => '{{{ tab_title }}}',
                        )
                    ),
                    'condition' => [
                        'layout' => ['1']
                    ]
                ),
                array(
                    'name'     => 'section_tabs2',
                    'label'    => esc_html__( 'Tabs', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'      => 'active_tab2',
                            'label'     => esc_html__( 'Active Tab', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::NUMBER,
                            'default'   => 1,
                            'separator' => 'after',
                        ),
                        array(
                            'name'     => 'tabs2',
                            'label'    => esc_html__( 'Tabs Items', 'claniz' ),
                            'type'     => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array_merge(
                                array (
                                    array(
                                        'name'        => 'tab_title',
                                        'label'       => esc_html__( 'Tab Title', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'default'     => 'Tab Title',
                                        'label_block' => true,
                                        'separator'   => 'before'
                                    )
                                ),
                                array(
                                    array(
                                        'name'        => 'tab_content',
                                        'label'       => esc_html__( 'Content', 'claniz' ),
                                        'type'        => \Elementor\Controls_Manager::WYSIWYG,
                                        'default'     => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                        'label_block'  => true,
                                        'separator'   => 'before'
                                    )
                                )
                            ),
                            'default' => [
                                [
                                    'tab_title'   => 'Tab #1',
                                    'tab_content_title' => '#1 Tab Heading',
                                    'tab_content' => '#1 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ],
                                [
                                    'tab_title'   => 'Tab #2',
                                    'tab_content_title' => '#2 Tab Heading',
                                    'tab_content' => '#2 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ],
                                [
                                    'tab_title'   => 'Tab #3',
                                    'tab_content_title' => '#3 Tab Heading',
                                    'tab_content' => '#3 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ],
                                [
                                    'tab_title'   => 'Tab #4',
                                    'tab_content_title' => '#4 Tab Heading',
                                    'tab_content' => '#4 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ]
                            ],
                            'title_field' => '{{{ tab_title }}}',
                        )
                    )
                ),
                array(
                    'name'     => 'section_tabs_style',
                    'label'    => esc_html__( 'Tabs', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'         => 'navigation_width',
                            'label'        => esc_html__( 'Navigation Width', 'claniz' ),
                            'type'         => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'default'      => [
                                'unit' => '%',
                            ],
                            'range' => [
                                '%' => [
                                    'min' => 10,
                                    'max' => 50,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}}.cms-tabs-view-vertical .cms-tabs-navigation' => 'flex:0 0 {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}}; max-width: {{SIZE}}{{UNIT}};',
                            ],
                            'condition' => [
                                'type' => 'vertical',
                            ],
                        ),
                        array(
                            'name'    => 'border_width',
                            'label'   => esc_html__( 'Border Width', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::SLIDER,
                            'default' => [],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 10,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-tabs-title, {{WRAPPER}} .cms-tab-content, {{WRAPPER}}.cms-tabs-view-vertical .cms-tab-title' => 'border-width: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name'      => 'border_color',
                            'label'     => esc_html__( 'Border Color', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-tabs-title, {{WRAPPER}} .cms-tab-content, {{WRAPPER}}.cms-tabs-view-vertical .cms-tab-title' => 'border-color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name'      => 'background_color',
                            'label'     => esc_html__( 'Background Color', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-tab-title.active' => 'background-color: {{VALUE}};',
                                '{{WRAPPER}} .cms-tab-content' => 'background-color: {{VALUE}};',
                            ],
                        )
                    )
                ),
                array(
                    'name'     => 'section_img_style',
                    'label'    => esc_html__( 'Image', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'         => 'tab_content_img',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'custom'
                        )
                    )
                ),
                array(
                    'name'     => 'section_title_style',
                    'label'    => esc_html__( 'Title', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'      => 'tab_color',
                            'label'     => esc_html__( 'Color', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-tab-title .title-text' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name'      => 'tab_active_color',
                            'label'     => esc_html__( 'Active Color', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-tab-title.active .title-text' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name'         => 'tab_typography',
                            'type'         => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector'     => '{{WRAPPER}} .cms-tab-title .title-text',
                        )
                    )
                ),
                array(
                    'name'     => 'section_content_style',
                    'label'    => esc_html__( 'Content', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'      => 'content_color',
                            'label'     => esc_html__( 'Color', 'claniz' ),
                            'type'      => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-tab-content .content-text' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name'         => 'content_typography',
                            'type'         => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector'     => '{{WRAPPER}} .cms-tab-content .content-text',
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);