<?php
// Register Testimonial List Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_teams',
        'title'      => esc_html__('CMS Teams', 'claniz'),
        'icon'       => 'eicon-slider-push',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => array(
            'swiper',
            'cms-swiper'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'claniz' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'claniz' ),
                            'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_teams/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_teams/layout-images/2.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-teams-layout-'
                        )
                    ),
                ),
                claniz_elementor_swiper_slider_settings([
                    'tab'       => \Elementor\Controls_Manager::TAB_SETTINGS,
                ]),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'heading_desc_layout',
                                'label'   => esc_html__( 'Heading & Description Layout', 'claniz' ),
                                'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                                'default' => '1',
                                'options' => [
                                    '1' => [
                                        'label'      => esc_html__( 'Layout 1', 'claniz' ),
                                        'image'      => get_template_directory_uri() . '/elementor/templates/layouts/posts/heading/1.png'
                                    ]
                                ]
                            ),
                            array(
                                'name'             => 'selected_icon',
                                'label'            => esc_html__( 'Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'fa4compatibility' => 'icon',
                                'default'          => [
                                    'value'     => '',
                                    'library'   => '',
                                ],
                                'condition' => [],
                            )
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'smallheading_text',
                            'label'    => __('Small Heading','claniz'), 
                            'default'  => '',
                            'selector' => '.cms-smallheading'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text',
                            'label'    => __('Large Heading','claniz'),
                            'default'  => '',
                            'selector' => '.cms-mainheading'
                        ]),
                        claniz_elementor_text_settings([
                            'name'     => 'description_text',
                            'label'    => __('Description','claniz'),
                            'default'  => '',
                            'selector' => '.cms-desc'
                        ])
                    )
                ),
                array(
                    'name'     => 'teams_list',
                    'label'    => esc_html__('Teams', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'teams',
                            'label' => esc_html__('Add Item', 'claniz'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name' => 'image',
                                    'label' => esc_html__('Image', 'claniz'),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'name',
                                    'label' => esc_html__('Name', 'claniz'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'position',
                                    'label' => esc_html__('Position', 'claniz'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                ),
                                array(
                                    'name'        => 'link',
                                    'label'       => esc_html__('Link', 'claniz' ),
                                    'type'        => \Elementor\Controls_Manager::URL,
                                    'placeholder' => esc_html__( 'https://your-link.com', 'claniz' )
                                ),
                                array(
                                    'name'  => 'social',
                                    'label' => esc_html__( 'Social', 'claniz' ),
                                    'type'  => Elementor_Theme_Core::ICONS_CONTROL,
                                ),
                            ),
                            'title_field' => '{{{ name }}}',
                            'default'     => [
                                [
                                    'image'    => [
                                        'url' => get_template_directory_uri().'/elementor/templates/widgets/cms_teams/avatars/team-1.jpg'
                                    ],
                                    'name'     => 'Mike Dooley',
                                    'position' => 'Chief Executive',
                                    'link'     => [
                                        'url' => '#',
                                        'is_extalnal' => 'true'
                                    ],
                                    'social'   => '[
                                        {  
                                            "icon":"cmsi cmsi-facebook-f",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"cmsi cmsi-twitter",
                                            "url":"https://twitter.com"
                                        }
                                        ,
                                        {
                                            "icon":"cmsi cmsi-linkedin-in",
                                            "url":"https://linkedin.com"
                                        }
                                    ]'
                                ],
                                [
                                    'image'    => [
                                        'url' => get_template_directory_uri().'/elementor/templates/widgets/cms_teams/avatars/team-2.jpg'
                                    ],
                                    'name'     => 'Michael Brian',
                                    'position' => 'Managing Director',
                                    'link'     => [
                                        'url' => '#',
                                        'is_extalnal' => 'true'
                                    ],
                                    'social'   => '[
                                        {  
                                            "icon":"cmsi cmsi-facebook-f",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"cmsi cmsi-twitter",
                                            "url":"https://twitter.com"
                                        }
                                        ,
                                        {
                                            "icon":"cmsi cmsi-linkedin-in",
                                            "url":"https://linkedin.com"
                                        }
                                    ]'
                                ],
                                [
                                    'image'    => [
                                        'url' => get_template_directory_uri().'/elementor/templates/widgets/cms_teams/avatars/team-3.jpg'
                                    ],
                                    'name'     => 'Chris Wensel',
                                    'position' => 'Vice President',
                                    'link'     => [
                                        'url' => '#',
                                        'is_extalnal' => 'true'
                                    ],
                                    'social'   => '[
                                        {  
                                            "icon":"cmsi cmsi-facebook-f",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"cmsi cmsi-twitter",
                                            "url":"https://twitter.com"
                                        }
                                        ,
                                        {
                                            "icon":"cmsi cmsi-linkedin-in",
                                            "url":"https://linkedin.com"
                                        }
                                    ]'
                                ],
                                [
                                    'image'    => [
                                        'url' => get_template_directory_uri().'/elementor/templates/widgets/cms_teams/avatars/team-4.jpg'
                                    ],
                                    'name'     => 'Richard Muldoone',
                                    'position' => 'Legal Officer',
                                    'link'     => [
                                        'url' => '#',
                                        'is_extalnal' => 'true'
                                    ],
                                    'social'   => '[
                                        {  
                                            "icon":"cmsi cmsi-facebook-f",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"cmsi cmsi-twitter",
                                            "url":"https://twitter.com"
                                        }
                                        ,
                                        {
                                            "icon":"cmsi cmsi-linkedin-in",
                                            "url":"https://linkedin.com"
                                        }
                                    ]'
                                ],
                                [
                                    'image'    => [
                                        'url' => get_template_directory_uri().'/elementor/templates/widgets/cms_teams/avatars/team-5.jpg'
                                    ],
                                    'name'     => 'Maria Andaloro',
                                    'position' => 'HR Officer',
                                    'link'     => [
                                        'url' => '#',
                                        'is_extalnal' => 'true'
                                    ],
                                    'social'   => '[
                                        {  
                                            "icon":"cmsi cmsi-facebook-f",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"cmsi cmsi-twitter",
                                            "url":"https://twitter.com"
                                        }
                                        ,
                                        {
                                            "icon":"cmsi cmsi-linkedin-in",
                                            "url":"https://linkedin.com"
                                        }
                                    ]'
                                ],
                                [
                                    'image'    => [
                                        'url' => get_template_directory_uri().'/elementor/templates/widgets/cms_teams/avatars/team-6.jpg'
                                    ],
                                    'name'     => 'Marian Chris',
                                    'position' => 'Global Sales',
                                    'link'     => [
                                        'url' => '#',
                                        'is_extalnal' => 'true'
                                    ],
                                    'social'   => '[
                                        {  
                                            "icon":"cmsi cmsi-facebook-f",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"cmsi cmsi-twitter",
                                            "url":"https://twitter.com"
                                        }
                                        ,
                                        {
                                            "icon":"cmsi cmsi-linkedin-in",
                                            "url":"https://linkedin.com"
                                        }
                                    ]'
                                ],
                                [
                                    'image'    => [
                                        'url' => get_template_directory_uri().'/elementor/templates/widgets/cms_teams/avatars/team-7.jpg'
                                    ],
                                    'name'     => 'Jack Mudson',
                                    'position' => 'Manager',
                                    'link'     => [
                                        'url' => '#',
                                        'is_extalnal' => 'true'
                                    ],
                                    'social'   => '[
                                        {  
                                            "icon":"cmsi cmsi-facebook-f",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"cmsi cmsi-twitter",
                                            "url":"https://twitter.com"
                                        }
                                        ,
                                        {
                                            "icon":"cmsi cmsi-linkedin-in",
                                            "url":"https://linkedin.com"
                                        }
                                    ]'
                                ]
                            ]
                        ),
                        array(
                            'name'         => 'thumbnail_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'label'        => esc_html__('Images Size','claniz'),
                            'control_type' => 'group',
                            'default'      => 'full',
                        )
                    )
                ),
                array(
                    'name'     => 'hover_section',
                    'label'    => esc_html__( 'Hover Settings', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'hover_style',
                                'label'       => esc_html__( 'Hover Style', 'claniz' ),
                                'type'        => \Elementor\Controls_Manager::SELECT,
                                'label_block' => true,
                                'options'     => [
                                    ''      => esc_html__('Default', 'claniz')
                                ]
                            )
                        )
                    )
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);