<?php
// Register Testimonial List Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_testimonial',
        'title'      => esc_html__('CMS Testimonial', 'claniz'),
        'icon'       => 'eicon-testimonial',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts'    => [
            'swiper',
            'cms-swiper'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout_mode',
                            'label'   => esc_html__('Layout Mode', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'slider' => __('Slider','claniz'),
                                'list'   => __('List', 'claniz') 
                            ],
                            'default' => 'slider'
                        ),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_testimonial/layout-images/1.png'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_testimonial/layout-images/2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_testimonial/layout-images/3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_testimonial/layout-images/4.jpg'
                                ],
                            ],
                            'prefix_class' => 'cms-testimonial-layout-'
                        )
                    ),
                ),
                // Content
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'      => 'selected_icon',
                                'label'     => esc_html__( 'Icon', 'claniz' ),
                                'type'      => \Elementor\Controls_Manager::ICONS,
                                'condition' => [
                                    'layout' => []
                                ]
                            )
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'heading_text'
                        ])
                    ),
                    'condition' => [
                        'layout' => []
                    ]
                ),
                array(
                    'name'     => 'subheading_section',
                    'label'    => esc_html__( 'Sub Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'subheading_text'
                        ])
                    ),
                    'condition' => [
                        'layout' => []
                    ]
                ),
                array(
                    'name'     => 'ttmn_total',
                    'label'    => __('Total Rating','claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'total_image',
                            'label'       => esc_html__('Image', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA,
                            'default'     => [
                                'url' => get_template_directory_uri().'/assets/images/star/star-3-white.png'
                            ]
                        ),
                        array(
                            'name'        => 'total_value',
                            'label'       => esc_html__('Value', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXT,
                            'default'     => '97%'
                        ),
                        array(
                            'name'        => 'total_text',
                            'label'       => esc_html__('Text', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::TEXTAREA,
                            'default'     => 'Customer Rating'
                        )
                    ),
                    'condition' => [
                        'layout' => []
                    ]
                ),
                array(
                    'name'     => 'testimonial_list',
                    'label'    => __('Add Testimonial', 'claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'        => 'testimonial',
                            'description' => __('Add Testimonial', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::REPEATER,
                            'controls'    => array(
                                array(
                                    'name'      => 'ttmn_icon',
                                    'label'     => __( 'Icon', 'claniz' ),
                                    'type'      => \Elementor\Controls_Manager::ICONS,
                                    'condition' => [
                                        'layout' => []
                                    ]
                                ),
                                array(
                                    'name'        => 'ttmn_text',
                                    'label'       => esc_html__('Client Testimonial', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXTAREA,
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'ttmn_rate',
                                    'label'       => esc_html__('Client Rated', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::SELECT,
                                    'options'     => [
                                        'none'=> 'none',  
                                        '0'   => 0,
                                        '20'  => 1,
                                        '40'  => 2,
                                        '60'  => 3,
                                        '80'  => 4,
                                        '100' => 5
                                    ],
                                    'default'     => '100'
                                ),
                                array(
                                    'name'        => 'ttmn_avatar',
                                    'label'       => esc_html__('Client Avata', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::MEDIA
                                ),
                                array(
                                    'name'        => 'ttmn_name',
                                    'label'       => esc_html__('Client Name', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXT
                                ),
                                array(
                                    'name'        => 'ttmn_pos',
                                    'label'       => esc_html__('Client Position', 'claniz'),
                                    'type'        => \Elementor\Controls_Manager::TEXT
                                ),
                            ),
                            'default' => [
                                [
                                    'ttmn_text' => '#1 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                    'ttmn_name' => 'Martin Qube Jr',
                                    'ttmn_pos'  => 'Promina Inc'
                                ],
                                [
                                    'ttmn_text' => '#2 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                    'ttmn_name' => 'John Doe',
                                    'ttmn_pos'  => 'CMS Supper Heroes'
                                ],
                                [
                                    'ttmn_text' => '#3 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                    'ttmn_name' => 'Anna Ann',
                                    'ttmn_pos'  => 'CMS Supper Heroes'
                                ]
                            ],
                            'title_field' => '{{{ ttmn_text }}}',
                        )
                    ),
                    'condition' => []
                ),
                array(
                    'name'     => 'ttmn_bg_image',
                    'label'    => __('Image','claniz'),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name'        => 'background_image',
                            'label'       => esc_html__('Image', 'claniz'),
                            'type'        => \Elementor\Controls_Manager::MEDIA
                        ),
                        array(
                            'name'         => 'background_image_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'label'        => __('Image Size','claniz'), 
                            'control_type' => 'group',
                            'condition'    => [
                                'background_image[id]!'    => ''                            
                            ],
                            'default' => 'custom'
                        ),
                        array(
                            'name'         => 'image_as_bg',
                            'label'        => __('Image as Background','claniz'), 
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'options'      => [
                                'yes'  => __('Yes','claniz'),
                                'no'  => __('No','claniz')
                            ],
                            'default'      => 'no',
                            'separator'    => 'before'
                        )
                    ),
                    'condition' => [
                        'layout' => ['2']
                    ]
                ),
                array(
                    'name'     => 'quote_icon_section',
                    'label'    => esc_html__( 'Quote Icon', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'qicon_type',
                                'label'   => esc_html__( 'Icon Type', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'icon' => esc_html__('Icon', 'claniz'),
                                    'image' => esc_html__('Image', 'claniz'),
                                ],
                                'default'   => 'icon'
                            ),
                            array(
                                'name'             => 'quote_icon',
                                'label'            => esc_html__( 'Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'condition'        => [
                                    'qicon_type' => 'icon'
                                ]
                            ),
                            array(
                                'name'      => 'quote_image',
                                'label'     => esc_html__( 'Icon Image', 'claniz' ),
                                'type'      => \Elementor\Controls_Manager::MEDIA,
                                'default'   => '',
                                'condition' => [
                                    'qicon_type' => 'image'
                                ]
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'      => 'quote_icon_typo',
                            'selector'  => '.cms-ttmn-quote-icon',
                            'condition' => [
                                'qicon_type'         => 'icon',
                                'quote_icon[value]!' => ''
                            ]
                        ])
                    ),
                    'condition' => []
                ),
                array(
                    'name'     => 'testimonial_title_section',
                    'label'    => esc_html__( 'Testimonial Title', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_typo_settings([
                            'name'     => 'ttmn_author_typo',
                            'selector' => '.cms-ttmn-title'
                        ])
                    ),
                    'condition' => [
                        'layout' => []
                    ]
                ),
                array(
                    'name'     => 'testimonial_desc_section',
                    'label'    => esc_html__( 'Testimonial Text', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array_merge(
                        claniz_elementor_typo_settings([
                            'name'     => 'ttmn_text_typo',
                            'selector' => '.cms-ttmn-desc'
                        ])
                    )
                ),
                // Carousel Settings
                claniz_elementor_swiper_slider_settings([
                    'tab'                  => \Elementor\Controls_Manager::TAB_SETTINGS,
                    'slide_to_show'        => '1',
                    'slide_to_show_tablet' => '1',
                    'slide_to_show_mobile' => '1',
                    'condition' => [
                        'layout_mode' => 'slider'
                    ]
                ]),
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);