<?php
// Register Video Player Widget
etc_add_custom_widget(
    array(
        'name'       => 'cms_video',
        'title'      => esc_html__('CMS Video', 'claniz' ),
        'icon'       => 'eicon-play',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts'    => array(
            'jquery',
            'magnific-popup'
        ),
        'styles'     => array(
            'magnific-popup'
        ),
        'params'     => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'claniz' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        claniz_elementor_row_align([
                            'name' => 'content_align',
                            'label' => __('Content Align','claniz')
                        ]),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'claniz' ),
                            'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_video/layout-images/1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_video/layout-images/2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_video/layout-images/3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_video/layout-images/4.jpg'
                                ],
                                '5' => [
                                    'label' => esc_html__('Layout 5', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_video/layout-images/5.jpg'
                                ],
                                '6' => [
                                    'label' => esc_html__('Layout 6', 'claniz' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_video/layout-images/6.jpg'
                                ]
                            ],
                            'prefix_class' => 'cms-video-layout-'
                        )
                    )
                ),
                // Content
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => claniz_elementor_element_heading_settings()
                ),
                array(
                    'name'     => 'video_section',
                    'label'    => esc_html__('Video', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_video_settings(),
                        array(                         
                            array(
                                'name'             => 'play_icon_icon',
                                'label'            => esc_html__( 'Play Icon', 'claniz' ),
                                'type'             => \Elementor\Controls_Manager::ICONS,
                                'default'          => [
                                    'library'   => 'cmsi',
                                    'value'     => 'cmsi-play'
                                ] 
                            ),
                            array(
                                'name'    => 'video_play_btn_position',
                                'label'   => esc_html__('Position', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    ''              => esc_html__('Default','claniz'),
                                    'top-left'      => esc_html__('Top Left','claniz'),
                                    'top-center'    => esc_html__('Top Center','claniz'),
                                    'top-right'     => esc_html__('Top Right','claniz'),
                                    'center-left'   => esc_html__('Center Left','claniz'),
                                    'center-center' => esc_html__('Center Center','claniz'),
                                    'center-right'  => esc_html__('Center Right','claniz'),
                                    'bottom-left'   => esc_html__('Bottom Left','claniz'),
                                    'bottom-center' => esc_html__('Bottom Center','claniz'),
                                    'bottom-right'  => esc_html__('Bottom Right','claniz')
                                ]
                            ),
                            array(
                                'name'    => 'video_play_btn_size',
                                'label'   => esc_html__('Dimensions', 'claniz' ),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    ''      => __('Default','claniz'),
                                    '62'    => __('Size (62)','claniz'),
                                    '22'    => __('Size (22)','claniz'), 
                                    '42'    => __('Size (42)','claniz'), 
                                    '46'    => __('Size (46)','claniz'), 
                                    '47'    => __('Size (47)','claniz'), 
                                    '68'    => __('Size (68)','claniz'), 
                                    '82'    => __('Size (82)','claniz'), 
                                    '88'    => __('Size (88)','claniz'), 
                                    '90'    => __('Size (90)','claniz'),
                                    '54x36' => __('Size (54x36)','claniz'),
                                    '165'   => __('Size (165)','claniz') 
                                ]
                            )
                        )
                    )
                ),
                array(
                    'name'     => 'image_section',
                    'label'    => esc_html__('Image Overlay', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name'    => 'video_image_overlay',
                            'label'   => esc_html__( 'Choose Image', 'claniz' ),
                            'type'    => \Elementor\Controls_Manager::MEDIA,
                            'dynamic' => [
                                'active' => true,
                            ],
                            'default' => [
                                'url' => \Elementor\Utils::get_placeholder_image_src()
                            ]
                        ),
                        array(
                            'name'         => 'video_image_overlay_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'full',
                            'separator'    => 'none',
                        ),
                        array(
                            'name'         => 'video_image_overlay_as_bg',
                            'label'        => __('Image as Background','claniz'), 
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'options'      => [
                                'yes'  => __('Yes','claniz'),
                                'no'  => __('No','claniz')
                            ],
                            'default'      => 'no',
                            'separator'    => 'before'
                        )
                    )
                ),
                array(
                    'name'     => 'title',
                    'label'    => esc_html__( 'Title', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'title_text',
                            'label'    => '',
                            'default'  => '',
                            'selector' => '.cms-title'
                        ])
                    )
                ),
                array(
                    'name'     => 'desc2_section',
                    'label'    => esc_html__( 'Description', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_text_settings([
                            'name'     => 'description2_text',
                            'label'    => '',
                            'default'  => '',
                            'selector' => '.cms-desc2'
                        ])
                    )
                ),
                array(
                    'name'     => 'feature_section_01',
                    'label'    => esc_html__( 'Features', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'show_feature1',
                                'label'   => __('Show Features', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'true'  => __('Yes','claniz'),
                                    'false' => __('No', 'claniz')
                                ],
                                'default' => 'false'
                            ),
                            array(
                                'name'     => 'video1_feature_icon',
                                'label'    => esc_html__( 'Feature Icon', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::ICONS,
                                'condition'=> [
                                    'show_feature1' => 'true'
                                ]
                            )
                        ),
                        claniz_elementor_text_settings([
                            'name'     => 'video1_feature_title',
                            'label'    => __('Features Title', 'claniz'),
                            'default'  => 'More Protection With Monitoring:',
                            'selector' => '.cms-video-feature-title',
                            'condition'=> [
                                'show_feature1' => 'true'
                            ]
                        ]),
                        array(
                            array(
                                'name'     => 'video1_feature',
                                'label'    => esc_html__( 'Features', 'claniz' ),
                                'type'     => \Elementor\Controls_Manager::REPEATER,
                                'controls' => array(
                                    array(
                                        'name'        => 'title',
                                        'label'       => esc_html__('Feature Text', 'claniz'),
                                        'type'        => \Elementor\Controls_Manager::TEXT,
                                        'label_block' => true,
                                    )
                                ),
                                'prevent_empty' => true,
                                'default' => [
                                    [
                                        'title' => 'Smart Home Security',
                                    ],
                                    [
                                        'title' => 'Doorbell Video Cameras',
                                    ],
                                    [
                                        'title' => 'Professional Installation',
                                    ],
                                    [
                                        'title' => 'Burglary Sensor Detection',
                                    ],
                                    [
                                        'title' => 'In Home Consultation',
                                    ],
                                    [
                                        'title' => '24/7 Alarm Monitoring',
                                    ]
                                ],
                                'title_field' => '{{{ title }}}',
                                'condition'=> [
                                    'show_feature1' => 'true'
                                ]
                            )
                        ),
                        claniz_elementor_typo_settings([
                            'name'     => 'video1_feature_typo',
                            'selector' => '.cms-list-title',
                            'condition'=> [
                                'show_feature1' => 'true'
                            ]
                        ])
                    )
                ),
                array(
                    'name'     => 'button_01',
                    'label'    => esc_html__( 'Button 01', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn1',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => 'lg', 
                            'effect'           => true 
                        ])
                    )
                ),
                array(
                    'name'     => 'button_02',
                    'label'    => esc_html__( 'Button 02', 'claniz' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array_merge(
                        claniz_elementor_button_settings([
                            'prefix'           => 'btn2',
                            'btn_type_default' => 'btn btn-fill', 
                            'btn_size'         => 'lg', 
                            'effect'           => true 
                        ])
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elementor/core/widgets/'
);