( function( $ ) {
    /**
     * @param $scope The Widget wrapper element as a jQuery element
     * @param $ The jQuery alias
     */
    var WidgetCMSGSAPHandler = function( $scope, $ ) {
        gsap.registerPlugin(ScrollTrigger);
        var cmssroller = $scope.find(".cms-sroller"),
            sections = gsap.utils.toArray(".cms-sroller-item"),
            slides = document.querySelectorAll(".fromRight"); 

        gsap.timeline({ 
          scrollTrigger: { 
            trigger: cmssroller, 
            pin: !0, 
            scrub: 0.3, 
            start: "top top", 
            end: "+=3000",
            offset: 50
          }
        })
        .to(slides, {
          xPercent: -100, 
          duration: 2, 
          ease: "none", 
          stagger: 3
        })
        .to({}, { 
            duration: 1
        });
    };

    // Make sure you run this code under Elementor.
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_pricing_table.default', WidgetCMSGSAPHandler );
    } );
} )( jQuery );