<?php 
// Feature
$widget->add_render_attribute( 'feature', 'class', 'cms-heading-features cms-list cms-list-1 row pt-47');
if(empty($widget->get_setting('heading1_feature_icon')['value'])){
    $widget->add_render_attribute( 'feature', 'class', 'icon-default');
}
?>
<div class="cms-commitment-wrapper">
    <div class="cms-headings-wraps cms-commitment-headings empty-none <?php echo claniz_elementor_align_class($settings, ['id' => 'heading_align']);?>"><?php 
        // Small Heading
        claniz_elementor_text_render([
        'name'         => 'smallheading_text',
        'tag'          => 'div',
        'color'        => 'accent',
        'class'        => 'cms-smallheading mt-n5 mb-25' 
        ], $widget, $settings);
        // Large Heading 
        claniz_elementor_text_render([
            'name'         => 'heading_text',
            'tag'          => 'h2',
            'color'        => 'heading',
            'class'        => 'cms-mainheading cms-heading mt-n5 mb-25' 
        ], $widget, $settings);
        // Description Text
        claniz_elementor_text_render([
            'name'         => 'description_text',
            'tag'          => 'div',
            'color'        => 'body',
            'class'        => 'cms-desc',
            'autop'        => true
        ], $widget, $settings);
    ?></div>
    <div class="elementor-hidden-phone">
        <table class="cms-commitment cms-table-responsive font-700 text-heading">
            <thead>
                <tr class="cms-cmm-tr">
                    <th class="cms-cmm-td cms-cmm-label"><?php etc_print_html('<span>'.nl2br($settings['cmm_title']).'</span>'); ?></th>
                    <th class="cms-cmm-td cms-cmm-type"><?php etc_print_html('<span>'.nl2br($settings['cmm_feature1_name']).'</span>'); ?></th>
                    <th class="cms-cmm-td cms-cmm-type"><?php etc_print_html('<span>'.nl2br($settings['cmm_feature2_name']).'</span>'); ?></th>
                    <th class="cms-cmm-td cms-cmm-type"><?php etc_print_html('<span>'.nl2br($settings['cmm_feature3_name']).'</span>'); ?></th>
                </tr>
            </thead>
            <tbody>
            <?php foreach ($settings['commitment'] as $value) { ?>
                <tr class="cms-cmm-tr">
                    <td class="cms-cmm-td cms-cmm-label" data-title="<?php etc_print_html($value['cmm_label']); ?>">
                        <?php etc_print_html('<span>'.nl2br($value['cmm_label']).'</span>'); ?>
                    </td>
                    <td class="cms-cmm-td cms-cmm-type" data-title="<?php etc_print_html($settings['cmm_feature1_name']); ?>">
                        <?php 
                            switch ($value['cmm1_type']) {
                                case 'text':
                                    etc_print_html('<span class="cmm-text">'.nl2br($value['cmm1_text']).'</span>');
                                    break;
                                case 'no' :
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-remove text-red"></span>');
                                    break;
                                default:
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-check text-accent"></span>');
                                    break;
                            }
                        ?>
                    </td>
                    <td class="cms-cmm-td cms-cmm-type" data-title="<?php etc_print_html($settings['cmm_feature2_name']); ?>">
                        <?php 
                            switch ($value['cmm2_type']) {
                                case 'text':
                                    etc_print_html('<span class="cmm-text">'.nl2br($value['cmm2_text']).'</span>');
                                    break;
                                case 'no' :
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-remove text-red"></span>');
                                    break;
                                default:
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-check text-accent"></span>');
                                    break;
                            }
                        ?>
                    </td>
                    <td class="cms-cmm-td cms-cmm-type" data-title="<?php etc_print_html($settings['cmm_feature3_name']); ?>">
                        <?php 
                            switch ($value['cmm3_type']) {
                                case 'text':
                                    etc_print_html('<span class="cmm-text">'.nl2br($value['cmm3_text']).'</span>');
                                    break;
                                case 'no' :
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-remove text-red"></span>');
                                    break;
                                default:
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-check text-accent"></span>');
                                    break;
                            }
                        ?>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
    <div class="elementor-hidden-desktop elementor-hidden-tablet">
        <div class="cms-commitment">
            <div class="cms-heading text-18 mb-20"><?php etc_print_html($settings['cmm_title']); ?></div>
            <?php foreach ($settings['commitment'] as $value) { ?>
                <div class="commitment-item text-heading">
                    <div class="font-700"><?php etc_print_html($value['cmm_label']); ?></div>
                    <div class="row justify-content-between p-lr-15">
                        <div class="col"><?php etc_print_html($settings['cmm_feature1_name']); ?></div>
                        <div class="col-auto"><?php 
                            switch ($value['cmm1_type']) {
                                case 'text':
                                    etc_print_html('<span class="cmm-text">'.$value['cmm1_text'].'</span>');
                                    break;
                                case 'no' :
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-remove text-red"></span>');
                                    break;
                                default:
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-check text-accent"></span>');
                                    break;
                            }
                        ?></div>
                    </div>
                    <div class="row justify-content-between p-lr-15">
                        <div class="col"><?php etc_print_html($settings['cmm_feature2_name']); ?></div>
                        <div class="col-auto"><?php 
                            switch ($value['cmm2_type']) {
                                case 'text':
                                    etc_print_html('<span class="cmm-text">'.$value['cmm2_text'].'</span>');
                                    break;
                                case 'no' :
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-remove text-red"></span>');
                                    break;
                                default:
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-check text-accent"></span>');
                                    break;
                            }
                        ?></div>
                    </div>
                    <div class="row justify-content-between p-lr-15">
                        <div class="col"><?php etc_print_html($settings['cmm_feature3_name']); ?></div>
                        <div class="col-auto"><?php 
                            switch ($value['cmm3_type']) {
                                case 'text':
                                    etc_print_html('<span class="cmm-text">'.$value['cmm3_text'].'</span>');
                                    break;
                                case 'no' :
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-remove text-red"></span>');
                                    break;
                                default:
                                    etc_print_html('<span class="cms-cmm-icon cmsi cmsi-check text-accent"></span>');
                                    break;
                            }
                        ?></div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</div>