<?php 

// Countdown Bar
$countdownbar_tag = $widget->get_setting('countdownbar_text_tag', 'div');
$widget->add_render_attribute( 'countdownbar', 'class', 'cms-countdownbar empty-none text-30');
$widget->add_render_attribute( 'countdownbar', 'class', 'text-'.$widget->get_setting('countdownbar_text_color', 'heading'));
if ( $settings['countdownbar_text_animation'] ) {
    $widget->add_render_attribute( 'countdownbar', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'countdownbar', 'class', 'animated-'.$widget->get_setting('countdownbar_text_animation_duration', ''));
    $widget->add_render_attribute( 'countdownbar', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('countdownbar_text_animation', ''),
        'animation_delay' => $widget->get_setting('countdownbar_text_animation_delay', '')
    ]));
}
// Countdown Time
if(empty($settings['time_to'])) $settings['time_to'] = date('Y-m-d H:i', strtotime("+6 days 2 hours 56 minutes 50 seconds"));
// Number
$number_classes = 'inner-number text-36 heading font-700';
$number_classes .= ' text-'.$widget->get_setting('number_color','accent');
// Number Text
$text_classes = 'inner-text text-24 heading';
$text_classes .= ' text-'.$widget->get_setting('number_text_color','heading');
?>
<div class="cms-headings cms-countdown-headings empty-none <?php echo claniz_elementor_align_class($settings, ['id' => 'heading_align']);?>"><?php 
    // Small Heading
    claniz_elementor_text_render([
    'name'         => 'smallheading_text',
    'tag'          => 'div',
    'color'        => 'accent',
    'class'        => 'cms-smallheading mt-n5 mb-25' 
    ], $widget, $settings);
    // Large Heading 
    claniz_elementor_text_render([
        'name'         => 'heading_text',
        'tag'          => 'h2',
        'color'        => 'heading',
        'class'        => 'cms-mainheading cms-heading mt-n5 mb-25' 
    ], $widget, $settings);
    // Description Text
    claniz_elementor_text_render([
        'name'         => 'description_text',
        'tag'          => 'div',
        'color'        => 'body',
        'class'        => 'cms-desc mb-25',
        'autop'        => true
    ], $widget, $settings);
?></div>
<div class="<?php echo claniz_elementor_align_class($settings);?>">
    <?php if( !empty($settings['countdownbar_text']) && $settings['countdownbar_text'] !== '-1') : ?>
        <<?php etc_print_html($countdownbar_tag);?> <?php etc_print_html($widget->get_render_attribute_string( 'countdownbar' )); ?>><?php
            printf('%s %s', $settings['countdownbar_text'], date_i18n('d.m.Y', strtotime( $settings['time_to'] ) ));
        ?></<?php etc_print_html($countdownbar_tag);?>>
    <?php endif; ?>
    <div class="cms-countdown">
        <div class="cms-countdown-bar row align-items-center <?php echo claniz_elementor_align_class($settings, ['prefix' => 'justify-content-']);?>" data-time="<?php echo esc_attr($settings['time_to']); ?>">
            <div class="time-item col-auto">
                <div class="time-item-inner">
                    <div class="<?php echo implode(' ', ['day', $number_classes]);?>"></div>
                    <div class="<?php echo implode(' ', [$text_classes]);?>"><?php echo esc_html__('Days', 'claniz') ?></div>
                </div>
            </div>
            <div class="time-item col-auto">
                <div class="time-item-inner">
                    <div class="<?php echo implode(' ', ['hour', $number_classes]);?>"></div>
                    <div class="<?php echo implode(' ', [$text_classes]);?>"><?php echo esc_html__('Hours', 'claniz') ?></div>
                </div>
            </div>
            <div class="time-item col-auto">
                <div class="time-item-inner">
                    <div class="<?php echo implode(' ', ['minute', $number_classes]);?>"></div>
                    <div class="<?php echo implode(' ', [$text_classes]);?>"><?php echo esc_html__('Minutes', 'claniz') ?></div>
                </div>
            </div>
            <div class="time-item col-auto">
                <div class="time-item-inner">
                    <div class="<?php echo implode(' ', ['second', $number_classes]);?>"></div>
                    <div class="<?php echo implode(' ', [$text_classes]);?>"><?php echo esc_html__('Seconds', 'claniz') ?></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="empty-none row gutters-grid pt-40 <?php echo claniz_elementor_align_class($settings, ['prefix' => 'justify-content-']);?>"><?php 
    claniz_elementor_button_render($widget,$settings, [
        'prefix' => 'button1_',
        'class' => 'col-auto'
    ]);
    claniz_elementor_button_render($widget,$settings, [
        'prefix' => 'button2_',
        'class' => 'col-auto'
    ]);
?></div>
