<?php
// Wrap
$widget->add_render_attribute('wrap', [
    'class' => [
        'cms-counter-wrap',
        'row gutters-20 gutters-grid align-items-center',
        claniz_elementor_align_class($settings)
    ]
]);
// Counter Number
$widget->add_render_attribute( 'counter', [
    'class' => 'cms-counter-number-wrap cms-heading text-54 font-600 text-'.$widget->get_setting('number_color','custom-3')
] );
$widget->add_render_attribute( 'counter-number', [
    'class'          => 'cms-counter-number',
    'data-duration'  => $widget->get_setting('duration', '300'),
    'data-to-value'  => $widget->get_setting('ending_number', '6154'),
    'data-delimiter' => $widget->get_setting('thousand_separator_char', ',' ),
] );
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' ));?>>
    <div class="cms-counter-number-wrapper col-auto">
        <?php 
        if($settings['icon_type'] === 'icon'){
            claniz_elementor_icon_render($widget, $settings, [
                'id'         => 'counter_icon',
                'wrap_class' => 'cms-counter-icon text-64 text-'.$widget->get_setting('icon_text_color','custom-4')
            ] ); 
        } elseif($settings['icon_type'] === 'image') {
            claniz_elementor_image_render($settings, $widget, [
                'id'          => 'icon_image',
                'class'       => 'cms-counter-icon cms-counter-image',
                'default'     => true,
                'custom_size' => '64x64'
            ]);
        }
        ?>
    </div>
    <div class="cms-headings col empty-none">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'counter' )); ?>>
            <span class="cms-counter-number-prefix empty-none"><?php echo esc_html($widget->get_setting('prefix')); ?></span>
            <span <?php etc_print_html($widget->get_render_attribute_string( 'counter-number' )); ?>><?php 
                echo esc_html($settings['starting_number']); 
            ?></span><span class="cms-counter-number-suffix empty-none"><?php echo esc_html($widget->get_setting('suffix')); ?></span>
        </div>
        <?php 
        claniz_elementor_text_render([
            'name'         => 'small_title',
            'tag'          => 'div',
            'color'        => 'accent',
            'class'        => 'cms-counter-small-title mt-n5 mb-30',
            'autop'        => true 
        ], $widget, $settings);
        claniz_elementor_text_render([
            'name'         => 'title',
            'tag'          => 'div',
            'color'        => 'body',
            'class'        => 'cms-counter-title mt-n5 font-700',
            'autop'        => true  
        ], $widget, $settings);
        claniz_elementor_text_render([
            'name'         => 'description',
            'tag'          => 'div',
            'color'        => 'body',
            'class'        => 'cms-desc cms-counter-desc pt-15',
            'autop'        => true 
        ], $widget, $settings);
    ?></div>
</div>