<?php
// Wrap
$widget->add_render_attribute( 'wrap', [
	'class' => [
		'cms-cta-wrap',
		claniz_elementor_align_class($settings, ['default' => 'start']),
	]
]);
// Heading
$widget->add_render_attribute( 'heading', [
	'class' => [
		'd-flex',
		'align-items-center'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
	<div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>>
		<?php
			// Icon
			claniz_elementor_icon_render($widget, $settings, [
				'id'    => 'heading_icon',
				'tag'	=> 'span',
				'class' => 'cms-cta-title-icon flex-auto rtl-flip text-18 pr-10',
				'color'	=> 'darken-secondary',
				'default_icon' => [
					'library' => 'cmsi',
					'value'   => 'cmsi-alert'
				]
			]);
		?>
		<div class="d-flex flex-basic"><?php
			// Small Heading
			claniz_elementor_text_render([
				'name'  => 'subheading_text',
				'tag'	=> 'span',
				'color' => 'body',
				'class' => 'text-14 pr-10',
				'default' => ''
			], $widget, $settings);
			// Large Heading
			claniz_elementor_text_render([
				'name'  => 'heading_text',
				'tag'	=> 'span',
				'color' => 'darken-secondary',
				'class' => 'text-14 pr-10',
				'default' => 'Enjoy Our Hot Offers!'
			], $widget, $settings);
			// Description
			claniz_elementor_text_render([
				'name'  => 'description_text',
				'tag'	=> 'span',
				'color' => 'body',
				'class' => 'text-14',
				'default' => 'Call for Free Estimate: ',
				'after' => claniz_elementor_hyperlink_render($widget,$settings, [
					'prefix'           => 'link1',
					'tag'              => 'span',
					'class'            => '',	
					'link_text'        => '',
					'link_color'       => 'body',	
					'link_hover_color' => 'accent',
					'icon_align'       => 'right',
					'echo'             => false 	
				])
			], $widget, $settings);
		?></div>
		<?php 
			// Button
			claniz_elementor_button_render($widget, $settings);
		?>
	</div>
</div>