<?php 
// Default Download Icon
ob_start();
	switch ($widget->get_setting('icon_type', 'img')) {
		case 'img':
	        claniz_elementor_image_render($settings, $widget,[
	            'class'       => 'cms-download-icon',
	            'custom_size' => '32x32',
	            'before'		=> '<span class="cms-download-icon">',
			    'after'			=> '</span>',
			    'color'	=> 'inherit'
	        ]);
	    break;
	    case 'icon':
	        claniz_elementor_icon_render($widget, $settings,[
	        	'tag'		   => 'span',
	            'wrap_class'   => 'cms-download-icon',
	            'class'        => 'text-18',
	            'color'	=> 'inherit',
	            'default_icon' => [
	                'library' => 'cmsi',
	                'value'   => 'cmsi-folder-open'
	            ]
	        ]);
	    break;
	}
$icon = ob_get_clean();
?>
<div class="cms-downloads p-lr-20 p-lr-lg-35 p-lr-xl-50 pb-50 pt-40">
	<?php 
		// Heading 
        claniz_elementor_text_render([
            'name'         => 'smallheading_text',
            'tag'          => 'div',
            'color'        => 'accent',
            'class'        => 'cms-smallheading mt-n5 mb-25' 
        ], $widget, $settings);
		// Heading 
        claniz_elementor_text_render([
            'name'         => 'heading_text',
            'tag'          => 'h2',
            'color'        => 'heading',
            'class'        => 'cms-heading text-20 lh-30 font-600 mt-n5 mb-23' 
        ], $widget, $settings);
        // Description 
        claniz_elementor_text_render([
            'name'         => 'description_text',
            'tag'          => 'div',
            'color'        => 'body',
            'class'        => 'cms-desc mb-25' 
        ], $widget, $settings);
	?>
	<?php
		foreach ($settings['download_list'] as $value): 
			$link_attrs = [];
			$link_attrs[] = 'class="cms-transition"';
			if ( ! empty( $value['download_link']['url'] ) ) {
				$link_attrs[] = 'href="'.$value['download_link']['url'].'"';
			}
		    if ( ! empty($value['download_link']['is_external'] )) {
		        $link_attrs[] = 'target="_blank"';
		    }
		    if ( ! empty($value['download_link']['nofollow'] )) {
		        $link_attrs[] = 'rel="nofollow"';
		    }
		    if( ! empty($value['download_link']['custom_attributes'])){
		    	$custom_attributes = explode('|', $value['download_link']['custom_attributes']);
		    	foreach ($custom_attributes as $atts_value) {
		    		$_custom_attributes = explode(':', $atts_value);
		    		$link_attrs[] = $_custom_attributes[0].'="'.$_custom_attributes[1].'"';
		    	}
		    }
		    $text_color = !empty($value['text_color']) ? $value['text_color'] : 'white';
		    $bg_color = !empty($value['bg_color']) ? $value['bg_color'] : 'accent';
		    $bg_color_hover = !empty($value['bg_hover_color']) ? $value['bg_hover_color'] : 'primary';
	?>
    <div class="cms-download cms-download-item bg-<?php echo esc_attr($bg_color);?> bg-hover-<?php echo esc_attr($bg_color_hover);?> link-<?php echo esc_attr($text_color);?> cms-transition mt-20 font-700">
		<a <?php echo implode(' ', $link_attrs); ?>>
			<?php 
			ob_start();
			switch ($value['download_icon_type']) {
				case 'icon':
					claniz_elementor_icon_render($widget, $settings,[
			    		'tag'		 => 'span',		
						'id'         => $value['download_icon'],
						'loop'       => true,
						'wrap_class' => 'cms-download-icon',
						'class'      => 'text-18',
						'default_icon' => [
							'library' => 'cmsi',
							'value'   => 'cmsi-pdf'
						],
						'color' => 'inherit'
			    	]);
					break;
				case 'img':
					claniz_elementor_image_render($settings,$widget,[
						'id'		  => 'download_icon_img',
			            'class'       => 'cms-download-icon',
			            'custom_size' => '18x18',
			            'before'		=> '<span class="cms-download-icon">',
			            'after'			=> '</span>'
			        ], $value);
					break;
			}
	    	$each_icon = ob_get_clean();
	    	if($value['download_icon_type'] === ''){
	    		$use_icon = $icon;
	    	} else {
	    		$use_icon = $each_icon;
	    	}
	    	etc_print_html($use_icon .'<span class="cms-download-text text-15 lh-25 heading">' .$value['download_title'].'</span>');
	    	?>
    	</a>
    </div>  
	<?php endforeach; ?>
</div>
