<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', 'class', 'cms-fancybox-wrap');
$widget->add_render_attribute( 'wrap', 'class', 'bg-'.$widget->get_setting('fancy_content_bg', 'accent'));
$widget->add_render_attribute( 'wrap', 'class', 'cms-shadow-'.$widget->get_setting('item_shadow','1'));
$widget->add_render_attribute( 'wrap', 'class', claniz_elementor_align_class($settings, ['default' => 'start']));
// Single 
$widget->add_render_attribute( 'single_wrap', 'class', 'cms-fancybox p-tb-50 p-lr-20 p-lr-lg-40');
// Single Inner
$widget->add_render_attribute('single-wrap-inner', 'class' , 'cms-fancybox-inner');
$widget->add_render_attribute('single-wrap-inner', 'class' , 'row gutters-30 gutters-grid');

// Feature
$widget->add_render_attribute( 'feature', 'class', 'cms-heading-features cms-list');
$widget->add_render_attribute( 'feature', 'class', 'text-'.$widget->get_setting('fancy_feature_text_color','white'));

// Icon 
$icon_width_xl = $widget->get_setting('icon_width', 'auto');
$icon_width_lg = $widget->get_setting('icon_width_tablet', $icon_width_xl);
$icon_width_sm = $widget->get_setting('icon_width_mobile', $icon_width_lg);
$icon_wrap_classes = claniz_nice_class([ 'cms-fancy-icon-wrap','col-'.$icon_width_sm, 'col-lg-'.$icon_width_lg, 'col-xl-'.$icon_width_xl ]);

// Icons Classes
$_icon_classes = claniz_nice_class([
    'cms-transition',
    'cms-fancy-icon',
    'overflow-hidden',
    'text-64',
    'text-'.$widget->get_setting('icon_color', 'white')
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div <?php etc_print_html($widget->get_render_attribute_string('single_wrap'));?>>
        <?php 
            // Banner
            claniz_elementor_image_render($settings,$widget,[
                'id'          => 'banner',
                'img_class'   => 'cms-fancy-img',
                'default'     => false,
                'custom_size' => '570',
                'before'      => '<div class="cms-fancy-img-wrap mb-25 empty-none">',
                'after'       => '</div>'
            ]);
        ?>
        <div <?php etc_print_html($widget->get_render_attribute_string('single-wrap-inner'));?>>
            <?php
                switch ($widget->get_setting('icon_type','icon')) {
                    case 'img':
                        claniz_elementor_image_render($settings,$widget,[
                            'img_class'   => '',
                            'custom_size' => '128',
                            'before'      => '<div class="fancy-icon-mask rtl-flip">',
                            'after'       =>'</div>'
                        ]);
                        break;
                    case 'icon':
                        claniz_elementor_icon_render($widget, $settings,[
                            'class'  => '',
                            'before' => '<div class="fancy-icon-mask rtl-flip">',
                            'after'  =>'</div>'
                        ]);
                        break;
                }
            ?>
            <?php
                switch ($widget->get_setting('icon_type','icon')) {
                    case 'img':
                        claniz_elementor_image_render($settings,$widget,[
                            'img_class'   => $_icon_classes,
                            'custom_size' => '64',
                            'before'      => '<div class="'.$icon_wrap_classes.'">',
                            'after'       =>'</div>'
                        ]);
                        break;
                    case 'icon':
                        claniz_elementor_icon_render($widget, $settings,[
                            'class'  => $_icon_classes,
                            'before' => '<div class="'.$icon_wrap_classes.'">',
                            'after'  =>'</div>'
                        ]);
                        break;
                }
            ?>
            <div class="cms-fancybox-content col">
                <?php
                    // Small Heading 
                    claniz_elementor_text_render([
                        'name'         => 'smallheading_text',
                        'tag'          => 'div',
                        'color'        => 'white',
                        'class'        => 'cms-smallheading mt-n5 mb-15' 
                    ], $widget, $settings);
                    // Heading 
                    claniz_elementor_text_render([
                        'name'         => 'heading_text',
                        'tag'          => 'h4',
                        'color'        => 'white',
                        'class'        => 'cms-mainheading cms-heading mt-n5 mb-20 text-19' 
                    ], $widget, $settings);
                    // Description 
                    claniz_elementor_text_render([
                        'name'         => 'description_text',
                        'tag'          => 'div',
                        'color'        => 'white',
                        'class'        => 'cms-desc mb-15' 
                    ], $widget, $settings);
                ?>
                <?php if($settings['show_feature'] === 'true'): ?>
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>><?php
                        foreach ($settings['fancy_feature_01'] as $value) { 
                            ?>
                            <div class="cms-fancy-feature-item cms-list-item text-14 text-<?php echo esc_attr($widget->get_setting('fancy_feature_text_color','body')); ?>"><?php
                                etc_print_html('<span class="cms-list-title">'.$value['title'].'</span><span class="cms-list-title cms-list-title2">'.$value['title2'].'</span>');
                            ?></div>
                        <?php } 
                    ?></div>
                <?php endif;
                    // Star Rating 
                    claniz_star_rating([
                        'class'      => 'mt-25',   
                        'rated'      => $widget->get_setting('fancy_rate', 'none'),
                        'text_class' => ''
                    ]);  
                    // Link
                    if($settings['hyperlink'] === 'button'){
                        // Button
                        claniz_elementor_button_render($widget,$settings,[
                            'prefix'     => 'btnlink',
                            'icon_class' => 'text-10',
                            'class'      => 'mt-20'
                        ]);
                    } else {
                        // Custom Link 
                        claniz_elementor_hyperlink_render($widget,$settings,[
                            'prefix'           => 'hyperlink', 
                            'link_type'        => $settings['hyperlinklink_type'],
                            'wrap_class'       => 'mt-19',
                            'class'            => 'font-700',
                            'link_color'       => '',
                            'link_hover_color' => '',
                            'default_icon'     => [
                                'value'   => 'cmsi-arrow-alt-circle-right',
                                'library' => 'cmsi'
                            ],
                            'icon_class'    => 'text-10'
                        ]);
                    }
                ?>
            </div>
        </div>
    </div>
</div>