<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', 'class', 'cms-fancybox cms-gradient p-tb-50 p-lr-20 p-lr-lg-35 p-lr-xl-50 bg-accent cms-radius-12');
// Small Heading
$small_title = $widget->get_setting('small_title');
$widget->add_render_attribute( 'small-heading', 'class', 'cms-smallheading text-16 font-700 pb-10 mt-n8 empty-none');
$widget->add_render_attribute( 'small-heading', 'class', 'text-'.$widget->get_setting('title_color', 'white'));
// Heading
$title = $widget->get_setting('title');
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading cms-heading text-20 font-600 lh-30 empty-none');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('title_color', 'white'));
// Description
$desc = $widget->get_setting('description');
$widget->add_render_attribute( 'description', 'class', 'description text-17 lh-25 font-700 pt-15 pb-90 empty-none');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_color', 'white'));

// Phone
$phone = $widget->get_setting('phone_number');
$widget->add_render_attribute( 'phone', 'class', 'cms-phone heading text-24 font-400 pt-20 empty-none');
$widget->add_render_attribute( 'phone', 'class', 'text-'.$widget->get_setting('phone_color','white'));
$widget->add_render_attribute( 'phone', 'class', 'link-'.$widget->get_setting('phone_color','white'));

?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="<?php echo claniz_elementor_align_class($settings,['default' => 'start']);?>">
        <div class="cms-fancy-icon-wrap cms-transition"><?php
            switch ($widget->get_setting('icon_type','')) {
                case 'img':
                    claniz_elementor_image_render($settings,[
                        'class'       => 'cms-fancy-icon pb-40',
                        'size'        => 'custom',
                        'custom_size' => '100x100'      
                    ]);
                break;
                case 'icon':
                    claniz_elementor_icon_render($widget, $settings,[
                        'wrap_class'   => 'cms-transition cms-fancy-icon',
                        'class'        => 'cms-fancyicon pb-40 text-100 text-'.$widget->get_setting('icon_color', 'white')
                    ]);
                break;
            }
        ?></div>
        <div class="cms-fancybox-content">
            <div <?php etc_print_html($widget->get_render_attribute_string( 'small-heading' )); ?>><?php
                etc_print_html($small_title);
            ?></div>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
                etc_print_html($title);
            ?></div>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
                etc_print_html($desc);
            ?></div>
            <?php 
                // Button 1
                claniz_elementor_button_render($widget,$settings, [
                    'prefix' => 'btn1',
                    'class'  => '',
                    'btn_content_class' => 'justify-content-center'
                ]);
                // Button 2
                claniz_elementor_button_render($widget,$settings, [
                    'prefix'            => 'btn2',
                    'class'             => 'pt-20',
                    'btn_content_class' => 'justify-content-center'
                ]);
                switch($widget->get_setting('hyperlink','text_link')){
                    case 'button':
                            claniz_elementor_button_render($widget,$settings, [
                                'prefix'            => 'btnlink',
                                'class'             => 'pt-20',
                                'btn_content_class' => 'justify-content-center'
                            ]);
                        break;
                    case 'text_link':
                            claniz_elementor_hyperlink_render($widget, $settings, [
                                'prefix'     => 'hyperlink',
                                'wrap_class' => 'pt-30 text-center',
                                'class'      => 'font-700',   
                                'icon_class' => 'text-26'
                            ]);
                        break;
                }
            ?>
        </div>
    </div>
</div>