<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', 'class', 'cms-fancybox-wrap');
$widget->add_render_attribute( 'wrap', 'class', 'bg-'.$widget->get_setting('fancy_content_bg', 'transparent'));
$widget->add_render_attribute( 'wrap', 'class', claniz_elementor_align_class($settings, ['default' => 'start']));
// Single 
$widget->add_render_attribute( 'single_wrap', 'class', 'cms-fancybox cms-fancybox');
// Single Inner
$widget->add_render_attribute('single-wrap-inner', 'class' , 'cms-fancybox-inner');
$widget->add_render_attribute('single-wrap-inner', 'class' , 'row gutters-30 gutters-grid');

// Feature
$widget->add_render_attribute( 'feature', 'class', 'cms-heading-features cms-list');
$widget->add_render_attribute( 'feature', 'class', 'text-'.$widget->get_setting('fancy_feature_text_color','body'));

// Icon 
$icon_width_xl = $widget->get_setting('icon_width', '12');
$icon_width_lg = $widget->get_setting('icon_width_tablet', $icon_width_xl);
$icon_width_sm = $widget->get_setting('icon_width_mobile', $icon_width_lg);
$icon_wrap_classes = claniz_nice_class([ 'cms-fancy-icon-wrap','col-'.$icon_width_sm, 'col-lg-'.$icon_width_lg, 'col-xl-'.$icon_width_xl ]);

// Icons Classes
$_icon_classes = claniz_nice_class([
    'cms-transition',
    'cms-fancy-icon',
    'overflow-hidden',
    'text-64',
    'mt-3',
    'text-'.$widget->get_setting('icon_color', $widget->get_setting('_icon_color', 'accent'))
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div <?php etc_print_html($widget->get_render_attribute_string('single_wrap'));?>>
        <?php 
            // Banner
            claniz_elementor_image_render($settings,$widget,[
                'id'          => 'banner',
                'img_class'   => 'cms-fancy-img',
                'default'     => false,
                'custom_size' => '570',
                'before'      => '<div class="cms-fancy-img-wrap mb-25 empty-none">',
                'after'       => '</div>'
            ]);
        ?>
        <div <?php etc_print_html($widget->get_render_attribute_string('single-wrap-inner'));?>>
            <?php
                switch ($widget->get_setting('icon_type','icon')) {
                    case 'img':
                        claniz_elementor_image_render($settings,$widget,[
                            'img_class'   => $_icon_classes,
                            'custom_size' => '64',
                            'before'      => '<div class="'.$icon_wrap_classes.'">',
                            'after'       =>'</div>',
                            'default'     => true  
                        ]);
                        break;
                    case 'icon':
                        claniz_elementor_icon_render($widget, $settings,[
                            'class'  => $_icon_classes,
                            'before' => '<div class="'.$icon_wrap_classes.'">',
                            'after'  =>'</div>',
                            'default_icon' => [
                                'library' => 'cmsi',
                                'value'   => 'claniz-uniform'  
                            ]
                        ]);
                        break;
                }
            ?>
            <div class="cms-fancybox-content col">
                <?php
                    // Small Heading 
                    claniz_elementor_text_render([
                        'name'         => 'smallheading_text',
                        'tag'          => 'div',
                        'color'        => 'accent',
                        'class'        => 'cms-smallheading font-700 pb-15' 
                    ], $widget, $settings);
                    // Heading 
                    claniz_elementor_text_render([
                        'name'         => 'heading_text',
                        'tag'          => 'h4',
                        'color'        => '',
                        'class'        => 'cms-mainheading cms-heading mt-n5 mb-17 text-19 font-600' 
                    ], $widget, $settings);
                    // Description 
                    claniz_elementor_text_render([
                        'name'         => 'description_text',
                        'tag'          => 'div',
                        'color'        => '',
                        'class'        => 'cms-desc mb-15 text-15 lh-25' 
                    ], $widget, $settings);
                ?>
                <?php if($settings['show_feature'] === 'true'): ?>
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>><?php
                        foreach ($settings['fancy_feature_01'] as $value) { 
                            ?>
                            <div class="cms-fancy-feature-item cms-list-item text-14 text-<?php echo esc_attr($widget->get_setting('fancy_feature_text_color','body')); ?>"><?php
                                etc_print_html('<span class="cms-list-title">'.$value['title'].'</span><span class="cms-list-title cms-list-title2">'.$value['title2'].'</span>');
                            ?></div>
                        <?php } 
                    ?></div>
                <?php endif;
                    // Star Rating 
                    claniz_star_rating([
                        'class'      => 'mt-25',   
                        'rated'      => $widget->get_setting('fancy_rate', 'none'),
                        'text_class' => ''
                    ]);  
                ?>
            </div>
        </div>
    </div>
</div>