<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', 'class', 'cms-fancybox cms-gradient p-tb-50 p-lr-20 p-lr-xl-50 bg-accent cms-radius-12');
// Small Heading
$small_title = $widget->get_setting('small_title');
$widget->add_render_attribute( 'small-heading', 'class', 'cms-heading heading1 text-25 mb-20 mt-n8 empty-none');
$widget->add_render_attribute( 'small-heading', 'class', 'text-'.$widget->get_setting('title_color', 'white'));
// Heading
$title = $widget->get_setting('title');
$widget->add_render_attribute( 'heading', 'class', 'cms-heading heading2 text-24 mb-30 mt-n8 empty-none');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('title_color', 'white'));
// Description
$desc = $widget->get_setting('description');
$widget->add_render_attribute( 'description', 'class', 'description text-16 font-700 empty-none');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_color', 'white'));

?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="<?php echo claniz_elementor_align_class($settings,['default' => 'start']);?>">
        <div class="cms-fancy-icon-wrap cms-transition"><?php
            switch ($widget->get_setting('icon_type','')) {
                case 'img':
                    claniz_elementor_image_render($widget,$settings,[
                        'class'       => 'cms-fancy-icon mb-40'
                    ]);
                break;
                case 'icon':
                    claniz_elementor_icon_render($widget, $settings,[
                        'wrap_class'   => 'cms-transition cms-fancy-icon',
                        'class'        => 'cms-fancyicon mb-40 text-100 text-'.$widget->get_setting('icon_color', 'white')
                    ]);
                break;
            }
        ?></div>
        <div class="cms-fancybox-content">
            <div <?php etc_print_html($widget->get_render_attribute_string( 'small-heading' )); ?>><?php
                etc_print_html($small_title);
            ?></div>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
                etc_print_html($title);
            ?></div>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
                etc_print_html($desc);
            ?></div>
            <div class="cms-fancybox-contact-info pt-120 empty-none"><?php 
                foreach ($settings['contact_lists'] as $feature){
                    echo '<a '.claniz_elementor_custom_link_attrs($feature, ['name' => 'contact_link', 'echo' => true, 'class' => 'text-'.$settings['contact_color'].' text-hover-'.$settings['contact_color_hover'] ]).'>';
                    echo '<div class="cms-contact-item row gutters-15 text-14 font-700 align-items-center">';
                        claniz_elementor_icon_render($widget, $feature, ['id' => 'contact_icon', 'wrap_class' => 'col-auto text-'.$settings['contact_color']]);
                        echo    '<div class="col info-content">'.$feature['contact_text'].'</div>';
                    echo '</div>';
                    echo '</a>';
                }
            ?></div>
        </div>
    </div>
</div>