<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', 'class', 'cms-fancybox');
// Heading
$title = $widget->get_setting('title', 'Family Business Award');
$widget->add_render_attribute( 'heading', 'class', 'cms-heading text-20 pb-15 font-600');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('title_color', 'heading'));
// Description
$desc = $widget->get_setting('description', 'We believe that partnerships are fundamental to our growth. We\'ll seek the highest quality global forwarding services.');
$widget->add_render_attribute( 'description', 'class', 'description lh-25');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_color', 'body'));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="<?php echo claniz_elementor_align_class($settings,['default' => 'start']);?>">
        <div class="cms-fancy-icon-wrap cms-transition cms-radius-8"><?php
            switch ($widget->get_setting('icon_type','icon')) {
                case 'img':
                    claniz_elementor_image_render($settings,[
                        'class'       => 'cms-fancy-icon',
                        'default_img' => '/wp-content/themes/claniz/elementor/templates/widgets/cms_fancy_box/layout-images/certificate-1.jpg',
                        'custom_size' => '230x157'  
                    ]);
                break;
                case 'icon':
                    claniz_elementor_icon_render($widget, $settings,[
                        'wrap_class'   => 'cms-transition cms-fancy-icon',
                        'class'        => 'cms-fancyicon text-100 text-'.$widget->get_setting('icon_color', 'accent'),
                        'default_icon' => [
                            'library' => 'flaticon',
                            'value'   => 'flaticon-001-house'
                        ]
                    ]);
                break;
            }
        ?></div>
        <div class="cms-fancybox-content relative pt-30 p-lr-20 p-lr-xl-40">
            <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
                etc_print_html($title);
            ?></div>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
                etc_print_html($desc);
            ?></div>
            <?php 
                // Link
                if($settings['hyperlink'] === 'button'){
                    // Button
                    claniz_elementor_button_render($widget,$settings,[
                        'icon_class' => 'text-10',
                        'class'      => 'mt-20'
                    ]);
                } else {
                    // Custom Link 
                    claniz_elementor_hyperlink_render($widget,$settings,[
                        'link_type'        => $settings['link_type'],
                        'wrap_class'       => 'mt-20',
                        'class'            => 'font-700',   
                        'link_color'       => '',
                        'link_hover_color' => '',
                        'default_icon'     => [
                            'value'   => 'cmsi-arrow-alt-circle-right',
                            'library' => 'cmsi'
                        ],
                        'icon_class'    => 'text-26'
                    ]);
                }
            ?>
        </div>
    </div>
</div>



