<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-fancybox-wrap',
        claniz_elementor_align_class($settings, ['default' => 'center'])
    ]
]);
// Single 
$widget->add_render_attribute( 'single_wrap', [
    'class' => [
        'cms-fancybox',
        'circle'
    ],
    'style' => 'background-image:url('.claniz_elementor_image_url_render($settings, ['id' => 'banner','size' => 'full']).');'
]);
// Single Inner
$widget->add_render_attribute('single-wrap-inner', [
    'class' => [
        'cms-fancybox-inner'
    ]
]);

// Feature
$widget->add_render_attribute( 'feature', 'class', 'cms-heading-features cms-list');
$widget->add_render_attribute( 'feature', 'class', 'text-'.$widget->get_setting('fancy_feature_text_color','white'));

// Icon 
$icon_wrap_classes = claniz_nice_class([ 'cms-fancy-icon-wrap']);

// Icons Classes
$_icon_classes = claniz_nice_class([
    'cms-transition',
    'cms-fancy-icon',
    'overflow-hidden',
    'text-64',
    'mt-3',
    'text-'.$widget->get_setting('icon_color', 'white')
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div <?php etc_print_html($widget->get_render_attribute_string('single_wrap'));?>>
        <div <?php etc_print_html($widget->get_render_attribute_string('single-wrap-inner'));?>>
            <?php
                switch ($widget->get_setting('icon_type','icon')) {
                    case 'img':
                        claniz_elementor_image_render($settings,$widget,[
                            'img_class'   => $_icon_classes,
                            'custom_size' => '64',
                            'before'      => '<div class="'.$icon_wrap_classes.'">',
                            'after'       =>'</div>'
                        ]);
                        break;
                    case 'icon':
                        claniz_elementor_icon_render($widget, $settings,[
                            'class'  => $_icon_classes,
                            'before' => '<div class="'.$icon_wrap_classes.'">',
                            'after'  =>'</div>'
                        ]);
                        break;
                }
            ?>
            <div class="cms-fancybox-content text-center">
                <?php
                    // Small Heading 
                    claniz_elementor_text_render([
                        'name'         => 'smallheading_text',
                        'tag'          => 'div',
                        'color'        => 'accent',
                        'class'        => 'cms-smallheading mt-n5 pb-15 text-15 text-lg-17' 
                    ], $widget, $settings);
                    // Heading 
                    claniz_elementor_text_render([
                        'name'         => 'heading_text',
                        'tag'          => 'h2',
                        'color'        => 'heading',
                        'class'        => 'cms-mainheading cms-heading mt-n5 pb-15 text-24' 
                    ], $widget, $settings);
                    // Description 
                    claniz_elementor_text_render([
                        'name'         => 'description_text',
                        'tag'          => 'div',
                        'color'        => '',
                        'class'        => 'cms-desc mb-15 lh-25' 
                    ], $widget, $settings);
                ?>
                <?php if($widget->get_setting('show_feature','false') === 'true'): ?>
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>><?php
                        foreach ($settings['fancy_feature_01'] as $value) { 
                            ?>
                            <div class="cms-fancy-feature-item cms-list-item text-14 text-<?php echo esc_attr($widget->get_setting('fancy_feature_text_color','body')); ?>"><?php
                                etc_print_html('<span class="cms-list-title">'.$value['title'].'</span><span class="cms-list-title cms-list-title2">'.$value['title2'].'</span>');
                            ?></div>
                        <?php } 
                    ?></div>
                <?php endif;?>
                <?php 
                    // Button
                    claniz_elementor_button_render($widget,$settings, [
                        'prefix' => 'btn1',
                        'class'  => 'col-auto',
                        'icon_color' => ''
                    ]);
                ?>
            </div>
        </div>
    </div>
</div>