<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', 'class', 'cms-fancybox-wrap');
// Single 
$widget->add_render_attribute( 'single_wrap', 'class', 'cms-fancybox cms-gradient cms-radius-8 relative cms-transition '.claniz_elementor_align_class($settings));
$widget->add_render_attribute( 'single_wrap', 'class', 'bg-'.$widget->get_setting('bg_color', 'transparent'));
$widget->add_render_attribute( 'single_wrap', 'class', 'bg-hover-'.$widget->get_setting('bg_hover_color', 'white'));
$widget->add_render_attribute( 'single_wrap', 'class', 'cms-shadow-'.$widget->get_setting('item_shadow', '4'));
// Single Inner
$widget->add_render_attribute('single-wrap-inner', 'class' , 'cms-fancybox-inner');
$inner_space = 'p-lr-20 p-lr-lg-30 p-lr-xl-40 pt-35 pb-35 pt-md-49 pb-md-48';
$widget->add_render_attribute('single-wrap-inner', 'class' , $inner_space);
// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-fancy-title cms-heading text-19 font-600 lh-27 mb-20');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('title_color', 'white'));

// Description
$widget->add_render_attribute( 'description', 'class', 'cms-fancy-description text-white text-15 text-400 lh-25');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('desc_color', 'body'));
// Icon 
$icon_classes = ['cms-fancy-icon-wrap relative cms-transition'];
if($settings['icon_shadow'] === 'no'){
    $icon_classes[] = 'no-shadow';
}
$widget->add_render_attribute( 'icon-wrap', 'class', implode(' ', $icon_classes));
// Slider 
$fancy_lists = $widget->get_setting('fancybox_lists');

// Grid 
$col_xl = 'col-lg-'.$widget->get_setting('grid_col', '4');
$col_lg = 'col-md-'.$widget->get_setting('grid_col_tablet', '4');
$col    = 'col-'.$widget->get_setting('grid_col_mobile', '12');
$widget->add_render_attribute( 'grid-col', 'class', 'cms-fancy-item');
$widget->add_render_attribute( 'grid-col', 'class', $col_xl);
$widget->add_render_attribute( 'grid-col', 'class', $col_lg);
$widget->add_render_attribute( 'grid-col', 'class', $col);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <?php
    switch ($widget->get_setting('layout_mode', 'single')) {
        case 'single': ?>
        <div <?php etc_print_html($widget->get_render_attribute_string('single_wrap'));?>>
            <div <?php etc_print_html($widget->get_render_attribute_string('single-wrap-inner'));?>>
                <div <?php etc_print_html($widget->get_render_attribute_string('icon-wrap'));?>><?php
                    switch ($widget->get_setting('icon_type','icon')) {
                        case 'img':
                            claniz_elementor_image_render($settings,[
                                'class'       => 'cms-fancy-icon mb-25 overflow-hidden',
                                'custom_size' => '64',
                                'before' => ''
                            ]);
                        break;
                        case 'icon':
                            claniz_elementor_icon_render($widget, $settings,[
                                'class'        => 'cms-transition cms-fancy-icon mb-25 overflow-hidden text-64 text-'.$widget->get_setting('icon_color', 'white'),
                                'before' => ''
                            ]);
                        break;
                    }
                ?></div>
                <div class="cms-fancybox-content">
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
                        etc_print_html($widget->get_setting('title'));
                    ?></div>
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
                        etc_print_html($widget->get_setting('description'));
                    ?></div>
                    <?php 
                        // Link
                        if($settings['hyperlink'] === 'button'){
                            // Button
                            claniz_elementor_button_render($widget,$settings,[
                                //'prefix'     => 'btn_list_',
                                'icon_class' => 'text-10',
                                'class'      => 'mt-20'
                            ]);
                        } else {
                            // Custom Link 
                            claniz_elementor_hyperlink_render($widget,$settings,[
                                //'prefix'           =>  'link_list_',
                                'link_type'        => $settings['link_type'],
                                'wrap_class'       => 'mt-20',
                                'class'            => 'font-700',
                                'link_color'       => '',
                                'link_hover_color' => '',
                                'default_icon'     => [
                                    'value'   => 'cmsi-arrow-alt-circle-right',
                                    'library' => 'cmsi'
                                ],
                                'icon_class'    => 'text-26'
                            ]);
                        }
                    ?>
                </div>
            </div>
            <?php 
            // Image
            claniz_elementor_image_render($settings,[
                'id'          => 'image',
                'class'       => 'cms-fancy-img w-100 cms-radius-b-8',
                'custom_size' => '580x206',
                'default_img' => '/wp-content/themes/claniz/assets/images/placeholder/placeholder.png'
            ]);
            ?>
        </div>
    <?php
            break;
        case 'slider': 
    ?>
        <div <?php claniz_swiper_slider_settings($widget); ?>>
            <?php claniz_swiper_slider_arrows_top($settings); ?>
            <div class="cms-swiper-wrapper swiper-wrapper">
                <?php
                foreach ($fancy_lists as $list) {
                    $title = $list['title'];
                    $description = $list['description'];
                    $icon_type = $list['icon_type'];
                    $hyperlink = $list['hyperlink'];
                ?>
                    <div class="cms-fancy-item cms-swiper-slide swiper-slide">
                        <div <?php etc_print_html($widget->get_render_attribute_string('single_wrap'));?>>
                            <div <?php etc_print_html($widget->get_render_attribute_string('single-wrap-inner'));?>>
                                <div <?php etc_print_html($widget->get_render_attribute_string('icon-wrap'));?>><?php 
                                    // icon/image
                                    switch ($icon_type) {
                                        case 'img':
                                            claniz_elementor_image_render($list,[
                                                'class'       => 'cms-fancy-icon mb-25 overflow-hidden',
                                                'custom_size' => '64',
                                                'before' => ''
                                            ]);
                                        break;
                                        case 'icon':
                                            claniz_elementor_icon_render($widget, $list,[
                                                'class'        => 'cms-transition cms-fancy-icon mb-25 overflow-hidden text-64 text-'.$widget->get_setting('icon_color', 'white'),
                                                'before' => ''
                                            ]);
                                        break;
                                    }
                                ?></div>
                                <div class="cms-fancybox-content">
                                    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
                                        etc_print_html($title);
                                    ?></div>
                                    <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
                                        etc_print_html($description);
                                    ?></div>
                                    <?php 
                                        if($hyperlink === 'button'){
                                            // Button
                                            claniz_elementor_button_render($widget,$list,[
                                                'prefix' => 'btn_list_',
                                                'icon_class' => 'text-10',
                                                'class'      => 'mt-20'
                                            ]);
                                        } else {
                                            // Custom Link 
                                            claniz_elementor_hyperlink_render($widget,$list,[
                                                'prefix' => 'link_list_',
                                                'link_type'        => $list['link_type'],
                                                'wrap_class'       => 'mt-20',
                                                'class'            => 'font-700',
                                                'link_color'       => '',
                                                'link_hover_color' => '',
                                                'default_icon'     => [
                                                    'value'   => 'cmsi-arrow-alt-circle-right',
                                                    'library' => 'cmsi'
                                                ],
                                                'icon_class'    => 'text-26'
                                            ]);
                                        }
                                    ?>
                                </div>
                            </div>
                            <?php 
                            // Image
                            claniz_elementor_image_render($list,[
                                'id'          => 'image',
                                'class'       => 'cms-fancy-img w-100 cms-radius-b-8 ',
                                'custom_size' => '580x206',
                                'default_img' => '/wp-content/themes/claniz/assets/images/placeholder/placeholder.png'
                            ]);
                            ?>
                        </div>
                    </div>
                <?php
                }
                ?>
            </div>
            <?php 
                claniz_swiper_slider_dots($settings, ['class' => 'mt-40']); 
                claniz_swiper_slider_arrows($settings);
                claniz_swiper_slider_arrows_side($settings);
                claniz_swiper_slider_arrows_bottom($settings);
            ?>
        </div>
    <?php
            break;
            case 'grid': 
    ?>
        <div class="row">
            <?php
            foreach ($fancy_lists as $list) {
                $title = $list['title'];
                $description = $list['description'];
                $icon_type = $list['icon_type'];
                $hyperlink = $list['hyperlink'];
            ?>
                <div <?php etc_print_html($widget->get_render_attribute_string('grid-col'));?>>
                    <div <?php etc_print_html($widget->get_render_attribute_string('single_wrap'));?>>
                        <div <?php etc_print_html($widget->get_render_attribute_string('single-wrap-inner'));?>>
                            <div <?php etc_print_html($widget->get_render_attribute_string('icon-wrap'));?>><?php 
                                // icon/image
                                switch ($icon_type) {
                                    case 'img':
                                        claniz_elementor_image_render($list,[
                                            'class'       => 'cms-fancy-icon mb-25 overflow-hidden',
                                            'custom_size' => '64',
                                            'before' => ''
                                        ]);
                                    break;
                                    case 'icon':
                                        claniz_elementor_icon_render($list,[
                                            'class'        => 'cms-transition cms-fancy-icon mb-25 overflow-hidden text-64 text-'.$widget->get_setting('icon_color', 'white'),
                                            'before' => ''
                                        ]);
                                    break;
                                }
                            ?></div>
                            <div class="cms-fancybox-content">
                                <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
                                    etc_print_html($title);
                                ?></div>
                                <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
                                    etc_print_html($description);
                                ?></div>
                                <?php 
                                    if($hyperlink === 'button'){
                                        // Button
                                        claniz_elementor_button_render($widget,$list,[
                                            'prefix' => 'btn_list_',
                                            'icon_class' => 'text-10',
                                            'class'      => 'mt-20'
                                        ]);
                                    } else {
                                        // Custom Link 
                                        claniz_elementor_hyperlink_render($widget,$list,[
                                            'prefix' => 'link_list_',
                                            'link_type'        => $list['link_type'],
                                            'wrap_class'       => 'mt-20',
                                            'class'            => 'font-700',
                                            'link_color'       => '',
                                            'link_hover_color' => '',
                                            'default_icon'     => [
                                                'value'   => 'cmsi-arrow-alt-circle-right',
                                                'library' => 'cmsi'
                                            ],
                                            'icon_class'    => 'text-26'
                                        ]);
                                    }
                                ?>
                            </div>
                        </div>
                        <?php 
                        // Image
                        claniz_elementor_image_render($list,[
                            'id'          => 'image',
                            'class'       => 'cms-fancy-img w-100 cms-radius-b-8 ',
                            'custom_size' => '580x206',
                            'default_img' => '/wp-content/themes/claniz/assets/images/placeholder/placeholder.png'
                        ]);
                        ?>
                    </div>
                </div>
            <?php } ?>
        </div>
    <?php
        break;
    } ?>
</div>