<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-fancybox-parallax-wrap'
    ]
]);
// Contents
$contents = $widget->get_setting('fancybox_lists', [
    [
        '_id'           => '',
        'icon_type'     => 'icon',
        'selected_icon' => [
            'library' => 'cmsi',
            'value'   => 'cmsi-home'
        ],
        'selected_img' => [],
        'title'        => 'Title #1',
        'description'  => '#1 Lorem Ipsum is simply dummy text of the printing and typesetting industry',
        'link_text'    => 'Your Link #1',
        'banner'       => []
    ],
    [
        '_id'           => '',
        'icon_type'     => 'icon',
        'selected_icon' => [
            'library' => 'cmsi',
            'value'   => 'cmsi-home'
        ],
        'selected_img' => [],
        'title'        => 'Title #2',
        'description'  => '#2 Lorem Ipsum is simply dummy text of the printing and typesetting industry',
        'link_text'    => 'Your Link #2',
        'banner'       => []
    ]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>><?php
    foreach ($contents as $key => $content) {
        // Attributes
        // Items
        $item_key     = $widget->get_repeater_setting_key( 'items', 'cms_fancy_box_parallax', $key );
        $widget->add_render_attribute( $item_key, [
            'class' => [
                'cms-fancybox-parallax-item',
                'd-flex justify-content-center align-items-center',
                'text-center'
            ],
            'style' => 'background-image:url('.claniz_elementor_image_url_render($content, ['id' => 'banner','size' => 'full']).');'
        ] );
    ?>
    <div <?php etc_print_html($widget->get_render_attribute_string( $item_key )); ?>>
        <div class="cms-fancybox-parallax-item-inner"><?php
            // Icon
            switch($content['icon_type']){
                case 'icon':
                        claniz_elementor_icon_render($widget, $content,[
                            'class'  => 'text-64',
                            'before' => '<div class="cms-fancy-icon mb-20 elementor-invisible" data-settings={"_animation":"fadeInUp","animation_delay":"300"}>',
                            'after'  => '</div>'
                        ]);
                    break;
                case 'img':
                        claniz_elementor_image_render($settings, $widget, [
                            'id'          => 'selected_img',
                            'custom_size' =>  '64',
                            'before'      => '<div class="cms-fancy-icon mb-20 elementor-invisible" data-settings={"_animation":"fadeInUp","animation_delay":"300"}>',
                            'after'       => '</div>'
                        ], $content);
                    break;
            }
            echo '<h2 class="cms-heading text-24 elementor-invisible" data-settings={"_animation":"fadeInUp","animation_delay":"300"}>'.$content['title'].'</h2>';
            echo '<div class="pt-20 elementor-invisible" data-settings={"_animation":"fadeInUp","animation_delay":"300"}>'.$content['description'].'</div>';

            claniz_elementor_hyperlink_render($widget, $content, [
                'prefix'           => 'link_list_',
                'show_link_text'   => 'no',
                'link_color'       => 'darken-secondary',
                'link_hover_color' => 'accent',
                'class'            => 'pt-25 font-700',
                'default_icon'     => [
                    'library' => 'cmsi',
                    'value'   => 'cmsi-arrow-circle-down-large'
                ],
                'icon_color'       => 'darken-secondary', 
                'icon_class'       => 'text-46',
                'before'           => '<div class="elementor-invisible" data-settings={"_animation":"fadeInUp","animation_delay":"300"}>',
                'after'            => '</div>'
            ]);
        ?></div>
    </div>
    <?php }
?></div>