<?php
// Locations
$locations  = $widget->get_setting('locations');
$map_icon = claniz_elementor_icon_render($widget, $settings,[
    'id'          => 'selected_icon',
    'class'       => 'pr-15',
    'icon_class'  => '',
    'color'		  => 'primary',				
    'color_hover' => 'accent',				
    'default_icon'=> [
        'library' => 'cmsi',
        'value'   => 'cmsi-map-marker'
    ],
    'tag'         => 'span',
    'echo'        => false,
    'animate'     => false
]);
foreach ($locations as $key => $location) {
	$location_name = $location['title'];
	$location1 = (array)json_decode($location['location1'], true);
	$location2 = (array)json_decode($location['location2'], true);
	$location3 = (array)json_decode($location['location3'], true);
	$location4 = (array)json_decode($location['location4'], true);
?>
	<div class="cms-find-location-item">
		<h3 class="cms-heading text-25"><?php echo esc_html($location_name);?></h3>
		<div class="row">
		 	<div class="col-12 col-md-6 col-lg-3"><ul class="cms-list cms-list-2"><?php
		 		foreach ($location1 as $key => $location) {
		 			?>
		 				<li><a href="<?php echo esc_url($location['location_url'])  ?>"><?php 
		 					etc_print_html($map_icon);
		 					etc_print_html('<span>'.$location['location_title'].'</span>') ?></a></li>
		 			<?php
		 		}
		 	?></ul></div>
		 	<div class="col-12 col-md-6 col-lg-3"><ul class="cms-list"><?php
		 		foreach ($location2 as $key => $location) {
		 			?>
		 				<li><a href="<?php echo esc_url($location['location_url'])  ?>"><?php 
		 					etc_print_html($map_icon);
		 					etc_print_html('<span>'.$location['location_title'].'</span>') ?></a></li>
		 			<?php
		 		}
		 	?></ul></div>
		 	<div class="col-12 col-md-6 col-lg-3"><ul class="cms-list"><?php
		 		foreach ($location3 as $key => $location) {
		 			?>
		 				<li><a href="<?php echo esc_url($location['location_url'])  ?>"><?php 
		 					etc_print_html($map_icon);
		 					etc_print_html('<span>'.$location['location_title'].'</span>') ?></a></li>
		 			<?php
		 		}
		 	?></ul></div>
		 	<div class="col-12 col-md-6 col-lg-3"><ul class="cms-list"><?php
		 		foreach ($location4 as $key => $location) {
		 			?>
		 				<li><a href="<?php echo esc_url($location['location_url'])  ?>"><?php 
		 					etc_print_html($map_icon);
		 					etc_print_html('<span>'.$location['location_title'].'</span>') ?></a></li>
		 			<?php
		 		}
		 	?></ul></div>
		</div>
	</div>
	<?php
}