<?php
if ( ! $settings['wp_gallery'] ) {
    return;
}
$col_xl = 12 / intval($widget->get_setting('gallery_col', 4));
$col_lg = 12 / intval($widget->get_setting('gallery_col_tablet', 3));
$col_sm = 12 / intval($widget->get_setting('gallery_col_mobile', 2));

$randGallery = $settings['wp_gallery'];
if ($settings['gallery_rand'] == 'rand'){
    shuffle($randGallery);
}
?>
<div class="cms-image-gallery clearfix" data-show="<?php echo esc_attr($widget->get_setting('gallery_show', '6'));?>" data-loadmore="<?php echo esc_attr($widget->get_setting('gallery_loadmore_show', '6'));?>">
    <div class="row cms-images-light-box" style="margin: <?php echo esc_attr($settings['gap']/-2);?>px;">
        <?php
        foreach ( $randGallery as $key => $value):
            $item_class = "cms-gallery-item cms-overlay-wrap cms-overlay-zoom-in col-sm-{$col_sm} col-md-{$col_lg} col-lg-{$col_xl}";
            ?>
            <div class="<?php echo esc_attr($item_class); ?>" style="padding: <?php echo esc_attr($settings['gap']/2);?>px;">
                <div class="grid-item-inner overflow-hidden relative cms-radius-8">
                    <span class="hover-effect cms-over"><?php 
                        claniz_elementor_image_render($settings, $widget,[
                            'id'            => '',
                            'attachment_id' => $value['id'],
                            'size'          => 'thumbnail',
                            'custom_size'   => '800x800',
                            'tag'           => 'div'
                        ], $value);
                    ?></span>
                    <div class="gallery-item-content">
                        <a data-elementor-lightbox-slideshow="<?php echo esc_attr($settings['element_id']);?>" class="cms-galleries-light-box cms-overlay-content d-flex align-items-center justify-content-center text-white text-hover-white p-20 text-center" href="<?php echo esc_url(wp_get_attachment_image_url($value['id'], 'full')); ?>" title="<?php echo esc_attr(wp_get_attachment_caption($value['id']))?>">
                            <div class="btn-style"><span class="cms-gal-popup-icon cmsi-plus"></span>
                            <div class="cms-image-caption empty-none w-100"><?php echo wp_get_attachment_caption($value['id']);?></div></div>
                        </a>
                    </div>
                </div>
            </div>
        <?php
        endforeach;
        ?>
    </div>
    <div class="text-center pt-40">
        <a href="#" class="cms-gallery-load btn btn-accent btn-hover-primary btn-lg p-lr-0"><span class="cms-btn-content"><span class="cms-btn-text"><?php etc_print_html($widget->get_setting('load_more_text', 'Load More')); ?></span></span></a>
    </div>
</div>