<?php 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-heading-wrapper',
        claniz_elementor_align_class($settings),
        'row gutters-grid'
    ]
]);
// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading cms-heading text-30 text-lg-37 mt-n7');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'heading'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Subheading
$widget->add_render_attribute( 'subheading', [
    'class' => [
        'cms-subheading text-16 font-700',
        'text-'.$widget->get_setting('smallheading_text_color','accent')
    ]
]);
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-heading-desc empty-none text-16 lh-27');  
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color','body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// play video button
$widget->add_render_attribute('video-button', 'class', 'cms-video-btn');
$widget->add_render_attribute('video-button', 'class', 'bg-'.$widget->get_setting('video_play_color', 'accent'));
$widget->add_render_attribute('video-button', 'class', 'bg-hover-'.$widget->get_setting('video_play_color_hover', 'secondary'));
$widget->add_render_attribute('video-button', 'class', 'text-'.$widget->get_setting('video_icon_color', 'white'));
$widget->add_render_attribute('video-button', 'class', 'text-hover-'.$widget->get_setting('video_icon_color_hover', 'heading'));
// play video text 
$widget->add_render_attribute('video-text', 'class', 'col empty-none font-700 text-'.$widget->get_setting('video_text_color','accent'));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="col-12 col-lg-6"> 
        <?php 
            claniz_elementor_icon_render($widget, $settings, [
                'wrap_class' => 'pb-20',
                'class'      => 'text-82 text-accent'
            ]);
        ?>
        <div <?php etc_print_html($widget->get_render_attribute_string( 'subheading' )); ?>><?php 
            etc_print_html($widget->get_setting('smallheading_text',''));
        ?></div>
        <h2 <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
            etc_print_html($widget->get_setting('heading_text','Experience Ultimate Level Of Cleaning Power With Tailored Industry'));
        ?></h2>
    </div>
    <div class="col-12 col-lg-6">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
            echo wpautop($widget->get_setting('description_text', 'We’ll take the time to discuss your preferences and priorities with you before your first home cleaning service and our residential housekeepers will always arrive with your customized cleaning plan to ensure that all of your needs are taken into account.<br /><br />Our cleaning experts deliver the highest quality of clean you can always count, let us help you with all of your cleaning and disinfecting responsibilities now.')); 
        ?></div>
        <div class="row gutters-30 gutters-grid align-items-center pt-30"><?php 
            claniz_elementor_button_render($widget,$settings, [
                'prefix' => 'btn1',
                'class'  => 'col-auto'
            ]);
            claniz_elementor_button_render($widget,$settings, [
                'prefix' => 'btn2',
                'class'  => 'col-auto'
            ]);
            claniz_elementor_hyperlink_render($widget,$settings, [
                'prefix'       => 'hyperlink',
                'wrap_class'   => 'col-auto font-700',   
                'link_text'    => 'Pricing And Plans',
                'default_icon' => [
                    'library' => 'cmsi',
                    'value'   => 'cmsi-arrow-circle-right'
                ],
                'icon_class'  => 'text-26'
            ]);
            if(!empty($settings['video_link']['url'])) { ?>
            <div class="col-auto" <?php claniz_elementor_render_lightbox_video_atts($widget, $settings, ['video_url' => $settings['video_link']['url']]);?>>
                <div class="row align-items-center gutters-30">
                    <div class="col-auto">
                        <div <?php etc_print_html($widget->get_render_attribute_string( 'video-button' )); ?>><span class="cmsi cmsi-play"></span></div>
                    </div>
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'video-text' )); ?>><?php etc_print_html($settings['video_text']); 
                    ?></div>
                </div>
            </div>
            <?php } ?>
        </div>
    </div>
</div>
