<?php 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-heading-wrapper',
        claniz_elementor_align_class($settings),
        'row'
    ]
]);
// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading cms-heading text-40 mt-n8 pr-xl-110');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'heading'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Description Bold
$widget->add_render_attribute( 'description_text_bold', 'class', 'cms-heading-desc-bold empty-none pt-25 text-17 lh-27 font-700');  
$widget->add_render_attribute( 'description_text_bold', 'class', 'text-'.$widget->get_setting('description_text_color','custom-3'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description_text_bold', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description_text_bold', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description_text_bold', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-heading-desc empty-none pt-15 text-17 lh-27 font-400');  
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color','body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}

// Feature
$widget->add_render_attribute( 'feature', 'class', 'cms-heading-features pt-25 mt-1 cms-list cms-list-1 row');
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="col-xl-8 col-md-6">
        <div class="pr-xl-70">
            <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
                etc_print_html($widget->get_setting('heading_text','Delivering A Professional Clean That You Expect For The Highest Quality Clean You Can Count On!'));
            ?></div>
            <div class="mt-60 ml-xl-110 relative">
                <?php 
                    claniz_elementor_image_render($settings, $widget, [
                        'id'          => 'total_banner',
                        'class'       => '',
                        'default'     => true,
                        'custom_size' => '660x440',
                        'img_class'   => 'cms-radius-12'
                    ]);
                ?>
                <div class="cms-badge-rating bg-darken-secondary text-center text-white pb-25 absolute cms-abs-t-40 cms-abs-l-40">
                    <div class="ct-number pt-5 pb-20 text-28 font-500 bg-accent"><?php
                        etc_print_html($widget->get_setting('total_value'));
                    ?></div>
                    <div class="ct-rating mt-n7">
                        <?php 
                            claniz_elementor_image_render($settings, $widget, [
                                'id'          => 'total_image',
                                'class'       => '',
                                'default'     => true,
                                'custom_size' => '33x13'
                            ]);
                        ?>
                        <div class="text-12 mt-n7"><?php
                            etc_print_html($widget->get_setting('total_text'));
                        ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xl-4 col-md-6 pt-lg-95">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'description_text_bold' )); ?>><?php 
            echo wpautop($widget->get_setting('description_text_bold', "We’ll take the time to discuss your preferences and priorities with you to provide you with the best clean possible for your family.")); 
        ?></div>
        <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
            echo wpautop($widget->get_setting('description_text', "We work closely with clients in finding the most cost effective solutions while still providing a service that will produce a healthy work environment as well as one that protects the capital investment you have made in your facility. "));
        ?></div>
        <?php if($settings['show_feature06'] === 'true'): ?>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>><?php 
                foreach ($settings['heading_feature_06'] as $value) { ?>
                    <div class="col-12 pb-10 pb-last-0 feature-list ml-xl-n30">
                        <div class="cms-heading-feature-item cms-list-item text-15 lh-25 text-8e949e font-700 row gutters-10 align-items-center"><?php
                            claniz_elementor_icon_render($widget, $settings, [
                                'id'           => 'heading_feature_icon_06',
                                'tag'          => 'span',
                                'class'        => 'cms-icon text-11 pr-15 text-accent', 
                                'default_icon' => [
                                    'library' => 'cmsi',
                                    'value'   => 'cmsi-check'
                                ]
                            ]);
                            etc_print_html('<span class="col cms-list-title">'.$value['title'].'</span>');
                        ?></div>
                    </div>
                <?php } 
            ?></div>
        <?php endif; 
        // Buttons
        claniz_elementor_button_render($widget,$settings, [
            'prefix' => 'btn2',
            'class'  => 'pt-30'
        ]);
        ?>
    </div>
</div>
