<?php 
$default_align = 'center';
// Wrapper 
$widget->add_render_attribute( 'wrapper', 'class', 'cms-heading-wrapper');
$widget->add_render_attribute( 'wrapper', 'class', claniz_elementor_align_class($settings, ['default' => $default_align]));
/// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading heading2 empty-none text-30 mt-n5 pb-5');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'accent'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-heading-desc empty-none text-17 font-700 lh-27 empty-none');
$widget->add_render_attribute( 'description', 'class', 'text-'.$settings['description_text_color']);
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ]));
}
// Buttons Wrap
$widget->add_render_attribute( 'buttons', 'class', 'row gutters-30 gutters-grid empty-none pt-32');
$widget->add_render_attribute( 'buttons', 'class', claniz_elementor_align_class($settings, ['default' => $default_align, 'prefix' => 'justify-content-']));
// play video button
$widget->add_render_attribute('video-button', 'class', 'cms-video-btn');
$widget->add_render_attribute('video-button', 'class', 'bg-'.$widget->get_setting('video_play_color', 'accent'));
$widget->add_render_attribute('video-button', 'class', 'bg-hover-'.$widget->get_setting('video_play_color_hover', 'secondary'));
$widget->add_render_attribute('video-button', 'class', 'text-'.$widget->get_setting('video_icon_color', 'white'));
$widget->add_render_attribute('video-button', 'class', 'text-hover-'.$widget->get_setting('video_icon_color_hover', 'primary'));
// play video text 
$widget->add_render_attribute('video-text', 'class', 'col empty-none font-700 text-'.$widget->get_setting('video_text_color','accent'));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrapper' )); ?>>
    <?php 
        claniz_elementor_icon_render($widget, $settings, [
            'wrap_class' => 'mb-20',
            'class'      => 'text-82 text-accent'
        ]);
    ?>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        etc_print_html($widget->get_setting('heading_text'));
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
        echo wpautop($widget->get_setting('description_text')); 
    ?></div>
    <div class="cms-heading-extra-space extra-space"></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'buttons' )); ?>><?php 
        claniz_elementor_button_render($widget,$settings, [
            'prefix'       => 'btn3',
            'class'        => 'col-auto'
        ]);
        claniz_elementor_button_render($widget,$settings, [
            'prefix'       => 'btn3_2',
            'class'        => 'col-auto'
        ]);
        claniz_elementor_render_lightbox_video_button($widget, $settings, [
            'prefix' => 'btn3',
            'class'  => 'col-auto'
        ]);
    ?></div>
    <?php if($settings['show_breadcrum'] === 'true'){ 
        claniz_breadcrumb([
            'show_breadcrumb' => '1',
            'class'           => 'pt-90 text-'.$widget->get_setting('description_text_color','heading'). ' link-'.$widget->get_setting('description_text_color','heading').' '.claniz_elementor_align_class($settings, ['default' => $default_align, 'prefix' => 'justify-content-'])
        ]);
    } ?>
</div>