<?php 
// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading text-30 text-lg-37 lh-52 font-700 mt-n5');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'white'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// SubHeading
$widget->add_render_attribute( 'subheading', 'class', 'cms-subheading text-16 font-700 mt-n5 text-accent empty-none');
// Description Bold
$widget->add_render_attribute( 'description_text_bold', 'class', 'cms-heading-desc-bold empty-none text-16 lh-27 font-700 pt-30');  
$widget->add_render_attribute( 'description_text_bold', 'class', 'text-'.$widget->get_setting('description_text_color','white'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description_text_bold', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description_text_bold', 'class', 'animated-'.$widget->get_setting('description_text_bold_animation_duration', ''));
    $widget->add_render_attribute( 'description_text_bold', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_bold_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_bold_animation_delay', '')
    ])); 
}
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-heading-desc empty-none text-16 lh-27 pt-30');  
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color','white'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// Description2
$widget->add_render_attribute( 'description2', 'class', 'cms-heading-desc empty-none pt-140 text-16 lh-27');  
$widget->add_render_attribute( 'description2', 'class', 'text-'.$widget->get_setting('description_text_color','white'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description2', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description2', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description2', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// play video button
$widget->add_render_attribute('video-button', 'class', 'cms-video-btn');
$widget->add_render_attribute('video-button', 'class', 'bg-'.$widget->get_setting('video_play_color', 'accent'));
$widget->add_render_attribute('video-button', 'class', 'bg-hover-'.$widget->get_setting('video_play_color_hover', 'secondary'));
$widget->add_render_attribute('video-button', 'class', 'text-'.$widget->get_setting('video_icon_color', 'white'));
$widget->add_render_attribute('video-button', 'class', 'text-hover-'.$widget->get_setting('video_icon_color_hover', 'heading'));
// play video text 
$widget->add_render_attribute('video-text', 'class', 'col empty-none font-700 text-'.$widget->get_setting('video_text_color','accent'));
?>
<div class="cms-heading-wrapper <?php echo claniz_elementor_align_class($settings);?>">
    <?php 
        claniz_elementor_icon_render($widget, $settings, [
            'wrap_class' => 'mb-20',
            'class'      => 'text-82 text-accent'
        ]);
    ?>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'subheading' )); ?>><?php 
        etc_print_html($widget->get_setting('smallheading_text',''));
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        etc_print_html($widget->get_setting('heading_text','Experience Ultimate Level Of Cleaning Power With Tailored Industry'));
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description_text_bold' )); ?>><?php 
        echo wpautop($widget->get_setting('description_text_bold', "")); 
    ?></div>
    <?php if($widget->get_setting('description_text') !== '-1'): ?>
        <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
            echo wpautop($widget->get_setting('description_text', "For additional safety and protection for everyone, our teams are provided with masks & gloves while cleaning your home. EPA's criteria for use against the Coronavirus, as well other germs that may be lurking in your home.")); 
        ?></div>
    <?php endif; ?>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description2' )); ?>><?php 
        echo wpautop($widget->get_setting('description_text2', "")); 
    ?></div>
    <div class="row align-items-center gutters-30 gutters-grid pt-40"><?php 
        claniz_elementor_button_render($widget,$settings, [
            'prefix' => 'btn1',
            'class'  => 'col-auto'
        ]);
        claniz_elementor_button_render($widget,$settings, [
            'prefix'       => 'btn3',
            'class'        => 'col-auto'
        ]);
        claniz_elementor_hyperlink_render($widget,$settings, [
            'prefix'       => 'hyperlink',
            //'tag'          => 'span',
            'wrap_class'        => 'col-auto font-700',   
            'link_text'    => 'Pricing And Plans',
            'default_icon' => [
                'library' => 'cmsi',
                'value'   => 'cmsi-arrow-circle-right'
            ], 
        ]);

        if(!empty($settings['video_link']['url'])) { ?>
        <div class="col-auto ml-15" <?php claniz_elementor_render_lightbox_video_atts($widget, $settings, ['video_url' => $settings['video_link']['url']]);?>>
            <div class="row align-items-center gutters-30">
                <div class="col-auto">
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'video-button' )); ?>><span class="cmsi cmsi-play"></span></div>
                </div>
                <div <?php etc_print_html($widget->get_render_attribute_string( 'video-text' )); ?>><?php etc_print_html($settings['video_text']); 
                ?></div>
            </div>
        </div>
        <?php } ?>
    </div>
</div>
