<?php 
// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading heading2 text-17 lh-27 font-700 mb-14');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'secondary'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-heading-desc empty-none pt-15 text-17 lh-27 font-400');  
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color','body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// Description2
$widget->add_render_attribute( 'description2', 'class', 'cms-heading-desc empty-none pt-140 text-16 lh-27 font-700');  
$widget->add_render_attribute( 'description2', 'class', 'text-'.$widget->get_setting('description_text_color','body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description2', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description2', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description2', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// play video button
$widget->add_render_attribute('video-button', 'class', 'cms-video-btn');
$widget->add_render_attribute('video-button', 'class', 'bg-'.$widget->get_setting('video_play_color', 'accent'));
$widget->add_render_attribute('video-button', 'class', 'bg-hover-'.$widget->get_setting('video_play_color_hover', 'secondary'));
$widget->add_render_attribute('video-button', 'class', 'text-'.$widget->get_setting('video_icon_color', 'white'));
$widget->add_render_attribute('video-button', 'class', 'text-hover-'.$widget->get_setting('video_icon_color_hover', 'heading'));
// play video text 
$widget->add_render_attribute('video-text', 'class', 'col empty-none font-700 text-'.$widget->get_setting('video_text_color','accent'));
// Feature
$widget->add_render_attribute( 'feature', 'class', 'cms-heading-features pt-35 mt-1 cms-list cms-list-1 row');
?>
<div class="cms-heading-wrapper <?php echo claniz_elementor_align_class($settings);?>">
    <div class="row justify-content-between">
        <div class="col-12">
            <?php 
                claniz_elementor_icon_render($widget, $settings, [
                    //'id'         => 'counter_icon',
                    'wrap_class' => 'mb-20',
                    'class'      => 'text-82 text-accent'
                ]);
            ?>
            <div class="heading-style-" <?php etc_print_html($widget->get_render_attribute_string( 'subheading' )); ?>><?php 
                etc_print_html($widget->get_setting('smallheading_text',''));
            ?></div>
            <div class="cms-heading-extra-space extra-space"></div>
        </div>
        <div class="col-12 mt-n8">
            <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
                etc_print_html($widget->get_setting('heading_text','Experience Ultimate Level Of Cleaning Power With Tailored Industry'));
            ?></div>
            <div class="cms-heading-extra-space extra-space"></div>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
                echo wpautop($widget->get_setting('description_text', "For additional safety and protection for everyone, our teams are provided with masks & gloves while cleaning your home. EPA's criteria for use against the Coronavirus, as well other germs that may be lurking in your home.")); 
            ?></div>
            <div class="cms-desc-extra-space extra-space"></div>

            <?php if($settings['show_feature06'] === 'true'): ?>
                <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>><?php 
                    foreach ($settings['heading_feature_06'] as $value) { ?>
                        <div class="col-12 pb-10 pb-last-0">
                            <div class="cms-heading-feature-item cms-list-item text-15 lh-25 text-8e949e font-700 row gutters-10 align-items-center"><?php
                                claniz_elementor_icon_render($widget, $settings, [
                                    'id'           => 'heading_feature_icon_06',
                                    'tag'          => 'span',
                                    'class'        => 'cms-icon text-11 pr-15 text-accent', 
                                    'default_icon' => [
                                        'library' => 'cmsi',
                                        'value'   => 'cmsi-check'
                                    ]
                                ]);
                                etc_print_html('<span class="col cms-list-title">'.$value['title'].'</span>');
                            ?></div>
                        </div>
                    <?php } 
                ?></div>
            <?php endif; ?>

            <div class="row gutters-30 gutters-grid pt-30"><?php 
                claniz_elementor_button_render($widget,$settings, [
                    'prefix' => 'btn1',
                    'class'  => 'col-auto h-pr-0'
                ]);
                if(!empty($settings['video_link']['url'])) { ?>
                <div class="col-auto ml-15" <?php claniz_elementor_render_lightbox_video_atts($widget, $settings, ['video_url' => $settings['video_link']['url']]);?>>
                    <div class="row align-items-center gutters-30">
                        <div class="col-auto">
                            <div <?php etc_print_html($widget->get_render_attribute_string( 'video-button' )); ?>><span class="cmsi cmsi-play"></span></div>
                        </div>
                        <div <?php etc_print_html($widget->get_render_attribute_string( 'video-text' )); ?>><?php etc_print_html($settings['video_text']); 
                        ?></div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>
