<?php 
// Wrap 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-heading-wrapper',
        'row gutters-grid',
        claniz_elementor_align_class($settings)
    ]
]);
// Heading
$widget->add_render_attribute( 'heading', [
    'class' => [
        'cms-mainheading cms-heading text-40',
        'col-12 col-sm mt-n15'
    ]
]);
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'secondary'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="col-12 col-sm-auto">
        <div class="cms-badge-rating bg-darken-secondary text-center text-white pb-25">
            <div class="ct-number pt-5 pb-20 text-28 font-500 bg-accent"><?php
                etc_print_html($widget->get_setting('total_value'));
            ?></div>
            <div class="ct-rating mt-n7">
                <?php 
                    if($settings['icon_type'] === 'icon'){
                        claniz_elementor_icon_render($widget, $settings, [
                            'id'         => 'counter_icon',
                            'wrap_class' => 'cms-counter-icon text-60 text-'.$widget->get_setting('icon_text_color','white')
                        ] ); 
                    } elseif($settings['icon_type'] === 'image') {
                        claniz_elementor_image_render($settings, $widget, [
                            'id'          => 'icon_image',
                            'class'       => 'cms-counter-icon cms-counter-image',
                            'default'     => true,
                            'custom_size' => '100x100'
                        ]);
                    }
                ?>
                <div class="text-12"><?php
                    etc_print_html($widget->get_setting('total_text'));
                ?></div>
            </div>
        </div>
    </div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        etc_print_html($widget->get_setting('heading_text','Delivering A Professional Clean That You Expect For The Highest Quality Clean You Can Count On!'));
    ?></div>
</div>
