<?php 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-heading-wrapper',
        claniz_elementor_align_class($settings)
    ]
]);
// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading cms-heading text-40 mt-n8');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'secondary'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Subheading
$widget->add_render_attribute( 'subheading', [
    'class' => [
        'cms-subheading text-16 font-700',
        'text-'.$widget->get_setting('smallheading_text_color','accent')
    ]
]);
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-heading-desc empty-none pt-15 text-17 lh-27 font-400');  
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color','body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// Description2
$widget->add_render_attribute( 'description2', 'class', 'cms-heading-desc2 empty-none pt-25 text-16 lh-27 font-700');  
$widget->add_render_attribute( 'description2', 'class', 'text-'.$widget->get_setting('description_text_color','body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description2', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description2', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description2', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// play video button
$widget->add_render_attribute('video-button', 'class', 'cms-video-btn');
$widget->add_render_attribute('video-button', 'class', 'bg-'.$widget->get_setting('video_play_color', 'accent'));
$widget->add_render_attribute('video-button', 'class', 'bg-hover-'.$widget->get_setting('video_play_color_hover', 'secondary'));
$widget->add_render_attribute('video-button', 'class', 'text-'.$widget->get_setting('video_icon_color', 'white'));
$widget->add_render_attribute('video-button', 'class', 'text-hover-'.$widget->get_setting('video_icon_color_hover', 'heading'));
// play video text 
$widget->add_render_attribute('video-text', 'class', 'col empty-none font-700 text-'.$widget->get_setting('video_text_color','accent'));
// Feature
$widget->add_render_attribute( 'feature', 'class', 'cms-heading-features pt-25 mt-1 cms-list cms-list-1 row');
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <?php 
        claniz_elementor_icon_render($widget, $settings, [
            'wrap_class' => 'pb-20',
            'class'      => 'text-82 text-accent'
        ]);
    ?>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'subheading' )); ?>><?php 
        etc_print_html($widget->get_setting('smallheading_text',''));
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        etc_print_html($widget->get_setting('heading_text','Experience Ultimate Level Of Cleaning Power With Tailored Industry'));
    ?></div>
    <div class="pl-md-110">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
            echo wpautop($widget->get_setting('description_text', "For additional safety and protection for everyone, our teams are provided with masks & gloves while cleaning your home. EPA's criteria for use against the Coronavirus, as well other germs that may be lurking in your home."));
        ?></div>
        <div <?php etc_print_html($widget->get_render_attribute_string( 'description2' )); ?>><?php 
            echo wpautop($widget->get_setting('description_text2', "We’ll take the time to discuss your preferences and priorities with you to provide you with the best clean possible for your family.")); 
        ?></div>
        <?php if($settings['show_feature06'] === 'true'): ?>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>><?php 
                foreach ($settings['heading_feature_06'] as $value) { ?>
                    <div class="col-12 pb-10 pb-last-0 feature-list">
                        <div class="cms-heading-feature-item cms-list-item text-15 lh-25 text-8e949e font-700 row gutters-10 align-items-center"><?php
                            claniz_elementor_icon_render($widget, $settings, [
                                'id'           => 'heading_feature_icon_06',
                                'tag'          => 'span',
                                'class'        => 'cms-icon text-11 pr-15 text-accent', 
                                'default_icon' => [
                                    'library' => 'cmsi',
                                    'value'   => 'cmsi-check'
                                ]
                            ]);
                            etc_print_html('<span class="col cms-list-title">'.$value['title'].'</span>');
                        ?></div>
                    </div>
                <?php } 
            ?></div>
        <?php endif; ?>
        <div class="cms-heading-singnature pt-30 row gutters-30 gutters-grid align-items-center">
            <?php 
                claniz_elementor_image_render($settings, $widget, [
                    'id'          => 'icon_image2',
                    'class'       => 'cms-counter-icon cms-counter-image',
                    'default'     => true,
                    'custom_size' => '52x52',
                    'before'      => '<div class="col-auto"><div class="item-author">',
                    'after'       => '</div></div>'  
                ]);
            ?>
            <div class="item-signature col-auto ml-n10">
                <div class="cms-heading cms-signature-name text-19 lh-29 mb-4 font-600 text-<?php echo esc_attr($widget->get_settings('singnature_color','primary'));?>"><?php echo esc_html($widget->get_setting('singnature_name','Michael Brian')); ?></div>
                <div class="cms-signature-job text-14 text-<?php echo esc_attr($widget->get_setting('singnature_job_color','body'));?> empty-none"><?php echo esc_html($widget->get_setting('singnature_job')) ?></div>
            </div>
            <div class="col-auto"><?php 
                if($settings['icon_type'] === 'icon'){
                    claniz_elementor_icon_render($widget, $settings, [
                        'id'         => 'counter_icon',
                        'wrap_class' => 'cms-counter-icon text-60 text-'.$widget->get_setting('icon_text_color','accent')
                    ] ); 
                } elseif($settings['icon_type'] === 'image') {
                    claniz_elementor_image_render($settings, $widget, [
                        'id'          => 'icon_image',
                        'class'       => 'cms-counter-icon cms-counter-image',
                        'default'     => true,
                        'custom_size' => '150x150'
                    ]);
                }
            ?></div>
        </div>
    </div>
</div>
