<?php 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-heading-wrapper',
        claniz_elementor_align_class($settings)
    ]
]);
// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading cms-heading text-24 lh-29');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'primary'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Subheading
$widget->add_render_attribute( 'subheading', [
    'class' => [
        'cms-subheading text-16 font-700 empty-none pb-10',
        'text-'.$widget->get_setting('subheading_text_color','accent')
    ]
]);
// Description Bold
$widget->add_render_attribute( 'description-bold', 'class', 'cms-heading-desc cms-heading-desc-bold pt-20 empty-none text-16 lh-27 font-700');  
$widget->add_render_attribute( 'description-bold', 'class', 'text-'.$widget->get_setting('description_text_bold_color','heading'));
if ( $settings['description_text_bold_animation'] ) {
    $widget->add_render_attribute( 'description-bold', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description-bold', 'class', 'animated-'.$widget->get_setting('description_text_bold_animation_duration', ''));
    $widget->add_render_attribute( 'description-bold', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_bold_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_bold_animation_delay', '')
    ])); 
}
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-heading-desc empty-none pt-20 text-17 lh-27');  
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color','body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ])); 
}
// Description2
$widget->add_render_attribute( 'description2', 'class', 'cms-heading-desc cms-heading-desc2 empty-none pt-20 text-17 lh-27');  
$widget->add_render_attribute( 'description2', 'class', 'text-'.$widget->get_setting('description_text2_color','body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description2', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description2', 'class', 'animated-'.$widget->get_setting('description_text2_animation_duration', ''));
    $widget->add_render_attribute( 'description2', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text2_animation', ''),
        'animation_delay' => $widget->get_setting('description_text2_animation_delay', '')
    ])); 
}
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'subheading' )); ?>><?php 
        etc_print_html($widget->get_setting('subheading_text',''));
    ?></div>
    <h2 <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        etc_print_html($widget->get_setting('heading_text','Overview'));
    ?></h2>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description-bold' )); ?>><?php 
        echo wpautop($widget->get_setting('description_text_bold', "")); 
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
        echo wpautop($widget->get_setting('description_text', "For additional safety and protection for everyone, our teams are provided with masks & gloves while cleaning your home. EPA's criteria for use against the Coronavirus, as well other germs that may be lurking in your home.")); 
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description2' )); ?>><?php 
        echo wpautop($widget->get_setting('description_text2', "")); 
    ?></div>
</div>
