<?php
// Wrap Classes 
$widget->add_render_attribute( 'wrap', 'class', 'cms-lists-wrap');
$widget->add_render_attribute( 'wrap', 'class', claniz_elementor_align_class($settings, ['default' => 'start']));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="cms-lists-content">
        <?php
            // Small Heading 
            claniz_elementor_text_render([
                'name'         => 'smallheading_text',
                'tag'          => 'div',
                'color'        => 'accent',
                'class'        => 'cms-smallheading mt-n5' 
            ], $widget, $settings);
            // Heading 
            claniz_elementor_text_render([
                'name'         => 'heading_text',
                'tag'          => 'h4',
                'color'        => 'heading',
                'class'        => 'cms-mainheading cms-heading mt-n5 mb-20 text-19' 
            ], $widget, $settings);
            // list
            foreach ($settings['lists'] as $value) {
                claniz_elementor_hyperlink_render2($value, [
                    'prefix'     => '',
                    'link_text'  => $value['link_text'],
                    'wrap_class' => 'cms-list-item',
                    'class'      => 'cms-list-item-inner d-flex align-items-center',
                    'text_class' => 'cms-heading text-13 text-primary flex-basic',
                    'before'    => claniz_elementor_icon_render($value,[
                        'id'     => 'list_icon',
                        'class'  => 'cms-link-icon-main text-primary flex-auto text-13',
                        'before' => '',
                        'after'  => '',
                        'echo'   => false,
                        'tag'    => 'span'
                    ]),
                ]);
            } 
            // Description 
            claniz_elementor_text_render([
                'name'         => 'description_text',
                'tag'          => 'div',
                'color'        => 'body',
                'class'        => 'cms-desc text-13' 
            ], $widget, $settings);
        ?>
    </div>
</div>