<div class="cms-imagepointers-wrapper">
    <div class="inner-content d-inline-block relative">
        <?php 
            claniz_elementor_image_render($settings, $widget, [
                'id'          => 'image_bg',
                'default'     => true,
                'size'        => 'custom',
                'custom_size' => 'full',
                'before'      => '<div class="img-bg">',
                'after'       => '</div>' 
            ]);
        ?> 
        <?php if(isset($settings['content_list']) && !empty($settings['content_list']) && count($settings['content_list'])): ?>
            <div class="cms-imagepointers-list">
                <?php foreach ($settings['content_list'] as $key => $value):
                    $title = isset($value['title']) ? $value['title'] : get_bloginfo('name');
                    $content = isset($value['content']) ? $value['content'] : get_bloginfo('name');
                    $content_hover = isset($value['content_hover']) ? $value['content_hover'] : '';
                    $map_adress = $content;
                    $map_params = [  rawurlencode( $map_adress ), 14 ];
                    $map_url    = 'https://maps.google.com/maps?q=%1$s&amp;t=m&amp;z=%2$d&amp;iwloc=near';
                    ?>
                    <div id="<?php echo esc_attr( $value['_id'] ); ?>" class="item-pointer <?php echo esc_attr( $content_hover ); ?> elementor-repeater-item-<?php echo esc_attr( $value['_id'] ); ?>">
                        <div class="item--inner">
                            <div class="item--image cms-ripple">
                                <?php if(!empty($value['image']['url'])) { ?>
                                    <img src="<?php echo esc_url($value['image']['url']);?>" alt="<?php echo esc_attr($content) ?>" />
                                <?php } else { ?>
                                    <span class="item--pointer"></span>
                                <?php } ?>
                            </div>
                            <?php if(!empty($content)) { ?>
                                <div class="item-holder">
                                    <div class="inner-holder">
                                        <div class="item--excerpt">
                                            <h4 class="cms-heading text-19 pb-10"><?php esc_html_e($title); ?></h4>
                                            <?php  echo nl2br($content); ?>
                                            <div class="pt-15">
                                                <a href="<?php echo esc_url( vsprintf( $map_url, $map_params ) ); ?>" target="_blank" class="font-700"><span class="cmsi-map-marker pr-10"></span><?php esc_html_e('Get Directions','claniz') ?></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>
                       </div>
                    </div>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
    </div>
</div>