<?php
	// Heading link
	if(!empty($settings['heading_link_page'])){
		$heading_link = get_permalink($settings['heading_link_page']);
	} else {
		$heading_link = '';
	}
	// Menu Class 
	$menu_class = trim(implode(' ', ['cms-menu', 'cms-menu-vert', claniz_elementor_row_justify_class($settings,['prefix' => 'text-'])]));
	// link
	$link_color       = $widget->get_setting('link_color', 'default');
	$link_color_hover = $widget->get_setting('link_hover_color', 'default');
	// background
	$bg_color       = $widget->get_setting('link_bg_color', 'transparent');
	$bg_hover_color = $widget->get_setting('link_bg_hover_color', 'transparent');
?>
<div class="cms-menu-wraps relative">
	<?php 
		// Sub Heading 
        claniz_elementor_text_render([
			'name'  => 'smallheading_text',
			'tag'   => 'div',
			'color' => 'accent',
			'class' => 'cms-smallheading mt-n5 mb-25' 
        ], $widget, $settings);
        // Heading 
        claniz_elementor_text_render([
			'name'   => 'heading_text',
			'tag'    => 'h2',
			'color'  => 'heading',
			'class'  => 'cms-largeheading cms-heading mt-n5 mb-25',
			'before' => '<a class="menu-heading" href="'.esc_url($heading_link).'">',
			'after'  => '</a>'	
        ], $widget, $settings);
        // Description
        claniz_elementor_text_render([
			'name'  => 'description_text',
			'tag'   => 'div',
			'color' => 'body',
			'class' => 'cms-desc mb-25' 
        ], $widget, $settings);
        // Menu  
		wp_nav_menu(array(
			'fallback_cb'          => '',
			'menu'                 => $settings['menu'],
			'menu_class'           => $menu_class,
			'container_aria_label' => '',
			'before' 			   => '<div class="link-'.$link_color.' link-hover-'.$link_color_hover.' bg-'.$bg_color.' bg-hover-'.$bg_hover_color.' cms-transition">',
			'after'				   => '</div>',		
			'link_before'		   => claniz_elementor_icon_render($widget, $settings, ['id' => 'menu_icon', 'class' => 'menu-icon rtl-flip text-8 mr-5', 'echo' => false, 'tag' => 'span']),
			'theme_location'       => '',
			'depth'				   => 1	
	    ));
	?>
</div>