<?php
	// Heading link
	if(!empty($settings['heading_link_page'])){
		$heading_link = get_permalink($settings['heading_link_page']);
	} else {
		$heading_link = '';
	}
	// Menu Class 
	$menu_class = trim(implode(' ', ['cms-menu', 'cms-menu-vert', claniz_elementor_row_justify_class($settings,['prefix' => 'text-'])]));
	// link
	$link_color       = $widget->get_setting('link_color', 'white');
	$link_color_hover = $widget->get_setting('link_hover_color', 'white');
	// background
	$bg_color       = $widget->get_setting('link_bg_color', 'primary');
	$bg_hover_color = $widget->get_setting('link_bg_hover_color', 'accent');
?>
<div class="cms-menu-wraps p-lr-20 p-lr-lg-40 p-lr-xl-50 pt-50 pb-45 relative">
	<?php 
		// Sub Heading 
        claniz_elementor_text_render([
			'name'  => 'smallheading_text',
			'tag'   => 'div',
			'color' => 'accent',
			'class' => 'cms-smallheading mt-n5 pb-25' 
        ], $widget, $settings);
        // Heading 
        claniz_elementor_text_render([
			'name'   => 'heading_text',
			'tag'    => 'h2',
			'color'  => 'heading',
			'class'  => 'cms-largeheading cms-heading text-19 mt-n5 pb-20',
			'before' => '<a class="menu-heading" href="'.esc_url($heading_link).'">',
			'after'  => '</a>'	
        ], $widget, $settings);
        // Description
        claniz_elementor_text_render([
			'name'  => 'description_text',
			'tag'   => 'div',
			'color' => 'body',
			'class' => 'cms-desc pb-25' 
        ], $widget, $settings);
        // Menu 
		wp_nav_menu(array(
			'fallback_cb'          => '',
			'menu'                 => $settings['menu'],
			'menu_class'           => 'cms-menu cms-menu-ver font-700',
			'container_aria_label' => '',
			'before' 			   => '<div class="link-'.$link_color.' link-hover-'.$link_color_hover.' bg-'.$bg_color.' bg-hover-'.$bg_hover_color.' cms-transition">',
			'after'				   => '</div>',		
			'link_before'		   => '',
			'link_after'		   => claniz_elementor_icon_render($widget, $settings, ['id' => 'menu_icon', 'class' => 'menu-icon rtl-flip text-12', 'echo' => false, 'tag' => 'span', 'color' => 'inherit']),
			'theme_location'       => ''
	    ));
	?>
</div>