<?php 
// Wrap 
$widget->add_render_attribute( 'wrap', 'class', 'cms-page-title-wrapper pt-100 pt-lg-130 cms-overlay-gradient-1');
$widget->add_render_attribute( 'wrap', 'class', claniz_elementor_align_class($settings));
// Content Widht 
$row_class = trim(implode(' ', ['row empty-none', claniz_elementor_row_justify_class($settings)]));
$widget->add_render_attribute( 'row', 'class', $row_class);

$col_xl = 'col-xl-'.$widget->get_setting('content_col', '7');
$col_lg = 'col-lg-'.$widget->get_setting('content_col_tablet', '10');
$col    = 'col-'.$widget->get_setting('content_col_mobile', '12');
$widget->add_render_attribute( 'column', 'class', 'cms-page-title-content-col '.$col.' '.$col_lg.' '.$col_xl);

// Breadcrumb
$breadcrumb_class = claniz_elementor_align_class($settings, ['prefix' => 'justify-content-']);
// Background 
$background = '';
if(!empty($settings['background']['url'])){
    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.$settings['background']['url'].');');
} elseif( has_post_thumbnail()) {
    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.get_the_post_thumbnail_url(null, 'full').');');
}
// Multi Icons
$widget->add_render_attribute( 'multi_icons', 'class', $row_class);
$widget->add_render_attribute( 'multi_icons', 'class', 'pt-30 cms-desc');
$widget->add_render_attribute( 'multi_icons', 'class', 'text-'.$widget->get_setting('description_text_color','white'));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="cms-page-title-overlay cms-page-title-gradient cms-overlay-gradient"></div>
    <div class="container">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'row' )); ?>>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'column' )); ?>>
                <div class="cms-page-title-content">
                    <?php 
                        // Small Heading 
                        claniz_elementor_text_render([
                            'name'         => 'subheading_text',
                            'tag'          => 'div',
                            'color'        => 'white',
                            'class'        => 'cms-subheading text-20 text-md-24 lh-27 font-700 mt-n5 mb-10',
                            'autop'        => true
                        ], $widget, $settings);
                        // Heading 
                        claniz_elementor_text_render([
                            'name'         => 'heading_text',
                            'tag'          => 'h1',
                            'color'        => 'white',
                            'class'        => 'cms-mainheading cms-heading text-30 text-md-40 text-lg-50 text-xl-75 font-700 lh-1',
                            'default'      => get_the_title(),
                            'autop'        => true 
                        ], $widget, $settings);
                        // Description 
                        claniz_elementor_text_render([
                            'name'         => 'description_text',
                            'tag'          => 'div',
                            'color'        => 'white',
                            'class'        => 'cms-desc mt-20 text-17 font-700',
                            'autop'        => true
                        ], $widget, $settings);
                    if(isset($settings['multi_icons'])) {
                    ?>
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'multi_icons' )); ?>><?php 
                        // Multi Icons
                        foreach ($settings['multi_icons'] as $icons) {
                            claniz_elementor_icon_render($icons, [
                                'id'         => $icons['multi_icon'],
                                'loop'       =>  true,
                                'wrap_class' => 'col-auto cms-ptitle-icon text-82'
                            ]);
                        }
                    ?></div>
                    <?php } ?>
                    <div class="row gutters-30 gutters-grid align-items-center pt-30 empty-none <?php echo esc_attr($breadcrumb_class);?>"><?php
                        claniz_elementor_button_render($widget,$settings, [
                            'class' => 'col-auto'
                        ]);
                        claniz_elementor_button_render($widget,$settings, [
                            'prefix' => 'btn2',
                            'class'  => 'col-auto'
                        ]);
                        claniz_elementor_button_render($widget,$settings, [
                            'prefix' => 'btn3',
                            'class'  => 'col-auto'
                        ]);
                        claniz_elementor_render_lightbox_video_button($widget, $settings,[
                            'icon_class' => 'cms-ripple size-68',
                            'outline'    => false,
                            'shadow'     => true,      
                            'before'     => '<div class="col-auto">',
                            'after'      => '</div>'
                        ]);
                    ?></div>
                    <div class="pt-80 pt-xl-90 d-block pb-content"></div>
                    <?php
                        claniz_breadcrumb([
                            'show_breadcrumb' => $widget->get_setting('show_breadcrumb','1'),
                            'class'           => 'text-14 '.$breadcrumb_class,
                            'link_class'      => 'link-'.$widget->get_setting('breadcrumb_link_color','white'),
                            'text_class'      => 'text-'.$widget->get_setting('breadcrumb_color','white'),
                            'divider_class'   => 'text-'.$widget->get_setting('breadcrumb_color','white'),
                            'before' => '<div class="cms-pagetitle-breadcrumb pb-35 relative"><div class="container">',
                            'after'  => '</div></div>'   
                        ]);
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>