<?php 
// Wrap 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-page-title-wrapper',
        claniz_elementor_align_class($settings),
        'p-tb-50 p-tb-lg-100 p-tb-xl-130'
    ]
]);
// Content Width 
$row_class = [
    'row',
    claniz_elementor_row_justify_class($settings),
    'empty-none'
];
$widget->add_render_attribute( 'row', [
    'class' => $row_class
]);
$col_xl = 'col-xl-'.$widget->get_setting('content_col', '6');
$col_lg = 'col-lg-'.$widget->get_setting('content_col_tablet', '8');
$col    = 'col-'.$widget->get_setting('content_col_mobile', '12');
$widget->add_render_attribute( 'column', [
    'class' => [
        'cms-page-title-content-col',
        $col,
        $col_lg,
        $col_xl
    ]
]);
// Breadcrumb
$breadcrumb_class = claniz_elementor_align_class($settings, ['prefix' => 'justify-content-']);
// Background 
$background = '';
if(!empty($settings['background']['url'])){
    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.$settings['background']['url'].');');
} elseif( has_post_thumbnail()) {
    $widget->add_render_attribute( 'wrap', 'style', 'background-image:url('.get_the_post_thumbnail_url(null, 'full').');');
}
// Multi Icons
$widget->add_render_attribute( 'multi_icons', 'class', $row_class);
$widget->add_render_attribute( 'multi_icons', 'class', 'pt-30 gutters-30 gutters-grid');
// Buttons
$widget->add_render_attribute( 'buttons', 'class', $row_class);
$widget->add_render_attribute( 'buttons', 'class', 'pt-30 gutters-30 gutters-grid');
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="cms-page-title-overlay cms-page-title-gradient cms-overlay-gradient"></div>
    <div class="container z-top">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'row' )); ?>>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'column' )); ?>>
                <?php
                    // Small Heading 
                    claniz_elementor_text_render([
                        'name'         => 'subheading_text',
                        'tag'          => 'div',
                        'color'        => 'white',
                        'class'        => 'cms-subheading text-16 font-700 mt-n5 mb-10',
                        'autop'        => true
                    ], $widget, $settings);
                    // Heading 
                    claniz_elementor_text_render([
                        'name'         => 'heading_text',
                        'tag'          => 'h1',
                        'color'        => 'white',
                        'class'        => 'cms-mainheading cms-heading text-35 text-md-40 text-lg-50 text-xl-75 font-700 lh-1',
                        'default'      => get_the_title(),
                        'autop'        => true 
                    ], $widget, $settings);
                    // Description 
                    claniz_elementor_text_render([
                        'name'         => 'description_text',
                        'tag'          => 'div',
                        'color'        => 'white',
                        'class'        => 'cms-desc mt-15',
                        'autop'        => true,
                        'default'      => ''
                    ], $widget, $settings);
                if(isset($settings['multi_icons'])) {
                    ?>
                    <div <?php etc_print_html($widget->get_render_attribute_string( 'multi_icons' )); ?>><?php 
                        // Multi Icons
                        foreach ($settings['multi_icons'] as $icons) {
                            claniz_elementor_icon_render($widget, $settings, [
                                'id'         => $icons['multi_icon'],
                                'loop'       =>  true,
                                'wrap_class' => 'col-auto cms-ptitle-icon text-82',
                                'color'      => 'accent'
                            ], $icons);
                        }
                    ?></div>
                <?php } ?>
                <div <?php etc_print_html($widget->get_render_attribute_string( 'buttons' )); ?>>
                    <?php
                        claniz_elementor_button_render($widget,$settings, [
                            'class' => 'col-auto'
                        ]);
                        claniz_elementor_button_render($widget,$settings, [
                            'prefix' => 'btn2',
                            'class'  => 'col-auto'
                        ]);
                        claniz_elementor_button_render($widget,$settings, [
                            'prefix' => 'btn3',
                            'class'  => 'col-auto'
                        ]);
                        claniz_elementor_render_lightbox_video_button($widget, $settings,[
                            'icon_class' => 'cms-ripple size-62',
                            'before'     => '<div class="col-auto ml-10">',
                            'after'      => '</div>'
                        ]);
                    ?>
                </div>
            </div>
        </div>
    </div>
    <?php
        claniz_breadcrumb([
            'show_breadcrumb' => $widget->get_setting('show_breadcrumb','0'),
            'class'           => 'text-14 '.$breadcrumb_class,
            'link_class'      => 'link-'.$widget->get_setting('breadcrumb_link_color','white'),
            'text_class'      => 'text-'.$widget->get_setting('breadcrumb_color','white'),
            'divider_class'   => 'text-'.$widget->get_setting('breadcrumb_color','white'),
            'before' => '<div class="pt-50 d-block"></div><div class="cms-pagetitle-breadcrumb pb-25 relative"><div class="container">',
            'after'  => '</div></div>'   
        ]);
    ?>
</div>