<?php
    $html_id   = etc_get_element_id($settings);
    $tax       = array();
    $source    = $widget->get_setting('source_'.$settings['post_type']);
    $orderby   = $widget->get_setting('orderby');
    $order     = $widget->get_setting('order');
    $limit     = $widget->get_setting('limit');

    $settings['tax'] = $tax;

    extract(etc_get_posts_of_grid($settings['post_type'], [
        'element_name'               => $settings['element_name'],
        'post_type'                  => $settings['post_type'],   
        'layout'                     => $settings['layout'],
        'source'                     => $source,
        'orderby'                    => $orderby,
        'order'                      => $order,
        'limit'                      => $limit,
        // Elementor Settings
        'thumbnail_size'             => $widget->get_setting('thumbnail_size', 'medium'),
        'thumbnail_custom_dimension' => $widget->get_setting('thumbnail_custom_dimension', ''),
        // excerpt
        'excerpt_lenght'             => $widget->get_setting('excerpt_lenght', '25'),
        'excerpt_more_text'          => $widget->get_setting('excerpt_more_text', ''),
        // Read more
        'readmore_text'              => $widget->get_setting('readmore_text', ''),
        // Socical
        'show_fb'                    => $widget->get_setting('show_fb', ''),     
        'show_tw'                    => $widget->get_setting('show_tw', ''),     
        'show_insta'                 => $widget->get_setting('show_insta', ''),     
        'show_email'                 => $widget->get_setting('show_email', ''),     
        'show_phone'                 => $widget->get_setting('show_phone', ''),
    ]));

    $link_attrs = [];
    if ( ! empty( $settings['other_link']['url'] ) ) {
        $link_attrs[] = 'href="'.$settings['other_link']['url'].'"';
    }
    if ( ! empty($settings['other_link']['is_external'] )) {
        $link_attrs[] = 'target="_blank"';
    }
    if ( ! empty($settings['other_link']['nofollow'] )) {
        $link_attrs[] = 'rel="nofollow"';
    }
    if( ! empty($settings['other_link']['custom_attributes'])){
        $custom_attributes = explode('|', $settings['other_link']['custom_attributes']);
        foreach ($custom_attributes as $atts_value) {
            $_custom_attributes = explode(':', $atts_value);
            $link_attrs[] = $_custom_attributes[0].'="'.$_custom_attributes[1].'"';
        }
    }
if(!empty($settings['smallheading_text']) || !empty($settings['heading_text']) || !empty($settings['description_text'])){
    switch ($settings['heading_desc_layout']) {
        case '2':
    ?>
        <div class="cms-posts-heading row gutters-grid pb-60">
            <div class="col-lg-6 empty-none"><?php 
                // Small Heading 
                claniz_elementor_text_render([
                    'name'        => 'smallheading_text',
                    'tag'         => 'div',
                    'color'       => 'heading',
                    'class'       => 'cms-smallheading text-16 font-700 mt-n5 mb-15'  
                ], $widget, $settings);
                // Heading 
                claniz_elementor_text_render([
                    'name'        => 'heading_text',
                    'tag'         => 'h2',
                    'color'       => 'heading',
                    'class'       => 'cms-mainheading cms-heading text-24 text-lg-37 font-700 mt-n5',
                ], $widget, $settings);
            ?></div>
            <?php
                // Description
                claniz_elementor_text_render([
                    'name'        => 'description_text',
                    'tag'         => 'div',
                    'color'       => 'body',
                    'class'       => 'cms-desc text-16 mb-n7',
                    'autop'       => true,  
                    'wrap_before' => '<div class="col-lg-6">',
                    'wrap_after'  => '</div>'   
                ], $widget, $settings);
            ?>
        </div>
    <?php
            break;
        default:
    ?><div class="d-flex <?php echo claniz_elementor_align_class($settings, ['prefix' => 'justify-content-']).' '.claniz_elementor_align_class($settings, ['prefix' => 'text-']);?>">
        <div class="cms-posts-heading pb-60 w-100">
            <?php 
                // Small Heading 
                claniz_elementor_text_render([
                    'name'        => 'smallheading_text',
                    'tag'         => 'div',
                    'color'       => 'heading',
                    'class'       => 'cms-smallheading text-16 font-700 mt-n5 mb-10'  
                ], $widget, $settings);
                // Heading 
                claniz_elementor_text_render([
                    'name'        => 'heading_text',
                    'tag'         => 'h2',
                    'color'       => 'heading',
                    'class'       => 'cms-mainheading cms-heading text-24 text-lg-37 font-700 mt-n5'  
                ], $widget, $settings);
                // Description
                claniz_elementor_text_render([
                    'name'        => 'description_text',
                    'tag'         => 'div',
                    'color'       => 'body',
                    'class'       => 'cms-desc text-16 mb-n7 pt-10',
                    'autop'       => true, 
                ], $widget, $settings);
            ?>
        </div></div>
    <?php
            break;
    }
} ?>
<div class="cms-swiper-sliders">
    <div class="cms-swiper-slider-wrap">
        <div <?php claniz_swiper_slider_settings($widget); ?>>
            <?php claniz_swiper_slider_arrows_top($settings); ?>
            <div class="cms-swiper-wrapper swiper-wrapper">
                <?php
                    claniz_get_post_grid($posts, $settings, [
                        'item_class' => 'cms-swiper-slide swiper-slide'
                    ]); 
                ?>
            </div>
            <?php 
                claniz_swiper_slider_arrows($settings);
                claniz_swiper_slider_arrows_side($settings); 
            ?>
            <div class="row gutters-grid justify-content-between empty-none pt-30"><?php 
                claniz_swiper_slider_dots($settings, ['class'=> 'col']);
                claniz_swiper_slider_arrows_bottom($settings, ['class' => 'col-auto']); 
            ?></div>
            <?php if(!empty($settings['other_text']) || !empty($settings['other_link_text']) ): ?>
                <div class="other-text text-center font-700 <?php echo 'text-'.$settings['other_text_color'];?> pt-30">
                    <?php 
                        etc_print_html($settings['other_text']); 
                        if(!empty($settings['other_link_text'])){
                            ?>
                                <a data-other-link="other-link" <?php echo implode(' ', $link_attrs); ?>><?php echo esc_html($settings['other_link_text']); ?> <span class="cmsi-arrow-right2 ml-5 text-12"></span></a>
                            <?php
                        }
                    ?>
                </div>
            <?php endif; 
                //claniz_elementor_button_render($widget,$settings,['class' => 'mt-40']);
                // Link
                if($settings['explode_button'] === 'button'){
                    // Button
                    claniz_elementor_button_render($widget,$settings,[
                        'class'      => 'mt-45'
                    ]);
                } else {
                    // Custom Link 
                    claniz_elementor_hyperlink_render($widget,$settings,[
                        'prefix'           => 'explode_button', 
                        'link_type'        => $settings['explode_buttonlink_type'],
                        'wrap_class'       => 'mt-45',
                        'class'            => 'font-700',
                        'link_color'       => '',
                        'link_hover_color' => '',
                        'default_icon'     => [
                            'value'   => 'cmsi-arrow-right',
                            'library' => 'cmsi'
                        ]
                    ]);
                }
            ?>
        </div>
    </div>
</div>