<?php
    $html_id   = etc_get_element_id($settings);
    $tax       = array();
    $source    = $widget->get_setting('source_'.$settings['post_type']);
    $orderby   = $widget->get_setting('orderby');
    $order     = $widget->get_setting('order');
    $limit     = $widget->get_setting('limit');

    extract(etc_get_posts_of_grid($settings['post_type'], [
        'source'   => $source,
        'orderby'  => $orderby,
        'order'    => $order,
        'limit'    => $limit,
    ]));

    $link_attrs = [];
    if ( ! empty( $settings['other_link']['url'] ) ) {
        $link_attrs[] = 'href="'.$settings['other_link']['url'].'"';
    }
    if ( ! empty($settings['other_link']['is_external'] )) {
        $link_attrs[] = 'target="_blank"';
    }
    if ( ! empty($settings['other_link']['nofollow'] )) {
        $link_attrs[] = 'rel="nofollow"';
    }
    if( ! empty($settings['other_link']['custom_attributes'])){
        $custom_attributes = explode('|', $settings['other_link']['custom_attributes']);
        foreach ($custom_attributes as $atts_value) {
            $_custom_attributes = explode(':', $atts_value);
            $link_attrs[] = $_custom_attributes[0].'="'.$_custom_attributes[1].'"';
        }
    }
?>
<div class="cms-swiper-sliders">
    <div class="cms-swiper-slider-wrap">
        <div class="cms-heading-wrap d-flex justify-content-between">
            <div class="cms-heading-wrap-inner <?php echo esc_attr($widget->get_setting('heading_custom_class')); ?>"><?php 
                // Heading
                claniz_elementor_element_heading($widget, $settings, [
                    'class'      => 'pb-40',
                    'desc_class' => 'font-700 mt-15'
                ]);
                claniz_elementor_button_render($widget,$settings, [
                    'class' => 'z-ontop'
                ]);
            ?></div>
            <?php 
                // Arrows
                claniz_swiper_slider_arrows_top($settings);
                // Arrows
                claniz_swiper_slider_arrows_side($settings);
                claniz_swiper_slider_arrows_bottom($settings, ['class' => 'align-self-end pt-30 pb-lg-30']); 
            ?>
        </div>
        <div class="cms-content-wrap">
            <div <?php claniz_swiper_slider_settings($widget); ?>>
                <div class="cms-swiper-wrapper swiper-wrapper">
                    <?php
                        $settings['tax'] = $tax;
                        claniz_get_post_grid8($posts, $settings, [
                            'item_class' => 'cms-swiper-slide swiper-slide'
                        ]); 
                    ?>
                </div>
                <?php 
                    // Dots
                    claniz_swiper_slider_dots($settings, ['class' => 'mt-15']); 
                    // Arrows
                    claniz_swiper_slider_arrows($settings);
                ?>
            </div>
        </div>
        <div class="empty-none pt-40"><?php
            // Text
            if(!empty($settings['other_text'])) { 
        ?>
            <div class="row justify-content-center pt-35">
                <div class="col-auto other-text font-700 <?php echo 'text-'.$widget->get_setting('other_text_color','body');?>">
                    <?php 
                        echo esc_html($widget->get_setting('other_text')); 
                        claniz_elementor_hyperlink_render($widget, $settings,[
                            'prefix' => 'other_link_',
                            'tag'    => 'span',
                            'class'  => 'cms-underline-accent'
                        ]);
                    ?>
                </div>
            </div>
        <?php } ?></div>
    </div>
</div>