<?php
$html_id = etc_get_element_id($settings);
$tax     = array();
$source  = $widget->get_setting('source_'.$settings['post_type'], '');
$orderby = $widget->get_setting('orderby', 'date');
$order   = $widget->get_setting('order', 'desc');
$limit   = $widget->get_setting('limit', 6);
extract(etc_get_posts_of_grid($settings['post_type'], [
    'source'   => $source,
    'orderby'  => $orderby,
    'order'    => $order,
    'limit'    => $limit,
    //'post_ids' => [],
]));
// Fiilter 
$filter_default_title = $widget->get_setting('filter_default_title', 'All');
$filter                     = $widget->get_setting('filter', 'false');
$filter_alignment           = $widget->get_setting('filter_alignment', 'center');
// pagination
$pagination_type            = $widget->get_setting('pagination_type', 'false');
$load_more = array(
    'element_name'               => $settings['element_name'],
    'post_type'                  => $settings['post_type'],   
    'layout'                     => $settings['layout'],
    'startPage'                  => $paged,
    'maxPages'                   => $max,
    'total'                      => $total,
    'perpage'                    => $limit, 
    'nextLink'                   => $next_link,
    'source'                     => $source,
    'orderby'                    => $orderby,
    'order'                      => $order,
    'limit'                      => $limit,
    //'post_ids'                   => $post_ids, 
    'pagination_type'            => $pagination_type,
    // Element settings
    'masonry_mode'               => $widget->get_setting('masonry_mode', 'fitRows'),
    'col_xl'                     => $widget->get_setting('col_xl', '4'),
    'col_lg'                     => $widget->get_setting('col_lg', '3'),
    'col_md'                     => $widget->get_setting('col_md', '2'),
    'col_sm'                     => $widget->get_setting('col_sm', '1'),
    'gap'                        => $widget->get_setting('gap', '30'),
    'gap_extra'                  => $widget->get_setting('gap_extra', ''),   
    'thumbnail_size'             => $widget->get_setting('thumbnail_size', 'custom'),
    'thumbnail_custom_dimension' => $widget->get_setting('thumbnail_custom_dimension', ['width' => '250', 'height' => '307']),
    // excerpt
    'excerpt_lenght'             => $widget->get_setting('excerpt_lenght', '25'),
    'excerpt_more_text'          => $widget->get_setting('excerpt_more_text', ''),
    // Read more
    'readmore_text'              => $widget->get_setting('readmore_text', ''),
    // Socical
    'show_fb'                    => $widget->get_setting('show_fb', ''),     
    'show_tw'                    => $widget->get_setting('show_tw', ''),     
    'show_insta'                 => $widget->get_setting('show_insta', ''),     
    'show_email'                 => $widget->get_setting('show_email', ''),     
    'show_phone'                 => $widget->get_setting('show_phone', ''),
    'grid'                       => true,
    // Sale
    'sale_value'                 => $widget->get_setting('sale_value','')
);
// Render Attribute
// Grid
$grid_class = 'cms-grid-inner cms-grid-masonry row relative animation-time';
$masonry_mode = $widget->get_setting('masonry_mode', 'fitRows');
$widget->add_render_attribute( 'grid', 'class', $grid_class);
$widget->add_render_attribute( 'grid', 'data-layout', $masonry_mode);
// css style
$widget->add_render_attribute( 'grid', 'style', 'margin:'.($settings['gap']/-2).'px');

if(!empty($settings['smallheading_text']) || !empty($settings['heading_text']) || !empty($settings['description_text'])){
    switch ($settings['heading_desc_layout']) {
        case '2':
    ?>
        <div class="cms-posts-heading row gutters-grid pb-60">
            <div class="col-lg-6 empty-none"><?php 
                // Small Heading 
                claniz_elementor_text_render([
                    'name'        => 'smallheading_text',
                    'tag'         => 'div',
                    'color'       => 'heading',
                    'class'       => 'cms-smallheading text-16 font-700 mt-n5 mb-15'  
                ], $widget, $settings);
                // Heading 
                claniz_elementor_text_render([
                    'name'        => 'heading_text',
                    'tag'         => 'h2',
                    'color'       => 'heading',
                    'class'       => 'cms-mainheading cms-heading text-24 text-lg-37 font-700 mt-n5',
                ], $widget, $settings);
            ?></div>
            <?php
                // Description
                claniz_elementor_text_render([
                    'name'        => 'description_text',
                    'tag'         => 'div',
                    'color'       => 'body',
                    'class'       => 'cms-desc text-16 mb-n7',
                    'autop'       => true,  
                    'wrap_before' => '<div class="col-lg-6">',
                    'wrap_after'  => '</div>'   
                ], $widget, $settings);
            ?>
        </div>
    <?php
            break;
        default:
    ?><div class="d-flex <?php echo claniz_elementor_align_class($settings, ['prefix' => 'justify-content-']).' '.claniz_elementor_align_class($settings, ['prefix' => 'text-']);?>">
        <div class="cms-posts-heading pb-60 w-100">
            <?php 
                // Small Heading 
                claniz_elementor_text_render([
                    'name'        => 'smallheading_text',
                    'tag'         => 'div',
                    'color'       => 'heading',
                    'class'       => 'cms-smallheading text-16 font-700 mt-n5 mb-10'  
                ], $widget, $settings);
                // Heading 
                claniz_elementor_text_render([
                    'name'        => 'heading_text',
                    'tag'         => 'h2',
                    'color'       => 'heading',
                    'class'       => 'cms-mainheading cms-heading text-24 text-lg-37 font-700 mt-n5'  
                ], $widget, $settings);
                // Description
                claniz_elementor_text_render([
                    'name'        => 'description_text',
                    'tag'         => 'div',
                    'color'       => 'body',
                    'class'       => 'cms-desc text-16 mb-n7 pt-10',
                    'autop'       => true, 
                ], $widget, $settings);
            ?>
        </div></div>
    <?php
            break;
    }
} ?>
<div <?php claniz_elementor_masonry_settings_render_attrs($widget, $settings);?>>
    <?php if ($filter == "true"): ?>
        <div class="cms-grid-filter-wrap row gutters-35 justify-content-<?php echo esc_attr($filter_alignment); ?>">
            <span class="cms-filter-item active col-auto" data-filter="*"><?php echo esc_html($filter_default_title); ?></span>
            <?php foreach ($categories as $category): ?>
                <?php 
                    $category_arr = explode('|', $category); 
                    $tax[]        = $category_arr[1];
                    $term         = get_term_by('slug',$category_arr[0], $category_arr[1]); 
                ?>
                <span class="cms-filter-item col-auto" data-filter="<?php echo esc_attr('.' . $term->slug); ?>">
                    <?php echo esc_html($term->name); ?>
                </span>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
    <div <?php etc_print_html($widget->get_render_attribute_string('grid')); ?>>
        <div class="cms-grid-sizer"></div>
        <?php 
            $load_more['tax'] = $tax;
            claniz_get_post_grid4($posts, $load_more);
        ?>
        <div class="cms-grid-overlay"></div>
    </div>
    <?php if ($pagination_type == 'pagination') { ?>
        <div class="cms-post-pagination cms-grid-pagination mt-35" data-loadmore="<?php echo esc_attr(json_encode($load_more)); ?>" data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <?php claniz_posts_pagination($query, true); ?>
        </div>
    <?php } ?>
    <?php if (!empty($next_link) && $pagination_type == 'loadmore') { ?>
        <div class="cms-post-pagination cms-load-more text-center mt-45" data-loadmore="<?php echo esc_attr(json_encode($load_more)); ?>" data-loading-text="Loading">
            <span class="btn btn-lg btn-fill btn-accent">
                <span class="cms-btn-content">
                    <span class="cms-btn-icon text-20 cmsi-arrow-circle-right"></span>
                    <span class="cms-btn-text"><?php echo esc_html($settings['loadmore_text']); ?></span>
                </span>
            </span>
        </div>
    <?php } ?>
</div>