<?php
//  Title
$widget->add_render_attribute( 'title', 'class', 'cms-heading text-24 lh-34 font-700 pb-15');
$widget->add_render_attribute( 'title', 'class', 'text-'.$widget->get_setting('title_typo_color',''));
//  Text
$widget->add_render_attribute( 'description', 'class', 'cms-desc text-17 lh-27 pb-20');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_typo_color',''));
$widget->add_render_attribute( 'feature', 'class', 'pricing-list text-15 font-700 lh-35 text-custom-3');
$widget->add_render_attribute( 'button_pricing', 'class', '');
$widget->add_render_attribute( 'item-price', 'class', 'cms-price cms-heading font-500 text-custom-3 col-auto');
// Image as Background 
$_classes = ['relative'];
$as_background = false;
if($widget->get_setting('image_as_bg', 'yes') === 'yes'){
    $as_background = true;
    $_classes[] = 'w-100';
}
?>
<div class="cms-pricing-carousel-wrapper relative">   
    <div class="cms-pricing-content">  
        <?php 
            // Qoute icon
            claniz_elementor_typo_render([
                'content' => claniz_elementor_icon_render($widget, $settings, [
                    'id'    => 'quote_icon',
                    'echo'  => false
                ]),
                'name'     => 'quote_icon_typo',
                'selector' => 'cms-ttmn-quote-icon absolute rtl-flip',
                'class'    => 'text-115 opacity-15',
                'color'    => '' 
            ], $widget, $settings); 
        ?>
        <div class="cms-ttmn-slider cms-swiper-sliders">
            <div class="cms-swiper-slider-wrap">
                <div <?php claniz_swiper_slider_settings($widget); ?>>
                    <?php claniz_swiper_slider_arrows_top($settings); ?>
                    <div class="cms-swiper-wrapper swiper-wrapper">   
                        <?php foreach ($settings['pricing_carousel'] as $value): ?>
                            <div class="cms-pricing-item cms-swiper-slide swiper-slide">
                                <div class="cms-pricing-item-inner bg-white cms-radius-7 overflow-hidden">
                                    <div class="row align-items-center">
                                        <div class="col-lg-7 pricing-image">
                                            <?php 
                                                claniz_elementor_image_render($settings, $widget, [
                                                    'id'                  => 'img',
                                                    'size'                => 'custom',
                                                    'custom_size'         => '730x627',
                                                    'default'             => true,
                                                    'img_class'           => 'rtl-flip',
                                                    'as_background'       => true,
                                                    'as_background_class' => 'h-100',
                                                ], $value);
                                            ?>
                                        </div>
                                        <div class="col-lg-5 pricing-content">
                                            <div class="pricing-content-inner p-tb-60 pl-lg-60 pr-lg-80 p-lr-20 relative"> 
                                                <?php 
                                                    claniz_elementor_image_render($settings, $widget, [
                                                        'id'          => 'img2',
                                                        'size'        => 'custom',
                                                        'custom_size' => '128x128',
                                                        'default'     => true,
                                                        'class'       => '',      
                                                        'img_class'   => 'rtl-flip',
                                                        'before'      => '<div class="absolute right mr-50 mt-n30">',
                                                        'after'       => '</div>'      
                                                    ], $value);
                                                ?> 
                                                <div <?php etc_print_html($widget->get_render_attribute_string( 'title' )); ?>><?php 
                                                    echo esc_html($value['title']); 
                                                ?></div>
                                                <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
                                                    echo esc_html($value['description']); 
                                                ?></div>
                                                <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>> 
                                                    <span class="cms-icon text-10 pr-15 text-darken-secondary cmsi cmsi-check"></span>
                                                    <?php echo esc_html($value['feature1']); ?>
                                                </div>
                                                <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>> 
                                                    <span class="cms-icon text-10 pr-15 text-darken-secondary cmsi cmsi-check"></span>
                                                    <?php echo esc_html($value['feature2']); ?>
                                                </div>
                                                <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>> 
                                                    <span class="cms-icon text-10 pr-15 text-darken-secondary cmsi cmsi-check"></span>
                                                    <?php echo esc_html($value['feature3']); ?>
                                                </div>
                                                <div class="row gutters-grid align-items-center pt-25">
                                                    <?php claniz_elementor_button_render($widget, $value, [
                                                        'default' => [
                                                            'btn_text' => 'Purchase Now',
                                                            'btn_icon' => [
                                                                'library' => 'cmsi',
                                                                'value'   => 'cmsi-arrow-circle-right'
                                                            ],
                                                            'btn_size' => 'lg'
                                                        ],
                                                        'class'    => 'col-auto'
                                                    ]); ?>
                                                    <div <?php etc_print_html($widget->get_render_attribute_string( 'item-price' )); ?>>
                                                        <span class="text-40"><?php etc_print_html($value['price_currency'].$value['price_value']); ?></span>
                                                        <span class="text-14"><?php etc_print_html($value['price_duration']); ?></span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="cms-badge cms-ribbon">
                                    <span class="main">
                                        <span class="triangle before"></span>
                                        Best Value
                                        <span class="triangle after"></span>
                                    </span>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <?php 
                        claniz_swiper_slider_dots($settings); 
                        claniz_swiper_slider_arrows($settings);
                        claniz_swiper_slider_arrows_side($settings);
                        claniz_swiper_slider_arrows_bottom($settings);
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>  