<?php
// Features List 
$feature_text_color = $widget->get_setting('features_color', 'custom-3');
$feature_icon_color = $widget->get_setting('features_icon_color', 'darken-secondary');
// Price
$price_currency = $widget->get_setting('price_currency');
$price_value    = $widget->get_setting('price_value');
$price          = $price_currency.$price_value;
$price_duration = $widget->get_setting('price_duration');
$style = $widget->get_setting('style');
?>
<div class="cms-pricing-wraps relative bg-white cms-shadow-1 p-lr-20 p-lr-lg-50 h-100 <?php echo esc_attr($style); ?>">
    <?php 
        // Heading 
        claniz_elementor_text_render([
            'name'         => 'heading_text',
            'tag'          => 'h3',
            'color'        => 'primary',
            'class'        => 'cms-heading text-23 font-700 lh-32' 
        ], $widget, $settings);
        // Description 
        claniz_elementor_text_render([
            'name'         => 'description_text',
            'tag'          => 'div',
            'color'        => 'body',
            'class'        => 'cms-desc pt-15 text-15 lh-25' 
        ], $widget, $settings);
    ?>

    <?php
    if(isset($settings['feature_lists']) && !empty($settings['feature_lists'])){
        echo '<div class="cms-price-features mt-30 text-15 font-700 text-'.$feature_text_color.'">';
        foreach ($settings['feature_lists'] as $feature){
            if( empty($feature['feature_icon']['value'] )) {
                $icon_id = 'feature_icon';
                $loop = false;
            } else {
                $icon_id = $feature['feature_icon'];
                $loop = true;
            }
            echo '<div class="cms-price-feature-item row gutters-15 pb-10">'; 
                claniz_elementor_icon_render($widget, $settings, ['id' => $icon_id, 'loop' => $loop, 'tag' => 'span', 'wrap_class' => 'cms-price-feature-icon col-auto pt-3 text-20 text-'.$feature_icon_color]);
                echo '<span class="cms-price-feature-title col font-700 text-15 text-'.$feature_text_color.'">'.$feature['feature_text'].'</span>';
            echo '</div>';
        }
        echo '</div>';
    } ?>
    <?php
    claniz_elementor_button_render($widget,$settings,[
        'class' => 'cms-btn-pricing pt-35',
        'btn_content_class' => 'justify-content-center'
    ]);
    ?>
    <div class="cms-pricing-price cms-heading pt-30">
        <span class="cms-price text-30 font-600"><?php 
            etc_print_html($price);
        ?></span>
        <span class="cms-price-package text-14 font-600"><?php 
            etc_print_html($price_duration); 
        ?></span>  
    </div>
    <?php if(!empty($settings['show_badge'])): 
        $badge_color = $widget->get_setting('badge_text_color', 'accent');
        ?>
        <div class="cms-badge cms-ribbon"><span class="main bg-<?php echo esc_attr($badge_color); ?>"><span class="triangle before bdr-<?php echo esc_attr($badge_color); ?>"></span><?php etc_print_html($settings['badge_text']); ?><span class="triangle after bdr-<?php echo esc_attr($badge_color); ?>"></span></span></div>
    <?php endif; ?>
</div>