<?php
// Wrap 
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-pricing-wraps',
        'p-lr-20 p-tb-30 p-lr-md-40 p-tb-md-40',
        'cms-radius-12 relative h-100',
        'bg-'.$widget->get_setting('pricing_bg_color', 'f4f4f4')
    ]
]);
// Heading 
$widget->add_render_attribute( 'heading', 'class', 'cms-heading text-19 font-600 mt-n5 mb-25 empty-none');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'heading'));

// Features List 
$feature_icon_color = $widget->get_setting('icon_color', 'accent');
$feature_text_color = $widget->get_setting('features_color', 'custom-3');
$style = $widget->get_setting('style');

?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        etc_print_html($widget->get_setting('heading_text'));
    ?></div>
    <div class="cms-extra-space extra-space"></div>
    <?php
    // Feature list
    if(isset($settings['feature2_lists']) && !empty($settings['feature2_lists'])){
        echo '<div class="cms-price-features text-15 font-700 text-'.$feature_text_color.'">';
        foreach ($settings['feature2_lists'] as $feature){
            if( empty($feature['feature_icon']['value'] )) {
                $icon_id = 'feature_icon';
                $loop = false;
            } else {
                $icon_id = $feature['feature_icon'];
                $loop = true;
            }
            $feature_price = $feature['feature_price'];
            echo '<div class="cms-price-feature-item row gutters-0 justify-content-between">';
                echo '<span class="cms-price-feature-title col font-700 lh-25 align-self-center">';
                    claniz_elementor_icon_render($widget, $settings, ['id' => $icon_id, 'loop' => $loop, 'tag' => 'span', 'wrap_class' => 'cms-price-feature-icon pr-5 text-'.$feature_icon_color]);
                echo    ''.$feature['feature_text'].'</span>';
                echo '<span class="cms-price-feature-price col-auto"><span class="font-700 bg-'.$widget->get_setting('features_price_bg_color','primary').' text-15 text-white lh-27 cms-radius-4 p-lr-10 d-block">'.$feature_price.'</span></span>';
            echo '</div>';
        }
        echo '</div>';
    }
    if(!empty($settings['show_badge'])): ?>
        <div class="cms-badge cms-ribbon"><span class="main bg-1d65b9"><span class="triangle before bdr-1d65b9"></span><?php etc_print_html($settings['badge_text']); ?><span class="triangle after bdr-1d65b9"></span></span></div>
    <?php endif; ?>
</div>