<?php 
    // item title 
    $widget->add_render_attribute( 'item-title', 'class', 'cms-heading text-heading text-37 font-500');
    // item desc
    $widget->add_render_attribute( 'item-desc', 'class', 'cms-desc text-17 pt-20');
    // item desc
    $widget->add_render_attribute( 'item-desc2', 'class', 'cms-desc item-desc2 text-17 pt-20');
    // Item feature
    $widget->add_render_attribute( 'item-feature', 'class', 'cms-feature row gutters-20');
    $items = $settings['pricing_list'];
    // item price
    $widget->add_render_attribute( 'item-price', 'class', 'cms-price cms-heading font-500 col-auto');
    // RTL
    $rtl = is_rtl() ? 'true' : 'false';
    $dir = is_rtl() ? 'rtl' : 'ltr';
?>
<div class="cms-pricing-table-wrap relative">
    <div class="cms-pricing-table-slide cms-shadow-3 cms-radius-12 overflow-hidden cms-sroller">
        <?php 
            $count = 0;
            foreach ($items as $item) {
                $count++;
                if($count%2 == 0) { $order = 'order-lg-first'; } else {$order = '';}
            // item color
            $item_color = !empty($item['item_color']) ? $item['item_color'] : 'secondary';

            // Items
            $item_key     = $widget->get_repeater_setting_key( 'item', 'cms_pricing_table', $key );
            $widget->add_render_attribute( $item_key, [
                'class' => [ 'cms-pricing-table-slide-item relative cms-sroller-item' ]
            ]);
            if($count > 1){
                $widget->add_render_attribute( $item_key, [
                    'class' => [ 'fromRight' ]
                ]);
            }
        ?>
        <div <?php etc_print_html($widget->get_render_attribute_string( $item_key )); ?>>
            <?php if(!empty($item['badge_text'])): ?>
                <div class="cms-badge cms-ribbon">
                    <span class="main bg-<?php echo esc_attr($item_color);?>">
                        <span class="triangle before bdr-<?php echo esc_attr($item_color);?>"></span>
                            <?php etc_print_html($item['badge_text']); ?>
                        <span class="triangle after bdr-<?php echo esc_attr($item_color);?>"></span>
                    </span>
                </div>
            <?php endif; ?>
            <div class="row gutters-0">
                <div class="col-lg-6">
                    <?php 
                    claniz_elementor_image_render($item,$widget,[
                        'id'          => 'image',
                        'custom_size' => '640x762',
                        'class'       => 'rtl-flip',
                        'default_img' => $item['image']['url'],
                        'as_background' => true
                    ]);
                    ?>
                </div>
                <div class="col-lg-6 bg-white <?php echo esc_attr($order); ?>">
                    <div class="p-20 p-md-50 p-xxl-100 pricing-content">
                        <?php claniz_elementor_icon_render($widget, $item, [
                            'class' => 'text-80 mb-38 text-'.$item_color,
                            'before' => '<div class="cms-main-icon cms-transition">',
                            'after'  => '</div>'
                        ]); ?>
                        <div <?php etc_print_html($widget->get_render_attribute_string( 'item-title' )); ?>><?php 
                            etc_print_html($item['title']); 
                        ?></div> 
                        <div <?php etc_print_html($widget->get_render_attribute_string( 'item-desc' )); ?>><?php 
                            etc_print_html($item['description']); 
                        ?></div>
                        <div <?php etc_print_html($widget->get_render_attribute_string( 'item-desc2' )); ?>><?php 
                            etc_print_html($item['description2']); 
                        ?></div>
                        <div class="cms-feature-wrap pt-20 font-700">
                            <div <?php etc_print_html($widget->get_render_attribute_string( 'item-feature' )); ?>>
                                <?php
                                $pee = $item['pricing_list_feature_text'];
                                $pee = preg_replace( "/\n\n+/", "\n\n", $pee );
                                // Split up the contents into an array of strings, separated by line breaks.
                                $pees = preg_split( '/\n\s*/', $pee, -1, PREG_SPLIT_NO_EMPTY );
                                // Reset $pee prior to rebuilding.
                                $pee = '';
                                // Rebuild the content as a string, wrapping every bit with a <-div->.
                                $count_pee = 0;
                                foreach ( $pees as $tinkle ) {
                                    $count_pee ++;
                                    $pee .= '<div class="col-12 pb-10 item-list">' . claniz_elementor_icon_render($widget, $item, ['id' => 'feature_icon', 'tag' => 'span','class' => 'text-20 pr-15 text-'.$item_color, 'echo' => false]).'<span class="f-text">'.trim( $tinkle, "\n" ) . "</span></div>\n";
                                    if($count_pee%2 === 0) {
                                        $pee .= '<div class="w-100"></div>';
                                    }
                                }
                                etc_print_html($pee);
                            ?>
                            </div>
                        </div>
                        <div class="row gutters-grid align-items-center pt-30">
                            <?php claniz_elementor_button_render($widget,$item,[
                                'class' => 'col-auto'
                            ]); ?>
                            <?php if(!empty($item['price_currency']) && !empty($item['price_value']) && !empty($item['price_duration'])) : ?>
                                <div <?php etc_print_html($widget->get_render_attribute_string( 'item-price' )); ?>>
                                    <span class="text-40"><?php etc_print_html($item['price_currency'].$item['price_value']); ?></span>
                                    <span class="text-14"><?php etc_print_html($item['price_duration']); ?></span>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>        
                </div>
            </div>
        </div>
        <?php } ?>
    </div>
</div>