<?php
// Small Heading 
$widget->add_render_attribute( 'small-heading', 'class', 'small-heading heading2 text-25 mt-n5 mb-10 empty-none');
$widget->add_render_attribute( 'small-heading', 'class', 'text-'.$widget->get_setting('smallheading_text_color', 'accent'));
// Heading 
$widget->add_render_attribute( 'heading', 'class', 'cms-heading text-23 font-700 mt-n5 mb-30 empty-none');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'heading'));
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-desc empty-none mb-30');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color','body'));
// Features List 
$feature_icon_color = $widget->get_setting('features_icon_color', 'accent');
$feature_text_color = $widget->get_setting('features_color', 'body');
// Price
$price_currency = $widget->get_setting('price_currency', '$');
$price_value    = $widget->get_setting('price_value','150');
$price          = $price_currency.$price_value;
$price_duration = $widget->get_setting('price_duration','/Mon');
?>
<div class="cms-pricing-wraps relative">
    <div class="bg-white cms-radius-8 cms-shadow-4 p-tb-40 p-lr-20 p-lr-lg-50 mb-n10 relative z-ontop">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'small-heading' )); ?>><?php 
            etc_print_html($widget->get_setting('smallheading_text'));
        ?></div>
        <div class="cms-extra-space extra-space"></div>
        <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
            etc_print_html($widget->get_setting('heading_text'));
        ?></div>
        <div class="cms-extra-space extra-space"></div>
        <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
            echo wpautop($widget->get_setting('description_text')); 
        ?></div>
        <div class="cms-extra-space extra-space"></div>
        <div class="row gutters-0 align-items-center justify-content-center empty-none mb-35"><?php
            // Single Icon 
            claniz_elementor_icon_render($widget, $settings,[
                'id' => 'single_icon',
                'class' => 'col-auto cms-pricing-icon cms-circle text-1d65b9'
            ]);
        ?></div>
        <?php 
        // Feature list
        if(isset($settings['feature_lists']) && !empty($settings['feature_lists'])){
            echo '<div class="cms-price-features cms-list-layout-3 text-'.$feature_text_color.'">';
            foreach ($settings['feature_lists'] as $feature){
                if( empty($feature['feature_icon']['value'] )) {
                    $icon_id = 'feature_icon';
                    $loop = false;
                } else {
                    $icon_id = $feature['feature_icon'];
                    $loop = true;
                }
                echo '<div class="cms-price-feature-title cms-list-item row gutters-15 align-items-center">';
                    claniz_elementor_icon_render($widget, $settings, [
                        'id'         => $icon_id, 
                        'loop'       => $loop, 
                        'tag'        => 'span', 
                        'wrap_class' => 'cms-price-feature-icon col-auto pt-5 text-20 text-'.$feature_icon_color
                    ]);
                echo    '<span class="col">'.$feature['feature_text'].'</span></div>';
            }
            echo '</div>';
        }
        ?>
        
        <?php
        claniz_elementor_button_render($widget,$settings,[
            'class' => 'cms-btn-pricing mt-45'
        ]);
        claniz_elementor_button_render($widget,$settings,[
            'prefix'    => 'btn2',
            'class'     => 'cms-btn-pricing mt-45',
            'btn_class' => ''
        ]);
        ?>
        <div class="cms-pricing-price mt-30 text-1e4873"> 
            <span class="cms-heading text-30 font-500"><?php 
                etc_print_html($price);
            ?></span>
            <span class="cms-price-package heading text-14 font-700 pt-10"><?php 
                etc_print_html($price_duration); 
            ?></span>  
        </div>
    </div>
    <?php if(!empty($settings['show_badge'])): ?>
        <div class="cms-badge cms-ribbon"><span class="main bg-1d65b9"><span class="triangle before bdr-1d65b9"></span><?php etc_print_html($settings['badge_text']); ?><span class="triangle after bdr-1d65b9"></span></span></div>
    <?php endif; ?>
</div>