<?php
$widget->add_render_attribute( 'qc-lists', 'class', 'text-'.$widget->get_setting('row-align_mobile','start'));
$widget->add_render_attribute( 'qc-lists', 'class', 'text-md-'.$widget->get_setting('row-align_tablet','start'));
$widget->add_render_attribute( 'qc-lists', 'class', 'text-lg-'.$widget->get_setting('row-align','start'));
// Phone Number
$widget->add_render_attribute( 'phone-number', [
	'class' => [
		'cms-heading',
		'text-19',
		'font-500',
		'pt-20',
		'text-'.$widget->get_setting('phone_text_color','accent'),
		'text-hover-'.$widget->get_setting('phone_text_color_hover','primary'),
		'd-block'
	],
	'href'	=> 'tel:'.str_replace(' ', '', $widget->get_setting('phone_number'))
]);
	
?>
<div class="cms-qc-wrap">
	<div class="cms-qc-inner">
		<div <?php etc_print_html($widget->get_render_attribute_string( 'qc-lists' )); ?>>
			<div class="cms-heading text-16 empty-none text-<?php echo esc_attr($widget->get_setting('heading_color','heading'));?>"><?php 
				if($widget->get_setting('heading_text') !== '-1') { etc_print_html($widget->get_setting('heading_text','Quick Contact')); }
			?></div>
			<div class="cms-desc text-14 pt-42 text-<?php echo esc_attr($widget->get_setting('description_color', 'body'));?>"><?php 
				etc_print_html($widget->get_setting('description_text')); 
				?></div>
			<a <?php etc_print_html($widget->get_render_attribute_string( 'phone-number' )); ?>><?php
				claniz_elementor_icon_render($widget, $settings,[
	        		'id'      => 'phone_icon',
	        		'tag'	  => 'span',
		            'class'   => 'cms-phone-icon text-15 pr-5',
		            'color'   => 'none'
	        	]);
				etc_print_html($widget->get_setting('phone_number','(002) 01061245741')); 
			?></a>
			<div class="cms-addess pt-18">
				<div class="cms-desc text-14 line-height-24 text-<?php echo esc_attr($widget->get_setting('description_color', 'body'));?>"><?php etc_print_html($widget->get_setting('map_address')); ?></div>
				<a href="<?php echo esc_attr($widget->get_setting('map_link'));?>" target="_blank" class="font-700 pt-21  d-block text-<?php echo esc_attr($widget->get_setting('map_link_color'));?> text-hover-<?php echo esc_attr($widget->get_setting('map_link_color_hover'));?>">
					<span class="cmsi-map-marker pr-10"></span>
					<span><?php etc_print_html($widget->get_setting('map_text')); ?></span>
				</a>
			</div>
		</div>
	</div>
</div>