<?php 
$slider_settings_class = ['cms-slider-container'];
if($widget->get_setting('slide_direction') === 'vertical') $slider_settings_class[] = 'overflow-hidden';
$slider_settings_class = implode(' ', $slider_settings_class);
// Slides list
$cms_slides = $settings['cms_slides'];
$widget->add_render_attribute( 'item', 'class', 'cms-slider-item swiper-slide');
// Slide content
$widget->add_render_attribute( 'item-content', 'class', 'cms-slide-comtent cms-overlay');
$widget->add_render_attribute( 'item-content', 'class', $widget->get_setting('content_width', 'container'));
// Slide content inner 
$widget->add_render_attribute( 'item-content-inner', 'class','h-100 d-flex align-items-center text-center');
// Rate star
$widget->add_render_attribute( 'rate_star', 'class', 'cms-rate-star text-center'); 
$widget->add_render_attribute( 'rate_star', 'style', 'background-color:'.$widget->get_setting('rate_star_bg', '#ff830c'));
// Static layer
$widget->add_render_attribute( 'static-layer', 'class', 'cms-slide-static-layer absolute'); 
$widget->add_render_attribute( 'static-layer', 'class', claniz_elementor_responsive_render($settings, ['prefix' => 'static_layer'])); 
if ( $settings['static_layer_animation'] ) {
    $widget->add_render_attribute( 'static-layer', 'class', 'cms-animate cms-invisible');
    //$widget->add_render_attribute( 'static-layer', 'class', 'animated-normal');
    $widget->add_render_attribute( 'static-layer', 'data-settings', json_encode([
        'animation'       => $widget->get_setting('static_layer_animation', ''),
        'animation_delay' => $widget->get_setting('static_layer_animation_delay', '')
    ]));
}
?>
<div class="cms-sliders-wrap">
	<div <?php claniz_swiper_slider_settings($widget, ['swiper_container' => $slider_settings_class]); ?>>
		<?php claniz_swiper_slider_arrows_top($settings); ?>
        <div class="cms-swiper-slider swiper-wrapper">
			<?php 
				foreach ($cms_slides as $key => $slide) {
					$data_id = $slide['_id'];
					//item_content_img
					$item_content_img = $widget->get_repeater_setting_key('item_content_img','slides', $key);
					$widget->add_render_attribute( $item_content_img, [
						'class'	=> ['cms-slide-img h-100', 'elementor-repeater-item-'.$data_id ],
			            'style' => [
			            	'background-image:url('.$slide['image']['url'].')'
			            ]
			        ] );
			        //item_content_img_attrs
			        $item_content_img_attrs = $widget->get_repeater_setting_key('item_content_img_attrs','slides', $key);
					$widget->add_render_attribute( $item_content_img_attrs, [
						'class'	=> ['w-100 h-100 img-cover'],
						'src'	=> $slide['image']['url'],
						'alt'	=> get_bloginfo('name')
			        ] );
			        if(!empty($slide['image_position']['size'])){
			        	$widget->add_render_attribute( $item_content_img_attrs, [
							'class'	=> ['opacity-0']
				        ] );
			        }
					// small heading 
					$small_heading_animation = !empty($slide['small_heading_animation']) ? $slide['small_heading_animation'] : 'fadeInLeft';
					$small_heading_animation_delay = !empty($slide['small_heading_animation_delay']) ? $slide['small_heading_animation_delay'] : 300;
					$small_heading_color = !empty($slide['small_heading_color']) ? $slide['small_heading_color'] : 'white';
					$small_heading_reponsive = claniz_elementor_responsive_render($settings, ['prefix' => 'small_heading']);
					// large heading
					$large_heading_animation = !empty($slide['large_heading_animation']) ? $slide['large_heading_animation'] : 'fadeInLeft';
					$large_heading_animation_delay = !empty($slide['large_heading_animation_delay']) ? $slide['large_heading_animation_delay'] : 600;
					$large_heading_color = !empty($slide['large_heading_color']) ? $slide['large_heading_color'] : 'white';
					$large_heading_reponsive = claniz_elementor_responsive_render($settings, ['prefix' => 'large_heading']);
					// Description
					$description_animation = !empty($slide['description_animation']) ? $slide['description_animation'] : 'fadeInLeft';
					$description_animation_delay = !empty($slide['description_animation_delay']) ? $slide['description_animation_delay'] : 900;
					$description_color = !empty($slide['description_color']) ? $slide['description_color'] : 'white';
					$description_heading_reponsive = claniz_elementor_responsive_render($settings, ['prefix' => 'description_heading']);
					// Description2
					$description2_animation = !empty($slide['description2_animation']) ? $slide['description2_animation'] : 'fadeInLeft';
					$description2_animation_delay = !empty($slide['description2_animation_delay']) ? $slide['description2_animation_delay'] : 900;
					$description2_color = !empty($slide['description2_color']) ? $slide['description2_color'] : 'white';
					$description2_heading_reponsive = claniz_elementor_responsive_render($settings, ['prefix' => 'description2_heading']);
					// Button Video
					$btn_video_animation = !empty($slide['btn_video_animation']) ? $slide['btn_video_animation'] : 'fadeInRight';
					$btn_video_animation_delay = !empty($slide['btn_video_animation_delay']) ? $slide['btn_video_animation_delay'] : 1200;
					// Build Attributes
					$small_heading_attrs = [
						'class' => 'small-heading heading2 text-30 lh-1 mb-20 text-'.$small_heading_color.' '.$small_heading_reponsive.' cms-animate cms-invisible',
						'data-settings' => json_encode([
					        'animation'      => $small_heading_animation,
					        'animation_delay' => $small_heading_animation_delay
					    ])
					];
					$large_heading_attrs = [
						'class' => 'large-heading text-30 text-md-40 text-lg-50 text-xl-75 lh-1 font-700 heading text-'.$large_heading_color.' '.$large_heading_reponsive.' cms-animate cms-invisible',
						'data-settings' => json_encode([
					        'animation'      => $large_heading_animation,
					        'animation_delay' => $large_heading_animation_delay
					    ])
					];
					$description_attrs = [
						'class' => 'description text-17 lh-27 font-700 mt-20 text-'.$description_color.' '.$description_heading_reponsive.' cms-animate cms-invisible',
						'data-settings' => json_encode([
					        'animation'      => $description_animation,
					        'animation_delay' => $description_animation_delay
					    ])
					];
					$description2_attrs = [
						'class' => 'description2 text-18 lh-27 font-700 text-'.$description2_color.' '.$description2_heading_reponsive.' cms-animate cms-invisible',
						'data-settings' => json_encode([
					        'animation'      => $description2_animation,
					        'animation_delay' => $description2_animation_delay
					    ])
					];
					// icons 
					$icon_attrs = [
						'class' => [
							'col-auto',
							'cms-slide-icon',
							'text-'.$slide['icons_color'],
							'text-68',
							'cms-animate cms-invisible'
						]
					];
					$icon1_attr = [
						'data-settings' => json_encode([
							'animation'       => $slide['icon1_animation'],
							'animation_delay' => $slide['icon1_animation_delay']
						])
					];
					$icon2_attr = [
						'data-settings' => json_encode([
							'animation'       => $slide['icon2_animation'],
							'animation_delay' => $slide['icon2_animation_delay']
						])
					];
					$icon3_attr = [
						'data-settings' => json_encode([
							'animation'       => $slide['icon3_animation'],
							'animation_delay' => $slide['icon3_animation_delay']
						])
					];
					$icon4_attr = [
						'data-settings' => json_encode([
							'animation'       => $slide['icon4_animation'],
							'animation_delay' => $slide['icon4_animation_delay']
						])
					];
				?>
					<div <?php etc_print_html($widget->get_render_attribute_string( 'item' )); ?>>
						<div <?php etc_print_html($widget->get_render_attribute_string( $item_content_img )); ?>>
							<!-- <img <?php etc_print_html($widget->get_render_attribute_string($item_content_img_attrs)); ?> />  -->
							<div class="cms-slide-img-overlay cms-overlay"><div class="cms-slide-img-overlay-inner cms-overlay"></div></div>
						</div>
						<div <?php etc_print_html($widget->get_render_attribute_string( 'item-content' )); ?>>
							<div <?php etc_print_html($widget->get_render_attribute_string( 'item-content-inner' )); ?>>
								<?php 
									claniz_elementor_image_render($settings, [
										'id'     => 'static_layer',
										'size'   => 'thumbnail',
										'before' => '<div '.$widget->get_render_attribute_string( 'static-layer' ).'>',
										'after'  => '</div>'
									]);
								?>
								<div class="row justify-content-center align-items-center gutters-30 gutters-grid h-lg-100">
									<div class="col-lg-8 col-xl-6 content-slider cms-slider-content-text elementor-repeater-item-<?php echo esc_attr($data_id);?>">
										<div class="<?php echo esc_attr($small_heading_attrs['class']); ?>" data-settings="<?php echo esc_attr($small_heading_attrs['data-settings']);?>"><?php
											etc_print_html($slide['small_heading']);
										?></div>
										<div class="<?php echo esc_attr($large_heading_attrs['class']); ?>" data-settings="<?php echo esc_attr($large_heading_attrs['data-settings']);?>"><?php 
											etc_print_html($slide['large_heading']);
										 ?></div>
										<div class="<?php echo esc_attr($description_attrs['class']); ?>" data-settings="<?php echo esc_attr($description_attrs['data-settings']);?>"><?php 
											etc_print_html($slide['description']);
										?></div>
										<div class="row gutters-30 gutters-grid pt-30 align-items-center justify-content-center">
									        <?php 
									            claniz_elementor_button_render($widget,$slide, [
									                'class'        => 'col-auto',
									                'icon_class'   => 'text-12'
									            ]);
									            claniz_elementor_button_render($widget,$slide, [
									            	'prefix'	   => 'btn2',
									                'class'        => 'col-auto',
									                'icon_class'   => 'text-12'
									            ]);
									            // video
									            claniz_elementor_render_lightbox_video_button($widget, $slide, [
									            	'class' => 'col-auto',
									            	'shadow' => true
									            ]);
									            // icons 
									            claniz_elementor_icon_render($slide,[
													'id'    => $slide['icon1'],
													'loop'  => true,
													'class' => implode(' ', $icon_attrs['class']),
													'atts' => $icon1_attr
												]);
												claniz_elementor_icon_render($slide,[
													'id'    => $slide['icon2'],
													'loop'  => true,
													'class' => implode(' ', $icon_attrs['class']),
													'atts' => $icon2_attr
												]);
												claniz_elementor_icon_render($slide,[
													'id'    => $slide['icon3'],
													'loop'  => true,
													'class' => implode(' ', $icon_attrs['class']),
													'atts' => $icon3_attr
												]);
												claniz_elementor_icon_render($slide,[
													'id'    => $slide['icon4'],
													'loop'  => true,
													'class' => implode(' ', $icon_attrs['class']),
													'atts' => $icon4_attr
												]);
									        ?>
									    </div>
									</div>
								</div>
							</div>
						</div>
					</div>
				<?php
				}
			?>
        </div>
        <?php 
            claniz_swiper_slider_dots($settings, ['class' => 'cms-dots-main']); 
            claniz_swiper_slider_arrows($settings);
            claniz_swiper_slider_arrows_bottom($settings);
        ?>
    </div>
</div>