<?php
	$widget->add_render_attribute( 'socials-wrap', 'class', 'row gutters-10 gutters-grid');
	$widget->add_render_attribute( 'socials-wrap', 'class', claniz_elementor_row_justify_class($settings));
?>
<div class="cms-socials-wrap">
	<div <?php etc_print_html($widget->get_render_attribute_string( 'socials-wrap' )); ?>>
		<?php foreach ($settings['social_list'] as $value): 
			$link_attrs = [];
			if ( ! empty( $value['social_link']['url'] ) ) {
				$link_attrs['href'] = $value['social_link']['url'];
			}
		    if ( ! empty($value['social_link']['is_external'] )) {
		        $link_attrs['target'] = '_blank';
		    }
		    if ( ! empty($value['social_link']['nofollow'] )) {
		        $link_attrs['rel'] = 'nofollow';
		    }
		    if( ! empty($value['social_link']['custom_attributes'])){
		    	$custom_attributes = explode('|', $value['social_link']['custom_attributes']);
		    	foreach ($custom_attributes as $atts_value) {
		    		$_custom_attributes = explode(':', $atts_value);
		    		$link_attrs[$_custom_attributes[0]] = $_custom_attributes[1];
		    	}
		    }
			$icon_color       = $widget->get_setting('social_icon_color', 'accent');
			$icon_color_hover = $widget->get_setting('social_icon_color_hover', 'white');
			$bg_color         = $widget->get_setting('social_bg_color', 'transparent');
			$bg_color_hover   = $widget->get_setting('social_bg_color_hover', 'accent');
			$icon_size		  = !empty($widget->get_setting('social_size')['size']) ? $widget->get_setting('social_size')['size'] : '20';
			$icon_shape		  = $widget->get_setting('social_shape', 'circle');
		?>
		<div class="cms-social cms-social-item col-auto">
			<?php 
	        	claniz_elementor_icon_render($widget, $settings,
	        		[
		        		'tag'		 => 'a',		
						'id'         => $value['social_icon'],
						'loop'       => true,
						'wrap_class' => 'text-'.$icon_size.' bg-'.$bg_color.' bg-hover-'.$bg_color_hover.' cms-'.$icon_shape. ' text-'.$icon_color.' text-hover-'.$icon_color_hover,
						'class'      => '',
						'atts'	     => $link_attrs,
						'color'		 => 'none'
		        	]
		        );
	        ?>
		</div>    
		<?php endforeach; ?>
	</div>
</div>