<?php
    $active_tab = $widget->get_setting('active_tab', 1);
    $tabs = $widget->get_setting('tabs', '');
    $tabs_title = [];
    $tabs_content = [];
    foreach ($tabs as $key => $tab){
        $title_key = $widget->get_repeater_setting_key( 'tab_title', 'tabs', $key );
        $content_key = $widget->get_repeater_setting_key( 'tab_content', 'tabs', $key );

        $tabs_title[$title_key] = $tab['tab_title'];
        $tabs_content[$content_key] = $tab['tab_content'];

        $widget->add_render_attribute( $title_key, [
            'class' => [ 'cms-tab-title','cms-transition' ],
            'data-target' => '#cms-tab-content-' . $tab['_id'],
        ] );
        $widget->add_render_attribute( $content_key, [
            'class' => [ 'cms-tab-content','cms-transition', 'p-20', 'p-lg-90' ],
            'id' => 'cms-tab-content-'.$tab['_id'],
        ] );
        if($active_tab == $key + 1){
            $widget->add_render_attribute( $content_key, 'style', 'display:block;');
            $widget->add_render_attribute( $content_key, 'class', 'active');
            $widget->add_render_attribute( $title_key, 'class', 'active');
        } else {
            $widget->add_render_attribute( $content_key, 'style', 'display:none;');
        }
    }
?>
<div class="cms-tabs-wrap bg-white cms-shadow-1">
    <div class="cms-tabs-navigation elementor-hidden-tablet elementor-hidden-phone">
        <div class="cms-tabs-title cms-tabs-title-desktop row-cols-2 row-cols-xl-4">
            <?php
            $count = 0;
            foreach ( $tabs as $index => $item ) :
                $count ++;
                $title_key = $widget->get_repeater_setting_key( 'tab_title', 'tabs', $index );
                $content_key = $widget->get_repeater_setting_key( 'tab_content', 'tabs', $index );
                ?>
                <div <?php etc_print_html($widget->get_render_attribute_string( $title_key )); ?>><?php 
                    claniz_elementor_icon_render($item, [
                        'id' => 'tab_title_icon',
                        'class' => 'text-64'
                    ]);
                    echo '<div class="cms-tab-title-text text-15 font-700"><span class="cms-tab-title-count">'.$count.'</span>'.$item['tab_title'].'</div>';
                ?></div>
            <?php endforeach; ?>
        </div>
    </div>
    <div class="cms-tabs-content">
        <?php
        $_count = 0;
        foreach ( $tabs as $index => $item ) :
            $_count ++;
            $title_key = $widget->get_repeater_setting_key( 'tab_title', 'tabs', $index );
            $content_key = $widget->get_repeater_setting_key( 'tab_content', 'tabs', $index );     
            ?>
            <div class="cms-tabs-title cms-tabs-title-mobile elementor-hidden-desktop">
                <div <?php etc_print_html($widget->get_render_attribute_string( $title_key )); ?>><?php 
                    claniz_elementor_icon_render($item, [
                        'id' => 'tab_title_icon',
                        'class' => 'text-64'
                    ]);
                    echo '<div class="cms-tab-title-text text-15 font-700"><span class="cms-tab-title-count">'.$_count.'</span>'.$item['tab_title'].'</div>';
                ?></div>
            </div>
            <div <?php etc_print_html($widget->get_render_attribute_string( $content_key )); ?>>
                <div class="row gutters-xl-100 gutters-grid">
                    <?php 
                        claniz_elementor_image_render($settings, $widget, [
                            'id'            => 'tab_content_img',
                            'attachment_id' => $item['tab_content_img']['id'],
                            //'size'          => 'tab_content_img',
                            'custom_size'   => '500x375',
                            'img_class'     => '',
                            'before'        => '<div class="col-auto col-md-6">',
                            'after'         => '</div>'
                        ], $item);
                    ?>
                    <div class="col order-md-first">
                        <h3 class="cms-tab-content-heading cms-heading text-18 text-lg-24 mt-n5 pb-35"><?php etc_print_html ($item['tab_content_title']);?></h3>
                        <div class="content-text text-17 pb-30"><?php etc_print_html($widget->parse_text_editor( $item['tab_content'] )); ?></div>
                        <?php claniz_elementor_button_render($widget,$item); ?>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
</div>  