<?php
    $active_tab = $widget->get_setting('active_tab2', 1);
    $tabs = $widget->get_setting('tabs2', '');
    $tabs_title = [];
    $tabs_content = [];
    foreach ($tabs as $key => $tab){
        $title_key = $widget->get_repeater_setting_key( 'tab_title', 'tabs', $key );
        $content_key = $widget->get_repeater_setting_key( 'tab_content', 'tabs', $key );

        $tabs_title[$title_key] = $tab['tab_title'];
        $tabs_content[$content_key] = $tab['tab_content'];

        $widget->add_render_attribute( $title_key, [
            'class' => [ 'cms-tab-title','cms-transition', 'text-white', 'heading text-18 font-600' ],
            'data-target' => '#cms-tab-content-' . $tab['_id'],
        ] );
        if($widget->get_setting('type') === 'horizontal'){
            $widget->add_render_attribute( $title_key, [
                'class' => [ 'col-auto' ]
            ] );
        } else {
            $widget->add_render_attribute( $title_key, [
                'class' => [ 'col-12' ]
            ] );
        }

        $widget->add_render_attribute( $content_key, [
            'class' => [ 'cms-tab-content','cms-transition', 'text-white', 'pt-30' ],
            'id' => 'cms-tab-content-'.$tab['_id'],
        ] );
        if($active_tab == $key + 1){
            $widget->add_render_attribute( $content_key, 'style', 'display:block;');
            $widget->add_render_attribute( $content_key, 'class', 'active');
            $widget->add_render_attribute( $title_key, 'class', 'active');
        } else {
            $widget->add_render_attribute( $content_key, 'style', 'display:none;');
        }
    }
?>
<div class="cms-tabs-wrap">
    <div class="cms-tabs-navigation elementor-hidden-tablet elementor-hidden-phone">
        <div class="cms-tabs-title cms-tabs-title-desktop row">
            <?php
            $count = 0;
            foreach ( $tabs as $index => $item ) :
                $count ++;
                $title_key = $widget->get_repeater_setting_key( 'tab_title', 'tabs', $index );
                $content_key = $widget->get_repeater_setting_key( 'tab_content', 'tabs', $index );
                ?>
                <div <?php etc_print_html($widget->get_render_attribute_string( $title_key )); ?>><?php 
                    echo '<div class="cms-tab-title-text">'.$item['tab_title'].'</div>';
                ?></div>
            <?php endforeach; ?>
        </div>
    </div>
    <div class="cms-tabs-content">
        <?php
        $_count = 0;
        foreach ( $tabs as $index => $item ) :
            $_count ++;
            $title_key = $widget->get_repeater_setting_key( 'tab_title', 'tabs', $index );
            $content_key = $widget->get_repeater_setting_key( 'tab_content', 'tabs', $index );     
            ?>
            <div class="cms-tabs-title cms-tabs-title-mobile elementor-hidden-desktop">
                <div <?php etc_print_html($widget->get_render_attribute_string( $title_key )); ?>><?php 
                    echo '<div class="cms-tab-title-text">'.$item['tab_title'].'</div>';
                ?></div>
            </div>
            <div <?php etc_print_html($widget->get_render_attribute_string( $content_key )); ?>>
                <div class="content-text text-16 font-700"><?php etc_print_html($widget->parse_text_editor( $item['tab_content'] )); ?></div>
            </div>
        <?php endforeach; ?>
    </div>
</div>  