<?php
if(!empty($settings['smallheading_text']) || !empty($settings['heading_text']) || !empty($settings['description_text'])){
    switch ($settings['heading_desc_layout']) {
        case '2':
    ?>
        <div class="cms-posts-heading row gutters-grid pb-60">
            <div class="col-lg-6 empty-none"><?php 
                // Icon 
                claniz_elementor_icon_render($widget, $settings, [
                    'wrap_class' => 'mb-20',
                    'class'      => 'text-82 text-accent'
                ]);
                // Small Heading 
                claniz_elementor_text_render([
                    'name'        => 'smallheading_text',
                    'tag'         => 'div',
                    'color'       => 'heading',
                    'class'       => 'cms-smallheading text-16 font-700 mt-n5 mb-10'  
                ], $widget, $settings);
                // Heading 
                claniz_elementor_text_render([
                    'name'        => 'heading_text',
                    'tag'         => 'h2',
                    'color'       => 'heading',
                    'class'       => 'cms-mainheading cms-heading text-24 text-lg-37 font-700 mt-n5',
                ], $widget, $settings);
            ?></div>
            <?php
                // Description
                claniz_elementor_text_render([
                    'name'        => 'description_text',
                    'tag'         => 'div',
                    'color'       => 'body',
                    'class'       => 'cms-desc text-16 mb-n7',
                    'autop'       => true,  
                    'wrap_before' => '<div class="col-lg-6">',
                    'wrap_after'  => '</div>'   
                ], $widget, $settings);
            ?>
        </div>
    <?php
            break;
        default:
    ?><div class="d-flex <?php echo claniz_elementor_align_class($settings, ['prefix' => 'justify-content-']).' '.claniz_elementor_align_class($settings, ['prefix' => 'text-']);?>">
        <div class="cms-posts-heading pb-60 w-100">
            <?php 
                // Icon 
                claniz_elementor_icon_render($widget, $settings, [
                    'wrap_class' => 'mb-20',
                    'class'      => 'text-82 text-accent'
                ]);
                // Small Heading 
                claniz_elementor_text_render([
                    'name'        => 'smallheading_text',
                    'tag'         => 'div',
                    'color'       => 'heading',
                    'class'       => 'cms-smallheading text-16 font-700 mt-n5 mb-10'  
                ], $widget, $settings);
                // Heading 
                claniz_elementor_text_render([
                    'name'        => 'heading_text',
                    'tag'         => 'h2',
                    'color'       => 'heading',
                    'class'       => 'cms-mainheading cms-heading text-24 text-lg-37 font-700 mt-n5'  
                ], $widget, $settings);
                // Description
                claniz_elementor_text_render([
                    'name'        => 'description_text',
                    'tag'         => 'div',
                    'color'       => 'body',
                    'class'       => 'cms-desc text-16 mb-n7 pt-10',
                    'autop'       => true, 
                ], $widget, $settings);
            ?>
        </div></div>
    <?php
            break;
    }
} ?>
<div class="cms-team-slider">
    <div class="cms-swiper-sliders">
        <div <?php claniz_swiper_slider_settings($widget); ?>>
            <?php claniz_swiper_slider_arrows_top($settings); ?>
            <div class="cms-swiper-wrapper swiper-wrapper">
                <?php foreach ($settings['teams'] as $team): ?>
                    <div class="cms-team-item cms-swiper-slide swiper-slide">
                        <div class="cms-team-item-inner bg-white overflow-hidden cms-radius-7">
                            <div class="relative overflow-hidden">
                                <?php if(!empty($team['social'])): ?>
                                <div class="cms-team-social absolute cms-transition">
                                    <?php
                                        $team_socials = json_decode($team['social'], true);
                                        foreach ($team_socials as $team_social): ?>
                                            <a href="<?php echo esc_url($team_social['url']); ?>">
                                                <span class="<?php echo esc_attr($team_social['icon']); ?> cms-transition"></span>
                                            </a>
                                    <?php endforeach; ?>
                                </div>
                                <?php endif; ?>
                                <?php  
                                    claniz_elementor_image_render($settings, $widget, [
                                        'id'            => 'image',
                                        'attachment_id' => $team['image']['id'],
                                        'default'       => true,
                                        'img_class'     => 'w-100',
                                        'before'        => '<div class="cms-team-img">',
                                        'after'         => '</div>',
                                        'custom_size'   => '400'
                                    ], $team);
                                ?>
                            </div>
                            <div class="cms-team-info plr-40 pt-30 pb-40 text-center">
                                <div class="cms-heading font-600 text-20 pb-10 mt-n8"><a <?php echo claniz_elementor_custom_link_attrs($team, [
                                'name' => 'link',
                                'echo' => true,
                            ]);?>><?php echo esc_html($team['name']); ?></a></div>
                                <div class="team-position mb-n8"><?php echo esc_html($team['position']); ?></div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
            <?php 
                claniz_swiper_slider_dots($settings,'mt-0'); 
                claniz_swiper_slider_arrows($settings);
                claniz_swiper_slider_arrows_side($settings);
                claniz_swiper_slider_arrows_bottom($settings);
            ?>
        </div>
    </div>
</div>
