<?php
$widget->add_render_attribute( 'ttmn_col', 'class', 'col-12');
$widget->add_render_attribute( 'ttmn_text_wrap', 'class', 'ttmn-text-wrap');
// Testimonial Item
$widget->add_render_attribute( 'ttmn_item', 'class', 'cms-ttmn-item mb-n15');
switch ($widget->get_setting('layout_mode')) {
    case 'slider':
        $widget->add_render_attribute( 'ttmn_col', 'class', 'col');
        $widget->add_render_attribute( 'ttmn_item', 'class', 'cms-swiper-slide swiper-slide');
        
        break;
    case 'list':
        $widget->add_render_attribute( 'ttmn_col', 'class', '');
        $widget->add_render_attribute( 'ttmn_item', 'class', 'cms-ttmn-list row');
        $widget->add_render_attribute( 'ttmn_text_wrap', 'class', 'col');
        
        break;
    default:
        # code...
        break;
}
// Testimonial Text
$widget->add_render_attribute( 'ttmn_text', 'class', 'cms-ttmn-desc heading text-18 lh-27 font-600');
$widget->add_render_attribute( 'ttmn_text', 'class', 'text-'.$widget->get_setting('ttmn_text_typo_color','heading'));

// ttmn author
$ttmn_author_class = 'cms-ttmn-author ttmn-author text-16 font-700 text-'.$widget->get_setting('ttmn_author_typo_color','heading');
?>
<?php
if(!empty($settings['smallheading_text']) || !empty($settings['heading_text']) || !empty($settings['description_text'])){
    switch ($settings['heading_desc_layout']) {
        case '2':
    ?>
        <div class="cms-posts-heading row gutters-grid pb-60">
            <div class="col-lg-6 empty-none"><?php 
                // Icon 
                claniz_elementor_icon_render($widget, $settings, [
                    'wrap_class' => 'mb-20',
                    'class'      => 'text-82 text-accent'
                ]);
                // Small Heading 
                claniz_elementor_text_render([
                    'name'        => 'smallheading_text',
                    'tag'         => 'div',
                    'color'       => 'heading',
                    'class'       => 'cms-smallheading text-16 font-700 mt-n5 mb-10'  
                ], $widget, $settings);
                // Heading 
                claniz_elementor_text_render([
                    'name'        => 'heading_text',
                    'tag'         => 'h2',
                    'color'       => 'heading',
                    'class'       => 'cms-mainheading cms-heading text-24 text-lg-37 font-700 mt-n5',
                ], $widget, $settings);
            ?></div>
            <?php
                // Description
                claniz_elementor_text_render([
                    'name'        => 'description_text',
                    'tag'         => 'div',
                    'color'       => 'body',
                    'class'       => 'cms-desc text-16 mb-n7',
                    'autop'       => true,  
                    'wrap_before' => '<div class="col-lg-6">',
                    'wrap_after'  => '</div>'   
                ], $widget, $settings);
            ?>
        </div>
    <?php
            break;
        default:
    ?><div class="d-flex <?php echo claniz_elementor_align_class($settings, ['prefix' => 'justify-content-']).' '.claniz_elementor_align_class($settings, ['prefix' => 'text-']);?>">
        <div class="cms-posts-heading pb-60 w-100">
            <?php 
                // Icon 
                claniz_elementor_icon_render($widget, $settings, [
                    'wrap_class' => 'mb-20',
                    'class'      => 'text-82 text-accent'
                ]);
                // Small Heading 
                claniz_elementor_text_render([
                    'name'        => 'smallheading_text',
                    'tag'         => 'div',
                    'color'       => 'heading',
                    'class'       => 'cms-smallheading text-16 font-700 mt-n5 mb-10'  
                ], $widget, $settings);
                // Heading 
                claniz_elementor_text_render([
                    'name'        => 'heading_text',
                    'tag'         => 'h2',
                    'color'       => 'heading',
                    'class'       => 'cms-mainheading cms-heading text-24 text-lg-37 font-700 mt-n5'  
                ], $widget, $settings);
                // Description
                claniz_elementor_text_render([
                    'name'        => 'description_text',
                    'tag'         => 'div',
                    'color'       => 'body',
                    'class'       => 'cms-desc text-16 mb-n7 pt-10',
                    'autop'       => true, 
                ], $widget, $settings);
            ?>
        </div></div>
    <?php
            break;
    }
} ?>
<div class="cms-ttmn-wrapper relative">
    <div class="row gutters-grid">
        <?php
            if($widget->get_setting('layout_mode') === 'slider'){
                // Qoute icon
                claniz_elementor_typo_render([
                    'content' => claniz_elementor_icon_render($widget, $settings, [
                        'id'    => 'quote_icon',
                        'echo'  => false
                    ]),
                    'name'     => 'quote_icon_typo',
                    'selector' => 'cms-ttmn-quote-icon',
                    'class'    => 'col-auto text-64',
                    'color'    => 'accent' 

                ], $widget, $settings); 
            }
        ?>
        <div <?php etc_print_html($widget->get_render_attribute_string( 'ttmn_col' )); ?>>
            <?php if($widget->get_setting('layout_mode') === 'slider'){  ?>
            <div class="cms-ttmn-slider cms-swiper-sliders">
                <div class="cms-swiper-slider-wrap">
                    <div <?php claniz_swiper_slider_settings($widget); ?>>
                        <?php claniz_swiper_slider_arrows_top($settings); ?>
                        <div class="cms-swiper-wrapper swiper-wrapper">
            <?php } ?>
                            <?php foreach ($settings['testimonial'] as $value): ?>
                                <div <?php etc_print_html($widget->get_render_attribute_string( 'ttmn_item' )); ?>>
                                    <?php 
                                        if($widget->get_setting('layout_mode') === 'list'){
                                            // Qoute icon
                                            claniz_elementor_typo_render([
                                                'content' => claniz_elementor_icon_render($widget, $settings, [
                                                    'id'    => 'quote_icon',
                                                    'echo'  => false
                                                ]),
                                                'name'     => 'quote_icon_typo',
                                                'selector' => 'cms-ttmn-quote-icon',
                                                'class'    => 'col-12 col-sm-auto text-64',
                                                'color'    => 'accent' 

                                            ], $widget, $settings); 
                                        }
                                    ?>
                                    <div <?php etc_print_html($widget->get_render_attribute_string( 'ttmn_text_wrap' )); ?>>
                                        <?php 
                                            claniz_elementor_icon_render($value, [
                                                'id'         => 'ttmn_icon',
                                                'loop'       => false,
                                                'wrap_class' => 'mb-25',
                                                'class'      => 'ttmn-icon text-64 text-accent'
                                            ]);
                                        ?>
                                        <div <?php etc_print_html($widget->get_render_attribute_string( 'ttmn_text' )); ?>><?php 
                                            echo esc_html($value['ttmn_text']); 
                                        ?></div>
                                        <?php claniz_star_rating([
                                            'class'      => 'mt-15',   
                                            'rated'      => $value['ttmn_rate'],
                                            'text'       => $value['ttmn_name'].', <span class="cms-ttmn-pos text-13 text-body font-400">'.$value['ttmn_pos'].'</span>',
                                            'text_class' => $ttmn_author_class
                                        ]); ?>
                                    </div>
                                </div>
                            <?php endforeach; 
            if($widget->get_setting('layout_mode') === 'slider'){ ?>
                        </div>
                        <?php 
                            claniz_swiper_slider_dots($settings); 
                            claniz_swiper_slider_arrows($settings);
                            claniz_swiper_slider_arrows_side($settings);
                            claniz_swiper_slider_arrows_bottom($settings);
                        ?>
                    </div>
                </div>
            </div>
            <?php } ?>
        </div>
    </div>
</div>
