<?php
// Testinominal Text
$widget->add_render_attribute( 'ttmn_text', 'class', 'cms-ttmn-desc heading text-21 lh-32 font-600i mt-n10');
$widget->add_render_attribute( 'ttmn_text', 'class', 'text-'.$widget->get_setting('ttmn_text_typo_color','body'));
// Image as Background 
$_classes = ['relative'];
$as_background = false;
if($widget->get_setting('image_as_bg', 'yes') === 'yes'){
    $as_background = true;
    $_classes[] = 'w-100';
}
// ttmn author
$widget->add_render_attribute( 'ttmn_author', [
    'class' => [
        'cms-ttmn-author ttmn-author text-14 font-700 lh-24',
        'text-'.$widget->get_setting('ttmn_author_typo_color','custom-3')
    ]
]);
// ttmn position
$widget->add_render_attribute( 'ttmn_pos', [
    'class' => [
        'cms-ttmn-pos text-13 text-custom-4 font-400 lh-20'
    ]
]);
?>
<div class="cms-ttmn-wrapper cms-ttmn-slider cms-swiper-sliders">
    <div class="cms-swiper-slider-wrap">
        <div <?php claniz_swiper_slider_settings($widget); ?>>
            <?php claniz_swiper_slider_arrows_top($settings); ?>
            <div class="cms-swiper-wrapper swiper-wrapper">   
                <?php foreach ($settings['testimonial'] as $value): ?>
                    <div class="cms-ttmn-item cms-swiper-slide swiper-slide">
                        <div class="cms-ttmn-item-inner bg-white cms-shadow-6 p-tb-40 p-lr-20 p-lr-md-50 cms-radius-8">
                            <?php
                                claniz_star_rating([
                                'class'      => 'pb-15',   
                                'rated'      => $value['ttmn_rate'],
                                'rated_w'    => '12',
                                'text'       => ''
                            ]); ?>
                            <div <?php etc_print_html($widget->get_render_attribute_string( 'ttmn_text' )); ?>><?php 
                                echo esc_html($value['ttmn_text']); 
                            ?></div>
                            <div class="ttmn-info pt-25 row gutters-30 align-items-center">
                                <?php 
                                    claniz_elementor_image_render($settings, $widget, [
                                        'id'          => 'ttmn_avatar',
                                        'size'        => 'custom',
                                        'custom_size' => '40x40',
                                        'default'     => true,
                                        'img_class'   => 'circle',
                                        'before'      => '<div class="col-auto"><div class="cms-ttmn-avatar-wrap circle">',
                                        'after'       => '</div></div>'     
                                    ], $value);
                                ?>
                                <div class="col">
                                    <div <?php etc_print_html($widget->get_render_attribute_string('ttmn_author')); ?>><?php echo esc_html($value['ttmn_name']); ?></div>
                                    <div <?php etc_print_html($widget->get_render_attribute_string('ttmn_pos')); ?>><?php echo esc_html($value['ttmn_pos']); ?></div>
                                </div>
                            </div>
                            <?php 
                                // Qoute icon
                                claniz_elementor_typo_render([
                                    'content' => claniz_elementor_icon_render($widget, $settings, [
                                        'id'           => 'quote_icon',
                                        'echo'         => false,
                                        'default_icon' => [
                                            'library' => 'cmsi',
                                            'value'   => 'cmsi-quote-square-right'
                                        ],
                                        'tag'   => 'span',
                                        'color' => 'custom-7'
                                    ]),
                                    'name'     => 'quote_icon_typo',
                                    'selector' => 'cms-ttmn-quote-icon',
                                    'class'    => 'text-50',
                                    'color'    => 'custom-7' 

                                ], $widget, $settings); 
                            ?>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
            <?php 
                claniz_swiper_slider_dots($settings); 
                claniz_swiper_slider_arrows($settings);
                claniz_swiper_slider_arrows_side($settings);
                claniz_swiper_slider_arrows_bottom($settings);
            ?>
        </div>
    </div>
</div>