<?php
$img_classes = ['video-bg rtl-flip'];
// wrap
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-video-player relative cms-video-play-btn-'.$widget->get_setting('video_play_btn_position', 'bottom-left'),
        claniz_elementor_row_justify_class($settings, ['id' => 'content_align', 'extra_class' => 'd-flex']),
        'pr-md-70'
    ]
]);
// Gradient
$widget->add_render_attribute( 'gradient', 'class', 'cms-overlay cms-gradient-'.$widget->get_setting('gradient_overlay', ''));
$widget->add_render_attribute( 'gradient', 'style', 'background-color:'.$widget->get_setting('gradient_bg_color','rgba(9,29,62,0.05)'));

// Play Icon
$widget->add_render_attribute( 'play-icon', 'class', 'cms-play-video-icon '.$widget->get_setting('gradient_overlay', ''));
// Video Link 
$video_link = $widget->get_setting('video_link', 'https://www.youtube.com/watch?v=XHOmBV4js_E');

// other
$_classes = ['relative custom-before'];
$as_background = false;
if($widget->get_setting('video_image_overlay_as_bg', 'yes') === 'yes'){
    $as_background = true;
    $_classes[] = 'w-100';
}

claniz_elementor_element_heading($widget, $settings,['class' => 'pb-5']);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="<?php echo claniz_nice_class($_classes); ?>">
        <?php 
            claniz_elementor_image_render($settings,$widget, [
                'id'            => 'video_image_overlay',
                'size'          => 'video_image_overlay_size',
                'img_class'     => implode(' ', $img_classes),
                'default'       => true,
                'as_background' => $as_background
            ]);
        ?>
        <div class="item--content">
            <div class="btn-video-wrap2">
                <?php claniz_elementor_render_lightbox_video_button($widget, $settings,[
                    'icon_class' => 'cms-ripple size-'.$widget->get_setting('video_play_btn_size','62')
                ]); ?>
            </div>
            <div class="item-content">
                <?php 
                    // Title
                    claniz_elementor_text_render([
                        'name'  => 'title_text',
                        'tag'   => 'div',
                        'color' => 'body',
                        'class' => 'cms-title text-16 font-700 text-white',
                        'autop' => true 
                    ], $widget, $settings);

                    // Description 2
                    claniz_elementor_text_render([
                        'name'  => 'description2_text',
                        'tag'   => 'div',
                        'color' => 'body',
                        'class' => 'cms-desc2 text-20 font-500 lh-28 pt-18 text-white',
                        'autop' => true 
                    ], $widget, $settings);
                ?>
            </div>
        </div>
    </div>
</div>