<?php
$img_classes = ['video-bg rtl-flip'];
// wrap
$widget->add_render_attribute( 'wrap', [
    'class' => [
        'cms-video-player',
        'relative',
        'cms-video-play-btn-'.$widget->get_setting('video_play_btn_position', 'bottom-left'),
        'cms-radius-8',
        'overflow-hidden',
        'cms-shadow-1'
    ]
]);
// Gradient
$widget->add_render_attribute( 'gradient', 'class', 'cms-overlay cms-gradient-'.$widget->get_setting('gradient_overlay', ''));
$widget->add_render_attribute( 'gradient', 'style', 'background-color:'.$widget->get_setting('gradient_bg_color','rgba(9,29,62,0.05)'));

// Play Icon
$widget->add_render_attribute( 'play-icon', 'class', 'cms-play-video-icon '.$widget->get_setting('gradient_overlay', ''));
// Video Link 
$video_link = $widget->get_setting('video_link', 'https://www.youtube.com/watch?v=XHOmBV4js_E');

// other
$as_background = false;
if($widget->get_setting('video_image_overlay_as_bg', 'yes') === 'yes'){
    $as_background = true;
}

claniz_elementor_element_heading($widget, $settings,['class' => 'pb-5']);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <?php 
        claniz_elementor_image_render($settings,$widget, [
            'id'            => 'video_image_overlay',
            'size'          => 'video_image_overlay_size',
            'custom_size'   => '462x193',
            'img_class'     => implode(' ', $img_classes),
            'default'       => false,
            'as_background' => $as_background
        ]);
    ?>
    <div class="item--content d-flex">
        <div class="flex-auto bg-white d-flex align-items-center justify-content-center">
            <?php claniz_elementor_render_lightbox_video_button($widget, $settings,[
                'row_class'        => 'justify-content-center text-center', 
                'icon_class'       => 'cms-ripple size-'.$widget->get_setting('video_play_btn_size','50'),
                'video_text'       => 'Watch Our Intro!',
                'video_text_color' => 'primary',
                'video_text_class' => 'col-12 pt-20'
            ]);?>
        </div>
        <div class="item-content flex-basic p-30 bg-accent">
            <?php 
                // Small Title
                claniz_elementor_text_render([
                    'name'  => 'smallheading_text',
                    'tag'   => 'div',
                    'color' => 'white',
                    'class' => 'cms-smallheading text-16 font-700 pb-15',
                    'autop' => true,
                    'default' => 'Save Your Time And Money.'
                ], $widget, $settings);
                // Title
                claniz_elementor_text_render([
                    'name'  => 'title_text',
                    'tag'   => 'h2',
                    'color' => 'white',
                    'class' => 'cms-heading text-20 font-600',
                    'autop' => true,
                    'default' => 'Protect Your Employees And Guests From Covid-19 By Using Our Disinfection Expertise!!.'
                ], $widget, $settings);

                // Description 2
                claniz_elementor_text_render([
                    'name'  => 'description2_text',
                    'tag'   => 'div',
                    'color' => 'white',
                    'class' => 'cms-desc2 pt-18',
                    'autop' => true 
                ], $widget, $settings);
            ?>
        </div>
    </div>
</div>