<?php
$img_classes = ['video-bg rtl-flip cms-radius-tr-12'];
// wrap
$widget->add_render_attribute( 'wrap', 'class', 'cms-video-player relative cms-video-play-btn-'.$widget->get_setting('video_play_btn_position', 'center-center'));
$widget->add_render_attribute( 'wrap', 'class', claniz_elementor_row_justify_class($settings, ['id' => 'content_align', 'extra_class' => 'd-flex']));
// Gradient
$widget->add_render_attribute( 'gradient', 'class', 'cms-overlay cms-gradient-'.$widget->get_setting('gradient_overlay', ''));
$widget->add_render_attribute( 'gradient', 'style', 'background-color:'.$widget->get_setting('gradient_bg_color','rgba(9,29,62,0.05)'));

// Play Icon
$widget->add_render_attribute( 'play-icon', 'class', 'cms-play-video-icon '.$widget->get_setting('gradient_overlay', ''));
// Video Link 
$video_link = $widget->get_setting('video_link', 'https://www.youtube.com/watch?v=XHOmBV4js_E');

// Feature
$widget->add_render_attribute( 'feature', 'class', 'cms-video-features cms-list cms-list-1 row pt-37');
if(empty($widget->get_setting('video1_feature_icon')['value'])){
    $widget->add_render_attribute( 'feature', 'class', 'icon-default');
}
// other
$_classes = ['relative custom-before'];
$as_background = false;
if($widget->get_setting('video_image_overlay_as_bg', 'yes') === 'yes'){
    $as_background = true;
    $_classes[] = 'w-100';
}

claniz_elementor_element_heading($widget, $settings,['class' => 'pb-5']);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="<?php echo claniz_nice_class($_classes); ?>">
        <?php 
            claniz_elementor_image_render($settings,$widget, [
                'id'                  => 'video_image_overlay',
                'attachment_id'       => get_post_thumbnail_id(),
                'size'                => 'video_image_overlay_size',
                'custom_size'         => '800x770',
                'wrap_class'          => 'cms-radius-tr-12',
                'class'               => 'cms-radius-tr-12',
                'as_background_class' => 'cms-radius-tr-12',
                'img_class'           => implode(' ', $img_classes),
                'default'             => true,
                'as_background'       => $as_background
            ]);
        ?>
        <div class="btn-video-wrap">
            <?php claniz_elementor_render_lightbox_video_button($widget, $settings,[
                'icon_class' => 'size-'.$widget->get_setting('video_play_btn_size','108'),
                'outline'    => false,
                'shadow'     => true
            ]); ?>
        </div>
    </div>
    <?php 
        // Description 2
        claniz_elementor_text_render([
            'name'  => 'description2_text',
            'tag'   => 'div',
            'color' => 'body',
            'class' => 'cms-desc2 text-16 pt-35',
            'autop' => true 
        ], $widget, $settings);
        // Feature 
        if($settings['show_feature1'] === 'true'): ?>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'feature' )); ?>><?php
                // Feature Title 
                claniz_elementor_text_render([
                    'name'         => 'video1_feature_title',
                    'tag'          => 'div',
                    'color'        => 'body',
                    'class'        => 'cms-heading-feature-title text-16 font-700 pb-3 col-12' 
                ], $widget, $settings);
                $count = 0;
                foreach ($settings['video1_feature'] as $value) { 
                    $count++;
                    if($count%2  === 0) {$last = ' last';}  else {$last = '';}
                    ?>
                    <div class="col-md-6">
                        <div class="cms-video-feature-item cms-list-item text-16 text-<?php echo esc_attr($widget->get_setting('video1_feature_typo_color','heading')); ?> font-700<?php echo esc_attr($last);?>"><div class="cms-list-item-inner row gutters-20 align-items-center"><?php
                            claniz_elementor_icon_render($widget, $settings, [
                                'id'           => 'video1_feature_icon',
                                'tag'          => 'span',
                                'class'        => 'col-auto cms-list-icon text-20 text-accent', 
                                'default_icon' => []
                            ]);
                            etc_print_html('<span class="col cms-list-title">'.$value['title'].'</span>');
                        ?></div></div>
                    </div>
                <?php } 
            ?></div>
        <?php endif; 
    ?>
</div>
<?php if(!empty($settings['btn1btn_text']) || !empty($settings['btn2btn_text'])) : ?>
<div class="cms-video-btns row gutters-30 gutters-grid align-items-center pt-50 empty-none"><?php 
    claniz_elementor_button_render($widget,$settings, [
        'prefix' => 'btn1',
        'class'  => 'col-auto animated-'.$widget->get_setting('btn1_animation', 'normal')
    ]);
    claniz_elementor_button_render($widget,$settings, [
        'prefix' => 'btn2',
        'class'  => 'col-auto animated-'.$widget->get_setting('btn2_animation', 'normal')
    ]); 
?></div>
<?php endif; ?>