<?php
if(!function_exists('claniz_cpt_service')){
    add_filter('cms_extra_post_types', 'claniz_cpt_service');
    function claniz_cpt_service($postypes){
        $service             = claniz_get_theme_opt('service_slug', 'service');
        $service_name        = claniz_get_theme_opt('service_name', esc_attr__('Service', 'claniz'));
        $postypes['service'] = array(
            'status'     => true,
            'item_name'  => $service_name,
            'items_name' => $service_name,
            'args'       => array(
                'menu_position' => 4,
                'menu_icon' => 'dashicons-admin-tools',
                'supports' => array(
                    'title',
                    'excerpt',
                    'thumbnail',
                    'editor',
                ),
                'public'             => true,
                'publicly_queryable' => true,
                'rewrite'            => array(
                    'slug' => $service
                ),
            ),
            'labels' => array()
        );
        return $postypes;
    }
}
if(!function_exists('claniz_cpt_service_taxonomies')){
    add_filter('cms_extra_taxonomies', 'claniz_cpt_service_taxonomies');
    function claniz_cpt_service_taxonomies($taxonomies){
        $taxonomies['service-category'] = array(
            'status'     => true,
            'post_type'  => array('service'),
            'taxonomy'   => esc_html__('Service Category', 'claniz'),
            'taxmorimy'  => esc_html__('Service Category', 'claniz'),
            'taxonomies' => esc_html__('Service Categories', 'claniz'),
            'args'       => array(),
            'labels'     => array()
        );
        return $taxonomies;
    }
}