<?php
/**
 * All function for Demo Data
 * 
 * @package CMS Theme
 * @subpackage CMSBlank
 * @since 1.0
 * 
*/
/* Create Demo Data */
if(!function_exists('claniz_enable_export_mode')){
	add_filter('swa_ie_export_mode', 'claniz_enable_export_mode');
	function claniz_enable_export_mode() {
	    return defined('DEV_MODE') && DEV_MODE == true ? true : false;
	}
}
if (!function_exists('claniz_cpt_dev_mode')) {
    add_filter('cpt_dev_mode', 'claniz_cpt_dev_mode');
    function claniz_cpt_dev_mode()
    {
        return defined('DEV_MODE') && DEV_MODE == true ? true : false;
    }
}
/**
 * Update custom post type edit with Elementor
 * **/
if (!function_exists('claniz_elementor_cpts')) {
    add_action('theme_core_ie_after_import', 'claniz_elementor_cpts');
    function claniz_elementor_cpts(){
        $default = (array)get_option('elementor_cpt_support');
        $cpt_support = array_merge(
            $default, 
            [
                //core
                'post',
                'page',
                'cms-footer',
                'cms-header-top',
                'cms-mega-menu',
                'portfolio',
                // theme
                'career',
                'cases',
                'industries',
                'solutions',
                'cms-doctor',
                'service'
            ]
        );
        update_option( 'elementor_cpt_support', $cpt_support );
    }
}
/**
 * Update Option TranslatePress
 * 
 * */
if(!function_exists('claniz_translatepress_configs')){
    add_action('theme_core_ie_after_import', 'claniz_translatepress_configs');
    function claniz_translatepress_configs(){
        $trp_settings = get_option('trp_settings');
        $trp_settings['trp-ls-floater'] = 'no'; // Hide Floating language selection
        $trp_settings['trp-ls-show-poweredby'] = 'no'; // Hide "Powered by TranslatePress"
        update_option( 'trp_settings', $trp_settings );
    }
}

/*
 *  Dashboard Configurations
 */
if (!function_exists('clainz_cpt_dashboard_config')) {
	add_filter('cpt_dashboard_config', 'clainz_cpt_dashboard_config');
	function clainz_cpt_dashboard_config()
	{
		return [
			'documentation_link'  => 'https://7oroof-themes.gitbook.io/claniz-wordpress-theme/',
			'ticket_link'         => 'https://7oroof.com/support/',
			'video_tutorial_link' => 'https://www.youtube.com/channel/UCR57ptzvmUEhJ_jIB7QQavg',
			'demo_link'           => 'https://7oroof.com/tfdemos/clainz/',
		];
	}
}
/*
 *  Dashboard Configurations
 */