<?php
// Add custom field to column
if(!function_exists('claniz_custom_column_params')){
    add_filter('etc-custom-column/custom-params', 'claniz_custom_column_params');
    function claniz_custom_column_params(){
        return array(
            'sections' => array(
                array(
					'name'     => 'custom_section',
					'label'    => esc_html__( 'Custom Settings', 'claniz' ),
					'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
					'controls' => array(
                        // this field hasn't config prefix_class
                        // its value will be handled at claniz_custom_column_classes function
                        // screen shot - http://prntscr.com/tjco9g
                        array(
							'name'    => 'element_display',
							'label'   => esc_html__( 'Element Display Settings', 'claniz' ),
							'type'    => \Elementor\Controls_Manager::SELECT,
							'options' => array(
                                ''           => __( 'Default', 'claniz' ),
                                'vertical'   => __( 'Vertical', 'claniz' ),
                                'horizontal' => __( 'Horizontal', 'claniz' ),
                            ),
                            'control_type' => 'responsive',
                            'label_block'  => true, 
                            'default'      => '',
                            'prefix_class' => 'cms-column-element%s-'
                        )
                    )
                )
            )
        );
    }
}