<?php
/**
 * @since: 1.0.0
 * @author: Chinh Duong Manh
 * @descriptions:
 * @create: April 09, 2021
 */
if (!defined('ABSPATH')) {
    die();
}

class claniz_Mega_Menu_Walker extends Walker_Nav_Menu
{
    /**
     * @see Walker::start_el()
     */
    public function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0)
    {
        $item_html = '';
        $megamenu = apply_filters('cms_enable_megamenu', false);

        if ('[divider]' === $item->title) {
            $output .= '<li class="menu-item-divider"></li>';
            return;
        }

        $extra_menu_custom = apply_filters("cms_menu_edit", array());
        foreach ($extra_menu_custom as $key => $f) {
            $val = get_post_meta($item->ID, '_menu_item_' . $key, true);
            if (!empty($val)) {
                $item->classes[] = $val;
            }
        }
        
        // Menu Scroll
        if (!empty($args->local_scroll) && $depth === 0) {
            $item->classes[] = 'local-scroll';
        }
        // Menu Icon
        $item->cms_icon_position = 'left';
        if (!empty($item->cms_icon)) {
            if ('left' === $item->cms_icon_position) {
                $args->old_link_before = $args->link_before;
                $args->link_before = $args->link_before . '<span class="cms-menu-icon pr-5 empty-none ' . esc_attr($item->cms_icon) . '"></span>';
            } else {
                $args->old_link_after = $args->link_after;
                $args->link_after = '<span class="cms-menu-icon pl-5 empty-none ' . esc_attr($item->cms_icon) . '"></span>'. $args->link_after;
            }
        }
        // children/toggle icon 
        if($args->walker->has_children || (!empty($item->cms_megaprofile) && $megamenu))
        {
            $args->old_link_after = $args->link_after;
            $args->link_after = $args->link_after . '<span class="main-menu-toggle pl-5"></span>';
        }
        
        // megamenu
        if (!empty($item->cms_megaprofile) && $megamenu) {
            $item->classes[] = 'megamenu';
            $item->classes[] = 'menu-item-has-children';
        }   
        // re-build
        parent::start_el($item_html, $item, $depth, $args, $id);
        
        if (isset($args->old_link_before)) {

            $args->link_before = $args->old_link_before;
            $args->old_link_before = '';
        }

        if (isset($args->old_link_after)) {
            $args->link_after = $args->old_link_after;
            $args->old_link_after = '';
        }

        if (!empty($item->cms_megaprofile)) {
            $item_html .= $this->get_megamenu($item->cms_megaprofile);
        }

        $output .= $item_html;
    }

    public function get_megamenu($id)
    {
        $post = get_post($id);
        $content = \Elementor\Plugin::$instance->frontend->get_builder_content( $id );
        $megamenu = apply_filters('cms_enable_megamenu', false);
        if ($megamenu)
            return '<div class="sub-menu"><div class="cms-megamenu-item">' . $content . '</div></div>';
        else
            return false;
    }
}

// add class to link
add_filter('nav_menu_link_attributes', function ($atts, $item) {
    $atts['class'] = 'cms-menu-link';
    return $atts;
}, 10, 2);