<?php
/**
 * All function for footer
*/
/**
 * Footer 
 **/
if(!function_exists('claniz_footer')){
    function claniz_footer()
    {
        if(is_singular('cms-header-top') || is_singular('cms-footer')  || is_singular('cms-mega-menu')) return;
        $footer_layout = claniz_get_opts( 'footer_layout', '1' );
        get_template_part( 'template-parts/footer/footer-layout', $footer_layout );
    }
}
/*
 * Footer css class
*/
if(!function_exists('claniz_footer_css_class')){
    function claniz_footer_css_class($args = []){
        $args = wp_parse_args($args, [
            'class' => ''
        ]);
        $footer_fixed = claniz_get_opts('footer_fixed', '0');
        $css_classes = [
            'cms-footer',
            'relative'
        ];
        if($footer_fixed == '1') $css_classes[] = 'cms-footer-fixed';
        echo trim(implode(' ', $css_classes));
    }
}

/**
 * Footer Copyright
**/
if(!function_exists('claniz_default_copyright_text')){
    function claniz_default_copyright_text($text = '', $args = []){
        $args = wp_parse_args($args, [
            'link_color'       => '',
            'link_hover_color' => ''
        ]);
        if(!empty($text)){
            $default_copyright_text = $text;
        } else {
            $default_copyright_text = sprintf( esc_html__('&copy;%s %s, All Rights Reserved. With Love by %s ','claniz'), date('Y') , get_bloginfo('name'), '<a href="'.esc_url('https://7oroof.com/').'" target="_blank" rel="nofollow" class="'.$args['link_color'].' '.$args['link_hover_color'].'">'.esc_html__('7oroof.com','claniz').'</a>');
        }
        return $default_copyright_text;
    }
}
if(!function_exists('claniz_footer_copyright')){
    function claniz_footer_copyright($args = []){
        $args = wp_parse_args($args, [
            'class' => ''
        ]);
        $classes = ['cms-copyright-text cms-footer-copyright', $args['class']];
    ?>
    <div class="<?php echo trim(implode(' ', $classes));?>">
        <?php echo claniz_get_opts('footer_copyright', claniz_default_copyright_text()); ?>
    </div>
    <?php
    }
}

// Footer Bottom
if(!function_exists('claniz_footer_bottom')){
    function claniz_footer_bottom(){
    ?>
        <div class="cms-footer-bottom">
            <div class="container">
                <div class="row gutters-30 gutters-grid justify-content-between align-items-center">
                    <div class="col-12 col-md-auto text-center text-md-start">
                        <?php claniz_footer_copyright(); ?>
                    </div>
                    <div class="cms-12 col-md-auto text-center text-md-end empty-none"><?php 
                        claniz_render_socials_list([
                            'name'   => 'f_social_list',
                            'before' => '<div class="cms-footer-social cms-socials justify-content-center">',
                            'after'  => '</div>'
                        ]);
                        dynamic_sidebar('sidebar-footer-bottom');
                    ?></div>
                </div>
            </div>
        </div>
    <?php
    }
}
// Foter elementor builder
if(!function_exists('claniz_footer_elementor_builder')){
    function claniz_footer_elementor_builder(){
        $footer_layout = claniz_get_opts('footer_layout', '1');
        if(in_array($footer_layout, ['-1', '0', '1', 'none'])) return;
        $cms_post = get_post($footer_layout);
        if (!is_wp_error($cms_post) && $cms_post->ID == $footer_layout && class_exists('Elementor_Theme_Core')){
            $content = \Elementor\Plugin::$instance->frontend->get_builder_content( $footer_layout );
            if(!empty($content)){
                etc_print_html($content);
            } else {
                etc_print_html($cms_post->post_content);
            }
        }
    }
}

/***
 * Back to top
*/
if(!function_exists('claniz_backtotop')){
    add_action('wp_footer', 'claniz_backtotop',2);
    function claniz_backtotop($args = []){
    $back_totop_on = claniz_get_theme_opt('back_totop_on', true);
    $backtotop_icon = claniz_get_theme_opt('backtotop_icon', 'cmsi-long-arrow-up');
    if ('1' !== $back_totop_on) return;
    ?>
        <a href="#cms-main" class="cms-scroll-top"><span class="cms-scroll-top-arrow cms-scroll-top-icon"><span class="<?php echo esc_attr($backtotop_icon);?>"></span></span></a>
    <?php 
    } 
}