<?php
// make some configs
if(!function_exists('claniz_configs')){
    function claniz_configs($value){
        $body_font    = 'Roboto, sans-serif';
        $heading_font = '\'Barlow\', sans-serif';
        $heading2_font = '\'Caveat\', sans-serif';
        $btn_font     = '\'Roboto\', sans-serif';
        $logo_w = '136px';
        $logo_h = '41px';   
        $logo_w_sm = '49px';
        $logo_h_sm = '41px';

        $header_height = '90';
        $header_width = '320';

        $accent_color = ['accent' => '#1c7bfd', 'darken-accent' => '#0646b2', 'lighten-accent' => '#1c7bfd' ];
        $primary_color = ['primary' => '#063464', 'darken-primary' => '#032259', 'lighten-primary' => '#053485'];
        $secondary_color = ['secondary' => '#28b6f6', 'darken-secondary' => '#22ccfb', 'lighten-secondary' => '#28b6f6'];
        $configs = [
            // color
            'theme_colors' => [
                'accent'    => [
                    'title'   => esc_html__('Accent', 'claniz'),
                    'value'   => [
                        'accent'         => claniz_get_opts('accent_color', $accent_color)['accent'],
                        'darken-accent'  => claniz_get_opts('accent_color', $accent_color)['darken-accent'],
                        'lighten-accent' => claniz_get_opts('accent_color', $accent_color)['lighten-accent']
                    ]
                ],
                'primary'   => [
                    'title' => esc_html__('Primary', 'claniz'), 
                    'value' => [
                        'primary'         => claniz_get_opts('primary_color', $primary_color)['primary'],
                        'darken-primary'  => claniz_get_opts('primary_color', $primary_color)['darken-primary'],
                        'lighten-primary' => claniz_get_opts('primary_color', $primary_color)['lighten-primary']
                    ]
                ],
                'secondary' => [
                    'title' => esc_html__('Secondary', 'claniz'), 
                    'value' => [
                        'secondary'         => claniz_get_opts('secondary_color', $secondary_color)['secondary'],
                        'darken-secondary'  => claniz_get_opts('secondary_color', $secondary_color)['darken-secondary'],
                        'lighten-secondary' => claniz_get_opts('secondary_color', $secondary_color)['lighten-secondary']
                    ]
                ],
                'thirdary' => [
                    'title' => esc_html__('Thirdth Color', 'claniz').' ('.claniz_get_opts('thirdth_color', '#2983fd').')', 
                    'value' => claniz_get_opts('thirdth_color', '#2983fd')
                ],
                'rating' => [
                    'title' => esc_html__('Rating', 'claniz').' ('.claniz_get_opts('rating_color', '#ffc400').')', 
                    'value' => claniz_get_opts('rating_color', '#ffc400')
                ],
                'heading' => [
                    'title' => esc_html__('Heading', 'claniz').' ('.claniz_get_opts('heading_color', '#05213f').')', 
                    'value' => claniz_get_opts('heading_color', '#05213f')
                ],
                'body'     => [
                    'title' => esc_html__('Body', 'claniz').' ('.claniz_get_opts('body_color', '#8e949e').')', 
                    'value' => claniz_get_opts('body_color', '#8e949e')
                ],
                'white'     => [
                    'title' => esc_html__('White', 'claniz'), 
                    'value' => '#ffffff' 
                ],
                'yellow'     => [
                    'title' => esc_html__('Yellow', 'claniz'), 
                    'value' => '#ffe753' 
                ],
                'bgrtransparent'     => [
                    'title' => esc_html__('Transparent', 'claniz'), 
                    'value' => 'transparent' 
                ],
                'footercolor'     => [
                    'title' => esc_html__('Custom 1 (#cdd5dd)', 'claniz'), 
                    'value' => '#cdd5dd' 
                ],
                'custom-2'  => [
                    'title' => esc_html__('Custom 2 (#9aaabb)','claniz'),
                    'value' => '#9aaabb'
                ],
                'custom-3'  => [
                    'title' => esc_html__('Custom 3 (#1e4873)','claniz'),
                    'value' => '#1e4873'
                ],
                'custom-4'  => [
                    'title' => esc_html__('Custom 4 (#1d65b9)','claniz'),
                    'value' => '#1d65b9'
                ],
                'custom-5'  => [
                    'title' => esc_html__('Custom 5 (#cedbeb)','claniz'),
                    'value' => '#cedbeb'
                ],
                'custom-6'  => [
                    'title' => esc_html__('Custom 6 (#084e9f)','claniz'),
                    'value' => '#084e9f'
                ],
                'custom-7'  => [
                    'title' => esc_html__('Custom 7 (#e6eaef)','claniz'),
                    'value' => '#e6eaef'
                ],
                'custom-8'  => [
                    'title' => esc_html__('Custom 8 (#e8f2ff)','claniz'),
                    'value' => '#e8f2ff'
                ]   
            ],
            'link_color' => [
                'regular' => claniz_get_opts('link_color', ['regular' => 'var(--color-accent)'])['regular'],
                'hover'   => claniz_get_opts('link_color', ['hover' => 'var(--color-darken-secondary)'])['hover'],
                'active'  => claniz_get_opts('link_color', ['active' => 'var(--color-darken-secondary)'])['active'],
            ],
            // spacing (use for: padding, margin, row gutters, ...)
            'theme_spacings' => [],
            // logo
            'logo' => [
                'width'     => claniz_get_opts('logo_size', ['width' => $logo_w, 'height' => $logo_h])['width'],
                'height'    => claniz_get_opts('logo_size', ['width' => $logo_w, 'height' => $logo_h])['height'],
                //'units'     => claniz_get_opts('logo_size', ['units' => 'px'])['units'],
                'width-sm'  => claniz_get_opts('logo_size_sm', ['width' => $logo_w_sm, 'height' => $logo_h_sm])['width'],
                'height-sm' => claniz_get_opts('logo_size_sm', ['width' => $logo_w_sm, 'height' => $logo_h_sm])['height'],
                'default'   => get_template_directory_uri().'/assets/images/logo/logo.png',  
                'ontop'     => get_template_directory_uri().'/assets/images/logo/logo-ontop.png',  
                'sticky'    => get_template_directory_uri().'/assets/images/logo/logo-sticky.png',  
                'mobile'    => get_template_directory_uri().'/assets/images/logo/logo-mobile.png',  
            ],
            // Blog 
            'blog' => [
                'archive_content_col' => 8,
                'archive_sidebar_pos' => 'right',
                'single_content_col'  => 8,
                'single_sidebar_pos'  => 'right',
            ],
            // single post
            'single_post' => [
                'title_layout' => '10'
            ],
            // single product
            'single_product' => [
                'title_layout' => '10'
            ],
            // body typo
            'body' => [
                'bg'                => '#fff',
                'font-family'       => claniz_get_opts('body_font_typo',['font_family' => $body_font])['font_family'],
                'font-size'         => '15px',
                'font-weight'       => substr(claniz_get_opts('body_font_typo',['font_style' => '400normal'])['font_style'],0,3),
                'font-style'        => substr(claniz_get_opts('body_font_typo',['font_style' => '400normal'])['font_style'], 3),
                'font-color'        => 'var(--color-body)',
                'line-height'       => '1.66666667',
                'font-size-large'   => '17px',
                'font-size-medium'  => '16px',
                'font-size-small'   => '13px',
                'font-size-xsmall'  => '12px',
                'font-size-xxsmall' => '11px',
            ],
            // heading type
            'heading' => [
                // default
                'h1-size'          => '36px',
                'h2-size'          => '30px',
                'h3-size'          => '24px',
                'h4-size'          => '20px',
                'h5-size'          => '18px',
                'h6-size'          => '16px',
                'font-family'      => claniz_get_opts('heading_font_typo',['font_family' => $heading_font])['font_family'],
                'font-color'       => 'var(--color-primary)',
                'font-color-hover' => 'var(--color-primary)',
                'font-weight'      => substr(claniz_get_opts('heading_font_typo',['font_style' => '700normal'])['font_style'],0,3),
                'font-style'       => substr(claniz_get_opts('heading_font_typo',['font_style' => '700normal'])['font_style'],3),
                'line-height'      => 1.375,
                'letter-spacing'   => 0,
                
            ],
            'heading2' => [
                // default
                'font-family'      => claniz_get_opts('heading2_font_typo',['font_family' => $heading2_font])['font_family'],
            ],
            // button 
            'button' => [
                'font-family'       => claniz_get_opts('btn_typo',['font-family' => $btn_font])['font-family'],
                'font-size'         => claniz_get_opts('btn_typo',['font-size' => '15px'])['font-size'],
                'font-weight'       => claniz_get_opts('btn_typo',['font-weight' => '700'])['font-weight'],
                'font-color'        => claniz_get_opts('btn_typo',['color' => 'var(--color-white)'])['color'],
                'letter-spacing'    => claniz_get_opts('btn_typo',['letter-spacing' => '0'])['letter-spacing'],
                'border'            => '0',
                'border-color'      => '#000',
                'radius'            => '0',     
                'radius-rtl'        => '0',
            ],
            // meta 
            'meta' => [
                'font-family'           => $body_font,
                'font-size'             => '13px',   
                'font-color'            => claniz_get_opts('meta_color', 'var(--color-body)'),    
                'font-color-hover'      => 'var(--color-accent)',
                'font-weight'           => '400',
                'separate-color'        => 'var(--border-color)'
            ],
            // border
            'border' => [
                'color'          => '#eaeaea',
                'color2'         => '#bcbcbc',
                'main'           => '1px solid var(--border-color)', 
                'main2'          => '2px solid var(--border-color)',
            ],
            // shadow 
            'shadow' => [
                '1x'  => '0px 5px 83px 0px rgba(27, 26, 26, 0.12)',
                '1'  => '0px 5px 83px 0px rgba(9, 29, 62, 0.15)', 
                '2'  => '0px 7px 20px 0px rgba(235, 237, 241, 1)',
                '3'  => '0px 5px 83px 0px rgba(3, 43, 86, 0.13)',
                '4'  => '0px 5px 83px 0px rgba(3, 43, 86, 0.12)',
                '5'  => '0px 5px 83px 0px rgba(3, 43, 86, 0.1)',
                '6'  => '0px 5px 83px 0px rgba(3, 43, 86, 0.15)',
                '7'  => '0px 5px 83px 0px rgba(3, 43, 86, 0.3)'
            ],
            // Radius
            'radius'    => [
                '2'  => '2px',
                '4'  => '4px',
                '5'  => '5px',
                '6'  => '6px',
                '7'  => '7px',
                '8'  => '8px',
                '12' => '12px',
                '24' => '24px'
            ],
            // Gradient
            'gradient' => [],

            // thumbnail size
            'thumbnail' => [
                'large_size_w'                   => 840,
                'large_size_h'                   => 575,
                'medium_large_size_w'            => 770,
                'medium_large_size_h'            => 527,
                'medium_size_w'                  => 570,
                'medium_size_h'                  => 390,
                'thumbnail_size_w'               => 60,
                'thumbnail_size_h'               => 80,
                'post_thumbnail_size_w'          => 1280,
                'post_thumbnail_size_h'          => 575,    
            ],
            // comments
            'comment' => [
                'avatar-size'  => 100,
                'border'       => '0',
                'radius'       => '0' 
            ],
            // Header 
            'header' => [
                'height' => claniz_get_opts('header_height', ['height' => $header_height])['height'].'px', // use for default header
                'width'  => claniz_get_opts('header_width', ['width' => $header_width])['width'].'px' // use for sidebar header
            ],
            // Menu Color
            'menu' => array_merge(
                ['bg'            => '#fff'],
                claniz_get_opts('main_menu_color', [
                    'regular' => 'var(--color-primary)',
                    'hover'   => 'var(--color-darken-secondary)',
                    'active'  => 'var(--color-darken-secondary)', //color-darken-secondary
                ]),
                [
                    'font-size'   => '15px',
                    'font-weight' => 700,
                    'font-family' => 'var(--body-font-family)' 
                ]
            ),
            // Menu Ontop Color
            'ontop' => array_merge(
                ['bg'            => 'transparent'],
                claniz_get_opts('ontop_menu_color', [
                    'regular' => 'var(--color-white)',
                    'hover'   => 'var(--color-white)',
                    'active'  => 'var(--color-white)'
                ])
            ),
            // Menu Sticky Color
            'sticky' => array_merge(
                ['bg'            => 'var(--color-white)'],
                claniz_get_opts('sticky_menu_color', [
                    'regular' => 'var(--color-primary)',
                    'hover'   => 'var(--color-accent)',
                    'active'  => 'var(--color-accent)'
                ])
            ),
            // Dropdown
            'dropdown' => array_merge(
                [
                    'bg'            => 'var(--color-white)',
                    'shadow'        => '0px 5px 83px 0px rgba(3, 43, 86, 0.13)'
                ],
                claniz_get_opts('dropdown_menu_color', [
                    'regular' => 'var(--color-body)',
                    'hover'   => 'var(--color-accent)',
                    'active'  => 'var(--color-accent)'
                ]),
                [
                    'font-size'     => '14px',  
                    'item-bg'       => 'transparent',
                    'item-bg-hover' => 'transparent'
                ]
            ),
            // Page title
            'ptitle' => array_merge(
                [
                    'layout'      => '1',
                    'font-weight' => 700,
                    'color'       =>  claniz_get_opts('ptitle_color', 'white')
                ],
                claniz_get_opts('ptitle_bg', [
                    'background-color'      => '#999',
                    'background-image'      => 'none',
                    'background-repeat'     => 'no-repeat',
                    'background-size'       => 'cover',
                    'background-attachment' => 'scroll',
                    'background-position'   => 'center'  
                ])
            ),
            'ptitle_overlay' => claniz_get_opts('ptitle_overlay_color','rgba(3, 43, 86, 0.15)'),
            'ptitle_breadcrumb' => claniz_get_opts('ptitle_breadcrumb_link_color', [
                'regular' => 'var(--color-white)', 
                'hover'   => 'var(--color-accent)', 
                'active'  => 'var(--color-white)'
            ]),
            // Single Page title
            'single_ptitle' => array_merge(
                [
                    'layout'      => '1',
                    'font-weight' => 700,
                    'color'       => claniz_get_opts('single_ptitle_color', 'white')
                ],
                claniz_get_opts('single_ptitle_bg', [
                    'background-color'      => 'transparent',
                    'background-image'      => 'none',
                    'background-repeat'     => 'no-repeat',
                    'background-size'       => 'cover',
                    'background-attachment' => 'scroll',
                    'background-position'   => 'center'
                ])
            ),
            'single_ptitle_overlay' => claniz_get_opts('single_ptitle_overlay_color', 'rgba(3, 43, 86, 0.15)'),
            'single_ptitle_breadcrumb' => claniz_get_opts('single_ptitle_breadcrumb_link_color', [
                'regular' => 'var(--color-darken_primary)', 
                'hover'   => 'var(--color-darken_primary)', 
                'active'  => 'var(--color-accent)'
            ]),
            // 404 page
            '404' => [
                'background' => claniz_get_opts('bg_404_page', [
                    'background-repeat'     => 'no-repeat',
                    'background-size'       => 'cover',
                    'background-attachment' => 'fixed',
                    'background-position'   => 'center center'
                ])
            ],
            // google font
            'google_fonts'          => 'Barlow:wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap',
            'content_width'         => 1280,          
            // WooCommerce,
            'claniz_product_single_image_w'          => '600',
            'claniz_product_single_image_h'          => '600',
            
            'claniz_product_loop_image_w'            => '600',
            'claniz_product_loop_image_h'            => '600',

            'claniz_product_gallery_layout'          => 'default', // simplle, default, horizontal, vertical
            'claniz_product_gallery_thumb_position'  => 'bottom', // bottom, left, right

            'claniz_product_gallery_thumbnail_w'     => '120',
            'claniz_product_gallery_thumbnail_h'     => '120',
            
            'claniz_product_gallery_thumbnail_v_w'   => '120',
            'claniz_product_gallery_thumbnail_v_h'   => '120',
            
            'claniz_product_gallery_thumbnail_h_w'   => '120',
            'claniz_product_gallery_thumbnail_h_h'   => '120',
            
            'claniz_product_gallery_thumbnail_space_vertical'   => '10',
            'claniz_product_gallery_thumbnail_space_horizontal' => '10',

            // API 
            'api' => [
                'google' => claniz_get_theme_opt('gm_api_key', 'AIzaSyC08_qdlXXCWiFNVj02d-L2BDK5qr6ZnfM')
            ],
        ];
        return $configs[$value];
    }
}

if(!function_exists('claniz_hex_to_rgb')){
    function claniz_hex_to_rgb($color) {
     
        $default = '0,0,0';
     
        //Return default if no color provided
        if(empty($color))
            return $default; 
     
        //Sanitize $color if "#" is provided 
        if ($color[0] == '#' ) {
            $color = substr( $color, 1 );
        }

        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
            $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
        } elseif ( strlen( $color ) == 3 ) {
            $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
        } else {
            return $default;
        }

        //Convert hexadec to rgb
        $rgb =  array_map('hexdec', $hex);

        $output = implode(",",$rgb);

        //Return rgb(a) color string
        return $output;
    }
}
/**
 *
 * Get Theme Color
 *
 * @return array
 */
function claniz_theme_colors(){
    $_theme_color = claniz_configs('theme_colors');
    $theme_color = [];
    foreach ($_theme_color as $key => $color) {
        $key = str_replace('#', '', $key);
        if(is_array($color['value'])){
            foreach ($color['value'] as $color_key => $color_value) {
                $theme_color[$color_key] = $color_value;
            }
        } else {
            $theme_color[$key] = $color['value'];
        }
    }
    return $theme_color;
}

/**
 *
 * Get Theme Custom Color
 *
 * @return array
 */
function claniz_custom_colors(){
    $custom_color = claniz_get_opts('custom_color', []);
    $claniz_custom_colors = [];
    foreach ($custom_color as $color) {
        $_custom_color = explode('|', $color);
        $claniz_custom_colors[$_custom_color[1]] = [
            'title' => $_custom_color[0]. ' ('.$_custom_color[1].')',
            'value' => $_custom_color[1]
        ];
    }
    return $claniz_custom_colors;
}

if(!function_exists('claniz_inline_styles')){
    function claniz_inline_styles() {
        ob_start();
        // CSS Variable
        $theme_colors      = array_merge(claniz_theme_colors(), claniz_custom_colors());
        $link_color        = claniz_configs('link_color');
        $body              = claniz_configs('body');
        $logo              = claniz_configs('logo');
        $header            = claniz_configs('header');
        $menu              = claniz_configs('menu');
        $ontop             = claniz_configs('ontop');
        $sticky            = claniz_configs('sticky');
        $dropdown          = claniz_configs('dropdown');

        $ptitle            = claniz_configs('ptitle');
        $ptitle_overlay    = claniz_configs('ptitle_overlay');
        $ptitle_breadcrumb = claniz_configs('ptitle_breadcrumb');

        $single_ptitle            = claniz_configs('single_ptitle');
        $single_ptitle_overlay    = claniz_configs('single_ptitle_overlay');
        $single_ptitle_breadcrumb = claniz_configs('single_ptitle_breadcrumb');

        $heading           = claniz_configs('heading');
        $heading2          = claniz_configs('heading2');
        $meta              = claniz_configs('meta');
        $border            = claniz_configs('border');
        $comment           = claniz_configs('comment');
        $gradient          = claniz_configs('gradient');
        unset($logo['default']);
        unset($logo['ontop']);
        unset($logo['sticky']);
        unset($logo['mobile']);
        unset($ptitle['media']);

        echo ':root{';
            // color rgb
            foreach ($theme_colors as $color => $value) {
                printf('--color-%1$s-rgb: %2$s;', str_replace('#', '',$color),  claniz_hex_to_rgb($value));
            }
            // color hex
            foreach ($theme_colors as $color => $value) {
                printf('--color-%1$s: %2$s;', str_replace('#', '',$color),  $value);
            }
            foreach ($link_color as $color => $value) {
                printf('--link-%1$s-color: %2$s;', $color, $value);
            }
            foreach ($body as $key => $value) {
                printf('--body-%1$s: %2$s;', $key, $value);
            }
            foreach ($header as $key => $value) {
                printf('--header-%1$s: %2$s;', $key, $value);
            }
            foreach ($menu as $key => $value) {
                printf('--menu-%1$s: %2$s;', $key, $value);
            }
            foreach ($ontop as $key => $value) {
                printf('--ontop-%1$s: %2$s;', $key, $value);
            }
            foreach ($sticky as $key => $value) {
                printf('--sticky-%1$s: %2$s;', $key, $value);
            }
            foreach ($dropdown as $key => $value) {
                printf('--dropdown-%1$s: %2$s;', $key, $value);
            }
            foreach ($ptitle as $key => $value) {
                if($key === 'background-image' && $value !== 'none') $value = 'url('.$value.')';
                printf('--ptitle-%1$s: %2$s;', $key, $value);
            }
            if(is_array($ptitle_overlay)) {
                foreach ($ptitle_overlay as $key => $value) {
                    printf('--ptitle-overlay-%1$s: %2$s;', $key, $value);
                }
            } else {
                printf('--ptitle-overlay-color: %1$s;', $ptitle_overlay);
                printf('--ptitle-overlay-rgba: %1$s;', $ptitle_overlay);
            }
            foreach ($ptitle_breadcrumb as $key => $value) {
                printf('--ptitle-breadcrumb-%1$s: %2$s;', $key, $value);
            }

            foreach ($single_ptitle as $key => $value) {
                if($key === 'background-image' && $value !== 'none') $value = 'url('.$value.')';
                printf('--single-ptitle-%1$s: %2$s;', $key, $value);
            }
            if(is_array($single_ptitle_overlay)){
                foreach ($single_ptitle_overlay as $key => $value) {
                    printf('--single-ptitle-overlay-%1$s: %2$s;', $key, $value);
                }
            } else {
                printf('--single-ptitle-overlay-rgba: %1$s;', $single_ptitle_overlay);
            }
            foreach ($single_ptitle_breadcrumb as $key => $value) {
                printf('--single-ptitle-breadcrumb-%1$s: %2$s;', $key, $value);
            }

            foreach ($heading as $key => $value) {
                if(!is_array($value)){
                    printf('--heading-%1$s: %2$s;', $key, $value);
                } else {
                    foreach ($value as $_key => $_value) {
                        printf('--heading-%3$s-%1$s: %2$s;', $_key, $_value, str_replace('_', '-', $key));
                    }
                }
            }

            foreach ($heading2 as $key => $value) {
                if(!is_array($value)){
                    printf('--heading2-%1$s: %2$s;', $key, $value);
                } else {
                    foreach ($value as $_key => $_value) {
                        printf('--heading2-%3$s-%1$s: %2$s;', $_key, $_value, str_replace('_', '-', $key));
                    }
                }
            }

            foreach ($meta as $key => $value) {
                printf('--meta-%1$s: %2$s;', $key, $value);
            }
            foreach ($border as $key => $value) {
                printf('--border-%1$s: %2$s;', $key, $value);
            }
            foreach ($comment as $key => $value) {
                printf('--comment-%1$s: %2$s;', $key, $value);
            }
            foreach ($logo as $key => $value) {
                printf('--logo-%1$s:%2$s;', $key, $value);
            }
            foreach ($gradient as $key => $value) {
                printf('--gradient-%1$s:%2$s;', $key, $value);
            }
        echo '}';
        return ob_get_clean();
    }
}
if(!function_exists('claniz_elementor_theme_color_opts')){
    function claniz_elementor_theme_color_opts($args = []){
        $args = wp_parse_args($args, [
            'custom' => true
        ]);
        $theme_colors = wp_parse_args(claniz_custom_colors(), claniz_configs('theme_colors'));
        $option = ['' => esc_html('Default', 'claniz')];
        foreach ($theme_colors as $key => $color) {
            $key = str_replace('#', '', $key);
            if(is_array($color['value'])){
                foreach ($color['value'] as $color_key => $color_value) {
                    $option[$color_key] = str_replace(['#', '-', '_'], ' ', $color_key).' ('.$color_value.')';
                }
            } else {
                $option[$key] = $color['title'];
            }
        }
        if($args['custom']) $option['custom'] = esc_html('Custom', 'claniz');
        return $option;
    }
}