<?php
/**
 * Colors 
*/
if(!function_exists('claniz_colors_opts')){
	function claniz_colors_opts($args = []){
		$default = [
			'accent_color' => array(
			    'type'    => Theme_Core_Options::COLOR_SET_FIELD,
			    'title'   => esc_html__('Accent Color', 'claniz'),
			    'options' => [
					'accent'        => 'Default',
					'darken-accent' => 'Darken',
					'lighten-accent'  => 'Lighten'
			    ],
			    'default' => [
					'accent'        => '',
					'darken-accent' => '',
					'lighten-accent'  => ''
			    ],
			),
			'primary_color' => array(
			    'type'    => Theme_Core_Options::COLOR_SET_FIELD,
			    'title'   => esc_html__('Primary Color', 'claniz'),
			    'options' => [
					'primary'        => 'Default',
					'darken-primary' => 'Darken',
					'lighten-primary'  => 'Lighten'
			    ],
			    'default' => [
					'primary'        => '',
					'darken-primary' => '',
					'lighten-primary'  => ''
			    ],
			),
			'secondary_color' => array(
			    'type'    => Theme_Core_Options::COLOR_SET_FIELD,
			    'title'   => esc_html__('Secondary Color', 'claniz'),
			    'options' => [
					'secondary'        => 'Default',
					'darken-secondary' => 'Darken',
					'lighten-secondary'  => 'Lighten'
			    ],
			    'default' => [
					'secondary'        => '',
					'darken-secondary' => '',
					'lighten-secondary'  => ''
			    ],
			),
	        'rating_color' => [
	            'type'        => Theme_Core_Options::COLOR_FIELD,
	            'title'       => esc_html__('Rating Color', 'claniz'),
	        ],
	        'body_color' => [
	            'type'        => Theme_Core_Options::COLOR_FIELD,
	            'title'       => esc_html__('Body Color', 'claniz'),
	        ],
	        'heading_color' => [
	            'type'        => Theme_Core_Options::COLOR_FIELD,
	            'title'       => esc_html__('Heading Color', 'claniz'),
	        ],
	        'meta_color' => [
	            'type'        => Theme_Core_Options::COLOR_FIELD,
	            'title'       => esc_html__('Meta Color', 'claniz')
	        ],
	        /*'custom_color' => [
	            'id'          => 'custom_color',
	            'type'        => 'multi_text',
	            'title'       => esc_html__('Custom Color', 'claniz'),
	            'subtitle'    => esc_html__('Add your Custom Color', 'claniz'),
	            'description' => esc_html__('Structure: Title|Color_Value . Example:  Pink|pink or Pink|#ff00ff)', 'claniz'),
	            'show_empty'  => false,
	            'add_text'    => esc_html__('Add color','claniz'),
	        ]*/
	    ];

	    $link_color = [
	    	'link_color' => [
	            'type'        => Theme_Core_Options::LINK_COLOR_FIELD,
	            'title'       => esc_html__('Link Color', 'claniz'),
	            'visited'     => true
	        ]
	    ];

	    return [
			'title'  => esc_html__('Colors', 'claniz'),
			'fields' => array_merge($default, $args, $link_color)
		];
	}
}
/**
 * Typography
**/
if(!function_exists('claniz_typography_opts')){
	function claniz_typography_opts($args = []){
		$default = [
	        'body_font' => [
				'type'        => Theme_Core_Options::SELECT_FIELD,
				'title'       => esc_html__('Body Font', 'claniz'),
				'options'     => [
					'default' => esc_html__('Default', 'claniz'),
					'custom'  => esc_html__('Custom', 'claniz'),
				],
				'default'     => 'default'
            ],
            'body_font_typo' => [
				'type'     => Theme_Core_Options::TYPOGRAPHY_FIELD,
				'title'    => esc_html__('Body Custom Font', 'claniz'),
				'subtitle' => esc_html__('This will be the default font of your website.', 'claniz'),
                'required' => [
                    'body_font',
                    '=',
                    'custom'
                ],
				'font_backup'  => false,
				'font_subsets' => false,
				'font_style'   => true,	
				'line_height'  => false,
				'font_size'	   => false,
				'color'        => false,
				'output'         => ['body']
            ],
            'heading_font' => [
				'type'    => Theme_Core_Options::SELECT_FIELD,
				'title'   => esc_html__('Heading Default Font', 'claniz'),
				'options' => [
					'default' => esc_html__('Default', 'claniz'),
					'custom'  => esc_html__('Google Font', 'claniz'),
                ],
                'default' => 'default'
            ],
            'heading_font_typo' => [
				'type'     => Theme_Core_Options::TYPOGRAPHY_FIELD,
				'title'    => esc_html__('Heading', 'claniz'),
				'subtitle' => esc_html__('This will be the default font for all Heading tags of your website.', 'claniz'),
				'output'   => [
                    'h1,h2,h3,h4,h5,h6',
                    '.h1,.h2,.h3,.h4,.h5,.h6',
                    '.heading',
                    '.cms-heading'
                ],
                'required' => [
                    'heading_font',
                    '=',
                    'custom',
                ],
                'font_backup'  => false,
				'font_subsets' => false,
				'font_style'   => true,
				'line_height'  => false,
				'font_size'	   => false,
				'color'        => false,	
            ]
	    ];
	    return [
			'title'  => esc_html__('Typographys', 'claniz'),
			'fields' => array_merge($default, $args)
		];
	}
}

/**
 * Header Top
*/
if(!function_exists('claniz_header_top_opts')){
	function claniz_header_top_opts($args=[]){
		if(!class_exists('Elementor_Theme_Core')) return [
			'title'  => esc_html__('This option require plugin: Elementor Theme Core','claniz'),
			'fields' => []
		];
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => '0'
		]);
		if($args['default']){
			$options = [
				'-1' => esc_html__('Default','claniz'),
                '1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$header_top_layout_default = '-1';
		} else {
			$options = [
				'1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$header_top_layout_default = '';
		}
		$opts = [
			'title'      => esc_html__('Header Top', 'claniz'),
		    'fields'     => [
		        'header_top_layout' => [
					'type'        => Theme_Core_Options::IMAGE_SELECT_FIELD,
					'title'       => esc_html__('Layout', 'claniz'),
					'subtitle'    => esc_html__('Select a layout for upper header top area.', 'claniz'),
					'description' => sprintf(esc_html__('%sClick Here%s to add your custom Header Top layout first.','claniz'),'<a href="' . esc_url( admin_url( 'edit.php?post_type=cms-header-top' ) ) . '" target="_blank">','</a>'),
					'placeholder' => esc_html__('Default','claniz'),
					'options'     => claniz_list_post_thumbnail('cms-header-top', $args['default']),
					'default'     => $header_top_layout_default,
                ]
		    ]
		];
		return $opts;
	}
}
/**
 * Header 
**/
if(!function_exists('claniz_header_opts')){
	function claniz_header_opts($args=[]){
		$args = wp_parse_args($args,[
			'default'         => false,
			'default_value'   => '1',
			'container_width' => 'container'
		]);
		$opt_default = [
			'-1' => get_template_directory_uri() . '/assets/images/default-opt/default.jpg',
			'0'    => get_template_directory_uri() . '/assets/images/default-opt/none.jpg'
		];
		$opt_list = [
			'1' => get_template_directory_uri() . '/assets/images/header-layout/h1.png',
			'2' => get_template_directory_uri() . '/assets/images/header-layout/h2.png',
			'3' => get_template_directory_uri() . '/assets/images/header-layout/h3.png',
			'4' => get_template_directory_uri() . '/assets/images/header-layout/h4.jpg'
		];
		$header_container_width_default = [
			'-1'    => esc_html__('Theme Default', 'claniz')
		];
		$header_container_width_list = [
			'container'      => esc_html__('Main', 'claniz'),
			'container-wide' => esc_html__('Wide', 'claniz'),
			'container-full' => esc_html__('Full', 'claniz'),
		];
		if($args['default']){
			$opt_lists = $opt_default +  $opt_list;
			$header_container_width_opts = $header_container_width_default + $header_container_width_list;
		} else {
			$opt_lists = $opt_list;
			$header_container_width_opts = $header_container_width_list;
		}

		$opts = array(
		    'title'  => esc_html__('Header Layout', 'claniz'),
		    'fields' => array(
		        'header_layout' => array(
		            'type'     => Theme_Core_Options::IMAGE_SELECT_FIELD,
		            'title'    => esc_html__('Layout', 'claniz'),
		            'subtitle' => esc_html__('Select a layout for header.', 'claniz'),
		            'options'  => $opt_lists,
		            'default'  => $args['default_value']
		        ),
		        'header_layout_width' => array(
		            'id'       => 'header_layout_width',
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
		            'title'    => esc_html__('Header Container Width', 'claniz'),
		            'subtitle' => esc_html__('Choose your header container width', 'claniz'),
		            'options'  => $header_container_width_opts,
		            'default'  => $args['container_width']
		        ),
		        'header_height' => array(
		            'type'     => Theme_Core_Options::DIMENSIONS_FIELD,
		            'title'    => esc_html__('Header Height', 'claniz'),
		            'subtitle' => esc_html__('Enter Height for header. Leave blank to use default', 'claniz'),
		            'width'    => false,
		            'unit'     => 'px'
		        ),
		    )
		);
		return $opts;
	}
}
if(!function_exists('claniz_header_logo_opts')){
	function claniz_header_logo_opts($args = []){
		$args = wp_parse_args($args, []);
		return array(
		    'title'      => esc_html__('Logo', 'claniz'),
		    'fields'     => array(
		        'logo' => array(
		            'type'     => Theme_Core_Options::MEDIA_FIELD,
		            'title'    => esc_html__('Main Logo', 'claniz')
		        ),
		        'logo_ontop' => array(
		            'type'     => Theme_Core_Options::MEDIA_FIELD,
		            'title'    => esc_html__('Ontop Logo', 'claniz')
		        ),
		        'logo_sticky' => array(
		            'type'     => Theme_Core_Options::MEDIA_FIELD,
		            'title'    => esc_html__('Stick Logo', 'claniz')
		        ),
		        'logo_mobile' => array(
		            'type'     => Theme_Core_Options::MEDIA_FIELD,
		            'title'    => esc_html__('Tablet & Mobile Logo', 'claniz')
		        ),
		        'logo_size' => array(
		            'type'     => Theme_Core_Options::DIMENSIONS_FIELD,
		            'title'    => esc_html__('Logo Size', 'claniz'),
		            'subtitle' => esc_html__('Enter dimensions for your logo, just in case the logo is too large. Leave blank to use default size from theme', 'claniz'),
		            'unit'     => 'px'
		        ),
		        'logo_size_sm' => array(
		            'type'     => Theme_Core_Options::DIMENSIONS_FIELD,
		            'title'    => esc_html__('Enter dimensions for your logo on Tablet & Mobile', 'claniz'),
		            'unit'     => 'px'
		        ),
		    )
		);
	}
}
/**
 * Header OnTop (Transparent)
**/
if(!function_exists('claniz_header_ontop_opts')){
	function claniz_header_ontop_opts($args = []){
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => '1'
		]);
		if($args['default']){
			$options = [
				'-1' => esc_html__('Default','claniz'),
                '1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$default_value = '-1';
		} else {
			$options = [
				'1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$default_value = '0';
		}
		return array(
		    'title'      => esc_html__('Header OnTop (Transparent)', 'claniz'),
		    'fields'     => array(
		        'header_ontop' => array(
		            'title'    => esc_html__('OnTop Header', 'claniz'),
		            'subtitle' => esc_html__('Header will be overlay on next content when applicable.', 'claniz'),
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
                    'options'  => $options,
                    'default'  => $default_value,
		        ),
		        'header_ontop_bg' => array(
					'type'     => Theme_Core_Options::BACKGROUND_FIELD,
					'title'    => esc_html__('Background', 'claniz'),
					'output'   => array('.cms-header.is-ontop.header-ontop'),
					'required' => array( 0 => 'header_ontop', 1 => '=', 2 => '1' ),
		        ),
		    )
		);
	}
}
/**
 * Header Sticky
**/
if(!function_exists('claniz_header_sticky_opts')){
	function claniz_header_sticky_opts($args = []){
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => '1',
			'subsection'    => true
		]);
		if($args['default']){
			$options = [
				'-1' => esc_html__('Default','claniz'),
                '1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$default_value = '-1';
		} else {
			$options = [
				'1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$default_value = '0';
		}
		return array(
		    'title'      => esc_html__('Header Sticky', 'claniz'),
		    'fields'     => array(
		        'sticky_on' => array(
		            'title'    => esc_html__('Sticky Header', 'claniz'),
		            'subtitle' => esc_html__('Header will be sticked when applicable.', 'claniz'),
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
                    'options'  => $options,
                    'default'  => $default_value,
		        ),
		        'header_sticky_bg' => array(
					'type'     => Theme_Core_Options::BACKGROUND_FIELD,
					'title'    => esc_html__('Background', 'claniz'),
					'output'   => array('.cms-header.is-sticky.header-sticky'),
					'required' => array( 0 => 'sticky_on', 1 => '=', 2 => '1' )
		        ),
		    )
		);
	}
}

/**
 * Header Navigation 
**/
if(!function_exists('claniz_navigation_opts')){
	function claniz_navigation_opts($args=[]){
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => '1'
		]);
		if($args['default']){
			$menus = ['-1' => esc_html__('Theme Options','claniz')] + claniz_get_nav_menu();
			$default_menu  = '-1';
		} else {
			$menus = claniz_get_nav_menu();
			$default_menu  = '0';
		}
		$opts = array(
		    'title'      => esc_html__('Navigation', 'claniz'),
		    'fields'     => array(
		    	'primary_menu' => array(
		    		'type'		  => Theme_Core_Options::SELECT_FIELD,
					'title'       => esc_html__('Choose Menu', 'claniz'),
					'placeholder' => esc_html__('Choose your menu', 'claniz'),
					'options'     => $menus,
					'default'     => $default_menu
                ),
		        'main_menu' => array(
					'type'   => Theme_Core_Options::HEADING_FIELD,
					'title'  => esc_html__('Main Menu', 'claniz')
		        ),
		        'main_menu_color' => array(
		            'type'    => Theme_Core_Options::LINK_COLOR_FIELD,
		            'title'   => esc_html__('Color', 'claniz')
		        ),
		        'ontop_menu' => array(
		        	'type'   => Theme_Core_Options::HEADING_FIELD,
					'title'  => esc_html__('Ontop Menu', 'claniz')
		        ),
		        'ontop_menu_color' => array(
		            'type'    => Theme_Core_Options::LINK_COLOR_FIELD,
		            'title'   => esc_html__('Color', 'claniz')
		        ),
		        'sticky_menu' => array(
		        	'type'   => Theme_Core_Options::HEADING_FIELD,
					'title'  => esc_html__('Sticky Menu', 'claniz')
		        ),
		        'sticky_menu_color' => array(
		            'type'    => Theme_Core_Options::LINK_COLOR_FIELD,
		            'title'   => esc_html__('Color', 'claniz')
		        )
		    )
		);
		return $opts;
	}
}
/**
 * Header Secondary Menu 
**/
if(!function_exists('claniz_header_secondary_menu_opts')){
	function claniz_header_secondary_menu_opts($args = []){
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => '1'
		]);
		if($args['default']){
			$options = [
				'-1' => esc_html__('Default','claniz'),
                '1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$default_value = '-1';
			$menus = ['-1' => esc_html__('Theme Options','claniz')] + claniz_get_nav_menu();
			$default_menu  = '-1';
		} else {
			$options = [
				'1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$default_value = '0';
			$menus = claniz_get_nav_menu();
			$default_menu  = '';
		}
		// Return
		return array(
		    'title'      => esc_html__('Header Secondary Menu', 'claniz'),
		    'fields'     => array(
		        'show_secondary_menu' => array(
		        	'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
                    'title'    => esc_html__('Show Secondary Menu', 'claniz'),
                    'subtitle' => esc_html__('Show/Hide Secondary Menu', 'claniz'),
                    'options'  => $options,
                    'default'  => $default_value
                ),
                'secondary_menu_title' => array(
                	'type'        => Theme_Core_Options::TEXT_FIELD,
					'title'       => esc_html__('Secondary Menu Title', 'claniz'),
					'subtitle'    => esc_html__('Enter your secondary menu title', 'claniz'),
					'placeholder' => esc_html__('Leave blank to use default', 'claniz'),
					'default'     => '',
					'required'    => array( 0 => 'show_secondary_menu', 1 => '=', 2 => '1' ),
                ),
                'secondary_menu' => array(
                	'type'        => Theme_Core_Options::SELECT_FIELD,
					'title'       => esc_html__('Choose Secondary Menu', 'claniz'),
					'subtitle'    => esc_html__('Choose your menu', 'claniz'),
					'placeholder' => esc_html__('Choose your menu', 'claniz'),
					'options'     => $menus,
					'default'     => $default_menu,
					'required'    => array( 0 => 'show_secondary_menu', 1 => '=', 2 => '1' ),
                ),

		    )
		);
	}
}

/**
 * Header Attribute
*/
if(!function_exists('claniz_header_atts_opts')){
	function claniz_header_atts_opts($args = []){
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => '1'
		]);
		if($args['default']){
			$options = [
				'-1' => esc_html__('Default','claniz'),
                '1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$default_value = '-1';

			$h_btn_link_type = [
				'-1' => esc_html__('Default','claniz'),
                'page'  => esc_html__('Page','claniz'),
                'custom'  => esc_html__('Custom','claniz'),
			];
			$h_btn_link_type_value = '-1';

			$h_btn_target = [
				'-1' => esc_html__('Default','claniz'),
                '_self'  => esc_html__('Self', 'claniz'),
		        '_blank'  => esc_html__('Blank', 'claniz')
			];
			$h_btn_target_value = '-1';

			$language_opts = [
				'-1'    => esc_html__('Default','claniz'),
				'0'     => esc_html__('Disable','claniz'),
				'all'   => esc_html__('All Screen', 'claniz'),
				'small d-xl-none' => esc_html__('Small Screen (=< 1200)','claniz')
			];
			$default_language_value = '-1';
		} else {
			$options = [
				'1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$default_value = '0';

			$h_btn_link_type = [
                'page'  => esc_html__('Page', 'claniz'),
		        'custom'  => esc_html__('Custom', 'claniz')
			];
			$h_btn_link_type_value = 'page';

			$h_btn_target = [
                '_self'  => esc_html__('Self', 'claniz'),
		        '_blank'  => esc_html__('Blank', 'claniz')
			];
			$h_btn_target_value = '_self';

			$language_opts = [
				'0'     => esc_html__('Disable','claniz'),
				'all'   => esc_html__('All Screen', 'claniz'),
				'small d-xl-none' => esc_html__('Small Screen (=< 1200)','claniz')
			];
			$default_language_value = '0';
		}
		$h_btn_color = claniz_elementor_theme_color_opts();
		// Return
		return array(
		    'title'      => esc_html__('Header Attribute', 'claniz'),
		    'fields'     => array(
		        'search_on' => array(
		        	'type'	   => Theme_Core_Options::BUTTON_SET_FIELD,
                    'title'    => esc_html__('Show Search', 'claniz'),
                    'subtitle' => esc_html__('Show/Hide search icon', 'claniz'),
                    'id'       => '',
                    'options'  => $options,
                    'default'  => $default_value,
                ),
                'cart_on' => claniz_woo_header_cart_opts([
                	'options' => $options,
                	'default' => $default_value	
                ]),
                'header_switch_language' => claniz_header_language_switcher_opts([
                	'options' => $language_opts,
                	'default' => $default_language_value	
                ]),
                'hidden_sidebar' => array(
                	'type'   => Theme_Core_Options::HEADING_FIELD,
					'title'  => esc_html__('Hidden Sidebar', 'claniz'),
					
		        ),
		        'hidden_sidebar_on' => array(
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
		            'title'    => esc_html__('Show/Hide Hidden Sidebar', 'claniz'),
		            'desc'	   => esc_html__('When it is YES, you need add widget to Hidden Sidebar','claniz'),	
		            'options'  => $options,
                    'default'  => $default_value,
		        ),
		        'button_navigation_01' => array(
		        	'type'   => Theme_Core_Options::HEADING_FIELD,
					'title'  => esc_html__('Button Navigation 01', 'claniz')
		        ),
		        'h_btn_on' => array(
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
		            'title'    => esc_html__('Show/Hide Button', 'claniz'),
		            'options'  => $options,
                    'default'  => $default_value,
                    'indent'	=> true	
		        ),
		        'h_btn_text' => array(
					'type'         => Theme_Core_Options::TEXT_FIELD,
					'title'        => esc_html__('Button Text', 'claniz'),
					'required'     => array( 0 => 'h_btn_on', 1 => '=', 2 => '1' ),
		        ),
		        'h_btn_link_type' => array(
					'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
					'title'    => esc_html__('Button Link Type', 'claniz'),
					'options'  => $h_btn_link_type,
					'default'  => $h_btn_link_type_value,
					'required' => array( 0 => 'h_btn_on', 1 => '=', 2 => '1' ),
		        ),
		        'h_btn_link' => array(
		            'type'  => Theme_Core_Options::SELECT_FIELD,
		            'title' => esc_html__( 'Page Link', 'claniz' ), 
		            'options'  => claniz_list_page(),
		            'required' => array( 0 => 'h_btn_link_type', 1 => '=', 2 => 'page' ),
		        ),
		        'h_btn_link_custom' => array(
					'type'     => Theme_Core_Options::TEXT_FIELD,
					'title'    => esc_html__('Custom Link', 'claniz'),
					'default'  => '',
					'required' => array( 0 => 'h_btn_link_type', 1 => '=', 2 => 'custom' ),
		        ),
		        'h_btn_target' => array(
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
		            'title'    => esc_html__('Button Target', 'claniz'),
		            'options'  => $h_btn_target,
		            'default'  => $h_btn_target_value,
		            'required' => array( 0 => 'h_btn_on', 1 => '=', 2 => '1' ),
		        ),
		        'h_btn_color' => array(
		            'type'     => Theme_Core_Options::SELECT_FIELD,
		            'title'    => esc_html__('Button Color', 'claniz'),
		            'options'  => $h_btn_color,
		            'required' => array( 0 => 'h_btn_on', 1 => '=', 2 => '1' ),
		        ),
		        'h_btn_hover_color' => array(
		            'type'     => Theme_Core_Options::SELECT_FIELD,
		            'title'    => esc_html__('Button Hover Color', 'claniz'),
		            'options'  => $h_btn_color,
		            'required' => array( 0 => 'h_btn_on', 1 => '=', 2 => '1' ),
		        ),
		        'button_navigation_02' => array(
		        	'type'	 => Theme_Core_Options::HEADING_FIELD,
					'title'  => esc_html__('Button Navigation 02', 'claniz')
		        ),
		        'h_btn_on2' => array(
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
		            'title'    => esc_html__('Show/Hide Button', 'claniz'),
		            'options'  => $options,
                    'default'  => $default_value,
		        ),
		        'h_btn_text2' => array(
					'type'     => Theme_Core_Options::TEXT_FIELD,
					'title'    => esc_html__('Button Text', 'claniz'),
					'default'  => '',
					'required' => array( 0 => 'h_btn_on2', 1 => '=', 2 => '1' ),
		        ),
		        'h_btn_link_type2' => array(
					'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
					'title'    => esc_html__('Button Link Type', 'claniz'),
					'options'  => $h_btn_link_type,
					'default'  => $h_btn_link_type_value,
					'required' => array( 0 => 'h_btn_on2', 1 => '=', 2 => '1' ),
		        ),
		        'h_btn_link2' => array(
					'type'     => Theme_Core_Options::SELECT_FIELD,
					'title'    => esc_html__( 'Page Link', 'claniz' ), 
					'options'  => claniz_list_page(),
					'required' => array( 0 => 'h_btn_link_type2', 1 => '=', 2 => 'page' ),
		        ),
		        'h_btn_link_custom2' => array(
					'type'     => Theme_Core_Options::TEXT_FIELD,
					'title'    => esc_html__('Custom Link', 'claniz'),
					'default'  => '',
					'required' => array( 0 => 'h_btn_link_type2', 1 => '=', 2 => 'custom' ),
		        ),
		        'h_btn_target2' => array(
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
		            'title'    => esc_html__('Button Target', 'claniz'),
		            'options'  => $h_btn_target,
		            'default'  => $h_btn_target_value,
		            'required' => array( 0 => 'h_btn_on2', 1 => '=', 2 => '1' ),
		        ),
				'h_btn_color2' => array(
		            'type'     => Theme_Core_Options::SELECT_FIELD,
		            'title'    => esc_html__('Button Color', 'claniz'),
		            'options'  => $h_btn_color,
		            'required' => array( 0 => 'h_btn_on2', 1 => '=', 2 => '1' ),
		        ),
		        'h_btn_hover_color2' => array(
		            'type'     => Theme_Core_Options::SELECT_FIELD,
		            'title'    => esc_html__('Button Hover Color', 'claniz'),
		            'options'  => $h_btn_color,
		            'required' => array( 0 => 'h_btn_on2', 1 => '=', 2 => '1' ),
		        ),
		        'button_navigation_hotline' => array(
		        	'type' => Theme_Core_Options::HEADING_FIELD,
					'title'  => esc_html__('Hotline', 'claniz')
		        ),
		        'h_hotline_on' => array(
		            'id'       => 'h_hotline_on',
		            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
		            'title'    => esc_html__('Show/Hide Hotline', 'claniz'),
		            'options'  => $options,
                    'default'  => $default_value,
		        ),
		        'h_hotline_text' => array(
					'type'         => Theme_Core_Options::TEXT_FIELD,
					'title'        => esc_html__('Hotline Text', 'claniz'),
					'required'     => array( 0 => 'h_hotline_on', 1 => '=', 2 => '1' )
		        ),
		        'h_hotline_phone' => array(
					'type'         => Theme_Core_Options::TEXT_FIELD,
					'title'        => esc_html__('Hotline Number', 'claniz'),
					'required'     => array( 0 => 'h_hotline_on', 1 => '=', 2 => '1' )
		        ),
		        'h_hotline_email' => array(
					'type'         => Theme_Core_Options::TEXT_FIELD,
					'title'        => esc_html__('Hotline Email', 'claniz'),
					'default'      => '',
					'required'     => array( 0 => 'h_hotline_on', 1 => '=', 2 => '1' )
		        )
		    )
		);
	}
}
/**
 * Social list
**/
if(!function_exists('claniz_social_list_opts')){
	function claniz_social_list_opts($args=[]){
		$args = wp_parse_args($args,[
			'param_name' => 'social_list'
		]);
		$opts = array(
            'id'      => $args['param_name'],
            'type'    => 'sorter',
            'desc'    => 'Choose which social networks are displayed and edit where they link to.',
            'options' => array(
                'enabled'  => array(),
                'disabled' => array(
					'facebook'    => 'Facebook',
					'twitter'     => 'Twitter',
					'linkedin'    => 'Linkedin',
					'instagram'   => 'Instagram',
					'google'      => 'Google',
					'tripadvisor' => 'Tripadvisor',
					'youtube'     => 'Youtube',
					'vimeo'       => 'Vimeo',
					'tumblr'      => 'Tumblr',
					'pinterest'   => 'Pinterest',
					'yelp'        => 'Yelp',
					'skype'       => 'Skype',
                )
            ),
        );
        return $opts;
	}
}
/**
 * Page Title
***/
if(!function_exists('claniz_page_title_opts')){
	function claniz_page_title_opts($args = []){
		$args = wp_parse_args($args, [
			'prefix'		 => '',	
			'default'        => '',
			'default_value'  => '1',
			'default_layout' => ''
		]);		
		return array(
			'title'      => esc_html__('Page Title', 'claniz'),
			'fields'     => claniz_page_title_opts_fields($args)
		);
	}
}
if(!function_exists('claniz_page_title_opts_fields')){
	function claniz_page_title_opts_fields($args = []){
		$args = wp_parse_args($args, [
			'prefix'         => '',
			'default'        => false,
			'default_value'  => '1',
			'default_layout' => ''
		]);
		if($args['default']){
			$options = [
				'-1' => __('Default','claniz'),
                '1'  => __('Yes','claniz'),
                '0'  => __('No','claniz'),
			];
			// Default Layout 
			$ptitle_layout = !empty($args['default_layout']) ? $args['default_layout'] : '-1';
			// Alignment
			$ptitle_align = '-1';
		} else {
			$options = [
				'1'  => __('Yes','claniz'),
                '0'  => __('No','claniz'),
			];
			// Default Layout 
			$ptitle_layout = !empty($args['default_layout']) ? $args['default_layout'] : claniz_configs('ptitle')['layout'];
			// Alignment
			$ptitle_align = '-1';
		}
		// layout
		$layout_default = [
			'-1' => get_template_directory_uri() . '/assets/images/default-opt/default.jpg',
		];
		$layout_list = [
			'1' => get_template_directory_uri() . '/assets/images/ptitle-layout/p1.jpg',
			'2' => get_template_directory_uri() . '/assets/images/ptitle-layout/p2.jpg',
			'3' => get_template_directory_uri() . '/assets/images/ptitle-layout/p3.jpg',
			'4' => get_template_directory_uri() . '/assets/images/ptitle-layout/p4.jpg',
			'5' => get_template_directory_uri() . '/assets/images/ptitle-layout/p5.jpg',
			'6' => get_template_directory_uri() . '/assets/images/ptitle-layout/p6.jpg',
			'7' => get_template_directory_uri() . '/assets/images/ptitle-layout/p7.jpg',
			'8' => get_template_directory_uri() . '/assets/images/ptitle-layout/p8.jpg',
			'9' => get_template_directory_uri() . '/assets/images/ptitle-layout/p9.jpg',
			'10' => get_template_directory_uri() . '/assets/images/ptitle-layout/p10.jpg',
			'11' => get_template_directory_uri() . '/assets/images/ptitle-layout/p11.jpg',
			'12' => get_template_directory_uri() . '/assets/images/ptitle-layout/p12.jpg',
		];
		
		if($args['default']){
			$layout_opts = $layout_default +  $layout_list;
		} else {
			$layout_opts = $layout_list;
		}
		// Show/Hide
		if($args['default']){
			$sh_options = [
				'-1' => __('Default','claniz'),
                '1'  => __('Show','claniz'),
                '0'  => __('Hide','claniz'),
			];
			$position_options = [
				'-1'    => __('Default','claniz'),
				'first' => __('Before','claniz'),
				'last'  => __('After','claniz'),
			];
			$default_position = '-1';
			$text_align_options = [
				'-1'      	   => __('Default', 'claniz'),
				'text-start'   => __('Start', 'claniz'),
				'text-center'  => __('Center','claniz'),
				'text-end'     => __('End', 'claniz'),
				'text-justify' => __('Justify', 'claniz')
            ];
		} else {
			$sh_options = [
				'1'  => __('Show','claniz'),
                '0'  => __('Hide','claniz'),
			];
			$position_options = [
				'first' => __('Before','claniz'),
				'last'  => __('After','claniz'),
			];
			$default_position = 'first';
			$text_align_options = [
				'text-start'   => __('Start', 'claniz'),
				'text-center'  => __('Center','claniz'),
				'text-end'     => __('End', 'claniz'),
				'text-justify' => __('Justify', 'claniz')
            ];
		}
		if($args['default']){
			$h_btn_link_type = [
				'-1' => esc_html__('Default','claniz'),
                'page'  => esc_html__('Page','claniz'),
                'custom'  => esc_html__('Custom','claniz'),
			];
			$h_btn_link_type_value = '-1';

			$h_btn_target = [
				'-1' => esc_html__('Default','claniz'),
                '_self'  => esc_html__('Self', 'claniz'),
		        '_blank'  => esc_html__('Blank', 'claniz')
			];
			$h_btn_target_value = '-1';

		} else {
			$h_btn_link_type = [
                'page'  => esc_html__('Page', 'claniz'),
		        'custom'  => esc_html__('Custom', 'claniz')
			];
			$h_btn_link_type_value = 'page';

			$h_btn_target = [
                '_self'  => esc_html__('Self', 'claniz'),
		        '_blank'  => esc_html__('Blank', 'claniz')
			];
			$h_btn_target_value = '_self';
		}
		$args['layout_opts']      = $layout_opts;
		$args['sh_options']       = $sh_options;
		$args['position_options'] = $position_options;
		$args['ptitle_layout']    = $ptitle_layout;
		return array(
	        $args['prefix'].'pagetitle' => array(
	            'type'         => Theme_Core_Options::BUTTON_SET_FIELD,
	            'title'        => esc_html__( 'Page Title', 'claniz' ),
	            'subtitle'     => esc_html__('Show/Hide page title?', 'claniz'),
	            'options'      => $args['sh_options'],
	            'default'      => $args['default_value'],
	        ),
	        $args['prefix'].'ptitle_layout' => array(
	            'type'     => Theme_Core_Options::IMAGE_SELECT_FIELD,
	            'title'    => esc_html__('Layout', 'claniz'),
	            'subtitle' => esc_html__('Select a layout for page title.', 'claniz'),
	            'options'  => $args['layout_opts'],
	            'default'  => $args['ptitle_layout'],
	            'required' => array( $args['prefix'].'pagetitle', '=', '1' ),
	        ),
	        $args['prefix'].'ptitle_content_alignment' => array(
	            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
	            'title'    => esc_html__('Text Align', 'claniz'),
	            'subtitle' => esc_html__('Select alignment for page title.', 'claniz'),
	            'options'  => $text_align_options,
	            'default'  => $ptitle_align,
	            'required' => [$args['prefix'].'ptitle_layout', '=', '1']
	        ),
	        $args['prefix'].'ptitle_bg' => array(
				'type'                  => Theme_Core_Options::BACKGROUND_FIELD,
				'title'                 => esc_html__('Background', 'claniz'),
				'subtitle'              => esc_html__('Page title background.', 'claniz'),
				'output'                => array('body #pagetitle'),
				'required'              => array( 0 => $args['prefix'].'pagetitle', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_overlay_color' => array(
				'type'         => Theme_Core_Options::RGBA_COLOR_FIELD,
				'title'        => esc_html__('Overlay Background Color', 'claniz'),
				'required'     => array( 0 => $args['prefix'].'pagetitle', 1 => '=', 2 => '1' ),
	        ),
	        //PTitle Title
	        $args['prefix'].'ptitle_title' => array(
				'type'     => Theme_Core_Options::HEADING_FIELD,
				'title'    => esc_html__('Title Options', 'claniz'),
				'required' => array($args['prefix'].'pagetitle','=','1' ),
	        ),
	        $args['prefix'].'ptitle_title_on' => array(
	            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
	            'title'    => esc_html__('Show Title', 'claniz'),
	            'options'  => $args['sh_options'],
	            'default'  => $args['default_value'],
	            'required' => array( 0 => $args['prefix'].'pagetitle', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_title_position' => array(
	            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
	            'title'    => esc_html__('Title Position', 'claniz'),
	            'options'  => $args['position_options'],
	            'default'  => $default_position,
	            'required' => array($args['prefix'].'ptitle_title_on','=','1' ),
	        ),
			$args['prefix'].'custom_title'     => claniz_page_title_custom_text_opts($args['default'], $args['prefix']),
			$args['prefix'].'custom_sub_title' => claniz_page_title_custom_sub_text_opts($args['default'], $args['prefix']),
	        $args['prefix'].'ptitle_color' => array(
				'type'        => Theme_Core_Options::RGBA_COLOR_FIELD,
				'title'       => esc_html__('Title Color', 'claniz'),
				'subtitle'    => esc_html__('Page title color.', 'claniz'),
				'required'    => array( 0 => $args['prefix'].'ptitle_title_on', 1 => '=', 2 => '1' ),
	        ),
	        //PTitle Button 01
	        $args['prefix'].'ptitle_btn1' => array(
				'type'     => Theme_Core_Options::HEADING_FIELD,
				'title'    => esc_html__('Button 01', 'claniz'),
				'required' => array( 0 => $args['prefix'].'pagetitle', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_btn1_on' => array(
				'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
				'title'    => esc_html__('Button 01', 'claniz'),
				'options'  => $args['sh_options'],
				'default'  => 0,
				'required' => array( 0 => $args['prefix'].'pagetitle', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_btn1_text' => array(
				'type'         => Theme_Core_Options::TEXT_FIELD,
				'title'        => esc_html__('Button Text', 'claniz'),
				'required'     => array( 0 => $args['prefix'].'ptitle_btn1_on', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_btn1_link_type' => array(
				'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
				'title'    => esc_html__('Button Link Type', 'claniz'),
				'options'  => $h_btn_link_type,
				'default'  => $h_btn_link_type_value,
				'required' => array( 0 => $args['prefix'].'ptitle_btn1_on', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_btn1_link' => array(
	            'type'  => Theme_Core_Options::SELECT_FIELD,
	            'title' => esc_html__( 'Page Link', 'claniz' ), 
	            'data'  => 'page',
	            'args'  => array(
	                'post_type'      => 'page',
	                'posts_per_page' => -1,
	                'orderby'        => 'title',
	                'order'          => 'ASC',
	            ),
	            'required' => array( 0 => $args['prefix'].'ptitle_btn1_link_type', 1 => '=', 2 => 'page' ),
	        ),
	        $args['prefix'].'ptitle_btn1_link_custom' => array(
				'type'     => Theme_Core_Options::TEXT_FIELD,
				'title'    => esc_html__('Custom Link', 'claniz'),
				'default'  => '',
				'required' => array( 0 => $args['prefix'].'ptitle_btn1_link_type', 1 => '=', 2 => 'custom' ),
	        ),
	        $args['prefix'].'ptitle_btn1_target' => array(
	            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
	            'title'    => esc_html__('Button Target', 'claniz'),
	            'options'  => $h_btn_target,
	            'default'  => $h_btn_target_value,
	            'required' => array( 0 => $args['prefix'].'ptitle_btn1_on', 1 => '=', 2 => '1' ),
	        ),
	        //PTitle Button 02
	        $args['prefix'].'ptitle_btn2' => array(
	        	'type'   => Theme_Core_Options::HEADING_FIELD,
				'title'  => esc_html__('Button 02', 'claniz'),
				'required' => array( 0 => $args['prefix'].'pagetitle', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_btn2_on' => array(
				'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
				'title'    => esc_html__('Button 02', 'claniz'),
				'options'  => $args['sh_options'],
				'default'  => 0,
				'required' => array( 0 => $args['prefix'].'pagetitle', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_btn2_text' => array(
				'type'         => Theme_Core_Options::TEXT_FIELD,
				'title'        => esc_html__('Button Text', 'claniz'),
				'required'     => array( 0 => $args['prefix'].'ptitle_btn2_on', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_btn2_link_type' => array(
				'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
				'title'    => esc_html__('Button Link Type', 'claniz'),
				'options'  => $h_btn_link_type,
				'default'  => $h_btn_link_type_value,
				'required' => array( 0 => $args['prefix'].'ptitle_btn2_on', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_btn2_link' => array(
	            'type'  => Theme_Core_Options::SELECT_FIELD,
	            'title' => esc_html__( 'Page Link', 'claniz' ), 
	            'data'  => 'page',
	            'args'  => array(
	                'post_type'      => 'page',
	                'posts_per_page' => -1,
	                'orderby'        => 'title',
	                'order'          => 'ASC',
	            ),
	            'required' => array( 0 => $args['prefix'].'ptitle_btn2_link_type', 1 => '=', 2 => 'page' ),
	        ),
	        $args['prefix'].'ptitle_btn2_link_custom' => array(
				'type'     => Theme_Core_Options::TEXT_FIELD,
				'title'    => esc_html__('Custom Link', 'claniz'),
				'default'  => '',
				'required' => array( 0 => $args['prefix'].'ptitle_btn2_link_type', 1 => '=', 2 => 'custom' ),
	        ),
	        $args['prefix'].'ptitle_btn2_target' => array(
	            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
	            'title'    => esc_html__('Button Target', 'claniz'),
	            'options'  => $h_btn_target,
	            'default'  => $h_btn_target_value,
	            'required' => array( 0 => $args['prefix'].'ptitle_btn2_on', 1 => '=', 2 => '1' ),
	        ),
	        // PTitle Breadcrumb
	        $args['prefix'].'ptitle_breadcrumb' => array(
				'type'     => Theme_Core_Options::HEADING_FIELD,
				'title'    => esc_html__('Breadcrumb Options', 'claniz'),
				'required' => array($args['prefix'].'pagetitle','=','1' ),
	        ),
	        $args['prefix'].'ptitle_breadcrumb_on' => array(
	            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
	            'title'    => esc_html__('Show Breadcrumb', 'claniz'),
	            'options'  => $args['sh_options'],
	            'default'  => $args['default_value'],
	            'required' => array( 0 => $args['prefix'].'pagetitle', 1 => '=', 2 => '1' ),
	        ),
	        $args['prefix'].'ptitle_breadcrumb_link_color' => array(
	            'type'    => Theme_Core_Options::LINK_COLOR_FIELD,
	            'title'   => esc_html__('Breadcrumb Color', 'claniz'),
	            'default' => array(
	                'regular' => '',
	                'hover'   => '',
	                'active'  => '',
	            ),
	            'required' => array( 0 => $args['prefix'].'ptitle_breadcrumb_on', 1 => '=', 2 => '1' ),
	        )
	    );
	}
}
if(!function_exists('claniz_page_title_custom_text_opts')){
	function claniz_page_title_custom_text_opts($show, $prefix = ''){
		if(!$show) return [];
		return array(
			'type'         => Theme_Core_Options::TEXTAREA_FIELD,
			'title'        => esc_html__( 'Custom Title', 'claniz' ),
			'subtitle'     => esc_html__( 'Use custom title for this page. The default title will be used on document title.', 'claniz' ),
			'required' 	   => array($prefix.'ptitle_title_on','=','1' )
		);
	}
}
if(!function_exists('claniz_page_title_custom_sub_text_opts')){
	function claniz_page_title_custom_sub_text_opts($show,  $prefix = ''){
		if(!$show) return [];
		return array(
			'type'         => Theme_Core_Options::TEXTAREA_FIELD,
			'title'        => esc_html__( 'Custom Sub Title', 'claniz' ),
			'subtitle'     => esc_html__( 'Add short description for page title', 'claniz' ),
			'required' 	   => array($prefix.'ptitle_title_on','=','1' )
		);
	}
}
/**
 * Page Options 
*/ 
if(!function_exists('claniz_single_page_layout_opts')){
	function claniz_single_page_layout_opts($args = []){
		$args = wp_parse_args($args, [	
			'title'         => esc_html__('Single Page', 'claniz'),
			'default'       => false,
			'default_value' => claniz_configs('blog')['archive_sidebar_pos']
		]);
		return array(
		    'title'      => $args['title'],
		    'fields'     => array(
		        'page_sidebar_pos' => claniz_sidebar_opts([
		            'default'		=> $args['default'],
		            'default_value' => $args['default_value']
		        ]),
		        'page_content_col' => array(
		            'title'         => esc_html__('Content Columns', 'claniz'),
		            'subtitle'      => esc_html__('Choose content Columns', 'claniz'),
		            'type'          => 'slider', //Theme_Core_Options::SLIDER_FIELD,
		            'default'       => claniz_configs('blog')['single_content_col'],
		            'min'           => 1,
		            'step'          => 1,
		            'max'           => 11,
		            'display_value' => 'label',
		            'required'      => [ 
		                ['page_sidebar_pos', '!=', '0'],
		                ['page_sidebar_pos', '!=', 'bottom']
		            ],
		        )
		    )
		);
	}
}
/**
 * Post Options
*/
if(!function_exists('claniz_single_post_layout_opts')){
	function claniz_single_post_layout_opts($args = []){
		$args = wp_parse_args($args, [
			'title'         => esc_html__('Single Post', 'claniz'),
			'default'       => false,
			'default_value' => claniz_configs('blog')['single_sidebar_pos']
		]);
		return array(
		    'title'      => $args['title'],
		    'fields'     => array_merge(
		    	array(
		    		'post_pagetitle_info' => array(
			        	'type'	 => Theme_Core_Options::HEADING_FIELD,
						'title'  => esc_html__('Page Title', 'claniz')
			        ),
		    	),
		    	claniz_page_title_opts_fields([
	                'prefix'         => 'post_',	
	                'default_layout' => claniz_configs('single_post')['title_layout'],
	            ]),
	            array(
	            	'post_content_layout_info' => array(
			        	'type'	 => Theme_Core_Options::HEADING_FIELD,
						'title'  => esc_html__('Layout & Content', 'claniz')
			        ),
			        'single_sidebar_pos' => claniz_sidebar_opts([
			            'default_value' => $args['default_value']  
			        ]),
			        'single_content_col' => [
			            'title'         => esc_html__('Content Columns', 'claniz'),
			            'subtitle'      => esc_html__('Choose content Columns', 'claniz'),
			            'type'          => Theme_Core_Options::SLIDER_FIELD,
			            'default'       => claniz_configs('blog')['single_content_col'],
			            'min'           => 1,
			            'step'          => 1,
			            'max'           => 12,
			            'display_value' => 'label',
			            'required'      => [ 
			                ['single_sidebar_pos', '!=', '0'],
			                ['single_sidebar_pos', '!=', 'bottom']
			            ],
			        ],
			        'post_feature_image_on' => array(
			            'title'    => esc_html__('Feature Image', 'claniz'),
			            'subtitle' => esc_html__('Show/Hide feature image on single post.', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '1'
			        ),
			        'post_meta_info' => array(
			        	'type'	 => Theme_Core_Options::HEADING_FIELD,
						'title'  => esc_html__('Meta Info', 'claniz')
			        ),
			        'post_author_on' => array(
			            'title'    => esc_html__('Author', 'claniz'),
			            'subtitle' => esc_html__('Show author name', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '0'
			        ),
			        'post_date_on' => array(
			            'title'    => esc_html__('Date', 'claniz'),
			            'subtitle' => esc_html__('Show date', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '1'
			        ),
			        'post_categories_on' => array(
			            'title'    => esc_html__('Categories', 'claniz'),
			            'subtitle' => esc_html__('Show category names', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '1'
			        ),
			        'post_tags_on' => array(
			            'title'    => esc_html__('Tags', 'claniz'),
			            'subtitle' => esc_html__('Show tagged names', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '1'
			        ),
			        'post_comments_on' => array(
			            'title'    => esc_html__('Comments', 'claniz'),
			            'subtitle' => esc_html__('Show comments count', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '1'
			        ),
			        'post_other_info' => array(
			        	'type'	 => Theme_Core_Options::HEADING_FIELD,
						'title'  => esc_html__('Others Info', 'claniz')
			        ),
			        'post_author_info_on' => array(
			            'title'    => esc_html__('About Author', 'claniz'),
			            'subtitle' => esc_html__('Show about author info', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '0'
			        ),
			        'post_social_share_on' => array(
			            'title'    => esc_html__('Social Share', 'claniz'),
			            'subtitle' => esc_html__('Show share button to social networks', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '0',
			        ),
			        'post_nav_link_on' => array(
			            'title'    => esc_html__('Post Navigation', 'claniz'),
			            'subtitle' => esc_html__('Show next/preview Navigation.', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '1',
			        ),
			        'post_comments_form_on' => array(
			            'title'    => esc_html__('Comments Form', 'claniz'),
			            'subtitle' => esc_html__('Show comments form', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '1'
			        ),
			        'post_comments_rating_on' => array(
			            'title'    => esc_html__('Comments Rating', 'claniz'),
			            'subtitle' => esc_html__('Show comments rating', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '0',
			            'required' => [
			               'post_comments_form_on',
			               'equals',
			               '1' 
			            ]
			        ),
			        'post_related_on' => array(
			            'title'    => esc_html__('Related Post', 'claniz'),
			            'subtitle' => esc_html__('Show related on single post.', 'claniz'),
			            'type'     => Theme_Core_Options::SWITCH_FIELD,
			            'default'  => '0'
			        )
			    )
		    )
		);
	}
}
/**
 * Footer Options
**/
if(!function_exists('claniz_footer_opts')){
	function claniz_footer_opts($args=[]){
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => '1'
		]);
		if($args['default']){
			$footer_fixed_options = [
				'-1' => esc_html__('Default','claniz'),
                '1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$footer_layout_default = '-1';
			$footer_fixed_default_value = '-1';
		} else {
			$footer_fixed_options = [
				'1'  => esc_html__('Yes','claniz'),
                '0'  => esc_html__('No','claniz'),
			];
			$footer_layout_default = '1';
			$footer_fixed_default_value = '0';
		}
		
		// Return
		return array(
		    'title'      => esc_html__('Footer', 'claniz'),
		    'fields'     => array(
		        'footer_layout' => array(
                    'type'        => Theme_Core_Options::IMAGE_SELECT_FIELD,
                    'title'       => esc_html__('Layout', 'claniz'),
                    'subtitle'    => esc_html__('Select a layout for upper footer area.', 'claniz'),
                    'description'        => sprintf(esc_html__('%sClick Here%s to add your custom footer layout.','claniz'),'<a href="' . esc_url( admin_url( 'edit.php?post_type=cms-footer' ) ) . '" target="_blank">','</a>'),
                    'placeholder' => esc_html__('Default','claniz'),
                    'options'     => claniz_list_post_thumbnail('cms-footer', $args['default'], [
                    	'1' => get_template_directory_uri() . '/assets/images/footer-layout/default.png'
                    ]),
                    'default'     => $footer_layout_default
                ),
	            'footer_fixed' => array(
                    'title'    => esc_html__('Footer Fixed', 'claniz'),
                    'subtitle' => esc_html__('Make footer fixed at bottom?', 'claniz'),
                    'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
                    'options'  => $footer_fixed_options,
                    'default'  => $footer_fixed_default_value,
                )
            )
		);
	}
}
/**
 * Sidebar
*/
if(!function_exists('claniz_sidebar_opts')){
	function claniz_sidebar_opts($args = []){
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => claniz_configs('blog')['archive_sidebar_pos']
		]);
		if($args['default']){
			$options = [
				'-1'    => esc_html__('Default','claniz'),
				'0'     => esc_html__('No Sidebar','claniz'),
				'left'  => esc_html__('Left','claniz'),
				'right' => esc_html__('Right','claniz'),
				'bottom' => esc_html__('Bottom','claniz'),
			];
			$default_value = '-1';
		} else {
			$options = [
				'0'     => esc_html__('No Sidebar','claniz'),
				'left'  => esc_html__('Left','claniz'),
				'right' => esc_html__('Right','claniz'),
				'bottom' => esc_html__('Bottom','claniz'),
			];
			$default_value = $args['default_value'];
		}
		// Return
		return array(
			'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
            'title'    => esc_html__('Sidebar Position', 'claniz'),
            'subtitle' => esc_html__('Choose position for sidebar', 'claniz'),
            'options'  => $options,
            'default'  => $default_value,
        );
	}
}

if(!function_exists('claniz_woo_header_cart_opts')){
	function claniz_woo_header_cart_opts($args = []){
		if(!class_exists('WooCommerce')) return array();
		$args = wp_parse_args($args, [
			'options' => '',
			'default' => ''
		]);
		return array(
            'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
            'title'    => esc_html__('Show Cart', 'claniz'),
            'subtitle' => esc_html__('Show/Hide cart icon', 'claniz'),
            'options'  => $args['options'],
            'default'  => $args['default'],
        );
	}
}

if(!function_exists('claniz_header_language_switcher_opts')){
	function claniz_header_language_switcher_opts($args = []){
		if(!class_exists('TRP_Translate_Press') ) return array();
		$args = wp_parse_args($args, [
			'options' => '',
			'default' => ''
		]);
		return array(
			'type'     => Theme_Core_Options::BUTTON_SET_FIELD,
            'title'    => esc_html__('Show Language Switcher', 'claniz'),
            'subtitle' => esc_html__('Show/Hide Language Switcher', 'claniz'),
            'options'  => $args['options'],
            'default'  => $args['default'],
        );	
	}
}

/**
 * Icon 
*/
if(!function_exists('claniz_icon_opts')){
	function claniz_icon_opts($args = []){
	    return [
			'title'  => esc_html__('Icon', 'claniz'),
			'fields' => [
				'icon' => [
		            'type'        => Theme_Core_Options::ICON_PICKER_FIELD,
		            'title'       => __('Choose your icon', 'claniz')
		        ]
			]
		];
	}
}
/**
 * Post Icon
*/
if(!function_exists('claniz_post_icon')){
    function claniz_post_icon($args = []){
        $args = wp_parse_args($args, [
			'id'         => get_the_ID(),
			'class'      => '',     
			'before'     => '',
			'after'      => '',
			'icon_class' => '',
			'icon_color' => 'text-primary',
			'size'       => '64',
			'echo'       => true    
        ]);
        $icon = claniz_get_post_format_value($args['id'], 'icon', '');
        if(empty($icon)) return;
        
        $_icon = '<span class="'.implode(' ', [$icon,'cms-post--icon', $args['icon_class'], $args['icon_color'],'text-'.$args['size']]).'"></span>';
        ob_start();
        ?>
            <div class="<?php echo trim(implode(' ', ['cms-post-icon', $args['class']]));?>"><?php 
                printf('%1$s %2$s %3$s', $args['before'], $_icon, $args['after'] ); 
            ?></div>
        <?php
        if($args['echo']){
            echo ob_get_clean();
        } else {
            return ob_get_clean();
        }
    }
}
/**
 * Features 
*/
if(!function_exists('claniz_feature_text_opts')){
	function claniz_feature_text_opts($args = []){
	    return [
			'title'  => esc_html__('Features', 'claniz'),
			'fields' => [
				'features' => [
		            'type'        => Theme_Core_Options::REPEATER_FIELD,
		            'title'       => __('Add your feature', 'claniz'),
		            'fields' => [
		                'text' => [
		                    'type' => Theme_Core_Options::TEXT_FIELD,
		                    'title' => __('Your feature','claniz')
		                ]
		            ],
		            'title_field' => 'text'
		        ]
			]
		];
	}
}
if(!function_exists('claniz_feature_text_render')){
	function claniz_feature_text_render($args = []){
	    $args = wp_parse_args($args, [
			'id'         => get_the_ID(),
			'name'       => 'features',
			'before'     => '',
			'after'      => '',
			'icon'       => 'cmsi-check',
			'icon_class' => '',
			'item_class' => 'cms-list-item',
			'echo'       => true
	    ]);
	    $features = claniz_get_post_format_value($args['id'], $args['name']);
	    if(empty( $features)) return;
	    $icon = '';
	    if($args['icon'] != 'get_options' && !empty($args['icon'])) $icon = '<div class="col-auto"><span class="cms-list-icon '.$args['icon'].'"></span></div>';
	    ob_start();
	    	printf('%s', $args['before']);
	    		foreach ($features as $feature) {
	    			$icon = !empty($feature['icon']) ? '<div class="col-auto"><span class="'.claniz_nice_class(['cms-list-icon', $args['icon_class'], $feature['icon']]).'"></span></div>' : $icon;
	    			printf('<div class="row %s">%s<div class="col"><span>%s</span></div></div>',$args['item_class'],$icon,$feature['text']);
	    		}
	    	printf('%s', $args['after']);
	    if($args['echo']){
	    	echo ob_get_clean();
	    } else  {
	    	return ob_get_clean();
	    }
	}
}

/**
 * Post Text
*/
if(!function_exists('claniz_post_option_text')){
    function claniz_post_option_text($args = []){
        $args = wp_parse_args($args, [
            'id'         => get_the_ID(),
            'name'       => '',
            'class'      => '',     
            'before'     => '',
            'after'      => '',
            'echo'       => true    
        ]);
        $text = claniz_get_post_format_value($args['id'], $args['name']);
        if(empty($text)) return;

        ob_start();
        ?>
            <div class="<?php echo trim(implode(' ', ['cms-post-text', $args['class']]));?>"><?php 
                printf('%1$s %2$s %3$s', $args['before'], $text, $args['after'] ); 
            ?></div>
        <?php
        if($args['echo']){
            echo ob_get_clean();
        } else {
            return ob_get_clean();
        }
    }
}
/**
 * Social
**/
if(!function_exists('claniz_feature_social_render')){
    function claniz_feature_social_render($args){
        $args = wp_parse_args($args, [
			'id'     => get_the_ID(),
			'name'   => 'socials',
			'class'  => '',
			'before' => '',
			'after'  => '',
			'echo'   => true
        ]);
        $socials = claniz_get_post_format_value($args['id'], $args['name'], []);
        if(empty($socials)) return;
        ob_start();
        	printf('%s', $args['before']);
        ?>
	        <div class="<?php echo trim(implode(' ', ['cms-socials', $args['class']])); ?>"><?php 
	            foreach ($socials as $social) {
	            	$icon = '<a href="'.$social['text'].'" target="_blank" class="social-item"><span class="'.$social['icon'].'"></span></a>';
	                printf('%s', $icon);
	            }
	        ?></div>
   		<?php 
    		printf('%s',$args['after']);
    	if($args['echo']){
    		echo ob_get_clean();
    	} else {
    		return ob_get_clean();
    	}
	}
}

/**
 * Contact
**/
if(!function_exists('claniz_feature_contact_render')){
    function claniz_feature_contact_render($args){
        $args = wp_parse_args($args, [
			'id'          => get_the_ID(),
			'class'       => '',
			'item_class'  => '',
			'icon_class'  => '',
			'text_class'  => '',
			'phone_label' => __('Phone: ','claniz'),
			'email_label' => __('Email: ','claniz'),
			'echo'        => true,
			'show_text'   => true,
			'layout'	  => '',
			'before'	  => '',
			'after'		  => ''
        ]);
		$phone      = claniz_get_post_format_value($args['id'], 'contacts_phone_text', []);
		$phone_icon = claniz_get_post_format_value($args['id'], 'contacts_phone_icon', []);
		$email      = claniz_get_post_format_value($args['id'], 'contacts_email_text', []);
		$email_icon = claniz_get_post_format_value($args['id'], 'contacts_email_icon', []);
        if(empty($phone) && empty($email)) return;
        $_phone = $args['show_text'] ? '<a href="tel:'.str_replace(' ', '', $phone).'" class="'.claniz_nice_class(['cms-list-text', $args['text_class']]).'">'.$args['phone_label'].$phone.'</a>' : '';
        $_phone_icon = '<div class="col-auto"><a href="tel:'.str_replace(' ', '', $phone).'"><span class="'.claniz_nice_class(['cms-list-icon', $phone_icon, $args['icon_class']]).'"></span></a></div>';
        $_email = $args['show_text'] ? '<a href="mailto:'.str_replace(' ', '', $email).'" class="'.claniz_nice_class(['cms-list-text', $args['text_class']]).'">'.$args['email_label'].$email.'</a>' : '';
        $_email_icon = '<div class="col-auto"><a href="mailto:'.str_replace(' ', '', $email).'"><span class="'.claniz_nice_class(['cms-list-icon', $email_icon, $args['icon_class']]).'"></span></a></div>';
        ob_start();
	    	printf('%s', $args['before']);
	    	switch ($args['layout']) {
	    		case '2':
	    	?>
	    		<div class="<?php echo trim(implode(' ', ['cms-post-contact cms-socials cms-socials-layout-2 socials-bg-colored', $args['class']])); ?>"><?php 
		            if(!empty($phone)){
		            	printf('%s','<a href="tel:'.str_replace(' ', '', $phone).'" class="social-item"><span class="'.claniz_nice_class([$phone_icon, $args['icon_class']]).'"></span></a>');
		            }
		            if(!empty($email)){
		            	printf('%s','<a href="mailto:'.str_replace(' ', '', $email).'" class="social-item"><span class="'.claniz_nice_class([$email_icon, $args['icon_class']]).'"></span></a>');
		            }
		        ?></div>
	    	<?php
	    		break;
	    		default:
	    	?>
	    		<div class="<?php echo trim(implode(' ', ['cms-post-contact', $args['class']])); ?>"><?php 
		            if(!empty($phone)){
		            	printf('<div class="row %s">%s<div class="col">%s</div></div>',$args['item_class'],$_phone_icon,$_phone);
		            }
		            if(!empty($email)){
		            	printf('<div class="row %s">%s<div class="col">%s</div></div>',$args['item_class'],$_email_icon,$_email);
		            }
		        ?></div>
	    	<?php
	    		break;
	    	} 
			printf('%s', $args['after']);
		if($args['echo']){
	    	echo ob_get_clean();
	    } else  {
	    	return ob_get_clean();
	    }		    
	}
}