<?php
// Silence is golden.
$args = [
	'title'    => esc_html__('Content', 'claniz'),
	'sections' => [
		'content' => [
			'title'  => esc_html__('General', 'claniz'),
			'fields' => [
		        'search_field_placeholder' => array(
					'type'     => Theme_Core_Options::TEXT_FIELD,
					'title'    => esc_html__('Search Form - Text Placeholder', 'claniz'),
					'subtitle' => esc_html__('Default: Search Keywords...', 'claniz'),
		        )
		    ]
		],
		'archive_page' => [
		    'title'      => esc_html__('Archives', 'claniz'),
		    'fields'     => [
		        'archive_sidebar_pos' => claniz_sidebar_opts([
		            'default_value' => claniz_configs('blog')['archive_sidebar_pos']  
		        ]),
		        'archive_content_col' => [
		        	'type'          => 'slider', //Theme_Core_Options::SLIDER_FIELD,
		            'title'         => esc_html__('Content Columns', 'claniz'),
		            'subtitle'      => esc_html__('Choose content Columns', 'claniz'),
		            'default'       => claniz_configs('blog')['archive_content_col'],
		            'min'           => 1,
		            'step'          => 1,
		            'max'           => 11,
		            'display_value' => 'label',
		        ],
		        'archive_author_on' => [
		            'title'    => esc_html__('Author', 'claniz'),
		            'subtitle' => esc_html__('Show author name on each post.', 'claniz'),
		            'type'     => Theme_Core_Options::SWITCH_FIELD,
		            'default'  => '1',
		        ],
		        'archive_date_on' => [
		            'id'       => 'archive_date_on',
		            'title'    => esc_html__('Date', 'claniz'),
		            'subtitle' => esc_html__('Show date posted on each post.', 'claniz'),
		            'type'     => Theme_Core_Options::SWITCH_FIELD,
		            'default'  => '1',
		        ],
		        'archive_categories_on' => [
		            'title'    => esc_html__('Categories', 'claniz'),
		            'subtitle' => esc_html__('Show category names on each post.', 'claniz'),
		            'type'     => Theme_Core_Options::SWITCH_FIELD,
		            'default'  => '1',
		        ],
		        'archive_comments_on' => [
		            'title'    => esc_html__('Comments', 'claniz'),
		            'subtitle' => esc_html__('Show comments count on each post.', 'claniz'),
		            'type'     => Theme_Core_Options::SWITCH_FIELD,
		            'default'  => '1',
		        ]
		    ]
		],
		'single_page' => claniz_single_page_layout_opts(),
		'single_post' => claniz_single_post_layout_opts(),
		'404_page'	  => [
		    'title'      => esc_html__('404 Page', 'claniz'),
		    'fields'     => array(
		        'heading_404_page' => array(
		            'id'       => 'heading_404_page',
		            'type'     => Theme_Core_Options::TEXT_FIELD,
		            'title'    => esc_html__('Heading', 'claniz'),
		            'subtitle' => esc_html__('Enter your text', 'claniz'),
		            'description'     => esc_html__('Leave blank to use default text', 'claniz'),
		            'default'  => '',
		        ),
		        'subheading_404_page' => array(
		            'id'       => 'subheading_404_page',
		            'type'     => Theme_Core_Options::TEXT_FIELD,
		            'title'    => esc_html__('SubHeading', 'claniz'),
		            'subtitle' => esc_html__('Enter your text', 'claniz'),
		            'description'     => esc_html__('Leave blank to use default text', 'claniz'),
		            'default'  => '',
		        ),
		        'content_404_page' => array(
		            'type'     => Theme_Core_Options::TEXTAREA_FIELD,
		            'title'    => esc_html__('Content', 'claniz'),
		            'subtitle' => esc_html__('Enter your text', 'claniz'),
		            'description'     => esc_html__('Leave blank to use default text', 'claniz'),
		            'default' => '',
		        ),
		        'btn_text_404_page' => array(
		            'type'     => Theme_Core_Options::TEXT_FIELD,
		            'title'    => esc_html__('Button Text', 'claniz'),
		            'subtitle' => esc_html__('Enter your text', 'claniz'),
		            'default'  => '',
		            'description'     => esc_html__('Leave blank to use default text', 'claniz')
		        ),
		        'bg_404_page' => array(
		            'type'             => Theme_Core_Options::BACKGROUND_FIELD,
		            'title'            => esc_html__('Background', 'claniz'),
		            'subtitle'         => esc_html__('Choose your Background', 'claniz'),
		            'description'             => esc_html__('Leave blank to use default background', 'claniz'),
		            'background-color' => false,
		            'output'           => 'body.error404 .cms-main'
		        ),
		    )
		] 		
    ]
];

return $args;