<?php
// Silence is golden.
$args = [
	'title'    => esc_html__('Shop', 'claniz'),
	'sections' => [
		'content' => [
			'title'  => esc_html__('Shop Page', 'claniz'),
			'fields' => [
				'product_page_sidebar_pos' => claniz_sidebar_opts([
	                'fields_only'   =>  true,
	                'default_value' => claniz_configs('blog')['single_sidebar_pos']  
	            ]),
	            'product_page_content_col' => array(
	            	'type'          => 'slider', //Theme_Core_Options::SLIDER_FIELD,
	                'title'         => esc_html__('Content Columns', 'claniz'),
	                'subtitle'      => esc_html__('Choose content Columns', 'claniz'),
	                'default'       => claniz_configs('blog')['archive_content_col'],
	                'min'           => 1,
	                'step'          => 1,
	                'max'           => 11,
	                'display_value' => 'label',
	                'required'      => [ 
	                    ['product_page_sidebar_pos', '!=', '0'],
	                    ['product_page_sidebar_pos', '!=', 'bottom']
	                ],
	            ),
	            'products_columns' => array(
	                'title'         => esc_html__('Products displayed per row', 'claniz'),
	                'type'          => 'slider', //Theme_Core_Options::SLIDER_FIELD,
	                'subtitle'      => esc_html__('Number product to show per row', 'claniz'),
	                'default'       => 3,
	                'min'           => 2,
	                'step'          => 1,
	                'max'           => 6,
	                'display_value' => 'text'
	            ),
	            'product_per_page' => array(
	                'title'         => esc_html__('Products displayed per page', 'claniz'),
	                'type'          => 'slider',//Theme_Core_Options::SLIDER_FIELD
	                'subtitle'      => esc_html__('Number product to show', 'claniz'),
	                'default'       => 9,
	                'min'           => 3,
	                'step'          => 1,
	                'max'           => 50,
	                'display_value' => 'text'
	            )
			]
		],
		'single_product' => array(
	        'title'      => esc_html__('Single Products', 'claniz'),
	        'fields'     => array_merge(
	        	array(
		    		'post_pagetitle_info' => array(
			        	'type'	 => Theme_Core_Options::HEADING_FIELD,
						'title'  => esc_html__('Page Title', 'claniz')
			        ),
		    	),
	            claniz_page_title_opts_fields([
	                'prefix'         => 'product_',
	                'default_layout' => claniz_configs('single_product')['title_layout'],
	            ]),
	            array(
	            	'product_layout_and_content' => [
	            		'type' => Theme_Core_Options::HEADING_FIELD,
	            		'title' => esc_html__('Layout & Content', 'claniz')
	            	],
	                'product_single_sidebar_pos' => claniz_sidebar_opts([
	                    'default_value' => claniz_configs('blog')['single_sidebar_pos']  
	                ]),
	                'product_single_content_col' => array(
	                    'title'         => esc_html__('Content Columns', 'claniz'),
	                    'subtitle'      => esc_html__('Choose content Columns', 'claniz'),
	                    'type'          => 'slider',//Theme_Core_Options::SLIDER_FIELD
	                    'default'       => claniz_configs('blog')['archive_content_col'],
	                    'min'           => 1,
	                    'step'          => 1,
	                    'max'           => 11,
	                    'display_value' => 'label',
	                    'required'      => [ 
	                        ['product_single_sidebar_pos', '!=', '0'],
	                        ['product_single_sidebar_pos', '!=', 'bottom']
	                    ],
	                ),
	                'product_social_share_on' => array(
	                    'title'    => esc_html__('Social Share', 'claniz'),
	                    'subtitle' => esc_html__('Show social share on single product.', 'claniz'),
	                    'type'     => Theme_Core_Options::SWITCH_FIELD,
	                    'default'  => '0',
	                ),
	                // UpSells Product
	                'product_upsell' => array(
	                    'title'    => esc_html__('Up-Sells Product', 'claniz'),
	                    'subtitle' => esc_html__('Show/Hide Up-Sells product', 'claniz'),
	                    'type'     => Theme_Core_Options::SWITCH_FIELD,
	                    'default'  => '1',
	                ),
	                'product_upsell_total' => array(
	                    'title'         => esc_html__('Up-Sells Total', 'claniz'),
	                    'subtitle'      => esc_html__('Total Up-Sells product display', 'claniz'),
	                    'type'          => 'slider',//Theme_Core_Options::SLIDER_FIELD
	                    'default'       => '4',
	                    'min'           => 1,
	                    'step'          => 1,
	                    'max'           => 12,
	                    'display_value' => 'label',
	                    'required' => ['product_upsell', '=', '1']
	                ),
	                'product_upsell_column' => array(
	                    'title'         => esc_html__('Up-Sells Columns', 'claniz'),
	                    'subtitle'      => esc_html__('Choose your Columns', 'claniz'),
	                    'type'          => 'slider', Theme_Core_Options::SLIDER_FIELD,
	                    'default'       => '4',
	                    'min'           => 1,
	                    'step'          => 1,
	                    'max'           => 6,
	                    'display_value' => 'label',
	                    'required' => ['product_upsell', '=', '1']
	                ),
	                // Related Product
	                'product_related' => array(
	                    'title'    => esc_html__('Product Related', 'claniz'),
	                    'subtitle' => esc_html__('Show/Hide related product', 'claniz'),
	                    'type'     => Theme_Core_Options::SWITCH_FIELD,
	                    'default'  => '1',
	                ),
	                'product_related_total' => array(
	                    'title'         => esc_html__('Related Total', 'claniz'),
	                    'subtitle'      => esc_html__('Total related product display', 'claniz'),
	                    'type'          => 'slider',//Theme_Core_Options::SLIDER_FIELD
	                    'default'       => '4',
	                    'min'           => 1,
	                    'step'          => 1,
	                    'max'           => 12,
	                    'display_value' => 'label',
	                    'required' => ['product_related', '=', '1']
	                ),
	                'product_related_column' => array(
	                    'title'         => esc_html__('Related Columns', 'claniz'),
	                    'subtitle'      => esc_html__('Choose your Columns', 'claniz'),
	                    'type'          => 'slider',//Theme_Core_Options::SLIDER_FIELD
	                    'default'       => '4',
	                    'min'           => 1,
	                    'step'          => 1,
	                    'max'           => 6,
	                    'display_value' => 'label',
	                    'required' => ['product_related', '=', '1']
	                )
	            )
	        )
	    ),
	    'cart_page' => [
	        'title'      => esc_html__('Cart Page', 'claniz'),
	        'fields'     => array_merge(
	            array(
	                array(
	                    'id'       => 'cart_cross_sell',
	                    'title'    => esc_html__('Cross Sells', 'claniz'),
	                    'subtitle' => esc_html__('Show/Hide Cross Sells product', 'claniz'),
	                    'type'     => Theme_Core_Options::SWITCH_FIELD,
	                    'default'  => '1',
	                ),
	                array(
	                    'id'            => 'cart_cross_sell_total',
	                    'title'         => esc_html__('Cross Sells Total', 'claniz'),
	                    'subtitle'      => esc_html__('Total cross sell product display', 'claniz'),
	                    'type'          => 'slider',//Theme_Core_Options::SLIDER_FIELD
	                    'default'       => '4',
	                    'min'           => 1,
	                    'step'          => 1,
	                    'max'           => 12,
	                    'display_value' => 'label',
	                    'required' => ['cart_cross_sell', '=', '1']
	                ),
	                array(
	                    'id'            => 'cart_cross_sell_column',
	                    'title'         => esc_html__('Cross Sells Columns', 'claniz'),
	                    'subtitle'      => esc_html__('Choose your Columns', 'claniz'),
	                    'type'          => 'slider',//Theme_Core_Options::SLIDER_FIELD
	                    'default'       => '4',
	                    'min'           => 1,
	                    'step'          => 1,
	                    'max'           => 6,
	                    'display_value' => 'label',
	                    'required' => ['cart_cross_sell', '=', '1']
	                )
	            )
	        )
	    ]		
    ]
];

return $args;