<?php
if (class_exists('Theme_Core_Options')) {
    // Set Location of Theme Options Menu
    add_filter('tco_page_parent', 'claniz_tco_parent_page');
    function claniz_tco_parent_page()
    {
        $theme = wp_get_theme();
        return $theme->get('TextDomain');
    }

    // Set Theme Options Name
    add_filter('tco_theme_options_name', 'claniz_tco_theme_options_name');
    add_filter('swa_ie_options_name', 'claniz_tco_theme_options_name');
    function claniz_tco_theme_options_name()
    {
        $opt_name = claniz_get_theme_opt_name();
        return $opt_name;
    }

    add_filter('tco_theme_options_args', 'claniz_theme_options_args');
    function claniz_theme_options_args()
    {
        $general     = include get_template_directory() . '/inc/theme-options/args/general.php';
        $header_top  = include get_template_directory() . '/inc/theme-options/args/header_top.php';
        $header      = include get_template_directory() . '/inc/theme-options/args/header.php';
        $page_title  = include get_template_directory() . '/inc/theme-options/args/page-title.php';
        $content     = include get_template_directory() . '/inc/theme-options/args/content.php';
        $shop        = include get_template_directory() . '/inc/theme-options/args/shop.php';
        $footer      = include get_template_directory() . '/inc/theme-options/args/footer.php';
        $api_key     = include get_template_directory() . '/inc/theme-options/args/api_key.php';
        $tools       = include get_template_directory() . '/inc/theme-options/args/tools.php';

        $args = [
            'general'     => $general,
            'header_top'  => $header_top,
            'header'      => $header,
            'page-title'  => $page_title,
            'content'     => $content,
            'shop'        => $shop,
            'footer'      => $footer,
            'api_key'     => $api_key,
            'tools'       => $tools
        ];

        return $args;
    }
}