<?php
/**
 * The template for displaying all single posts
 *
 * @package claniz
 */
$classes = ['cms-content-container cms-custom-timetable-events-template'];
if ( class_exists('\Elementor\Plugin') && \Elementor\Plugin::$instance->documents->get(get_the_ID())->is_built_with_elementor() ) {
    $classes[] = 'elementor-container';
    $is_built_with_elementor = true;
} else {
    $classes[] = 'container';
    $is_built_with_elementor = false;
}
get_header();

?>
    <div class="<?php echo implode(' ', $classes);?>">
        <?php 
            if ( $is_built_with_elementor ) { 
                while ( have_posts() )
                {
                    the_post();
                    the_content();
                }
            } else {
        ?>
            <div class="row cms-content-row gutters-grid">
                <div id="cms-content-area" class="<?php claniz_content_css_class(['content_col'=> 'single_content_col','sidebar_pos' => 'single_sidebar_pos']); ?>">
                    <?php
                        while ( have_posts() )
                        {
                            the_post();
                             get_template_part( 'template-parts/content-single/content', get_post_format() );
                            if ( comments_open() || get_comments_number() )
                            {
                                comments_template();
                            }
                        }
                    ?>
                </div>
                <?php claniz_sidebar(['content_col'=> 'single_content_col', 'sidebar_pos' => 'single_sidebar_pos', 'inner_class' => 'pl-xl-30']); ?>
            </div>
        <?php } ?>
    </div>
<?php
get_footer();
