<?php
/**
 * Template part for displaying posts in loop
 *
 * @package claniz
 */
$sidebar = claniz_sidebar_position();
if(in_array($sidebar, ['0','none', 'bottom'])){
    $thumbnail_size = 'post-thumbnail';
} else {
    $thumbnail_size = 'large';
}
$cms_post_content_classes = [
    'cms-post-content',
    'p-lr-20 p-lr-md-40 p-lr-lg-50 pb-40'
];
$post_meta_args = [
    'show_icon'   => false,
    'gutters'     => 10,
    'class'       => 'pb-20',  
    'separator'   => '<span class="col-auto align-self-center separator"><span class="cms-meta-separator"></span></span>'
];

if(has_post_thumbnail()){
    $post_meta_args['class'] .= ' mt-n25';
} else {
    $cms_post_content_classes[] = 'pt-40';
}
?>
<div <?php post_class('cms-post-archive cms-shadow-6 cms-radius-8'); ?>>
    <?php 
        claniz_post_media([  
            'size' => $thumbnail_size,
            'class' => 'cms-radius-12 overflow-hidden'
        ]);
    ?>
    <div class="<?php echo claniz_nice_class($cms_post_content_classes); ?>"><?php
        claniz_post_meta($post_meta_args);
        claniz_post_title(['tag' => 'h3', 'class' => 'text-20 text-lg-24 text-xl-40 lh-1/2 pb-25']);
        claniz_post_excerpt(['class' => 'text-17 lh-27 pb-30']);
        claniz_post_link_pages(['class' => 'pb-30']);
        claniz_post_readmore(['class' => 'btn-primary btn-hover-accent btn-md']);
    ?></div>
</div>