<?php
/**
 * Template part for displaying default header layout
 */
?>
<header id="cms-header" class="<?php claniz_header_css_class(); ?>">
    <div class="<?php claniz_header_container_css_class(); ?>">
        <div class="row gutters-30 justify-content-between align-items-center">
            <?php claniz_logo(['class' => 'col-auto']); ?>
            <?php claniz_secondary_menu([
                'before' => '<div class="col-auto font-700 cms-hidden-lg">',
                'after'  => '</div>'
            ]); ?>
            <div class="col-auto cms-hidden-xl"><span class="header-separator h-100 ml-10"></span></div>
            <div class="cms-navigation cms-main-navigation col-12 col-xl row gutters-0 gutters-xl-30 justify-content-center align-items-center"><?php
                // Menu
                get_template_part( 'template-parts/header/header', 'menu', ['menu_class' => 'col-12 col-xl-auto']);
                // Buttons
                claniz_header_button([
                    'class'           => 'col-auto cms-hidden-xl',
                    'btn_class'       => 'cms-btn-header',
                    'btn_color'       => 'accent',
                    'btn_hover_color' => '',
                    'icon'            => ''
                ]);
                claniz_header_button2([
                    'class'           => 'col-auto cms-hidden-xl',
                    'btn_class'       => 'cms-btn-header',
                    'btn_color'       => 'accent',
                    'btn_hover_color' => 'secondary',
                    'icon'            => ''
                ]);
                // Search
                claniz_header_search([
                    'class' => 'col-auto cms-hidden-xl'
                ]);
                // Cart
                claniz_header_cart([
                    'class' => 'col-auto cms-hidden-xl',
                    'text'  => ''
                ]);
                // Socials
                claniz_header_social([
                    'before'     => '<div class="cms-socials-wrap col-auto cms-hidden-xl"><div class="row gutters-5 gutters-grid justify-content-center">', 
                    'after'      => '</div></div>',
                    'icon_class' => 'menu-icon menu-color'
                ]);
                do_action('claniz_header_atts');
            ?></div>
            <div class="col-auto cms-hidden-xl"><span class="header-separator h-100 mr-10"></span></div>
            <?php            
                claniz_header_hotline([
                    'class' => 'col-auto cms-hidden-xl',
                    'icon_link_class' => 'text-custom-4 text-hover-accent'
                ]);
            ?>
            <?php 
                if( (claniz_get_opts( 'hidden_sidebar_on', '0' ) == '1' && is_active_sidebar('sidebar-hidden')) || claniz_get_opts('header_switch_language', '0') == 'all' )  {
                    $hidden_sidebar = '';
                } else {
                    $hidden_sidebar = 'cms-hidden-n-xl';
                }
            ?>
            <div class="col col-lg-auto <?php echo esc_attr($hidden_sidebar);?>">
                <div class="row align-items-center justify-content-end gutters-xl-40 gutters-lg-30 gutters-10">
                    <?php
                        // Buttons
                        claniz_header_button([
                            'class'     => 'col-auto cms-hidden-n-xl',
                            'btn_class' => 'btn btn-md btn-secondary cms-btn-header p-10',
                            'icon'      => 'cmsi-email',
                            'icon_size' => 'text-20',
                            'btn_text'  => ''
                        ]);
                        claniz_header_button2([
                            'class'     => 'col-auto cms-hidden-n-xl',
                            'btn_class' => 'btn btn-md btn-accent btn-hover-secondary cms-btn-header p-10',
                            'icon'      => 'cmsi-arrow-alt-circle-right',
                            'icon_size' => 'text-20',
                            'btn_text'  => ''
                        ]);
                        // Language
                        claniz_header_language_switcher([
                            'class'      => 'col-auto cms-hidden-text',
                            'full_names' => false
                        ]);
                        // Socials
                        claniz_header_social([
                            'before'     => '<div class="cms-header-socials col-auto cms-hidden-n-xl">', 
                            'after'      => '</div>',
                            'icon_class' => 'menu-icon menu-color'
                        ]);
                        // Hotline 
                        claniz_header_hotline([
                            'class' => 'col-auto cms-hidden-n-xl'
                        ]);
                        // Search
                        claniz_header_search([
                            'class' => 'col-auto cms-hidden-n-xl'
                        ]);
                        // Cart
                        claniz_header_cart([
                            'class' => 'col-auto cms-hidden-n-xl'
                        ]);
                        // Custom Attributes
                        do_action('claniz_header_mobile_atts');
                        // Sidebar
                        claniz_hidden_sidebar_icon([
                            'class' => 'col-auto'
                        ]);
                        // Mobile Menu
                        claniz_mobile_menu_icon([
                            'class' => 'col-auto'
                        ]);
                    ?>
                </div>
            </div>
        </div>
    </div>
    <?php do_action('claniz_header_popup_content'); ?>
</header>