<?php
/**
 * Template part for displaying the primary menu of the site
 */
$menus = claniz_get_opts('primary_menu', '0');
$menus_classes = ['cms-primary-menu','clearfix', isset($args['menu_class']) ? $args['menu_class']: '' ];
if ( has_nav_menu( 'primary' ) || $menus !== '0' )
{
    wp_nav_menu( array(
        'theme_location' => 'primary',
        'menu'           => claniz_get_opts('primary_menu', '0'), 
        'container'      => '',
        'menu_id'        => 'cms-primary-menu',
        'menu_class'     => implode(' ', $menus_classes),
        'walker'         => class_exists( 'claniz_Mega_Menu_Walker' ) ? new claniz_Mega_Menu_Walker : '',
    ) );
}
else
{
    printf(
        '<ul class="cms-primary-menu primary-menu-not-set"><li><a href="%1$s">%2$s</a></li></ul>',
        esc_url( admin_url( 'nav-menus.php' ) ),
        esc_html__( 'Create New Menu', 'claniz' )
    );
}