<?php
/**
 remove archives page title
*/
add_filter('woocommerce_show_page_title', function(){ return false;});

/**
 * Custom archive notices, catalog order and result count
*/
// add custom layout for notices
if(!function_exists('claniz_woocommerce_output_all_notices')){
	remove_action('woocommerce_before_shop_loop','woocommerce_output_all_notices', 10);
	add_action('claniz_woocommerce_output_all_notices','woocommerce_output_all_notices', 10);
	function claniz_woocommerce_output_all_notices(){
	?>
		<div class="cms-wc-all-notices mb-40"><?php do_action('claniz_woocommerce_output_all_notices'); ?></div>
	<?php
	}
}
// add custom layout for catalog order and result count
if(!function_exists('claniz_woocommerce_catalog_result')){
	// remove
	remove_action('woocommerce_before_shop_loop', 'woocommerce_result_count', 20);
	remove_action('woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30);
	// add back
	add_action('woocommerce_before_shop_loop','claniz_woocommerce_catalog_result', 20);
	add_action('claniz_woocommerce_catalog_ordering', 'woocommerce_catalog_ordering');
	add_action('claniz_woocommerce_result_count', 'woocommerce_result_count');
	function claniz_woocommerce_catalog_result(){
	?>
		<div class="cms-woo-result-order row justify-content-between align-items-center gutters-30 gutters-grid pb-40">
			<div class="col-md-12 col-lg-auto">
				<?php do_action('claniz_woocommerce_catalog_ordering'); ?>
			</div>
			<div class="col order-lg-first text-14 font-700 text-heading">
				<?php do_action('claniz_woocommerce_result_count'); ?>
			</div>
		</div>
		<div class="cms-woo-result-order-border"></div>
	<?php
	}
}

// Pagianation
add_filter('woocommerce_pagination_args', 'claniz_woocommerce_pagination_args');
function claniz_woocommerce_pagination_args($default){
	$default = array_merge($default, [
		'prev_text' => '<span class="nav-prev-icon"></span>',
		'next_text' => '<span class="nav-next-icon"></span>',
		'type'      => 'plain',
	]);
	return $default;
}