<?php
/**
 * Change number of column that are displayed per page (shop page)
 * Return column number
*/
add_filter( 'loop_shop_columns', 'claniz_loop_shop_columns', 20 ); 
function claniz_loop_shop_columns() {
  $columns = claniz_get_opts('products_columns', 3);
  $sidebar_position   = claniz_get_opts('sidebar_pos', 'bottom');
  if(is_active_sidebar('sidebar-shop') && $sidebar_position !== 'bottom') {
  	if(class_exists('WPcleverWoosq') && class_exists('WPcleverWoosw') && class_exists('WPcleverWooscp'))
  		$columns = $columns ; //- 1;
  	else 
  		$columns = $columns ; //- 1;
  } elseif(class_exists('WPcleverWoosq') && class_exists('WPcleverWoosw') && class_exists('WPcleverWooscp') && $sidebar_position !== 'bottom'){
  	$columns = $columns ; //- 1;
  }
  return $columns;
}

/**
 * Change number of products that are displayed per page (shop page)
 * $limit contains the current number of products per page based on the value stored on Options -> Reading
 * Return the number of products you wanna show per page.
 * 
 */
add_filter( 'loop_shop_per_page', 'claniz_loop_shop_per_page', 20 );
function claniz_loop_shop_per_page( $limit ) {
  $limit = claniz_get_opts('product_per_page', 9);
  return $limit;
}

/**
 * Loop Products
 * Wrap loop product in a DIV
*/
add_action('woocommerce_before_shop_loop_item', function(){ echo '<div class="cms-loop-products-wrap cms-transition">';}, 0);
add_action('woocommerce_after_shop_loop_item', function(){ echo '</div>';}, 999);

/**
 * Loop Products
 * Remove loop product link wrap
*/
remove_action('woocommerce_before_shop_loop_item','woocommerce_template_loop_product_link_open', 10);
remove_action('woocommerce_after_shop_loop_item','woocommerce_template_loop_product_link_close', 5);

/**
 * Loop Products
 * Link open
*/
if ( ! function_exists( 'woocommerce_template_loop_product_link_open' ) ) {
  /**
   * Insert the opening anchor tag for products in the loop.
   */
  function woocommerce_template_loop_product_link_open() {
    global $product;

    $link = apply_filters( 'woocommerce_loop_product_link', get_the_permalink(), $product );

    echo '<a href="' . esc_url( $link ) . '" class="cms-loop-product-link relative d-block">';
  }
}

/**
 * Loop Products
 * Product Thumbnail
*/
if ( ! function_exists( 'woocommerce_template_loop_product_thumbnail' ) ) {

  /**
   * Get the product thumbnail for the loop.
   */
  function woocommerce_template_loop_product_thumbnail() {
    // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
    ?>
    <div class="cms-loop-product-thumb cms-transition relative cms-radius-7"><?php
      woocommerce_template_loop_product_link_open();
        echo woocommerce_get_product_thumbnail();
      woocommerce_template_loop_product_link_close();
      do_action('claniz_woocommerce_template_loop_product_thumbnail_content');
    ?></div>
    <?php
  }
}

/**
 * Loop Products
 * Move loop Sale overlay to image
*/
remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
add_action('claniz_woocommerce_template_loop_product_thumbnail_content', 'woocommerce_show_product_loop_sale_flash', 0);

/**
 * Loop Products
 * Move Loop Add-to-Cart overlay to image
*/
remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
//add_action('claniz_woocommerce_template_loop_product_thumbnail_content','woocommerce_template_loop_add_to_cart',999);

/**
 * Loop Products
 * Custom Added to Cart button
 * add_action('claniz_woocommerce_loop_add_to_cart_link_after','claniz_woocommerce_template_loop_added_to_cart');
 *
**/
if(!function_exists('claniz_woocommerce_template_loop_added_to_cart')){
  function claniz_woocommerce_template_loop_added_to_cart($style = 'icon'){
    ob_start();
    ?>
      <a href="<?php echo esc_url(wc_get_cart_url()); ?>" class="cms_added_to_cart added_to_cart cms-addtocart-btn btn btn-accent btn-hover-primary" title="<?php esc_attr_e('View Cart','claniz');?>"> 
        <?php switch ($style) {
          case 'icon':
          ?>
            <span class="cms-addtocart-icon cms-addedtocart-icon cmsi-shopping-cart-arrow-right rtl-flip"></span>
          <?php
            break;
          default:
        ?>
            <span class="cms-addtocart-icon cms-addedtocart-icon cmsi-shopping-cart-arrow-right rtl-flip pr-10"></span>
            <span class="cms-addedtocart-text"><?php esc_html_e('View Cart','claniz');?></span>
        <?php 
          break;
        } ?>
      </a>
    <?php
    $html =  ob_get_clean();
    return $html;
  }
}

/** 
 * Loop Products
 * Add-To-Cart Icon
 * Use when design is only Icon
*/
if(!function_exists('claniz_loop_add_to_cart_icon')){
  add_action('claniz_woocommerce_template_loop_product_thumbnail_content', 'claniz_loop_add_to_cart_icon');
  function claniz_loop_add_to_cart_icon($args=[]){
    global $product;
    if ( $product ) {
      $defaults = array(
        'quantity'   => 1,
        'class'      => implode(
          ' ',
          array_filter(
            array(
              'button cms_add_to_cart cms-addtocart-btn btn btn-accent btn-hover-primary',
              'product_type_' . $product->get_type(),
              $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
              $product->supports( 'ajax_add_to_cart' ) && $product->is_purchasable() && $product->is_in_stock() ? 'ajax_add_to_cart' : '',
            )
          )
        ),
        'attributes' => array(
          'data-product_id'  => $product->get_id(),
          'data-product_sku' => $product->get_sku(),
          'aria-label'       => $product->add_to_cart_description(),
          'rel'              => 'nofollow',
        ),
        'icon' => 'cms-addtocart-icon cmsi-shopping-cart rtl-flip pr-10'
      );

      $args = apply_filters( 'claniz_woocommerce_loop_add_to_cart_args', wp_parse_args( $args, $defaults ), $product );

      if ( isset( $args['attributes']['aria-label'] ) ) {
        $args['attributes']['aria-label'] = wp_strip_all_tags( $args['attributes']['aria-label'] );
      }

      echo sprintf(
        '<div class="cms-loop-product-addtocart cms-transition d-flex justify-content-center"><a href="%s" data-quantity="%s" class="%s" %s><span class="%s"></span><span class="cms-addtocart-text">%s</span></a>%s</div>',
        esc_url( $product->add_to_cart_url() ),
        esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
        esc_attr( isset( $args['class'] ) ? $args['class'] : 'button' ),
        isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : '',
        $args['icon'],
        esc_html( $product->add_to_cart_text() ),
        claniz_woocommerce_template_loop_added_to_cart('text')
      );
    }
  }
}

/**
 * Loop Products
 * Custom Add-To-Cart Button
 * Use when design is Icon & Text or only text
**/
if(!function_exists('claniz_woocommerce_loop_add_to_cart_link')){
  //add_filter('woocommerce_loop_add_to_cart_link', 'claniz_woocommerce_loop_add_to_cart_link', 10, 3);
  function claniz_woocommerce_loop_add_to_cart_link($button, $product, $args){
    return sprintf(
      '<div class="cms-loop-add-to-cart d-flex"><a href="%1$s" data-quantity="%2$s" class="%3$s" %4$s>%5$s<span class="btn btn-accent btn-hover-accent"><span class="cms-btn-content">%5$s<span class="cms-btn-text">%6$s</span></span></span></a>%7$s</div>',
      esc_url( $product->add_to_cart_url() ),
      esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
      esc_attr( isset( $args['class'] ) ? $args['class'] : 'button' ),
      isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : '',
      '<span class="cms-btn-icon cms-addtocart-icon cmsi-shopping-cart rtl-flip"></span>',
      esc_html( $product->add_to_cart_text() ),
      claniz_woocommerce_template_loop_added_to_cart('text')
    );
  }
}
/**
 * Loop Products
 * Custom loop add-to-cart button argrement
**/
if(!function_exists('claniz_woocommerce_loop_add_to_cart_args')){
  //add_filter('woocommerce_loop_add_to_cart_args', 'claniz_woocommerce_loop_add_to_cart_args');
  function claniz_woocommerce_loop_add_to_cart_args($args){
    global $product;
    $args['class'] = implode(
      ' ',
      array_filter(
        array(
          'cms-addtocart-btn',
          'product_type_' . $product->get_type(),
          $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
          $product->supports( 'ajax_add_to_cart' ) && $product->is_purchasable() && $product->is_in_stock() ? 'ajax_add_to_cart' : '',
        )
      )
    );
    return $args;
  }
}
/**
 * Loop products
 * Wrap all content after thumbnail in a DIV
*/
add_action('woocommerce_before_shop_loop_item_title', function(){ echo '<div class="cms-loop-product-info pt-25 text-center">';}, 999);
add_action('woocommerce_after_shop_loop_item_title', function(){ echo '</div>';}, 999);

/**
 * Loop Products
 * Product Title
*/
if ( ! function_exists( 'woocommerce_template_loop_product_title' ) ) {
  /**
   * Show the product title in the product loop. By default this is an H2.
   */
  function woocommerce_template_loop_product_title() {
    echo '<h4 class="cms-loop-product-title cms-heading text-20 font-600">';
      woocommerce_template_loop_product_link_open();
        the_title();
      woocommerce_template_loop_product_link_close();
    echo '</h4>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
  }
}
/**
 * Loop Products
 * Product Price
*/
if ( ! function_exists( 'woocommerce_template_loop_price' ) ) {

  /**
   * Get the product price for the loop.
   */
  function woocommerce_template_loop_price() {
    global $product;
    if ( $price_html = $product->get_price_html() ) { ?>
      <div class="cms-loop-product-price text-accent text-20 font-700">
        <?php printf('%s', $price_html); ?>
      </div><?php
    }
  }
}