<?php
// Sale
remove_action('woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash',10);
add_action('woocommerce_product_thumbnails', 'woocommerce_show_product_sale_flash',10);
// Title
if ( ! function_exists( 'woocommerce_template_single_title' ) ) {
	/**
	 * Output the product title.
	 */
	function woocommerce_template_single_title() {
		the_title('<h1 class="cms-heading text-29 mt-2 mb-6 font-600">','</h1>');
	}
}
// Review count & link 
if ( ! function_exists( 'woocommerce_template_single_rating' ) ) {

	/**
	 * Output the product rating.
	 */
	function woocommerce_template_single_rating() {
		

		if ( !post_type_supports( 'product', 'comments' ) || ! wc_review_ratings_enabled() ) {
			return;
		}
		global $product;
		$rating_count = $product->get_rating_count();
		$review_count = $product->get_review_count();
		$average      = $product->get_average_rating();
		if ( $rating_count > 0 ) : ?>
			<div class="woocommerce-product-rating">
				<?php echo wc_get_rating_html( $average, $rating_count ); // WPCS: XSS ok. ?>
				<?php if ( comments_open() ) : ?>
					<?php //phpcs:disable ?>
					<a href="#reviews" class="woocommerce-review-link" rel="nofollow"><?php printf( _n( '%s review', '%s reviews', $review_count, 'claniz' ), '<span class="count">' . esc_html( $review_count ) . '</span>' ); ?> / <?php esc_html_e('Add review','claniz'); ?></a>
					<?php // phpcs:enable ?>
				<?php endif ?>
			</div>
		<?php endif;
	}
}
// Price 
if(!function_exists('claniz_woocommerce_product_price_class')){
	add_filter('woocommerce_product_price_class', 'claniz_woocommerce_product_price_class');
	function claniz_woocommerce_product_price_class(){
		return 'cms-single-product-price text-22 font-700 text-accent';
	}
}
/**
 * Add to cart 
 * Customise the dropdown 'choose an option'
**/
if(!function_exists('claniz_woocommerce_dropdown_variation_attribute_options_args')){
	add_filter('woocommerce_dropdown_variation_attribute_options_args', 'claniz_woocommerce_dropdown_variation_attribute_options_args', 10);
	// Displays the custom "Choose an option" on the front end
	function claniz_woocommerce_dropdown_variation_attribute_options_args( $args ){
	  global $product;
	  $args['show_option_none'] = __('Choose','claniz') .' '.strtolower(wc_attribute_label($args['attribute'],$product));
	  return $args;
	}
}
// Meta
if ( ! function_exists( 'woocommerce_template_single_meta' ) ) {

	/**
	 * Output the product meta.
	 */
	function woocommerce_template_single_meta() {
		global $product;
		?>
		<div class="cms-single-product-meta">
			<?php do_action( 'woocommerce_product_meta_start' ); ?>

			<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>
				<div class="cms-single-product-meta-item">
					<span class="title sku_wrapper"><?php esc_html_e( 'SKU:', 'claniz' ); ?></span>
					<span class="content sku"><?php $sku = $product->get_sku() ? $product->get_sku() : esc_html__( 'N/A', 'claniz' );  printf('%s' , $sku); ?></span>
				</div>
			<?php endif; ?>

			<?php echo wc_get_product_category_list( $product->get_id(), ', ', '<div class="cms-single-product-meta-item"><span class="title posted_in">' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'claniz' ) . '</span><span class="content"> ', '</span></div>' ); ?>

			<?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<div class="cms-single-product-meta-item"><span class="title tagged_as">' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'claniz' ) . '</span> <span class="content">', '</span></div>' ); ?>

			<?php do_action( 'woocommerce_product_meta_end' ); ?>
		</div>
		<?php
	}
}
// Share
if(!function_exists('claniz_woocommerce_template_single_sharing')){
	add_action('woocommerce_share', 'claniz_woocommerce_template_single_sharing');
	function claniz_woocommerce_template_single_sharing(){
		claniz_socials_share_default([
			'show_share'        => claniz_get_opts( 'product_social_share_on', '0' ),
			'class'             => 'mt-30',	
			'title'             => '',
			'gutters'           => '10',	
			'social_class'      => 'cms-socials cms-social-layout-6 social-bg-colored',
			'social_item_class' => 'social-icon',		
			'icon_facebook'     => 'cmsi-facebook-f',
			'icon_twitter'      => 'cmsi-twitter',
			'icon_linkedin'     => '',
			'icon_instagram'    => 'cmsi-instagram',
			'icon_pinterest'    => ''
		]);
	}
}
/**
 * Tabs
 */
 // remove tab title 
 add_filter('woocommerce_product_additional_information_heading', function (){ return false;}); 
 add_filter('woocommerce_product_description_heading', function (){ return false;}); 

// Upsell Products
remove_action('woocommerce_after_single_product_summary','woocommerce_upsell_display', 15);
if(claniz_get_opts('product_upsell', '1') === '1'){
	add_action('woocommerce_after_single_product_summary','woocommerce_upsell_display', 15);
}
//filter:  woocommerce_cross_sells_columns
//add_filter( 'woocommerce_cross_sells_columns', 'claniz_woocommerce_upsells_columns');
add_filter( 'woocommerce_upsells_columns', 'claniz_woocommerce_upsells_columns');
function claniz_woocommerce_upsells_columns( $columns ) {
	$columns = claniz_get_opts('product_upsell_column', 4);
	return $columns;
}
// filter: woocommerce_cross_sells_total
//add_filter( 'woocommerce_cross_sells_total', 'claniz_woocommerce_upsells_total');
add_filter( 'woocommerce_upsells_total', 'claniz_woocommerce_upsells_total');
function claniz_woocommerce_upsells_total( $totals ) {
	$totals = claniz_get_opts('product_upsell_total', 4);;
	return $totals;
}
// Related Products
remove_action('woocommerce_after_single_product_summary','woocommerce_output_related_products', 20);
if(claniz_get_opts('product_related', '1') === '1'){
	add_action('woocommerce_after_single_product_summary','woocommerce_output_related_products', 20);
}
add_filter( 'woocommerce_output_related_products_args', 'claniz_woocommerce_output_related_products_args', 20 );
  function claniz_woocommerce_output_related_products_args( $args ) {
	$args['posts_per_page'] = claniz_get_opts('product_related_total', 4);
	$args['columns'] = claniz_get_opts('product_related_column', 4);
	return $args;
}