<?php
/**
 * The template for displaying product widget entries.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-product.php.
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.5.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

if ( ! is_a( $product, 'WC_Product' ) ) {
	return;
}

?>
<li class="cms-product-list-item">
	<?php do_action( 'woocommerce_widget_product_item_start', $args ); ?>
	<div class="row gutters-20 align-items-center relative">
		<div class="col-auto">
			<div class="cms-product-list-thumbs relative">
				<a href="<?php echo esc_url( $product->get_permalink() ); ?>" class="cms-product-list-thumb d-block">
					<?php printf('%s', $product->get_image()); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
				</a>
			</div>
		</div>
		<div class="col">
			<a href="<?php echo esc_url( $product->get_permalink() ); ?>" class="cms-product-list-title heading text-16 font-600 d-block">
				<?php echo wp_kses_post( $product->get_name() ); ?>
			</a>
			<?php if ( ! empty( $show_rating ) ) : ?>
				<?php echo wc_get_rating_html( $product->get_average_rating() ); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
			<?php endif; ?>
			<div class="cms-product-list-price text-accent font-700">
				<?php printf('%s', $product->get_price_html()); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
			</div>
		</div>
	</div>
	<?php do_action( 'woocommerce_widget_product_item_end', $args ); ?>
</li>
