<?php
/**
 * The template for displaying product widget entries.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-reviews.php
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;
global $product;

if ( ! is_a( $product, 'WC_Product' ) ) {
	return;
};
$product_id = $comment->comment_post_ID;
$_product = wc_get_product( $product_id );
?>
<li class="cms-product-list-item">
	<?php //do_action( 'woocommerce_widget_product_review_item_start', $args ); ?>

	<?php
	// phpcs:disable WordPress.Security.EscapeOutput.OutputNotEscaped
	?>
	<div class="row gutters-20 align-items-center relative">
		<div class="col-auto">
			<div class="cms-product-list-thumbs relative">
				<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="cms-product-list-thumb d-block">
					<?php printf('%s', $_product->get_image()); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
				</a>
			</div>
		</div>
		<div class="col">
			<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="cms-product-list-title heading text-16 font-600 d-block">
				<?php echo wp_kses_post( $_product->get_name() ); ?>
			</a>
			<?php echo wc_get_rating_html( intval( get_comment_meta( $comment->comment_ID, 'rating', true ) ) ); ?>
			<div class="reviewer">
			<?php
			/* translators: %s: Comment author. */
			echo sprintf( esc_html__( 'by %s', 'claniz' ), get_comment_author( $comment->comment_ID ) );
			?>
			</div>
		</div>
	</div>
	<?php
	// phpcs:enable WordPress.Security.EscapeOutput.OutputNotEscaped
	?>

	<?php //do_action( 'woocommerce_widget_product_review_item_end', $args ); ?>
</li>
