<?php
// Register Contact Form 7 Widget
if(class_exists('WPCF7')) {
    $cf7 = get_posts('post_type="wpcf7_contact_form"&numberposts=-1');
    $contact_forms = array();
    if ($cf7) {
        foreach ($cf7 as $cform) {
            $contact_forms[$cform->ID] = $cform->post_title;
        }
    } else {
        $contact_forms[esc_html__('No contact forms found', 'claniz')] = 0;
    }

    etc_add_custom_widget(
        array(
            'name'       => 'cms_ctf7',
            'title'      => esc_html__('CMS Contact Form 7', 'claniz'),
            'icon'       => 'eicon-form-horizontal',
            'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
            'scripts'    => array(
                'cms-animation'
            ),
            'params'     => array(
                'sections' => array(
                    array(
                        'name'     => 'layout_section',
                        'label'    => esc_html__( 'Layout', 'claniz' ),
                        'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                        'controls' => array(
                            array(
                                'name'    => 'layout_shadow',
                                'label'   => esc_html__('Shadow Style', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    ''     => __('Default','claniz'),
                                    '1'    => __('Style 1','claniz'),
                                    '2'    => __('Style 2','claniz'),
                                    '7'    => __('Style 7','claniz'),
                                    '8'    => __('Style 8','claniz'),
                                    'none' => __('None','claniz'),
                                ],
                                'default' => ''
                            ),
                            array(
                                'name'    => 'layout',
                                'label'   => esc_html__( 'Templates', 'claniz' ),
                                'type'    => Elementor_Theme_Core::LAYOUT_CONTROL,
                                'default' => '1',
                                'options' => [
                                    '1' => [
                                        'label' => esc_html__( 'Layout 1', 'claniz' ),
                                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_ctf7/layout-images/1.jpg'
                                    ],
                                    '2' => [
                                        'label' => esc_html__( 'Layout 2', 'claniz' ),
                                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_ctf7/layout-images/layout2.jpg'
                                    ],
                                    '3' => [
                                        'label' => esc_html__( 'Layout 3', 'claniz' ),
                                        'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_ctf7/layout-images/3.jpg'
                                    ]
                                ],
                                'prefix_class' => 'cms-cf7-layout-'
                            )
                        )
                    ),
                    array(
                        'name'     => 'form_section',
                        'label'    => __('Contact Form', 'claniz'),
                        'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                        'controls' => array(
                            array(
                                'name'    => 'ctf7_id',
                                'label'   => esc_html__('Select Form', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::SELECT,
                                'options' => $contact_forms,
                            ),
                            array(
                                'name'    => 'ctf7_xresponsex_output',
                                'label'   => esc_html__('Response Message Color', 'claniz'),
                                'type'    => \Elementor\Controls_Manager::COLOR,
                                'selectors' => [
                                    '{{WRAPPER}} .wpcf7-response-output' => 'color:{{VALUE}};'
                                ]
                            )
                        )
                    ),
                    array(
                        'name'     => 'source_section',
                        'label'    => esc_html__('Heading Settings', 'claniz'),
                        'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                        'controls' => array_merge(
                            claniz_elementor_text_settings([
                                'name'     => 'form_title',
                                'label'    => esc_html__( 'Form Title', 'claniz' ),
                                'default'  => 'Request An Quote',
                                'selector' => '.cms-mainheading'
                            ]),
                            claniz_elementor_text_settings([
                                'name'     => 'form_desc',
                                'label'    => esc_html__( 'Form Description', 'claniz' ),
                                'default'  => 'Please complete the form below, to request a quote, and we’ll be in touch. Or you can call us <a href="tel:01061245741" class="font-700 text-underline">01061245741</a> and our specialists will provide the necessary help!',
                                'selector' => '.cms-desc',
                                'separator' => 'before'
                            ]),
                            claniz_elementor_text_settings([
                                'name'     => 'form_note',
                                'label'    => esc_html__( 'Form Note', 'claniz' ),
                                'default'  => '',
                                'selector' => '.cms-form-note',
                                'separator' => 'before'
                            ])
                        )
                    ),
                    array(
                        'name'     => 'image_section',
                        'label'    => esc_html__('Banner Settings', 'claniz'),
                        'tab'      => \Elementor\Controls_Manager::TAB_CONTENT,
                        'controls' => claniz_elementor_image_settings([
                            'name' => 'form_banner',
                            'label' => __('Select form banner','claniz')
                        ])
                    )
                )
            )
        ),
        get_template_directory() . '/elementor/core/widgets/'
    );
}