<?php

class ETC_CmsCta_Widget extends Elementor_Theme_Core_Widget_Base{
    protected $name = 'cms_cta';
    protected $title = 'CMS Call to Action';
    protected $icon = 'eicon-image-rollover';
    protected $categories = array( 'elementor-theme-core' );
    protected $params = '{"sections":[{"name":"layout_section","label":"Layout","tab":"layout","controls":[{"name":"text-align","label":"Content Alignment","label_block":false,"type":"choose","control_type":"responsive","options":{"start":{"title":"Start","icon":"eicon-text-align-left"},"center":{"title":"Center","icon":"eicon-text-align-center"},"end":{"title":"End","icon":"eicon-text-align-right"},"justify":{"title":"Justified","icon":"eicon-text-align-justify"}},"default":"","condition":[]},{"name":"layout","label":"Templates","type":"layoutcontrol","default":"1","options":{"1":{"label":"Layout 1","image":"http:\/\/localhost:8888\/claniz\/wp-content\/themes\/claniz\/elementor\/templates\/widgets\/cms_cta\/layout-images\/1.jpg"},"2":{"label":"Layout 2","image":"http:\/\/localhost:8888\/claniz\/wp-content\/themes\/claniz\/elementor\/templates\/widgets\/cms_cta\/layout-images\/2.jpg"},"3":{"label":"Layout 3","image":"http:\/\/localhost:8888\/claniz\/wp-content\/themes\/claniz\/elementor\/templates\/widgets\/cms_cta\/layout-images\/2.jpg"}},"prefix_class":"cms-ctas cms-cta-layout-"}]},{"name":"heading_section","label":"Heading Settings","tab":"content","controls":[{"name":"heading_icon","label":"Heading Icon","type":"icons","default":""},{"name":"heading_icon_color","label":"Main Color","type":"select","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)","custom":"Custom"},"default":"","prefix_class":"","condition":[]},{"name":"custom_heading_icon_color","label":"Custom Main Color","type":"color","condition":{"heading_icon_color":"custom"},"selectors":{"{{WRAPPER}} .cms-cta-title-icon":"color: {{VALUE}};"}},{"name":"heading_icon_hover_color","label":"Hover Color","type":"select","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)","custom":"Custom"},"default":"","prefix_class":"","condition":[]},{"name":"custom_heading_icon_hover_color","label":"Custom Hover Color","type":"color","condition":{"heading_icon_hover_color":"custom"},"selectors":{"{{WRAPPER}} .cms-cta-title-icon:hover":"color: {{VALUE}};"}},{"name":"heading_icon_size","label":"Icon Size","type":"slider","range":{"px":{"min":15,"max":200}},"selectors":{"{{WRAPPER}} .cms-cta-title-icon":"font-size: {{SIZE}}{{UNIT}};"}},{"name":"heading_icon_spacing","label":"Icon Spacing","type":"slider","range":{"px":{"min":5,"max":200}},"selectors":{"{{WRAPPER}} .cms-cta-title-icon":"margin-right: {{SIZE}}{{UNIT}};"}},{"name":"subheading_text_heading_label_title","label":"Small Heading","type":"heading","separator":"before","condition":[]},{"name":"subheading_text","label":"","type":"textarea","placeholder":"Enter your text","default":"","description":"Enter \"-1\" to hide","label_block":true,"dynamic":{"active":true},"condition":[]},{"name":"subheading_text_tag","label":"Small Heading Tag","type":"select","options":{"h1":"H1","h2":"H2","h3":"H3","h4":"H4","h5":"H5","h6":"H6","div":"div","span":"span","p":"p","":"Default"},"description":"Choose HTML tag use for this element","default":"","label_block":true,"separator":"before","condition":{"subheading_text!":["","-1"]}},{"name":"subheading_text_typo","type":"typography","control_type":"group","selector":"{{WRAPPER}} .cms-smallheading","condition":{"subheading_text!":["","-1"]}},{"name":"subheading_text_shadow","type":"text-shadow","control_type":"group","selector":"{{WRAPPER}} .cms-smallheading","condition":{"subheading_text!":["","-1"]}},{"name":"subheading_text_color","label":"Color","type":"select","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)","custom":"Custom"},"default":"","condition":{"subheading_text!":["","-1"]}},{"name":"subheading_text_custom_color","label":"Custom Color","type":"color","condition":{"subheading_text!":["","-1"],"subheading_text_color":"custom"},"selectors":{"{{WRAPPER}} .cms-smallheading":"color:{{VALUE}};"}},{"name":"subheading_text_extra_space","label":"Extra bottom Space","type":"slider","range":{"px":{"min":-300,"max":300}},"selectors":{"{{WRAPPER}} .cms-smallheading .extra-space":"display:block;margin-bottom:{{SIZE}}{{UNIT}};"},"condition":{"subheading_text!":["","-1"]}},{"name":"subheading_text_animation","label":"Motion Effect","type":"animation","condition":{"subheading_text!":["-1"]}},{"name":"subheading_text_animation_duration","label":"Animation Duration","type":"select","default":"normal","options":{"slow":"Slow","normal":"Normal","fast":"Fast"},"condition":{"subheading_text_animation!":""}},{"name":"subheading_text_animation_delay","label":"Animation Delay","type":"number","min":0,"step":100,"condition":{"subheading_text_animation!":""}},{"name":"heading_text_heading_label_title","label":"Large Heading","type":"heading","separator":"before","condition":[]},{"name":"heading_text","label":"","type":"textarea","placeholder":"Enter your text","default":"","description":"Enter \"-1\" to hide","label_block":true,"dynamic":{"active":true},"condition":[]},{"name":"heading_text_tag","label":"Large Heading Tag","type":"select","options":{"h1":"H1","h2":"H2","h3":"H3","h4":"H4","h5":"H5","h6":"H6","div":"div","span":"span","p":"p","":"Default"},"description":"Choose HTML tag use for this element","default":"","label_block":true,"separator":"before","condition":{"heading_text!":["","-1"]}},{"name":"heading_text_typo","type":"typography","control_type":"group","selector":"{{WRAPPER}} .cms-mainheading","condition":{"heading_text!":["","-1"]}},{"name":"heading_text_shadow","type":"text-shadow","control_type":"group","selector":"{{WRAPPER}} .cms-mainheading","condition":{"heading_text!":["","-1"]}},{"name":"heading_text_color","label":"Color","type":"select","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)","custom":"Custom"},"default":"","condition":{"heading_text!":["","-1"]}},{"name":"heading_text_custom_color","label":"Custom Color","type":"color","condition":{"heading_text!":["","-1"],"heading_text_color":"custom"},"selectors":{"{{WRAPPER}} .cms-mainheading":"color:{{VALUE}};"}},{"name":"heading_text_extra_space","label":"Extra bottom Space","type":"slider","range":{"px":{"min":-300,"max":300}},"selectors":{"{{WRAPPER}} .cms-mainheading .extra-space":"display:block;margin-bottom:{{SIZE}}{{UNIT}};"},"condition":{"heading_text!":["","-1"]}},{"name":"heading_text_animation","label":"Motion Effect","type":"animation","condition":{"heading_text!":["-1"]}},{"name":"heading_text_animation_duration","label":"Animation Duration","type":"select","default":"normal","options":{"slow":"Slow","normal":"Normal","fast":"Fast"},"condition":{"heading_text_animation!":""}},{"name":"heading_text_animation_delay","label":"Animation Delay","type":"number","min":0,"step":100,"condition":{"heading_text_animation!":""}},{"name":"description_text_heading_label_title","label":"Description Text","type":"heading","separator":"before","condition":[]},{"name":"description_text","label":"","type":"textarea","placeholder":"Enter your text","default":"","description":"Enter \"-1\" to hide","label_block":true,"dynamic":{"active":true},"condition":[]},{"name":"description_text_tag","label":"Description Text Tag","type":"select","options":{"h1":"H1","h2":"H2","h3":"H3","h4":"H4","h5":"H5","h6":"H6","div":"div","span":"span","p":"p","":"Default"},"description":"Choose HTML tag use for this element","default":"","label_block":true,"separator":"before","condition":{"description_text!":["","-1"]}},{"name":"description_text_typo","type":"typography","control_type":"group","selector":"{{WRAPPER}} .cms-desc","condition":{"description_text!":["","-1"]}},{"name":"description_text_shadow","type":"text-shadow","control_type":"group","selector":"{{WRAPPER}} .cms-desc","condition":{"description_text!":["","-1"]}},{"name":"description_text_color","label":"Color","type":"select","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)","custom":"Custom"},"default":"","condition":{"description_text!":["","-1"]}},{"name":"description_text_custom_color","label":"Custom Color","type":"color","condition":{"description_text!":["","-1"],"description_text_color":"custom"},"selectors":{"{{WRAPPER}} .cms-desc":"color:{{VALUE}};"}},{"name":"description_text_extra_space","label":"Extra bottom Space","type":"slider","range":{"px":{"min":-300,"max":300}},"selectors":{"{{WRAPPER}} .cms-desc .extra-space":"display:block;margin-bottom:{{SIZE}}{{UNIT}};"},"condition":{"description_text!":["","-1"]}},{"name":"description_text_animation","label":"Motion Effect","type":"animation","condition":{"description_text!":["-1"]}},{"name":"description_text_animation_duration","label":"Animation Duration","type":"select","default":"normal","options":{"slow":"Slow","normal":"Normal","fast":"Fast"},"condition":{"description_text_animation!":""}},{"name":"description_text_animation_delay","label":"Animation Delay","type":"number","min":0,"step":100,"condition":{"description_text_animation!":""}}]},{"name":"cta_link1","label":"Heading Link","tab":"content","controls":[{"name":"link1link_type","label":"Link Type","type":"select","default":"custom","options":{"custom":"Custom","page":"Internal Page","post":"Post","cms-doctor":"Industries","service":"Service","product":"Product"},"condition":[]},{"name":"link1link_page","label":"Page Link","type":"select","default":"","options":{"":"None","36":"About Us","40":"Awards & Recognition","83":"Blog Grid","661":"Blog Standard","52":"Careers","11":"Cart","12":"Checkout","101":"Contact Us","45":"Help & FAQs","8323":"Home Alternative","27":"Home Classic","8240":"Home Main","26":"Home Modern","28":"Home Supplies","38":"How It Works","8313":"industry styles","39":"Leadership Team","13":"My account","8":"Newsletter","42":"Our Gallery","68":"Our Industries","46":"Our Locations","73":"Our Pricing","55":"Our Service","3":"Privacy Policy","14":"Refund and Returns Policy","75":"Request An Estimate","10":"Shop","74":"Special Offers"},"condition":{"link1link_type":"page"}},{"name":"link1hyper_link","label":"Custom Link","type":"url","placeholder":"https:\/\/your-link.com","default":{"url":"#","is_external":"on"},"condition":{"link1link_type":"custom"}},{"name":"link1link_post","label":"Post Link","type":"select","options":{"627":"The Difference Between Bacterial and Viral Infections and How to Avoid Them","610":"Cleaning and Disinfecting Tips for Businesses Affected by Coronavirus (COVID-19)","611":"Urethane Against Acrylic Treatments: Which is good for Your Business","612":"Cleanroom Cleaning: How Often Should You Clean And Disinfect Your Home?","613":"How to Maintain Your Floor in traffic Areas Throughout The Day From Dirt And Mud!","622":"How to Avoid And Stop The Spread Of Infection In Your Medical Facility","609":"The Difference Between Bacterial and Viral Infections and How to Avoid Them"},"condition":{"link1link_type":["post"]}},{"name":"link1link_cms-doctor","label":"Industries Link","type":"select","options":{"4975":"Manufacturing Facilities","4974":"Educational Facilities","4968":"Medical Facilities","4967":"Financial Institutions","4946":"Government Buildings","4927":"Religious Building"},"condition":{"link1link_type":["cms-doctor"]}},{"name":"link1link_service","label":"Service Link","type":"select","options":{"3297":"Occasional & One Time Cleaning Service","3296":"Recurring & Ongoing Cleaning Service","3295":"Move Out & Move In Cleaning Service","3260":"Professional Apartment Cleaning Service","3259":"Residential Window Cleaning Services","3258":"Professional Carpet Cleaning Services"},"condition":{"link1link_type":["service"]}},{"name":"link1link_product","label":"Product Link","type":"select","options":{"1435":"Broom and Dustpan","1434":"Original Glass Cleaner","1433":"Toilet Brush","1432":"Cleaning Sponge","1428":"Broom and Dustpan","1427":"Cleaning Soap","1426":"Glass Cleaning","1413":"Antibacterial Soap","3240":"\u0421leaning Sponge","3241":"Floor Soap","6386":"Windows Cleaner","6384":"Hand Soap"},"condition":{"link1link_type":["product"]}},{"name":"link1link_text","label":"Link Text","description":"Enter \"-1\" to hide","type":"text","condition":[],"dynamic":{"active":true},"default":""},{"name":"link1show_link_text","label":"Show Link Text","type":"select","options":{"":"Default","yes":"Yes","no":"No"},"condition":[],"dynamic":{"active":true},"default":""},{"name":"link1link_color","label":"Color","type":"select","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)"},"condition":[]},{"name":"link1link_hover_color","label":"Hover Color","type":"select","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)"},"condition":[]},{"name":"link1link_align","label":"Alignment","type":"choose","control_type":"responsive","options":{"start":{"title":"Start","icon":"eicon-text-align-left"},"center":{"title":"Center","icon":"eicon-text-align-center"},"end":{"title":"End","icon":"eicon-text-align-right"},"justify":{"title":"Justified","icon":"eicon-text-align-justify"}},"condition":[]},{"name":"link1link_icon","label":"Icon","type":"icons","label_block":true,"default":"","condition":[]},{"name":"link1link_icon_color","label":"Icon Color","type":"select","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)"},"condition":{"link1link_icon[value]!":""}},{"name":"link1link_icon_outline","label":"Icon Outline","type":"select","default":"no","options":{"yes":"Yes","no":"No"},"condition":{"link1link_icon[value]!":""}},{"name":"link1link_icon_align","label":"Icon Position","type":"select","default":"right","options":{"left":"Before","right":"After"},"condition":{"link1link_icon[value]!":""}},{"name":"link1link_icon_size","label":"Icon Size","type":"slider","range":{"px":{"min":5,"max":200}},"condition":{"link1link_icon[value]!":""},"selectors":{"{{WRAPPER}} .cms-link.link1 .cms-icon":"font-size: {{SIZE}}{{UNIT}};"}},{"name":"link1link_icon_indent","label":"Icon Spacing","type":"slider","range":{"px":{"min":5,"max":200}},"condition":{"link1link_icon[value]!":""},"selectors":{"{{WRAPPER}} .cms-link.link1 .cms-align-icon-right":"margin-left: {{SIZE}}{{UNIT}};","{{WRAPPER}} .cms-link.link1 .cms-align-icon-left":"margin-right: {{SIZE}}{{UNIT}};"}}]},{"name":"button_section1","label":"Button Settings","tab":"content","controls":[{"name":"btn_text","label":"Button Text","type":"text","default":"","placeholder":"Your Text","condition":[],"separator":""},{"name":"show_btn_text","label":"Show Button Text","type":"switcher","default":"true","condition":{"btn_text!":""}},{"name":"btn_link_type","label":"Link Type","type":"select","default":"custom","options":{"custom":"Custom","page":"Internal Page","post":"Post","cms-doctor":"Industries","service":"Service","product":"Product"},"condition":{"btn_text!":""}},{"name":"link_page","label":"Page Link","type":"select","default":"","options":{"":"None","36":"About Us","40":"Awards & Recognition","83":"Blog Grid","661":"Blog Standard","52":"Careers","11":"Cart","12":"Checkout","101":"Contact Us","45":"Help & FAQs","8323":"Home Alternative","27":"Home Classic","8240":"Home Main","26":"Home Modern","28":"Home Supplies","38":"How It Works","8313":"industry styles","39":"Leadership Team","13":"My account","8":"Newsletter","42":"Our Gallery","68":"Our Industries","46":"Our Locations","73":"Our Pricing","55":"Our Service","3":"Privacy Policy","14":"Refund and Returns Policy","75":"Request An Estimate","10":"Shop","74":"Special Offers"},"condition":{"btn_text!":"","btn_link_type":"page"}},{"name":"btn_link","label":"Custom Link","type":"url","placeholder":"https:\/\/your-link.com","default":{"url":"#"},"condition":{"btn_text!":"","btn_link_type":"custom"}},{"name":"link_post","label":"Post Link","type":"select","options":{"627":"The Difference Between Bacterial and Viral Infections and How to Avoid Them","610":"Cleaning and Disinfecting Tips for Businesses Affected by Coronavirus (COVID-19)","611":"Urethane Against Acrylic Treatments: Which is good for Your Business","612":"Cleanroom Cleaning: How Often Should You Clean And Disinfect Your Home?","613":"How to Maintain Your Floor in traffic Areas Throughout The Day From Dirt And Mud!","622":"How to Avoid And Stop The Spread Of Infection In Your Medical Facility","609":"The Difference Between Bacterial and Viral Infections and How to Avoid Them"},"condition":{"btn_link_type":["post"],"btn_text!":""}},{"name":"link_cms-doctor","label":"Industries Link","type":"select","options":{"4975":"Manufacturing Facilities","4974":"Educational Facilities","4968":"Medical Facilities","4967":"Financial Institutions","4946":"Government Buildings","4927":"Religious Building"},"condition":{"btn_link_type":["cms-doctor"],"btn_text!":""}},{"name":"link_service","label":"Service Link","type":"select","options":{"3297":"Occasional & One Time Cleaning Service","3296":"Recurring & Ongoing Cleaning Service","3295":"Move Out & Move In Cleaning Service","3260":"Professional Apartment Cleaning Service","3259":"Residential Window Cleaning Services","3258":"Professional Carpet Cleaning Services"},"condition":{"btn_link_type":["service"],"btn_text!":""}},{"name":"link_product","label":"Product Link","type":"select","options":{"1435":"Broom and Dustpan","1434":"Original Glass Cleaner","1433":"Toilet Brush","1432":"Cleaning Sponge","1428":"Broom and Dustpan","1427":"Cleaning Soap","1426":"Glass Cleaning","1413":"Antibacterial Soap","3240":"\u0421leaning Sponge","3241":"Floor Soap","6386":"Windows Cleaner","6384":"Hand Soap"},"condition":{"btn_link_type":["product"],"btn_text!":""}},{"name":"btn_type","label":"Mode","type":"select","default":"btn btn-fill","options":{"btn btn-fill":"Fill","btn btn-outline":"Outline"},"condition":{"btn_text!":""}},{"name":"btn_style","label":"Style","type":"select","default":"btn-style-3","options":{"btn-style-1":"Style 1","btn-style-2":"Style 2","btn-style-3":"Style 3","btn-style-4":"Style 4"},"condition":{"btn_text!":""}},{"name":"btn_color","label":"Color","type":"select","default":"accent","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)"},"condition":{"btn_text!":""}},{"name":"btn_hover_color","label":"Hover Color","type":"select","default":"primary","options":{"":"Default","accent":"accent (#1c7bfd)","darken-accent":"darken accent (#0646b2)","lighten-accent":"lighten accent (#1c7bfd)","primary":"primary (#063464)","darken-primary":"darken primary (#032259)","lighten-primary":"lighten primary (#053485)","secondary":"secondary (#28b6f6)","darken-secondary":"darken secondary (#22ccfb)","lighten-secondary":"lighten secondary (#28b6f6)","thirdary":"Thirdth Color (#2983fd)","rating":"Rating (#ffc400)","heading":"Heading (#05213f)","body":"Body (#8e949e)","white":"White","yellow":"Yellow","bgrtransparent":"Transparent","footercolor":"Custom 1 (#cdd5dd)","custom-2":"Custom 2 (#9aaabb)","custom-3":"Custom 3 (#1e4873)","custom-4":"Custom 4 (#1d65b9)","custom-5":"Custom 5 (#cedbeb)","custom-6":"Custom 6 (#084e9f)","custom-7":"Custom 7 (#e6eaef)","custom-8":"Custom 8 (#e8f2ff)"},"condition":{"btn_text!":""}},{"name":"btn_size","label":"Size","type":"select","default":"","options":{"xs":"Extra Small","sm":"Small","":"Default","md":"Medium","mdl":"Medium Large","lg":"Large","xl":"Extra Large"},"condition":{"btn_text!":"","btn_type!":["btn-overlay","btn-text","just-link"]}},{"name":"align","label":"Button Alignment","type":"choose","control_type":"responsive","options":{"start":{"title":"Start","icon":"eicon-text-align-left"},"center":{"title":"Center","icon":"eicon-text-align-center"},"end":{"title":"End","icon":"eicon-text-align-right"},"justify":{"title":"Justified","icon":"eicon-text-align-justify"}},"default":"","condition":{"btn_text!":""}},{"name":"btn_icon","label":"Icon","type":"icons","label_block":true,"fa4compatibility":"icon","condition":{"btn_text!":""},"default":{"value":"cmsi-arrow-circle-right","library":"cmsi"}},{"name":"show_btn_icon","label":"Show Button Icon","type":"switcher","default":"true","condition":{"btn_text!":"","btn_icon[value]!":""}},{"name":"icon_outline","label":"Icon Outline","type":"select","default":"no","options":{"yes":"Yes","no":"No"},"condition":{"btn_text!":"","btn_icon[value]!":""}},{"name":"icon_align","label":"Icon Position","type":"select","default":"left","options":{"left":"Before","right":"After"},"condition":{"btn_text!":"","btn_icon[value]!":"","show_btn_icon":"true"}},{"name":"btn_icon_size","label":"Icon Size","type":"slider","range":{"px":{"min":0,"max":200}},"condition":{"btn_text!":"","btn_icon[value]!":"","show_btn_icon":"true"},"selectors":{"{{WRAPPER}} .cms-btn-content- .cms-btn-icon":"font-size: {{SIZE}}{{UNIT}};"}},{"name":"icon_indent","label":"Icon Spacing","type":"slider","control_type":"responsive","range":{"px":{"min":5,"max":200}},"condition":{"btn_text!":"","btn_icon[value]!":"","show_btn_icon":"true"},"selectors":{"{{WRAPPER}} .cms-btn-content- .cms-btn-icon.cms-align-icon-right":"margin-left: {{SIZE}}{{UNIT}};","{{WRAPPER}} .cms-btn-content- .cms-btn-icon.cms-align-icon-left":"margin-right: {{SIZE}}{{UNIT}};"}},{"name":"btn_css_class","label":"Custom CSS Class","type":"text","condition":{"btn_text!":""}},{"name":"btn_animation","label":"Button Motion Effect","type":"animation","condition":{"btn_text!":""}},{"name":"btn_animation_duration","label":"Animation Duration","type":"select","default":"normal","options":{"slow":"Slow","normal":"Normal","fast":"Fast"},"condition":{"btn_animation!":""}},{"name":"btn_animation_delay","label":"Animation Delay","type":"number","min":0,"step":100,"default":300,"condition":{"btn_animation!":""}}]}]}';
    protected $styles = array(  );
    protected $scripts = array( 'cms-animation' );
}